; $Id: expandsegmentvariables.pro,v 1.1 1998/07/27 13:30:50 rgr Exp $

; $RCSfile: expandsegmentvariables.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:30:50 $
; $Revision: 1.1 $


; This function expands the returns the segment variables.  The
; function scans the dictionary name associated with the segment
; for macro definitions.  When it finds a macro definition, it scans
; the segment for the macro value to be associated with that macro
; definition, scans the dictionary variable for instances of the 
; macro, and  substitutes the macro value for each instance of the
; macro in the dictionary variable.  Once all macros have been
; expanded the function checks for multi-dimensional subscripts,
; converts any found from C conventions to IDL conventions, and
; returns the expanded segment variables.
;
;
;  Arguments
;     segment = segment containing macro values-(input)
;     dictName = dictionary name associated with the segment-(input)
;     dictVariable = dictionary segment variables associated with
;                    the segment-(input)
;     macroDelimiter = delimiters for macro definitions-(input)
;     macroSymbols = symbol to mark instances of macros-(input)
;
;
; Procedures and functions used
;   CSubscriptsToIdlSubscripts


function expandSegmentVariables, segment,        $
                                 dictName,       $
                                 dictVariable,   $
                                 macroDelimiter, $
                                 macroSymbol

   var = dictVariable
   
   nameMark0 = strpos(dictName, macroDelimiter[0], 0)
   segMark1 = 0
   while (nameMark0 ge 0) do begin
      nameMark1 = strpos(dictName, macroDelimiter[1], nameMark0)
      macro = macroSymbol + strmid(dictName,                   $
                                   nameMark0 + 1,              $ 
                                   (nameMark1 - nameMark0) -1)
      segMark0 = strpos(segment, macroDelimiter[0], segMark1)
      segMark1 = strpos(segment, macroDelimiter[1], segMark0)
      value = strmid(segment, segMark0 + 1, (segMark1 - segMark0) - 1)
      varMark = strpos(var, macro, 0)
      while (varMark ge 0) do begin
         if (varMark gt 0) then             $
            var0 = strmid(var, 0, varMark)  $
         else                               $
            var0 = ""
         length = strlen(var) - (varMark + strlen(macro))
         if (length gt 0) then                                $
            var1 = strmid(var, varMark+strlen(macro), length) $
         else                                                 $
            var1 = ""
         var = var0 + value + var1
         varMark = strpos(var, macro, varMark + strlen(value))
      endwhile
      nameMark0 = strpos(dictName, macroDelimiter[0], nameMark1)
   endwhile

   return, CSubscriptsToIdlSubscripts(var)
end
