; $Id: inittabsec1996.pro,v 1.1 1998/01/26 17:51:10 rgr Exp $

; $RCSfile: inittabsec1996.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:51:10 $
; $Revision: 1.1 $

; InitTabSec1996
;
; This procedure initializes the month table that is used in the 
; conversion to and from seconds of 1996.  The month table is a table
; that contains the number of seconds (from 00:00:00 January 1996) have
; elapsed to the start of the month.  The month table covers the range
; 1996-2040.
;
; Note: This procedure includes the leap second time for the period
;       of 1996-2040.  If their are any additional leap seconds added
;       during this interval, the leap second time should be updated
;       before executing this procedure.


; Arguments
;    MonthTable = month table - output


pro inittabsec1996, MonthTable

@LeapSecondTable

   ; Generate a table of months in which each entry is the number of
   ; days since January 1, 1996.
   
   MonthTableSize = (2040 - 1996 + 1) * 12
   MonthTable = lonarr(MonthTableSize);
   MonthTable(0:11) = [0,                                  $
                       0+31,                               $
                       0+31+28,                            $
                       0+31+28+31,                         $
                       0+31+28+31+30,                      $
                       0+31+28+31+30+31,                   $
                       0+31+28+31+30+31+30,                $
                       0+31+28+31+30+31+30+31,             $
                       0+31+28+31+30+31+30+31+31,          $
                       0+31+28+31+30+31+30+31+31+30,       $
                       0+31+28+31+30+31+30+31+31+30+31,    $
                       0+31+28+31+30+31+30+31+31+30+31+30]
   MonthTable(0:11) = MonthTable(0:11) + 1
   index = [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11]
   for year=1997, 2040 do begin
      if ((year mod 4) eq 0) then                          $
         MonthTable(index + 12) = MonthTable(index) + 366  $
      else                                                 $
         MonthTable(index + 12) = MonthTable(index) + 365
      index = index + 12
   endfor
   index = [0, 1]
   for year = 1996, 2040, 4 do begin
      MonthTable(index) = MonthTable(index) - 1
      index = index + 48
   endfor
   
   ; Convert the table of months from units of days to seconds and add
   ; in any necessary leap seconds.
   
   MonthTable = 86400 * MonthTable
   TotalLeapSeconds = 0
   index = [0, 1, 2, 3, 4, 5]
   for year = 1996, 2040 do begin
      MonthTable(index) = MonthTable(index) + TotalLeapSeconds
      TotalLeapSeconds = TotalLeapSeconds + LeapSecond(2*(year-1996))
      index = index + 6
      MonthTable(index) = MonthTable(index) + TotalLeapSeconds
      TotalLeapSeconds = TotalLeapSeconds + LeapSecond(2*(year-1996)+1)
      index = index + 6
   endfor

end
