; $Id: computecriseventbufferrates.pro,v 1.2 1998/07/27 13:51:53 rgr Exp $

; $RCSfile: computecriseventbufferrates.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:51:53 $
; $Revision: 1.2 $

pro computeCrisDataBufferRates, lp, engr

   common CrisSymbols

   NBUF = G$_Cris.NumEvtBuffers
   NMNF = G$_Cris.NumMnfsPerCycle
   OFFSET = G$_Cris.BufferIdOffset
   Z1 = G$_Cris.Z1Buffer
   Z2 = G$_Cris.Z2Buffer

   livetim = double(engr.livetim) > 1.0d-6
   helivet = double(engr.helivet) > 1.0d-6
   hylivet = double(engr.hylivet) > 1.0d-6

   nevproc = double(engr.nevproc) > (1.0D / double(NMNF))
   nrebful = double(engr.nrebful)

   EfficiencyInverse = (nevproc + nrebful) / nevproc

   for i=0, NBUF-1 do begin
      type = findCrisBufferType(i + OFFSET)
      case type of
         Z1 : begin
                 factor = EfficiencyInverse / hylivet
                 engr.DataBufferRate[i] =                             $
                                      float(factor*lp.NumberEvents[i])
                 engr.QualityDataBufferRate[i] =                      $
                                             engr.QualityHylivet or   $
                                             engr.QualityNevproc or   $
                                             engr.QualityNrebful or   $
                                             lp.QualityNumberEvents
              end
         Z2 : begin
                 factor = EfficiencyInverse / helivet
                 engr.DataBufferRate[i] =                             $
                                      float(factor*lp.NumberEvents[i])
                 engr.QualityDataBufferRate[i] =                      $
                                             engr.QualityHelivet or   $
                                             engr.QualityNevproc or   $
                                             engr.QualityNrebful or   $
                                             lp.QualityNumberEvents
              end
       ELSE : begin
                 factor = EfficiencyInverse / livetim
                 engr.DataBufferRate[i] =                             $
                                      float(factor*lp.NumberEvents[i])
                 engr.QualityDataBufferRate[i] =                      $
                                             engr.QualityLivetim or   $
                                             engr.QualityNevproc or   $
                                             engr.QualityNrebful or   $
                                             lp.QualityNumberEvents
              end
      endcase
   endfor

end
; $Id: computecriseventbufferrates.pro,v 1.2 1998/07/27 13:51:53 rgr Exp $

; $RCSfile: computecriseventbufferrates.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:51:53 $
; $Revision: 1.2 $

pro computeCrisEventBufferRates, lp, engr

   common CrisSymbols

   NBUF = G$_Cris.NumEvtBuffers
   NMNF = G$_Cris.NumMnfsPerCycle
   OFFSET = G$_Cris.BufferIdOffset
   Z1 = G$_Cris.Z1Buffer
   Z2 = G$_Cris.Z2Buffer

   livetim = double(engr.livetim) > 1.0d-6
   helivet = double(engr.helivet) > 1.0d-6
   hylivet = double(engr.hylivet) > 1.0d-6

   nevproc = double(engr.nevproc) > (1.0D / double(NMNF))
   nrebful = double(engr.nrebful)

   EfficiencyInverse = (nevproc + nrebful) / nevproc

   for i=0, NBUF-1 do begin
      type = findCrisBufferType(i + OFFSET)
      case type of
         Z1 : begin
                 factor = EfficiencyInverse / hylivet
                 engr.EventBufferRate[i] =                            $
                                      float(factor*lp.EventBuffer[i])
                 engr.QualityEventBufferRate[i] =                     $
                                             engr.QualityHylivet or   $
                                             engr.QualityNevproc or   $
                                             engr.QualityNrebful or   $
                                             lp.QualityEventBuffer[i]
              end
         Z2 : begin
                 factor = EfficiencyInverse / helivet
                 engr.EventBufferRate[i] =                            $
                                      float(factor*lp.EventBuffer[i])
                 engr.QualityEventBufferRate[i] =                     $
                                             engr.QualityHelivet or   $
                                             engr.QualityNevproc or   $
                                             engr.QualityNrebful or   $
                                             lp.QualityEventBuffer[i]
              end
       ELSE : begin
                 factor = EfficiencyInverse / livetim
                 engr.EventBufferRate[i] =                            $
                                      float(factor*lp.EventBuffer[i])
                 engr.QualityEventBufferRate[i] =                     $
                                             engr.QualityLivetim or   $
                                             engr.QualityNevproc or   $
                                             engr.QualityNrebful or   $
                                             lp.QualityEventBuffer[i]
              end
      endcase
   endfor

end
