; $Id: get_group_subsets_ce.pro,v 1.2 1998/07/27 13:58:20 rgr Exp $

; $RCSfile: get_group_subsets_ce.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:58:20 $
; $Revision: 1.2 $

; This function generates and returns the L1_1CrisSubset structures
; between a start and stop time.
;
; Arguments
;    sec0_1996 - start time in seconds of 1996-(input)
;    sec1_1996 - stop time in seconds of 1996-(input)
;
;
; Procedures and functions used
;    get_group_subsets_c

function get_group_subsets_ce, sec0_1996, sec1_1996

   sub = get_group_subsets_c(sec0_1996, sec1_1996)
   nrec = n_elements(sub)
   engr = replicate({L1_1CrisSubset}, nrec)

   engr.ClockMinorFrame = sub.ClockMinorFrame
   engr.Second1996 = sub.Second1996
   engr.microsecond = sub.microsecond
   engr.FormatId = sub.FormatId
   engr.MajorFrameCount = sub.MajorFrameCount
   engr.MinorFrameCount = sub.MinorFrameCount
   engr.quality = sub.quality

   ; Convert the ADC's for voltage, currents, and temperatures.

   engr.MainBusVoltage = float(0.15054D * double(sub.MainBusVoltage))
   index = where(sub.MainBusVoltage eq 255B, nindex)
   if (nindex gt 0) then begin
      if (nindex eq 1) then index = index[0]
      engr[index].MainBusVoltage = !values.F_NaN
   endif
   engr.CrisCurrent = float(0.005602D * double(sub.CrisCurrent))
   index = where(sub.CrisCurrent eq 255B, nindex)
   if (nindex gt 0) then begin
      if (nindex eq 1) then index = index[0]
      engr[index].CrisCurrent = !values.F_NaN
   endif
   engr.CrisInternalTemperature1 =                                    $
      float(-0.62745D * double(sub.CrisInternalTemperature1) + 100.0D) 
   index = where(sub.CrisInternalTemperature1 eq 255B, nindex)
   if (nindex gt 0) then begin
      if (nindex eq 1) then index = index[0]
      engr[index].CrisInternalTemperature1 = !values.F_NaN
   endif
   engr.CrisInternalTemperature2 =                                    $
      float(-0.62745D * double(sub.CrisInternalTemperature2) + 100.0D)
   index = where(sub.CrisInternalTemperature2 eq 255B, nindex)
   if (nindex gt 0) then begin
      if (nindex eq 1) then index = index[0]
      engr[index].CrisInternalTemperature2 = !values.F_NaN
   endif
   engr.CrisInterfaceTemperature =                                    $
      float(-0.62745D * double(sub.CrisInterfaceTemperature) + 100.0D) 
   index = where(sub.CrisInterfaceTemperature eq 255B, nindex)
   if (nindex gt 0) then begin
      if (nindex eq 1) then index = index[0]
      engr[index].CrisInterfaceTemperature = !values.F_NaN
   endif

   engr.CrisData = sub.CrisData

   return, engr
end
