; $Id: unpackcriseventcycle.pro,v 1.3 1998/02/14 00:04:03 rgr Exp $

; $RCSfile: unpackcriseventcycle.pro,v $
; $Author: rgr $
; $Date: 1998/02/14 00:04:03 $
; $Revision: 1.3 $

function UnpackCrisEventCycle, EventCycle

   common CrisSymbols

   ; Find the start of each valid event in the Event Buffer.

   nevent = EventCycle.NumberEvents
   if (nevent gt 0) then begin
      EventIndex = lonarr(nevent, /nozero)
      EventIndex(0) = 0L
      for i=0, nevent - 2 do                                          $
         EventIndex(i+1) = EventIndex(i) +                            $
                   long(EventCycle.EventBuffer(EventIndex(i))) + 3
      if (nevent eq 1) then EventIndex = 0L
      ValidEvent = CheckCrisCompressedEvents(EventCycle.EventBuffer,  $
                                                          EventIndex)
      index = where(ValidEvent eq 0, nvalid)
      if (nvalid ne nevent) then begin
         print, nevent - nvalid, " Invalid events encountered"
         if (nvalid gt 0) then EventIndex = EventIndex(index)
      endif
   endif

   ; Expand each valid event in the event buffer.
 
   event = replicate({ce_crisEvt}, nevent + 1)
   n = nvalid - 1
   if (nevent gt 0) then begin
      nmnf = long(G$_Cris.NumMnfsPerCycle)
      event(0:n).secs1996 = EventCycle.Second1996
      event(0:n).usec = EventCycle.microsecond
      event(0:n).rfu = 0L
      event(0:n).cam = 1B

      ; This statement has been commented out until the function 
      ; FindSelectedSoftCamera can be fixed.  The above statement
      ; setting the camma to 1 is acting as a place holder.

      ; event(0:n).cam = FindSelectedSoftCamera(EventCycle.Second1996)

      event(0:n).evtno = EventCycle.ClockCycle +                      $
                      long(EventCycle.EventBuffer(EventIndex))*nmnf + $
                      long(EventCycle.EventBuffer(EventIndex +1))
      UnpackCrisEventHeader, EventCycle.EventBuffer, EventIndex, event
      UnpackCrisHodoscopeData, EventCycle.EventBuffer, EventIndex,    $
                                                                 event
      UnpackCrisTagBits, EventCycle.EventBuffer, EventIndex, 1, event
      UnpackCrisCenterPhas, EventCycle.EventBuffer, EventIndex, 1, event
      UnpackCrisGuardPhas, EventCycle.EventBuffer, EventIndex, 1, event
      UnpackCrisTagBits, EventCycle.EventBuffer, EventIndex, 2, event
      UnpackCrisCenterPhas, EventCycle.EventBuffer, EventIndex, 2, event
      UnpackCrisGuardPhas, EventCycle.EventBuffer, EventIndex, 2, event
      UnpackCrisStimData, EventCycle.EventBuffer, EventIndex, event
      event(0:n).evtno = EventCycle.ClockCycle +                      $
                      long(EventCycle.EventBuffer(EventIndex))*nmnf + $
                      long(EventCycle.EventBuffer(EventIndex + 1))
      event(0:n).evt_offset = EventCycle.EventBuffer(EventIndex + 2)
   endif

   ; Set the last event in the array to a zero event.

   event(nvalid:nevent).evtno = 0L
   event(nvalid:nevent).secs1996 = 0L
   event(nvalid:nevent).usec = 0L

   return, event
end
