; $Id: printl1_1crislowpriorityratesingle.pro,v 1.1 1998/07/27 13:42:24 rgr Exp $

; $RCSfile: printl1_1crislowpriorityratesingle.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 13:42:24 $
; $Revision: 1.1 $


; This procedures prints dumps of the single rate portion of the
; L1_1CrisLowPriorityRate structures found between the start and stop
; times.
;
; Arguments
;    t0 = start time in seconds of 1996-(input)
;    t1 = stop time in seconds of 1996-(input)
;
; Keywords
;    file = name of file to send output (default is standard out)
;
;
; Procedures and functions used
;    dumpL1_1CrisLowPriorityRateSingle
;    get_group_lo_rates_ce

pro printL1_1CrisLowPriorityRateSingle, t0, t1, FILE=file

   lun = -1
   if (keyword_set(file)) then begin
      get_lun, lun
      openw, lun, file
   endif

   lp = get_group_lo_rates_ce(t0, t1)
   number = n_elements(lp) - 1
   for i=0L, number-1 do begin
      dumpL1_1CrisLowPriorityRateSingle, lp[i], LUN=lun
      printf, lun
      printf, lun
   endfor

   if (lun ne (-1)) then begin
      close, lun
      free_lun, lun
   endif
end

