; $Id: dumpl1_1sishskp.pro,v 1.1 1998/05/04 20:35:59 rgr Exp $

; $RCSfile: dumpl1_1sishskp.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:35:59 $
; $Revision: 1.1 $


pro dumpL1_1SisHskp, hskp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(19)

   template[00] = "SIS Housekeeping - <start time               >   <S/C Clock: xxxxxxxxxx>"
   template[01] = ""
   template[02] = "Temperature(DegC):          Voltage(V):         Leakage Current(microA):"
   template[03] = "  <Motherboard: xx.xx xx>    <+4V:  xx.xx xx>   <T1A: xx.xx xx>  <T1B: xx.xx xx>"
   template[04] = " <Analog Board: xx.xx xx>    <+5V:  xx.xx xx>   <T2A: xx.xx xx>  <T2B: xx.xx xx>"
   template[05] = "<PostReg Board: xx.xx xx>    <+7V:  xx.xx xx>   <T3A: xx.xx xx>  <T3B: xx.xx xx>"
   template[06] = "  <Logic Board: xx.xx xx>    <-7V:  xx.xx xx>   <T4A: xx.xx xx>  <T4B: xx.xx xx>"
   template[07] = "   <LVPS Board: xx.xx xx>   <+13V:  xx.xx xx>   <T5A: xx.xx xx>  <T5B: xx.xx xx>"
   template[08] = "   <HVPS Board: xx.xx xx>   <-13V:  xx.xx xx>   <T6A: xx.xx xx>  <T6B: xx.xx xx>"
   template[09] = "    <M1A Board: xx.xx xx>   <+19V:  xx.xx xx>   <T7A: xx.xx xx>  <T7B: xx.xx xx>"
   template[10] = "    <M2B Board: xx.xx xx>                       <T8A: xx.xx xx>  <T8B: xx.xx xx>"
   template[11] = "   <T12A Board: xx.xx xx>"
   template[12] = "   <T34A Board: xx.xx xx>  Current(Scaled V):   Status:"
   template[13] = "   <T56A Board: xx.xx xx>    <A: xx.xxx xx>       <Telemetry Side: x xx>"
   template[14] = "   <T78A Board: xx.xx xx>    <B: xx.xxx xx>       <Refresh Enable: x xx>"
   template[15] = "   <T12B Board: xx.xx xx>                            <Heater Auto: x xx>"
   template[16] = "   <T34B Board: xx.xx xx>                           <Heater Level: xx xx>"
   template[17] = "   <T56B Board: xx.xx xx>                           <Cycle Number: xxxxxxxx xx>"
   template[18] = "   <T78B Board: xx.xx xx>                    <Command Table Index: xxxx xx>"

   line = template[0]
      strput, line, "                           ", 19
      segmentValue = string(stringDate1996(hskp.Second1996), hskp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 19
      strput, line, "                       ", 49
      segmentValue = string(hskp.ClockCycle, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 49
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      strput, line, "                       ", 2
      segmentValue = string(hskp.TemperatureMotherBoard, hskp.QualityTemperatureMotherBoard, FORMAT="(' Motherboard:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                ", 29
      segmentValue = string(hskp.MonitorP4V, hskp.QualityMonitorP4V, FORMAT="(' +4V: ', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "               ", 48
      segmentValue = string(hskp.LeakageCurrentT1a, hskp.QualityLeakageCurrentT1a, FORMAT="(' T1A:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "               ", 65
      segmentValue = string(hskp.LeakageCurrentT1b, hskp.QualityLeakageCurrentT1b, FORMAT="(' T1B:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 65
      printf, lunit, line
   line = template[4]
      strput, line, "                        ", 1
      segmentValue = string(hskp.TemperatureAnalogBoard, hskp.QualityTemperatureAnalogBoard, FORMAT="(' Analog Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "                ", 29
      segmentValue = string(hskp.MonitorP5V, hskp.QualityMonitorP5V, FORMAT="(' +5V: ', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "               ", 48
      segmentValue = string(hskp.LeakageCurrentT2a, hskp.QualityLeakageCurrentT2a, FORMAT="(' T2A:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "               ", 65
      segmentValue = string(hskp.LeakageCurrentT2b, hskp.QualityLeakageCurrentT2b, FORMAT="(' T2B:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 65
      printf, lunit, line
   line = template[5]
      strput, line, "                         ", 0
      segmentValue = string(hskp.TemperaturePostRegBoard, hskp.QualityTemperaturePostRegBoard, FORMAT="(' PostReg Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "                ", 29
      segmentValue = string(hskp.MonitorP7V, hskp.QualityMonitorP7V, FORMAT="(' +7V: ', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "               ", 48
      segmentValue = string(hskp.LeakageCurrentT3a, hskp.QualityLeakageCurrentT3a, FORMAT="(' T3A:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "               ", 65
      segmentValue = string(hskp.LeakageCurrentT3b, hskp.QualityLeakageCurrentT3b, FORMAT="(' T3B:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 65
      printf, lunit, line
   line = template[6]
      strput, line, "                       ", 2
      segmentValue = string(hskp.TemperatureLogicBoard, hskp.QualityTemperatureLogicBoard, FORMAT="(' Logic Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "                ", 29
      segmentValue = string(hskp.MonitorM7V, hskp.QualityMonitorM7V, FORMAT="(' -7V: ', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "               ", 48
      segmentValue = string(hskp.LeakageCurrentT4a, hskp.QualityLeakageCurrentT4a, FORMAT="(' T4A:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "               ", 65
      segmentValue = string(hskp.LeakageCurrentT4b, hskp.QualityLeakageCurrentT4b, FORMAT="(' T4B:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 65
      printf, lunit, line
   line = template[7]
      strput, line, "                      ", 3
      segmentValue = string(hskp.TemperatureLvpsBoard, hskp.QualityTemperatureLvpsBoard, FORMAT="(' LVPS Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                 ", 28
      segmentValue = string(hskp.MonitorP13V, hskp.QualityMonitorP13V, FORMAT="(' +13V: ', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 28
      strput, line, "               ", 48
      segmentValue = string(hskp.LeakageCurrentT5a, hskp.QualityLeakageCurrentT5a, FORMAT="(' T5A:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "               ", 65
      segmentValue = string(hskp.LeakageCurrentT5b, hskp.QualityLeakageCurrentT5b, FORMAT="(' T5B:', f6.2, ' ', z2.2)")
      strput, line, segmentValue, 65
      printf, lunit, line
   line = template[8]
      strput, line, "                      ", 3
      segmentValue = string(hskp.TemperatureHvpsBoard, hskp.QualityTemperatureHvpsBoard, FORMAT="(' HVPS Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                 ", 28
      segmentValue = string(hskp.MonitorM13V, hskp.QualityMonitorM13V, FORMAT="(' -13V: ', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 28
      strput, line, "               ", 48
      segmentValue = string(hskp.LeakageCurrentT6a, hskp.QualityLeakageCurrentT6a, FORMAT="(' T6A:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "               ", 65
      segmentValue = string(hskp.LeakageCurrentT6b, hskp.QualityLeakageCurrentT6b, FORMAT="(' T6B:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 65
      printf, lunit, line
   line = template[9]
      strput, line, "                     ", 4
      segmentValue = string(hskp.TemperatureM1aBoard, hskp.QualityTemperatureM1aBoard, FORMAT="(' M1A Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "                 ", 28
      segmentValue = string(hskp.MonitorP19V, hskp.QualityMonitorP19V, FORMAT="(' +19V: ', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 28
      strput, line, "               ", 48
      segmentValue = string(hskp.LeakageCurrentT7a, hskp.QualityLeakageCurrentT7a, FORMAT="(' T7A:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "               ", 65
      segmentValue = string(hskp.LeakageCurrentT7b, hskp.QualityLeakageCurrentT7b, FORMAT="(' T7B:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 65
      printf, lunit, line
   line = template[10]
      strput, line, "                     ", 4
      segmentValue = string(hskp.TemperatureM2bBoard, hskp.QualityTemperatureM2bBoard, FORMAT="(' M2B Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "               ", 48
      segmentValue = string(hskp.LeakageCurrentT8a, hskp.QualityLeakageCurrentT8a, FORMAT="(' T8A:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "               ", 65
      segmentValue = string(hskp.LeakageCurrentT8b, hskp.QualityLeakageCurrentT8b, FORMAT="(' T8B:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 65
      printf, lunit, line
   line = template[11]
      strput, line, "                      ", 3
      segmentValue = string(hskp.TemperatureT12aBoard, hskp.QualityTemperatureT12aBoard, FORMAT="(' T12A Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      printf, lunit, line
   line = template[12]
      strput, line, "                      ", 3
      segmentValue = string(hskp.TemperatureT34aBoard, hskp.QualityTemperatureT34aBoard, FORMAT="(' T34A Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      printf, lunit, line
   line = template[13]
      strput, line, "                      ", 3
      segmentValue = string(hskp.TemperatureT56aBoard, hskp.QualityTemperatureT56aBoard, FORMAT="(' T56A Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "              ", 29
      segmentValue = string(hskp.MonitorCurrentA, hskp.QualityMonitorCurrentA, FORMAT="(' A:', f6.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "                      ", 50
      segmentValue = string(hskp.StatusTelemetrySide, hskp.QualityStatusTelemetrySide, FORMAT="(' Telemetry Side: ', i1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 50
      printf, lunit, line
   line = template[14]
      strput, line, "                      ", 3
      segmentValue = string(hskp.TemperatureT78aBoard, hskp.QualityTemperatureT78aBoard, FORMAT="(' T78A Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "              ", 29
      segmentValue = string(hskp.MonitorCurrentB, hskp.QualityMonitorCurrentB, FORMAT="(' B:', f6.3, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "                      ", 50
      segmentValue = string(hskp.StatusRefreshEnable, hskp.QualityStatusRefreshEnable, FORMAT="(' Refresh Enable: ', i1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 50
      printf, lunit, line
   line = template[15]
      strput, line, "                      ", 3
      segmentValue = string(hskp.TemperatureT12bBoard, hskp.QualityTemperatureT12bBoard, FORMAT="(' T12B Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                   ", 53
      segmentValue = string(hskp.StatusHeatAuto, hskp.QualityStatusHeatAuto, FORMAT="(' Heater Auto: ', i1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 53
      printf, lunit, line
   line = template[16]
      strput, line, "                      ", 3
      segmentValue = string(hskp.TemperatureT34bBoard, hskp.QualityTemperatureT34bBoard, FORMAT="(' T34B Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                     ", 52
      segmentValue = string(hskp.StatusHeatLevel, hskp.QualityStatusHeatLevel, FORMAT="(' Heater Level: ', i2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 52
      printf, lunit, line
   line = template[17]
      strput, line, "                      ", 3
      segmentValue = string(hskp.TemperatureT56bBoard, hskp.QualityTemperatureT56bBoard, FORMAT="(' T56B Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                           ", 52
      segmentValue = string(hskp.CycleNumber, hskp.QualityCycleNumber, FORMAT="(' Cycle Number: ', i8.8, ' ', z2.2, ' ')")
      strput, line, segmentValue, 52
      printf, lunit, line
   line = template[18]
      strput, line, "                      ", 3
      segmentValue = string(hskp.TemperatureT78bBoard, hskp.QualityTemperatureT78bBoard, FORMAT="(' T78B Board:', f6.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                              ", 45
      segmentValue = string(hskp.CommandTableIndex, hskp.QualityCommandTableIndex, FORMAT="(' Command Table Index: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 45
      printf, lunit, line

end
