; $Id: dumpl1sishskp.pro,v 1.1 1998/05/04 20:36:14 rgr Exp $

; $RCSfile: dumpl1sishskp.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:36:14 $
; $Revision: 1.1 $


pro dumpL1SisHskp, hskp, LUN=lun

   lunit = -1
   if (keyword_set(lun)) then lunit = lun

   template = strarr(19)

   template[00] = "SIS Housekeeping - <start time               >   <S/C Clock: xxxxxxxxxx>"
   template[01] = ""
   template[02] = "Temperature(ADC):          Voltage(ADC):      PostDC(ADC):"
   template[03] = "  <Motherboard: xxxx xx>     <+4V: xxxx xx>     <T1A: xxxx xx>  <T1B: xxxx xx>"
   template[04] = " <Analog Board: xxxx xx>     <+5V: xxxx xx>     <T2A: xxxx xx>  <T2B: xxxx xx>"
   template[05] = "<PostReg Board: xxxx xx>     <+7V: xxxx xx>     <T3A: xxxx xx>  <T3B: xxxx xx>"
   template[06] = "  <Logic Board: xxxx xx>     <-7V: xxxx xx>     <T4A: xxxx xx>  <T4B: xxxx xx>"
   template[07] = "   <LVPS Board: xxxx xx>    <+13V: xxxx xx>     <T5A: xxxx xx>  <T5B: xxxx xx>"
   template[08] = "   <HVPS Board: xxxx xx>    <-13V: xxxx xx>     <T6A: xxxx xx>  <T6B: xxxx xx>"
   template[09] = "    <M1A Board: xxxx xx>    <+19V: xxxx xx>     <T7A: xxxx xx>  <T7B: xxxx xx>"
   template[10] = "    <M2B Board: xxxx xx>                        <T8A: xxxx xx>  <T8B: xxxx xx>"
   template[11] = "   <T12A Board: xxxx xx>"
   template[12] = "   <T34A Board: xxxx xx>   Current(ADC):      Status:"
   template[13] = "   <T56A Board: xxxx xx>     <A: xxxx xx>       <Telemetry Side: x xx>"
   template[14] = "   <T78A Board: xxxx xx>     <B: xxxx xx>       <Refresh Enable: x xx>"
   template[15] = "   <T12B Board: xxxx xx>                           <Heater Auto: x xx>"
   template[16] = "   <T34B Board: xxxx xx>                          <Heater Level: xx xx>"
   template[17] = "   <T56B Board: xxxx xx>                          <Cycle Number: xxxxxxxx xx>"
   template[18] = "   <T78B Board: xxxx xx>                   <Command Table Index: xxxx xx>"

   line = template[0]
      strput, line, "                           ", 19
      segmentValue = string(stringDate1996(hskp.Second1996), hskp.microsecond, FORMAT="(a, '.', i6.6)")
      strput, line, segmentValue, 19
      strput, line, "                       ", 49
      segmentValue = string(hskp.ClockCycle, FORMAT="(' S/C Clock: ', i10.10, ' ')")
      strput, line, segmentValue, 49
      printf, lunit, line
   line = template[1]
      printf, lunit, line
   line = template[2]
      printf, lunit, line
   line = template[3]
      strput, line, "                      ", 2
      segmentValue = string(hskp.TemperatureMotherBoard, hskp.QualityTemperatureMotherBoard, FORMAT="(' Motherboard: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "              ", 29
      segmentValue = string(hskp.MonitorP4V, hskp.QualityMonitorP4V, FORMAT="(' +4V: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "              ", 48
      segmentValue = string(hskp.PostDcT1a, hskp.QualityPostDcT1a, FORMAT="(' T1A: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "              ", 64
      segmentValue = string(hskp.PostDcT1b, hskp.QualityPostDcT1b, FORMAT="(' T1B: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[4]
      strput, line, "                       ", 1
      segmentValue = string(hskp.TemperatureAnalogBoard, hskp.QualityTemperatureAnalogBoard, FORMAT="(' Analog Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 1
      strput, line, "              ", 29
      segmentValue = string(hskp.MonitorP5V, hskp.QualityMonitorP5V, FORMAT="(' +5V: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "              ", 48
      segmentValue = string(hskp.PostDcT2a, hskp.QualityPostDcT2a, FORMAT="(' T2A: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "              ", 64
      segmentValue = string(hskp.PostDcT2b, hskp.QualityPostDcT2b, FORMAT="(' T2B: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[5]
      strput, line, "                        ", 0
      segmentValue = string(hskp.TemperaturePostRegBoard, hskp.QualityTemperaturePostRegBoard, FORMAT="(' PostReg Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 0
      strput, line, "              ", 29
      segmentValue = string(hskp.MonitorP7V, hskp.QualityMonitorP7V, FORMAT="(' +7V: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "              ", 48
      segmentValue = string(hskp.PostDcT3a, hskp.QualityPostDcT3a, FORMAT="(' T3A: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "              ", 64
      segmentValue = string(hskp.PostDcT3b, hskp.QualityPostDcT3b, FORMAT="(' T3B: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[6]
      strput, line, "                      ", 2
      segmentValue = string(hskp.TemperatureLogicBoard, hskp.QualityTemperatureLogicBoard, FORMAT="(' Logic Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 2
      strput, line, "              ", 29
      segmentValue = string(hskp.MonitorM7V, hskp.QualityMonitorM7V, FORMAT="(' -7V: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "              ", 48
      segmentValue = string(hskp.PostDcT4a, hskp.QualityPostDcT4a, FORMAT="(' T4A: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "              ", 64
      segmentValue = string(hskp.PostDcT4b, hskp.QualityPostDcT4b, FORMAT="(' T4B: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[7]
      strput, line, "                     ", 3
      segmentValue = string(hskp.TemperatureLvpsBoard, hskp.QualityTemperatureLvpsBoard, FORMAT="(' LVPS Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "               ", 28
      segmentValue = string(hskp.MonitorP13V, hskp.QualityMonitorP13V, FORMAT="(' +13V: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 28
      strput, line, "              ", 48
      segmentValue = string(hskp.PostDcT5a, hskp.QualityPostDcT5a, FORMAT="(' T5A: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "              ", 64
      segmentValue = string(hskp.PostDcT5b, hskp.QualityPostDcT5b, FORMAT="(' T5B: ', i4, ' ', z2.2)")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[8]
      strput, line, "                     ", 3
      segmentValue = string(hskp.TemperatureHvpsBoard, hskp.QualityTemperatureHvpsBoard, FORMAT="(' HVPS Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "               ", 28
      segmentValue = string(hskp.MonitorM13V, hskp.QualityMonitorM13V, FORMAT="(' -13V: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 28
      strput, line, "              ", 48
      segmentValue = string(hskp.PostDcT6a, hskp.QualityPostDcT6a, FORMAT="(' T6A: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "              ", 64
      segmentValue = string(hskp.PostDcT6b, hskp.QualityPostDcT6b, FORMAT="(' T6B: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[9]
      strput, line, "                    ", 4
      segmentValue = string(hskp.TemperatureM1aBoard, hskp.QualityTemperatureM1aBoard, FORMAT="(' M1A Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "               ", 28
      segmentValue = string(hskp.MonitorP19V, hskp.QualityMonitorP19V, FORMAT="(' +19V: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 28
      strput, line, "              ", 48
      segmentValue = string(hskp.PostDcT7a, hskp.QualityPostDcT7a, FORMAT="(' T7A: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "              ", 64
      segmentValue = string(hskp.PostDcT7b, hskp.QualityPostDcT7b, FORMAT="(' T7B: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[10]
      strput, line, "                    ", 4
      segmentValue = string(hskp.TemperatureM2bBoard, hskp.QualityTemperatureM2bBoard, FORMAT="(' M2B Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 4
      strput, line, "              ", 48
      segmentValue = string(hskp.PostDcT8a, hskp.QualityPostDcT8a, FORMAT="(' T8A: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      strput, line, "              ", 64
      segmentValue = string(hskp.PostDcT8b, hskp.QualityPostDcT8b, FORMAT="(' T8B: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 64
      printf, lunit, line
   line = template[11]
      strput, line, "                     ", 3
      segmentValue = string(hskp.TemperatureT12aBoard, hskp.QualityTemperatureT12aBoard, FORMAT="(' T12A Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      printf, lunit, line
   line = template[12]
      strput, line, "                     ", 3
      segmentValue = string(hskp.TemperatureT34aBoard, hskp.QualityTemperatureT34aBoard, FORMAT="(' T34A Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      printf, lunit, line
   line = template[13]
      strput, line, "                     ", 3
      segmentValue = string(hskp.TemperatureT56aBoard, hskp.QualityTemperatureT56aBoard, FORMAT="(' T56A Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "            ", 29
      segmentValue = string(hskp.MonitorCurrentA, hskp.QualityMonitorCurrentA, FORMAT="(' A: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "                      ", 48
      segmentValue = string(hskp.StatusTelemetrySide, hskp.QualityStatusTelemetrySide, FORMAT="(' Telemetry Side: ', i1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      printf, lunit, line
   line = template[14]
      strput, line, "                     ", 3
      segmentValue = string(hskp.TemperatureT78aBoard, hskp.QualityTemperatureT78aBoard, FORMAT="(' T78A Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "            ", 29
      segmentValue = string(hskp.MonitorCurrentB, hskp.QualityMonitorCurrentB, FORMAT="(' B: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 29
      strput, line, "                      ", 48
      segmentValue = string(hskp.StatusRefreshEnable, hskp.QualityStatusRefreshEnable, FORMAT="(' Refresh Enable: ', i1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 48
      printf, lunit, line
   line = template[15]
      strput, line, "                     ", 3
      segmentValue = string(hskp.TemperatureT12bBoard, hskp.QualityTemperatureT12bBoard, FORMAT="(' T12B Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                   ", 51
      segmentValue = string(hskp.StatusHeatAuto, hskp.QualityStatusHeatAuto, FORMAT="(' Heater Auto: ', i1, ' ', z2.2, ' ')")
      strput, line, segmentValue, 51
      printf, lunit, line
   line = template[16]
      strput, line, "                     ", 3
      segmentValue = string(hskp.TemperatureT34bBoard, hskp.QualityTemperatureT34bBoard, FORMAT="(' T34B Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                     ", 50
      segmentValue = string(hskp.StatusHeatLevel, hskp.QualityStatusHeatLevel, FORMAT="(' Heater Level: ', i2.2, ' ', z2.2, ' ')")
      strput, line, segmentValue, 50
      printf, lunit, line
   line = template[17]
      strput, line, "                     ", 3
      segmentValue = string(hskp.TemperatureT56bBoard, hskp.QualityTemperatureT56bBoard, FORMAT="(' T56B Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                           ", 50
      segmentValue = string(hskp.CycleNumber, hskp.QualityCycleNumber, FORMAT="(' Cycle Number: ', i8.8, ' ', z2.2, ' ')")
      strput, line, segmentValue, 50
      printf, lunit, line
   line = template[18]
      strput, line, "                     ", 3
      segmentValue = string(hskp.TemperatureT78bBoard, hskp.QualityTemperatureT78bBoard, FORMAT="(' T78B Board: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 3
      strput, line, "                              ", 43
      segmentValue = string(hskp.CommandTableIndex, hskp.QualityCommandTableIndex, FORMAT="(' Command Table Index: ', i4, ' ', z2.2, ' ')")
      strput, line, segmentValue, 43
      printf, lunit, line

end
