; $Id: printl1sissummaryhskp.pro,v 1.2 1998/07/27 14:20:16 rgr Exp $

; $RCSfile: printl1sissummaryhskp.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 14:20:16 $
; $Revision: 1.2 $


; This procedures prints dumps of the housekeeping portion of the
; L1SisSummary structures found between the start and stop times.
;
; Arguments
;    t0 = start time in seconds of 1996-(input)
;    t1 = stop time in seconds of 1996-(input)
;
; Keywords
;    file = name of file to send output (default is standard out)
;
;
; Procedures and functions used
;    dumpL1SisSummaryHskp
;    get_group_summary_s

pro printL1SisSummaryHskp, t0, t1, FILE=file

   lun = -1
   if (keyword_set(file)) then begin
      get_lun, lun
      openw, lun, file
   endif

   sum = get_group_summaries_s(t0, t1)
   number = n_elements(sum) - 1
   for i=0L, number-1 do begin
      dumpL1SisSummaryHskp, sum[i], LUN=lun
   endfor

   if (lun ne (-1)) then begin
      close, lun
      free_lun, lun
   endif
end
