; $Id: cvtsisadctodegc.pro,v 1.2 1998/07/27 14:30:05 rgr Exp $

; $RCSfile: cvtsisadctodegc.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 14:30:05 $
; $Revision: 1.2 $

function cvtSisAdcToDegC, adc

   common SbCvtSisAdcToDegC, DegC

   if (n_elements(DegC) eq 0) then begin

      NumCalibPts = 191
      CalibKOhm = dblarr(NumCalibPts)
      CalibKOhm[  0: 60] =                                             $
                     [ 884.6D, 830.9D, 780.8D, 733.9D, 690.2D,         $
                       649.3D, 611.0D, 575.2D, 541.7D, 510.4D,         $
                       481.0D, 453.5D, 427.7D, 403.5D, 380.9D,         $
                       359.6D, 339.6D, 320.9D, 303.3D, 286.7D,         $
                       271.2D, 256.5D, 242.8D, 229.8D, 217.6D,         $
                       206.2D, 195.4D, 185.2D, 175.6D, 166.6D,         $
                       158.0D, 150.0D, 142.4D, 135.2D, 128.5D,         $
                       122.1D, 116.0D, 110.3D, 104.9D, 99.80D, 94.98D, $
                       90.41D, 86.09D, 81.99D, 78.11D, 74.44D,         $
                       70.95D, 67.66D, 64.53D, 61.56D, 58.75D,         $
                       56.07D, 53.54D, 51.13D, 48.84D, 46.67D,         $
                       44.50D, 42.64D, 40.77D, 38.99D, 37.30D]
      CalibKOhm[ 61:120] =                                             $
                     [ 35.70D, 34.17D, 32.71D, 31.32D, 30.00D,         $
                       28.74D, 27.54D, 26.40D, 25.31D, 24.27D,         $
                       23.28D, 22.33D, 21.43D, 20.57D, 19.74D,         $
                       18.96D, 18.21D, 17.49D, 16.80D, 16.15D,         $
                       15.52D, 14.92D, 14.35D, 13.80D, 13.28D,         $
                       12.77D, 12.29D, 11.83D, 11.39D, 10.97D,         $
                       10.57D, 10.18D, 9.807D, 9.450D, 9.109D,         $
                       8.781D, 8.467D, 8.166D, 7.876D, 7.599D,         $
                       7.332D, 7.076D, 6.830D, 6.594D, 6.367D,         $
                       6.148D, 5.940D, 5.738D, 5.545D, 5.359D,         $
                       5.180D, 5.007D, 4.842D, 4.682D, 4.529D,         $
                       4.381D, 4.239D, 4.102D, 3.970D, 3.843D]
      CalibKOhm[121:190] =                                             $
                     [ 3.720D, 3.602D, 3.489D, 3.379D, 3.273D,         $
                       3.172D, 3.073D, 2.979D, 2.887D, 2.799D,         $
                       2.714D, 2.632D, 2.552D, 2.476D, 2.402D,         $
                       2.331D, 2.262D, 2.195D, 2.131D, 2.059D,         $
                       2.009D, 1.950D, 1.894D, 1.840D, 1.788D,         $
                       1.737D, 1.688D, 1.640D, 1.594D, 1.550D,         $
                       1.507D, 1.465D, 1.425D, 1.386D, 1.348D,         $
                       1.311D, 1.276D, 1.241D, 1.206D, 1.176D,         $
                       1.145D, 1.114D, 1.085D, 1.057D, 1.029D,         $
                       1.002D, .9763D, .9511D, .9287D, .9030D,         $
                       .8800D, .8577D, .8361D, .8150D, .7945D,         $
                       .7748D, .7555D, .7369D, .7188D, .7012D,         $
                       .6841D, .6675D, .6513D, .6366D, .6203D,         $
                       .6055D, .5911D, .5771D, .5635D, .5502D]
      CalibDegC = double(indgen(NumCalibPts)) - 40.0D

      ScaledVolt = double(cvtSisAdcToScaledVoltage(indgen(1024)))
      ReferenceVolt = 5.0D
      DividerResistance = 30.1D
      resistance = (ScaledVolt / (ReferenceVolt - ScaledVolt))         $
                                                    * DividerResistance
      index = where(resistance gt CalibKOhm[0], count)
      if (count gt 0) then resistance[index] = CalibKOhm[0]
      index = where(resistance lt CalibKOhm[NumCalibPts-1], count)
      if (count gt 0) then resistance[index] = CalibKOhm[NumCalibPts-1]

      DegC = fltarr(1024)
      LogR = alog10(resistance)
      LogCalibKOhm = alog10(CalibKOhm)
      for i=1, NumCalibPts-1 do begin
         index = where((resistance le CalibKOhm[i-1]) and              $
                                   (resistance ge CalibKOhm[i]), count)
         if (count gt 0) then begin
            fract0 = (LogR[index] - LogCalibKOhm[i-1]) /               $
                                  (LogCalibKOhm[i] - LogCalibKOhm[i-1])
            fract1 = (LogCalibKOhm[i] - LogR[index]) /                 $
                                  (LogCalibKOhm[i] - LogCalibKOhm[i-1])
            DegC[index] =                                              $
                     float(fract0*CalibDegC[i] + fract1*CalibDegC[i-1])
         endif
      endfor

   endif

   return, DegC[adc]
end
