; $Id: expandsishighpriorityratedefinition.pro,v 1.1 1998/05/04 20:21:57 rgr Exp $

; $RCSfile: expandsishighpriorityratedefinition.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:21:57 $
; $Revision: 1.1 $

; This procedure expands an array of SIS high priority rate
; definitions.
;
; Arguments
;   def = array of 32-bit SIS high priority rate definitions from
;         command table-(input)
;   definition = array of expanded SIS high priority rate
;                definitions-(output)


pro expandSisHighPriorityRateDefinition, def, definition

   ndef = n_elements(def)
   definition = replicate({SisHighPriorityRateDefinition}, ndef)

   tmp = def
   definition.Count1Index = byte(tmp and '000000ff'XL)
   tmp = ishft(tmp, -8)
   definition.Count2Index = byte(tmp and '000000ff'XL)
   tmp = ishft(tmp, -8)
   definition.LivetimeIndex = byte(tmp and '00000007'XL)
   tmp = ishft(tmp, -3)
   definition.EfficiencyIndex = byte(tmp and '00000007'XL)
   tmp = ishft(tmp, -3)
   definition.FlagCount2 = byte(tmp and '00000001'XL)
   tmp = ishft(tmp, -1)
   definition.FlagCalculated = byte(tmp and '00000001'XL)
   tmp = ishft(tmp, -1)
   definition.ScaleExp = byte(tmp and '0000000f'XL)
   tmp = ishft(tmp, -4)
   definition.FlagAb = byte(tmp and '00000001'XL)

end
