; $Id/

; $RCSfile: get_group_diagnostic_events_se.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:21:58 $
; $Revision: 1.1 $

function get_group_diagnostic_events_se, sec0_1996, sec1_1996

   Common SisSymbols

   NPLANE = G$_Sis.NumMatrixPlanes
   NSTACK = G$_Sis.NumStackDetectors
   NSTRIP = G$_Sis.NumMatrixStrips

   de = get_group_diagnostic_events_s(sec0_1996, sec1_1996)
   nrec = n_elements(de)
   DiagEvt = replicate({L1_1SisDiagnosticEvent}, nrec)

   DiagEvt.ClockMinorFrame0       = de.ClockMinorFrame0
   DiagEvt.ClockMinorFrame1       = de.ClockMinorFrame1
   DiagEvt.Second1996MinorFrame0  = de.Second1996MinorFrame0
   DiagEvt.MicrosecondMinorFrame0 = de.MicrosecondMinorFrame0
   DiagEvt.Second1996MinorFrame1  = de.Second1996MinorFrame1
   DiagEvt.MicrosecondMinorFrame1 = de.MicrosecondMinorFrame1

   ; Put the tags from word 0 into the structure

   DiagEvt.raw.a.time_m1 =        de.RawStack[0] and '000f'X
   DiagEvt.raw.a.time_m2 = ishft((de.RawStack[0] and '00f0'X), -4)
   DiagEvt.raw.a.time_t1 = ishft((de.RawStack[0] and '0f00'X), -8)
   DiagEvt.raw.a.tag.m1  =       (de.RawStack[0] and '1000'X) < 1
   DiagEvt.raw.a.tag.m1h =       (de.RawStack[0] and '2000'X) < 1
   DiagEvt.raw.a.tag.m2  =       (de.RawStack[0] and '4000'X) < 1
   DiagEvt.raw.a.tag.m2h =    abs(de.RawStack[0] and '8000'X) < 1

   ; Put the tags from word 1 into the structure

   DiagEvt.raw.a.tag.t1        =    (de.RawStack[1] and '0001'X) < 1
   DiagEvt.raw.a.tag.t2        =    (de.RawStack[1] and '0002'X) < 1
   DiagEvt.raw.a.tag.t3        =    (de.RawStack[1] and '0004'X) < 1
   DiagEvt.raw.a.tag.t4        =    (de.RawStack[1] and '0008'X) < 1
   DiagEvt.raw.a.tag.t5        =    (de.RawStack[1] and '0010'X) < 1
   DiagEvt.raw.a.tag.t6        =    (de.RawStack[1] and '0020'X) < 1
   DiagEvt.raw.a.tag.t7        =    (de.RawStack[1] and '0040'X) < 1
   DiagEvt.raw.a.tag.t8        =    (de.RawStack[1] and '0080'X) < 1
   DiagEvt.raw.a.tag.m12       =    (de.RawStack[1] and '0100'X) < 1
   DiagEvt.raw.a.tag.mor       =    (de.RawStack[1] and '0200'X) < 1
   DiagEvt.raw.a.tag.hor       =    (de.RawStack[1] and '0400'X) < 1
   DiagEvt.raw.a.tag.hiz       =    (de.RawStack[1] and '0800'X) < 1
   DiagEvt.raw.a.tag.maybe_hiz =    (de.RawStack[1] and '1000'X) < 1
   DiagEvt.raw.a.tag.z2        =    (de.RawStack[1] and '2000'X) < 1
   DiagEvt.raw.a.tag.maybe_z2  =    (de.RawStack[1] and '4000'X) < 1
   DiagEvt.raw.a.tag.maybe_z1  = abs(de.RawStack[1] and '8000'X) < 1

   ; Put the times and tags from word 2 into the structure

   DiagEvt.raw.b.time_m1 =        de.RawStack[2] and '000f'X
   DiagEvt.raw.b.time_m2 = ishft((de.RawStack[2] and '00f0'X), -4)
   DiagEvt.raw.b.time_t1 = ishft((de.RawStack[2] and '0f00'X), -8)
   DiagEvt.raw.b.tag.m1  =       (de.RawStack[2] and '1000'X) < 1
   DiagEvt.raw.b.tag.m1h =       (de.RawStack[2] and '2000'X) < 1
   DiagEvt.raw.b.tag.m2  =       (de.RawStack[2] and '4000'X) < 1
   DiagEvt.raw.b.tag.m2h =    abs(de.RawStack[2] and '8000'X) < 1

   ; Put the tags from word 3 into the structure

   DiagEvt.raw.b.tag.t1        =    (de.RawStack[3] and '0001'X) < 1
   DiagEvt.raw.b.tag.t2        =    (de.RawStack[3] and '0002'X) < 1
   DiagEvt.raw.b.tag.t3        =    (de.RawStack[3] and '0004'X) < 1
   DiagEvt.raw.b.tag.t4        =    (de.RawStack[3] and '0008'X) < 1
   DiagEvt.raw.b.tag.t5        =    (de.RawStack[3] and '0010'X) < 1
   DiagEvt.raw.b.tag.t6        =    (de.RawStack[3] and '0020'X) < 1
   DiagEvt.raw.b.tag.t7        =    (de.RawStack[3] and '0040'X) < 1
   DiagEvt.raw.b.tag.t8        =    (de.RawStack[3] and '0080'X) < 1
   DiagEvt.raw.b.tag.m12       =    (de.RawStack[3] and '0100'X) < 1
   DiagEvt.raw.b.tag.mor       =    (de.RawStack[3] and '0200'X) < 1
   DiagEvt.raw.b.tag.hor       =    (de.RawStack[3] and '0400'X) < 1
   DiagEvt.raw.b.tag.hiz       =    (de.RawStack[3] and '0800'X) < 1
   DiagEvt.raw.b.tag.maybe_hiz =    (de.RawStack[3] and '1000'X) < 1
   DiagEvt.raw.b.tag.z2        =    (de.RawStack[3] and '2000'X) < 1
   DiagEvt.raw.b.tag.maybe_z2  =    (de.RawStack[3] and '4000'X) < 1
   DiagEvt.raw.b.tag.maybe_z1  = abs(de.RawStack[3] and '8000'X) < 1

   ; Put the tags from word 4 into the structure

   DiagEvt.raw.tag.coin_valid       = (de.RawStack[4] and '0001'X) < 1
   DiagEvt.raw.tag.rej_fast         = (de.RawStack[4] and '0002'X) < 1
   DiagEvt.raw.tag.stim_anti        = (de.RawStack[4] and '0004'X) < 1
   DiagEvt.raw.tag.stim_coin        = (de.RawStack[4] and '0008'X) < 1
   DiagEvt.raw.tag.stim_offset      = (de.RawStack[4] and '0010'X) < 1
   DiagEvt.raw.tag.hazard           = (de.RawStack[4] and '0020'X) < 1
   DiagEvt.raw.tag.hydrogen_enable  = (de.RawStack[4] and '0040'X) < 1
   DiagEvt.raw.tag.helium_enable    = (de.RawStack[4] and '0080'X) < 1
   DiagEvt.raw.tag.stop_acknowledge = (de.RawStack[4] and '0100'X) < 1
   DiagEvt.raw.a.tag.adc2           = (de.RawStack[4] and '0200'X) < 1
   DiagEvt.raw.a.tag.adc3           = (de.RawStack[4] and '0400'X) < 1
   DiagEvt.raw.b.tag.adc2           = (de.RawStack[4] and '0800'X) < 1
   DiagEvt.raw.b.tag.adc3           = (de.RawStack[4] and '1000'X) < 1

   ; Put the phase, class, telescope, and time tag into the structure

   DiagEvt.raw.phase         =        de.RawStack[5] and '001f'X
   DiagEvt.raw.class         = ishft((de.RawStack[5] and '0060'X), -5)
   DiagEvt.raw.tag.telescope =       (de.RawStack[5] and '0080'X) < 1
   DiagEvt.raw.CycleCount    =  ishft(de.RawStack[5], -8) and '00ff'X

   ; Put the stack PHA values in the structure

   index = 6
   DiagEvt.raw.StackPha = de.RawStack[index : index + (NSTACK-1)]
   index=index + NSTACK

   ; Put the matrix strip PHA values into the structure */

   for i=0, NPLANE-1 do begin
      DiagEvt.raw.MatrixStrip[*,i] =                                  $
                               de.RawStack[index : index + (NSTRIP-1)]
      index = index + NSTRIP
   endfor

   EventCycle = {L1SisEventCycle}
   for i=0, nrec-2 do begin
      EventCycle.NumberEvents = 1
      nbyte = de[i].NormalEvent[0] and '7f'XB
      if (nbyte gt 0) then begin
         EventCycle.EventBuffer[0 : nbyte-1] =                        $
                                        de[i].NormalEvent[0 : nbyte-1]
         EventCycle.EventBuffer[nbyte : nbyte+2] = 0B
         EventCycle.Second1996 = de[i].Second1996MinorFrame0
         EventCycle.microsecond = de[i].MicrosecondMinorFrame0
         event = unpackSisEventCycle(EventCycle)
         DiagEvt[i].normal = event[0]
      endif
   endfor
      
   return,DiagEvt 
end
