; $Id: get_group_summaries_se.pro,v 1.2 1998/07/27 14:33:59 rgr Exp $

; $RCSfile: get_group_summaries_se.pro,v $
; $Author: rgr $
; $Date: 1998/07/27 14:33:59 $
; $Revision: 1.2 $

; This function generates and returns the L1_1SisSummary structures
; between a start and stop time.
;
; Arguments
;    sec0_1996 - start time in seconds of 1996-(input)
;    sec1_1996 - stop time in seconds of 1996-(input)
;
;
; Procedures and functions used
;    get_group_summaries_s

function get_group_summaries_se, sec0_1996, sec1_1996

   sum = get_group_summaries_s(sec0_1996, sec1_1996)
   nrec = n_elements(sum)
   engr = replicate({L1_1SisSummary}, nrec)

   engr.ClockMinorFrame = sum.ClockMinorFrame
   engr.Second1996 = sum.Second1996
   engr.microsecond = sum.microsecond
   engr.FormatId = sum.FormatId
   engr.MajorFrameCount = sum.MajorFrameCount
   engr.MinorFrameCount = sum.MinorFrameCount
   engr.quality = sum.quality

   ; Convert the ADC's for voltage, currents, and temperatures.

   engr.MainBusVoltage = float(0.15054D * double(sum.MainBusVoltage))
   index = where(sum.MainBusVoltage eq 255B, nindex)
   if (nindex gt 0) then begin
      if (nindex eq 1) then index = index[0]
      engr[index].MainBusVoltage = !values.F_NaN
   endif
   engr.SisCurrent = float(0.005942D * double(sum.SisCurrent))
   index = where(sum.SisCurrent eq 255B, nindex)
   if (nindex gt 0) then begin
      if (nindex eq 1) then index = index[0]
      engr[index].SisCurrent = !values.F_NaN
   endif
   engr.SisInternalTemperature1 =                                     $
       float(-0.62745D * double(sum.SisInternalTemperature1) + 100.0D) 
   index = where(sum.SisInternalTemperature1 eq 255B, nindex)
   if (nindex gt 0) then begin
      if (nindex eq 1) then index = index[0]
      engr[index].SisInternalTemperature1 = !values.F_NaN
   endif
   engr.SisInternalTemperature2 =                                     $
       float(-0.62745D * double(sum.SisInternalTemperature2) + 100.0D) 
   index = where(sum.SisInternalTemperature2 eq 255B, nindex)
   if (nindex gt 0) then begin
      if (nindex eq 1) then index = index[0]
      engr[index].SisInternalTemperature2 = !values.F_NaN
   endif
   engr.SisInterfaceTemperature =                                     $
       float(-0.62745D * double(sum.SisInterfaceTemperature) + 100.0D) 
   index = where(sum.SisInterfaceTemperature eq 255B, nindex)
   if (nindex gt 0) then begin
      if (nindex eq 1) then index = index[0]
      engr[index].SisInterfaceTemperature = !values.F_NaN
   endif

   engr.SisCoverTelltale = sum.SisCoverTelltale
   engr.SisHskp = sum.SisHskp

   return, engr

end
