; $Id: unpacksiseventcycle.pro,v 1.4 1998/05/04 20:18:56 rgr Exp $

; $RCSfile: unpacksiseventcycle.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:18:56 $
; $Revision: 1.4 $

function UnpackSisEventCycle, EventCycle

   common SisSymbols

   ; Find the start of each valid event in the Event Buffer.

   nevent = EventCycle.NumberEvents
   if (nevent gt 0) then begin
      EventIndex = lonarr(nevent, /nozero)
      EventIndex(0) = 0L
      for i=0, nevent - 2 do                                          $
         EventIndex(i+1) = EventIndex(i) +                            $
                      long((EventCycle.EventBuffer(EventIndex(i))     $
                            and '7F'XB)) + 3
      ValidEvent = CheckSisCompressedEvents(EventCycle.EventBuffer,   $
                                                           EventIndex)
      index = where(ValidEvent eq 0B, nvalid)
      if (nvalid ne nevent) then begin
         print, nevent - nvalid, " Invalid events encountered"
         if (nvalid gt 0) then EventIndex = EventIndex(index)
      endif
   endif
   if (n_elements(EventIndex) eq 1) then EventIndex = EventIndex[0]

   ; Expand each valid event in the event buffer.
 
   event = replicate({L1_1SisEvent}, nevent + 1)
   n = nvalid - 1
   if (nvalid gt 0) then begin
      nmnf = long(G$_Sis.NumMnfsPerCycle)
      event(0:n).second1996 = EventCycle.Second1996
      event(0:n).microsecond = EventCycle.microsecond
      UnpackSisEventHeader, EventCycle.EventBuffer, EventIndex, event
      UnpackSisPeakAndOffsetData, EventCycle.EventBuffer, EventIndex, $
                                                                 event
      UnpackSisStackPhas, EventCycle.EventBuffer, EventIndex, event
      UnpackSisMatrixStrips, EventCycle.EventBuffer, EventIndex, event
      UnpackSisStimData, EventCycle.EventBuffer, EventIndex, event
      event(0:n).EventNumber = EventCycle.ClockCycle +                $
                      long(EventCycle.EventBuffer(EventIndex))*nmnf + $
                      long(EventCycle.EventBuffer(EventIndex + 1))
      event(0:n).EventOffset = EventCycle.EventBuffer(EventIndex + 2)
   endif

   ; Set the last event in the array to a zero event.

   event(nvalid:nevent).EventNumber = 0L
   event(nvalid:nevent).Second1996 = 0L
   event(nvalid:nevent).microsecond = 0L

   return, event
end
