; $Id: stringsishighpriorityrate.pro,v 1.1 1998/05/04 20:36:53 rgr Exp $

; $RCSfile: stringsishighpriorityrate.pro,v $
; $Author: rgr $
; $Date: 1998/05/04 20:36:53 $
; $Revision: 1.1 $


; This function generates and returns the name of a SIS high priority
; rate from its command table definition and the coincidence mask.
;
; Arguments
;   def = definition of the high priority rate-(input)
;   CoinMask = coincidence mask-(input)
;
;
; Procedures and functions used
;    expandSisHighPriorityRateDefinition
;    stringSisCoionRate
;    stringSisRate

function stringSisHighPriorityRate, def, CoinMask

   expandSisHighPriorityRateDefinition, def, definition
   definition = definition[0]

   name1 = stringSisRate(definition.Count1Index)
   pos = strpos(name1, "CoinRate0")
   if (pos ge 0) then  $
      name1 = strmid(name1, 0, pos) + stringSisCoinRate(CoinMask, 0)
   pos = strpos(name1, "CoinRate1")
   if (pos ge 0) then  $
      name1 = strmid(name1, 0, pos) + stringSisCoinRate(CoinMask, 1)
   if (definition.FlagCalculated eq 0) then return, name1

   if (definition.FlagAb gt 0) then begin
      name1b = stringSisRate(definition.Count1Index + 20)
      name = strmid(name1, 0, strlen(name1) - 1)
      if (strpos(name1b, name) ge 0) then   $
         name1 = name                       $
      else                                  $
         name1 = name1 + ' + ' + name1b
   endif
   if (definition.FlagCount2 eq 0) then return, name1

   name2 = stringSisRate(definition.Count2Index)
   pos = strpos(name2, "CoinRate0")
   if (pos ge 0) then  $
      name2 = strmid(name2, 0, pos) + stringSisCoinRate(CoinMask, 0)
   pos = strpos(name2, "CoinRate1")
   if (pos ge 0) then  $
      name2 = strmid(name2, 0, pos) + stringSisCoinRate(CoinMask, 1)

   if (definition.FlagAb gt 0) then begin
      name2b = stringSisRate(definition.Count2Index + 20)
      name = strmid(name2, 0, strlen(name2) - 1)
      if (strpos(name2b, name) ge 0) then   $
         name2 = name                       $
      else                                  $
         name2 = name2 + ' + ' + name2b
   endif
   if ((strpos(name1, "Rejcnts") eq 0) and                            $
                           (strpos(name2, "Vldcnts") eq 0)) then begin
      subname1 = strmid(name1, 7, strlen(name1) - 7)
      subname2 = strmid(name2, 7, strlen(name2) - 7)
      if (subname1 eq subname2) then return, subname1
   endif

   return, "(" + name1 + ")/Eff + " + name2
end
