/* $Id: AceEpochTime.c,v 1.1 1998/01/26 18:08:55 rgr Exp $ */

/* $Source: /home/rgr/ACEwareShadow/pkgs/level1_1/src/lib/ace/RCS/AceEpochTime.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/01/26 18:08:55 $ */
/* $Revision: 1.1 $ */

/* This function converts the ACE S/C clock to the ACE epoch time   */
/* which is measured in seconds from January 1, 1996 at 00:00:00.   */
/*                                                                  */
/* Arguments                                                        */
/*    clock = S/C clock - input                                     */
/*    *Second1996 = Seconds portion of ACE epoch time - output      */
/*    *microsecond = Microsecond portion of Ace epoch time - output */
/*                                                                  */
/* Functions used                                                   */
/*    SCclock_to_ACEepoch - (ASC function)                          */

#include "hdfi.h"

#include "SCclock_to_ACEepoch.h"

void AceEpochTime(uint32 clock, 
                  uint32 *Second1996,
                  uint32 *microsecond)
{
   float64 second;
   float64 sec;

   second = SCclock_to_ACEepoch((float64) clock);
   sec = (float64) ((uint32) second);
   *Second1996 = (uint32) sec;
   *microsecond = (uint32) ((second - sec) * 1.0e6);
}
