/* $Id: cvtCrisAdcToMonitorValue.c,v 1.1 1998/07/27 11:58:23 rgr Exp $ */

/* $RCSfile: cvtCrisAdcToMonitorValue.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 11:58:23 $ */
/* $Revision: 1.1 $ */

#include "hdfi.h"
#include "CrisAdc.h"
#include "cris/crisGetData/cvtCrisAdcToScaledVoltage.h"

float32 cvtCrisAdcToMonitorValue(int AdcNumber, uint16 adc)
{
   static float64 MonScaleFactor[NUM_CRIS_ADC];
   static int first = 1;

       int i;
   float64 ScaledVoltage;


   if (first) {
      first = 0;

      for (i=0; i<NUM_CRIS_ADC; i++)
         MonScaleFactor[i] = 1.0;

      MonScaleFactor[CRIS_ADC_MONITOR_P7V]  = 1.0/4.000;
      MonScaleFactor[CRIS_ADC_MONITOR_P15V] = 1.0/4.024;
      MonScaleFactor[CRIS_ADC_MONITOR_P19V] = 1.0/4.026;
      MonScaleFactor[CRIS_ADC_MONITOR_P13V] = 1.0/4.054;
      MonScaleFactor[CRIS_ADC_MONITOR_M13V] = 1.0/4.030;
      MonScaleFactor[CRIS_ADC_MONITOR_P5V]  = 1.0/4.040;
      MonScaleFactor[CRIS_ADC_MONITOR_P6V]  = 1.0/2.003;
      MonScaleFactor[CRIS_ADC_MONITOR_M6V]  = 1.0/2.003;
      MonScaleFactor[CRIS_ADC_MONITOR_P12V] = 1.0/2.835;
      MonScaleFactor[CRIS_ADC_MONITOR_M12V] = 1.0/2.831;
      MonScaleFactor[CRIS_ADC_MONITOR_M7V]  = 1.0/3.990;

      MonScaleFactor[CRIS_ADC_MONITOR_MCP1]  = 1.0;
      MonScaleFactor[CRIS_ADC_MONITOR_MCP2]  = 1.0;

      MonScaleFactor[CRIS_ADC_MONITOR_HVPS_1I]  = 1.0;
      MonScaleFactor[CRIS_ADC_MONITOR_HVPS_2I]  = 1.0;
      MonScaleFactor[CRIS_ADC_MONITOR_HVPS_3I]  = 1.0;
      MonScaleFactor[CRIS_ADC_MONITOR_HVPS_4I]  = 1.0;

      MonScaleFactor[CRIS_ADC_MONITOR_SOFT_PSA_I] = 2.0;
      MonScaleFactor[CRIS_ADC_MONITOR_SOFT_PSB_I] = 2.0;
   }

   ScaledVoltage = (float64) cvtCrisAdcToScaledVoltage(adc);
   return (float32) (ScaledVoltage / MonScaleFactor[AdcNumber]);
}
