#ifndef GETGROUPDIAGNOSTICEVENTS_CE
   #define GETGROUPDIAGNOSTICEVENTS_CE

   /* $Id: getGroupDiagnosticEvents_ce.c,v 1.1 1998/08/03 13:05:15 rgr Exp $ */

   /* $RCSfile: getGroupDiagnosticEvents_ce.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/08/03 13:05:15 $ */
   /* $Revision: 1.1 $ */


   #include <stdlib.h>
   #include <string.h>

   #include "hdfi.h"
   #include "CrisConstants.h"

   #include "cris/L1CrisDiagnosticEvent.h"
   #include "cris/L1_1CrisDiagnosticEvent.h"
   #include "cris/L1CrisEventCycle.h"
   #include "cris/ce_crisEvt.h"

   #include "crisGetData/getGroupDiagnosticEvents_c.h"
   #include "cris/crisGetData/unpackEventCycle_c.h"

   #define NBYTE  NUM_CRIS_RAW_SOFT_EVT_BYTES
   #define NWORD  SOFT_MAX_NUM_DIAG_WORDS

   struct L1_1CrisDiagnosticEvent
                    *getGroupDiagnosticEvents_ce(uint32 sec1996_0,
                                                 uint32 sec1996_1,
                                                    int autoFreeFlag)
   {
      static struct L1_1CrisDiagnosticEvent *allocatedMemory = NULL;

        struct L1CrisDiagnosticEvent *de;
      struct L1_1CrisDiagnosticEvent *engr;
                   struct ce_crisEvt event[2];
             struct L1CrisEventCycle EventCycle;
                                 int i;
                                 int irec;
                              size_t length;
                              size_t nrec;
                                 int nsoft;
                                 int offset;
      struct L1_1CrisDiagnosticEvent *pointerEngr;
        struct L1CrisDiagnosticEvent *pointerDiagnosticEvent;
                              uint32 Second1996;
                              uint16 tagword;


      /* Do the automatic deallocation of memory.  When free is    */
      /* called with the address of a previously allocated memory  */
      /* block, free deallocates the memory block.  If the address */
      /* is NULL, free does nothing.                               */

      free(allocatedMemory);


      /* Find the number of structures and allocate and zero the */
      /* memory for them.                                        */

      pointerDiagnosticEvent = getGroupDiagnosticEvents_c(sec1996_0,
                                                         sec1996_1, 0);

      Second1996 = 0;
      de = pointerDiagnosticEvent;
      nrec = 0;
      while (de->Second1996MinorFrame0) {
         if (de->Second1996MinorFrame0 != Second1996) {
            nrec++;
            Second1996 = de->Second1996MinorFrame0;
         }
         de++;
      }
      pointerEngr =
                 calloc(nrec+1, sizeof(struct L1_1CrisDiagnosticEvent));
      engr = pointerEngr;
      de = pointerDiagnosticEvent;



      /* Build an L1_1CrisDiagnosticEvent structure for each */
      /* diagnostic event present.                           */

      engr->ClockMinorFrame0 = de->ClockMinorFrame0;
      engr->ClockMinorFrame1 = de->ClockMinorFrame1;
      engr->Second1996MinorFrame0 = de->Second1996MinorFrame0;
      engr->Second1996MinorFrame1 = de->Second1996MinorFrame1;
      engr->MicrosecondMinorFrame0 = de->MicrosecondMinorFrame0;
      engr->MicrosecondMinorFrame1 = de->MicrosecondMinorFrame1;
      irec = 0;
      offset = 0;
      while (irec < nrec) {
         if (de->Second1996MinorFrame0 ==
                                       engr->Second1996MinorFrame0) {
            nsoft = ((NWORD-offset) < (NBYTE/2)) ?
                                              NWORD-offset : NBYTE/2;
            for (i=0; i<nsoft; i++){
               engr->soft[offset] = de->SoftEvent[i];
               offset++;
            }
            de++;
         }
         else {
            de--;
            tagword = de->RawStack[0];
            engr->raw.tag.stim_puls_tag = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.tag.stim_off_tag = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.z1 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.z2 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.z_gt_2 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.z1 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.z2 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.z_gt_2 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.tag.hazard = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.tag.ghor = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.tag.mor = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.adc2 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.min_range = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.adc2 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.min_range = (uint8) (tagword & 0x0001);

            tagword = de->RawStack[1];
            engr->raw.ab.tag.e1_0 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.e1_1 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.e2 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.e3 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.e4 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.e5 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.e6 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.e7 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.e8 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.e9 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.g2 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.g3 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.g4 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.g5 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.g6 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.ab.tag.g7 = (uint8) (tagword & 0x0001);

            tagword = de->RawStack[2];
            engr->raw.cd.tag.e1_0 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.e1_1 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.e2 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.e3 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.e4 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.e5 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.e6 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.e7 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.e8 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.e9 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.g2 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.g3 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.g4 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.g5 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.g6 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.cd.tag.g7 = (uint8) (tagword & 0x0001);

            tagword = de->RawStack[3];
            engr->raw.tag.soft_trig0 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.tag.soft_trig1 = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.tag.hy_en = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.tag.he_en = (uint8) (tagword & 0x0001);
            tagword >>= 1;
            engr->raw.CycleCount = (uint8) (tagword & 0x00ff);

            engr->raw.ab.e1_0 = de->RawStack[4];
            engr->raw.ab.e1_1 = de->RawStack[5];
            engr->raw.ab.e2   = de->RawStack[6];
            engr->raw.ab.e3   = de->RawStack[7];
            engr->raw.ab.e4   = de->RawStack[8];
            engr->raw.ab.e5   = de->RawStack[9];
            engr->raw.ab.e6   = de->RawStack[10];
            engr->raw.ab.e7   = de->RawStack[11];
            engr->raw.ab.e8   = de->RawStack[12];
            engr->raw.ab.e9   = de->RawStack[13];
            engr->raw.ab.g2   = de->RawStack[14];
            engr->raw.ab.g3   = de->RawStack[15];
            engr->raw.ab.g4   = de->RawStack[16];
            engr->raw.ab.g5   = de->RawStack[17];
            engr->raw.ab.g6   = de->RawStack[18];
            engr->raw.ab.g7   = de->RawStack[19];

            engr->raw.cd.e1_0 = de->RawStack[20];
            engr->raw.cd.e1_1 = de->RawStack[21];
            engr->raw.cd.e2   = de->RawStack[22];
            engr->raw.cd.e3   = de->RawStack[23];
            engr->raw.cd.e4   = de->RawStack[24];
            engr->raw.cd.e5   = de->RawStack[25];
            engr->raw.cd.e6   = de->RawStack[26];
            engr->raw.cd.e7   = de->RawStack[27];
            engr->raw.cd.e8   = de->RawStack[28];
            engr->raw.cd.e9   = de->RawStack[29];
            engr->raw.cd.g2   = de->RawStack[30];
            engr->raw.cd.g3   = de->RawStack[31];
            engr->raw.cd.g4   = de->RawStack[32];
            engr->raw.cd.g5   = de->RawStack[33];
            engr->raw.cd.g6   = de->RawStack[34];
            engr->raw.cd.g7   = de->RawStack[35];

            if (!(de->ContinuationFlag)) {
               EventCycle.NumberEvents = 1;
               length = (size_t) de->NormalEvent[0];
               memcpy(EventCycle.EventBuffer, de->NormalEvent, length);
               EventCycle.EventBuffer[length  ] = 0x00;
               EventCycle.EventBuffer[length+1] = 0x00;
               EventCycle.EventBuffer[length+2] = 0x00;
               EventCycle.Second1996 = de->Second1996MinorFrame0;
               EventCycle.microsecond = de->MicrosecondMinorFrame0;
               unpackEventCycle_c(&EventCycle, event);
               engr->normal = event[0];
            }

            irec++;
            offset = 0;
            engr++;
            de++;
            engr->ClockMinorFrame0 = de->ClockMinorFrame0;
            engr->ClockMinorFrame1 = de->ClockMinorFrame1;
            engr->Second1996MinorFrame0 = de->Second1996MinorFrame0;
            engr->Second1996MinorFrame1 = de->Second1996MinorFrame1;
            engr->MicrosecondMinorFrame0 = de->MicrosecondMinorFrame0;
            engr->MicrosecondMinorFrame1 = de->MicrosecondMinorFrame1;
         }
      }

      free(pointerDiagnosticEvent);


      /* Set the variable that controls the automatic deallocation */
      /* of the memory allocated.  If the user wants automatic     */
      /* deallocation of memory, set the variable equal to address */
      /* of the allocated memory; otherwise, set to NULL.          */

      allocatedMemory = autoFreeFlag ? pointerEngr : NULL;

      return pointerEngr;
   }

   #undef NBYTE
   #undef NWORD

#endif
