#ifndef GETGROUPHSKPS_CE
   #define GETGROUPHSKPS_CE

   /* $Id: getGroupHskps_ce.c,v 1.2 1998/08/03 13:06:08 rgr Exp $ */

   /* $RCSfile: getGroupHskps_ce.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/08/03 13:06:08 $ */
   /* $Revision: 1.2 $ */


   #include <stdlib.h>

   #include "hdfi.h"
   #include "CrisConstants.h"
   #include "CrisAdc.h"
   
   #include "cris/L1CrisHskp.h"
   #include "cris/L1_1CrisHskp.h"

   #include "crisGetData/getGroupHskps_c.h"
   #include "cris/crisGetData/cvtCrisAdcToDegC.h"
   #include "cris/crisGetData/cvtCrisAdcToLeakageCurrent.h"
   #include "cris/crisGetData/cvtCrisAdcToMonitorValue.h"
   #include "cris/crisGetData/cvtCrisDacToControlVoltage.h"

   #define CVT_DEG(v)     cvtCrisAdcToDegC(v)
   #define CVT_LC(a,v,d)  cvtCrisAdcToLeakageCurrent(a,v,d)
   #define CVT_MON(a,v)   cvtCrisAdcToMonitorValue(a,v)
   #define UNDEFINED      CRIS_UNDEFINED_8

   struct L1_1CrisHskp *getGroupHskps_ce(uint32 sec1996_0,
                                         uint32 sec1996_1,
                                            int autoFreeFlag)
   {
      static struct L1_1CrisHskp *allocatedMemory = NULL;

      struct L1_1CrisHskp *engr;
                   size_t nrec;
      struct L1_1CrisHskp *pointerEngr;
        struct L1CrisHskp *pointerHskp;
        struct L1CrisHskp *hskp;

      /* Do the automatic deallocation of memory.  When free is    */
      /* called with the address of a previously allocated memory  */
      /* block, free deallocates the memory block.  If the address */
      /* is NULL, free does nothing.                               */

      free(allocatedMemory);


      /* Find the number of structures and allocate and zero the */
      /* memory for them.                                        */

      pointerHskp = getGroupHskps_c(sec1996_0, sec1996_1, 0);
      hskp = pointerHskp;
      nrec = 0;
      while (hskp->Second1996) {
         nrec++;
         hskp++;
      }
      pointerEngr = calloc(nrec+1, sizeof(struct L1_1CrisHskp));



      /* Build an L1_1CrisHskp structure for each L1CrisHskp */
      /* structure present.                                  */

      hskp = pointerHskp;
      engr = pointerEngr;
      while (hskp->Second1996) {
         engr->ClockCycle = hskp->ClockCycle;
         engr->Second1996 = hskp->Second1996;
         engr->microsecond = hskp->microsecond;

         /* Convert the ADC's for monitor voltages and currents. */
      
         engr->MonitorP5V =
                     CVT_MON(CRIS_ADC_MONITOR_P5V, hskp->MonitorP5V);
         engr->MonitorP6V =
                     CVT_MON(CRIS_ADC_MONITOR_P6V, hskp->MonitorP6V);
         engr->MonitorM6V =
                     CVT_MON(CRIS_ADC_MONITOR_M6V, hskp->MonitorM6V);
         engr->MonitorP7V = 
                     CVT_MON(CRIS_ADC_MONITOR_P7V, hskp->MonitorP7V);
         engr->MonitorM7V = 
                     CVT_MON(CRIS_ADC_MONITOR_M7V, hskp->MonitorM7V);
         engr->MonitorP12V = 
                     CVT_MON(CRIS_ADC_MONITOR_P12V, hskp->MonitorP12V);
         engr->MonitorM12V =
                     CVT_MON(CRIS_ADC_MONITOR_M12V, hskp->MonitorM12V);
         engr->MonitorP13V =
                     CVT_MON(CRIS_ADC_MONITOR_P13V, hskp->MonitorP13V);
         engr->MonitorM13V =
                     CVT_MON(CRIS_ADC_MONITOR_M13V, hskp->MonitorM13V);
         engr->MonitorP15V = 
                     CVT_MON(CRIS_ADC_MONITOR_P15V, hskp->MonitorP15V);
         engr->MonitorP19V = 
                     CVT_MON(CRIS_ADC_MONITOR_P19V, hskp->MonitorP19V);
         engr->MonitorMcp1 =
                     CVT_MON(CRIS_ADC_MONITOR_MCP1, hskp->MonitorMcp1);
         engr->MonitorMcp2 =
                     CVT_MON(CRIS_ADC_MONITOR_MCP2, hskp->MonitorMcp2);
         engr->MonitorHvps1I =
                CVT_MON(CRIS_ADC_MONITOR_HVPS_1I, hskp->MonitorHvps1I);
         engr->MonitorHvps2I = 
                CVT_MON(CRIS_ADC_MONITOR_HVPS_2I, hskp->MonitorHvps2I);
         engr->MonitorHvps3I =
                CVT_MON(CRIS_ADC_MONITOR_HVPS_3I, hskp->MonitorHvps3I);
         engr->MonitorHvps4I =
                CVT_MON(CRIS_ADC_MONITOR_HVPS_4I, hskp->MonitorHvps4I);
         engr->MonitorSoftPsaI =
           CVT_MON(CRIS_ADC_MONITOR_SOFT_PSA_I, hskp->MonitorSoftPsaI);
         engr->MonitorSoftPsbI = 
           CVT_MON(CRIS_ADC_MONITOR_SOFT_PSB_I, hskp->MonitorSoftPsbI);

         /* Convert the ADC's for the temperatures. */
      
         engr->TemperatureMotherBoardElect = 
                            CVT_DEG(hskp->TemperatureMotherBoardElect);
         engr->TemperatureMotherBoardDet =
                            CVT_DEG(hskp->TemperatureMotherBoardDet);
         engr->TemperatureMotherBoardC = 
                            CVT_DEG(hskp->TemperatureMotherBoardC);
         engr->TemperatureAnalogBoard =
                            CVT_DEG(hskp->TemperatureAnalogBoard);
         engr->TemperaturePostRegBoard =
                            CVT_DEG(hskp->TemperaturePostRegBoard);
         engr->TemperatureLogicBoard =
                            CVT_DEG(hskp->TemperatureLogicBoard);
         engr->TemperatureE12Elect = CVT_DEG(hskp->TemperatureE12Elect);
         engr->TemperatureE12Det   = CVT_DEG(hskp->TemperatureE12Det);
         engr->TemperatureE34Elect = CVT_DEG(hskp->TemperatureE34Elect);
         engr->TemperatureE34Det   = CVT_DEG(hskp->TemperatureE34Det);
         engr->TemperatureE56Elect = CVT_DEG(hskp->TemperatureE56Elect);
         engr->TemperatureE56Det   = CVT_DEG(hskp->TemperatureE56Det);
         engr->TemperatureE789Elect =
                            CVT_DEG(hskp->TemperatureE789Elect);
         engr->TemperatureE789Det  = CVT_DEG(hskp->TemperatureE789Det);
         engr->TemperatureLvps     = CVT_DEG(hskp->TemperatureLvps);
         engr->TemperatureHvps     = CVT_DEG(hskp->TemperatureHvps);
         engr->TemperatureFiberPlaneTop0 =
                            CVT_DEG(hskp->TemperatureFiberPlaneTop0);
         engr->TemperatureFiberPlaneTop1 =
                            CVT_DEG(hskp->TemperatureFiberPlaneTop1);
         engr->TemperatureFiberPlaneMid =
                            CVT_DEG(hskp->TemperatureFiberPlaneMid);
         engr->TemperatureFiberPlaneBot =
                            CVT_DEG(hskp->TemperatureFiberPlaneBot);
         engr->TemperatureImageInt1Side =
                            CVT_DEG(hskp->TemperatureImageInt1Side);
         engr->TemperatureImageInt1Rear =
                            CVT_DEG(hskp->TemperatureImageInt1Rear);
         engr->TemperatureCamera1Elect =
                            CVT_DEG(hskp->TemperatureCamera1Elect);
         engr->TemperatureHvps1 = CVT_DEG(hskp->TemperatureHvps1);
         engr->TemperatureImageInt2Side =
                            CVT_DEG(hskp->TemperatureImageInt2Side);
         engr->TemperatureImageInt2Rear =
                            CVT_DEG(hskp->TemperatureImageInt2Rear);
         engr->TemperatureCamera2Elect =
                            CVT_DEG(hskp->TemperatureCamera2Elect);
         engr->TemperatureHvps2 = CVT_DEG(hskp->TemperatureHvps2);

         /* Convert the ADC's for the leakage currents. */
      
         engr->LeakageCurrentE1a = 
              CVT_LC(CRIS_ADC_POSTDCE1A, hskp->PostDcE1a, UNDEFINED);
         engr->LeakageCurrentE1b =
              CVT_LC(CRIS_ADC_POSTDCE1B, hskp->PostDcE1b, UNDEFINED);
         engr->LeakageCurrentE2ab =
              CVT_LC(CRIS_ADC_POSTDCE2AB, hskp->PostDcE2ab, UNDEFINED);
         engr->LeakageCurrentE3ab =
              CVT_LC(CRIS_ADC_POSTDCE3AB, hskp->PostDcE3ab, UNDEFINED);
         engr->LeakageCurrentE4ab =
              CVT_LC(CRIS_ADC_POSTDCE4AB, hskp->PostDcE4ab, UNDEFINED);
         engr->LeakageCurrentE5ab =
              CVT_LC(CRIS_ADC_POSTDCE5AB, hskp->PostDcE5ab, UNDEFINED);
         engr->LeakageCurrentE6ab =
              CVT_LC(CRIS_ADC_POSTDCE6AB, hskp->PostDcE6ab, UNDEFINED);
         engr->LeakageCurrentE7ab =
              CVT_LC(CRIS_ADC_POSTDCE7AB, hskp->PostDcE7ab, UNDEFINED);
         engr->LeakageCurrentE8ab =
              CVT_LC(CRIS_ADC_POSTDCE8AB, hskp->PostDcE8ab, UNDEFINED);
         engr->LeakageCurrentE9ab =
           CVT_LC(CRIS_ADC_POSTDCE9AB, hskp->PostDcE9ab, hskp->DacE9ab);
         engr->LeakageCurrentG2ab = 
           CVT_LC(CRIS_ADC_POSTDCG2AB, hskp->PostDcG2ab, hskp->DacG2ab);
         engr->LeakageCurrentG3ab = 
           CVT_LC(CRIS_ADC_POSTDCG3AB, hskp->PostDcG3ab, hskp->DacG3ab);
         engr->LeakageCurrentG4ab =
           CVT_LC(CRIS_ADC_POSTDCG4AB, hskp->PostDcG4ab, hskp->DacG4ab);
         engr->LeakageCurrentG5ab =
           CVT_LC(CRIS_ADC_POSTDCG5AB, hskp->PostDcG5ab, hskp->DacG5ab);
         engr->LeakageCurrentG6ab =
           CVT_LC(CRIS_ADC_POSTDCG6AB, hskp->PostDcG6ab, hskp->DacG6ab);
         engr->LeakageCurrentG7ab =
           CVT_LC(CRIS_ADC_POSTDCG7AB, hskp->PostDcG7ab, hskp->DacG7ab);
         engr->LeakageCurrentE1c =
              CVT_LC(CRIS_ADC_POSTDCE1C, hskp->PostDcE1c, UNDEFINED);
         engr->LeakageCurrentE1d =
              CVT_LC(CRIS_ADC_POSTDCE1D, hskp->PostDcE1d, UNDEFINED);
         engr->LeakageCurrentE2cd =
              CVT_LC(CRIS_ADC_POSTDCE2CD, hskp->PostDcE2cd, UNDEFINED);
         engr->LeakageCurrentE3cd =
              CVT_LC(CRIS_ADC_POSTDCE3CD, hskp->PostDcE3cd, UNDEFINED);
         engr->LeakageCurrentE4cd =
              CVT_LC(CRIS_ADC_POSTDCE4CD, hskp->PostDcE4cd, UNDEFINED);
         engr->LeakageCurrentE5cd =
              CVT_LC(CRIS_ADC_POSTDCE5CD, hskp->PostDcE5cd, UNDEFINED);
         engr->LeakageCurrentE6cd =
              CVT_LC(CRIS_ADC_POSTDCE6CD, hskp->PostDcE6cd, UNDEFINED);
         engr->LeakageCurrentE7cd =
              CVT_LC(CRIS_ADC_POSTDCE7CD, hskp->PostDcE7cd, UNDEFINED);
         engr->LeakageCurrentE8cd =
              CVT_LC(CRIS_ADC_POSTDCE8CD, hskp->PostDcE8cd, UNDEFINED);
         engr->LeakageCurrentE9cd =
           CVT_LC(CRIS_ADC_POSTDCE9CD, hskp->PostDcE9cd, hskp->DacE9cd);
         engr->LeakageCurrentG2cd =
           CVT_LC(CRIS_ADC_POSTDCG2CD, hskp->PostDcG2cd, hskp->DacG2cd);
         engr->LeakageCurrentG3cd =
           CVT_LC(CRIS_ADC_POSTDCG3CD, hskp->PostDcG3cd, hskp->DacG3cd);
         engr->LeakageCurrentG4cd =
           CVT_LC(CRIS_ADC_POSTDCG4CD, hskp->PostDcG4cd, hskp->DacG4cd);
         engr->LeakageCurrentG5cd =
           CVT_LC(CRIS_ADC_POSTDCG5CD, hskp->PostDcG5cd, hskp->DacG5cd);
         engr->LeakageCurrentG6cd =
           CVT_LC(CRIS_ADC_POSTDCG6CD, hskp->PostDcG6cd, hskp->DacG6cd);
         engr->LeakageCurrentG7cd =
           CVT_LC(CRIS_ADC_POSTDCG7CD, hskp->PostDcG7cd, hskp->DacG7cd);

         /* Convert the DAC's for control voltage. */
      
         engr->DacG2ab = cvtCrisDacToControlVoltage(hskp->DacG2ab);
         engr->DacG3ab = cvtCrisDacToControlVoltage(hskp->DacG3ab);
         engr->DacG4ab = cvtCrisDacToControlVoltage(hskp->DacG4ab);
         engr->DacG5ab = cvtCrisDacToControlVoltage(hskp->DacG5ab);
         engr->DacG6ab = cvtCrisDacToControlVoltage(hskp->DacG6ab);
         engr->DacG7ab = cvtCrisDacToControlVoltage(hskp->DacG7ab);
         engr->DacE9ab = cvtCrisDacToControlVoltage(hskp->DacE9ab);
         engr->DacG2cd = cvtCrisDacToControlVoltage(hskp->DacG2cd);
         engr->DacG3cd = cvtCrisDacToControlVoltage(hskp->DacG3cd);
         engr->DacG4cd = cvtCrisDacToControlVoltage(hskp->DacG4cd);
         engr->DacG5cd = cvtCrisDacToControlVoltage(hskp->DacG5cd);
         engr->DacG6cd = cvtCrisDacToControlVoltage(hskp->DacG6cd);
         engr->DacG7cd = cvtCrisDacToControlVoltage(hskp->DacG7cd);
         engr->DacE9cd = cvtCrisDacToControlVoltage(hskp->DacE9cd);

         /* Generate the quality flagsa. */
      
         engr->QualityMonitorP5V = hskp->QualityMonitorP5V;
         engr->QualityMonitorP6V = hskp->QualityMonitorP6V;
         engr->QualityMonitorM6V = hskp->QualityMonitorM6V;
         engr->QualityMonitorP7V = hskp->QualityMonitorP7V;
         engr->QualityMonitorM7V = hskp->QualityMonitorM7V;
         engr->QualityMonitorP12V = hskp->QualityMonitorP12V;
         engr->QualityMonitorM12V = hskp->QualityMonitorM12V;
         engr->QualityMonitorP13V = hskp->QualityMonitorP13V;
         engr->QualityMonitorM13V = hskp->QualityMonitorM13V;
         engr->QualityMonitorP15V = hskp->QualityMonitorP15V;
         engr->QualityMonitorP19V = hskp->QualityMonitorP19V;
         engr->QualityMonitorMcp1 = hskp->QualityMonitorMcp1;
         engr->QualityMonitorMcp2 = hskp->QualityMonitorMcp2;
         engr->QualityMonitorHvps1I = hskp->QualityMonitorHvps1I;
         engr->QualityMonitorHvps2I = hskp->QualityMonitorHvps2I;
         engr->QualityMonitorHvps3I = hskp->QualityMonitorHvps3I;
         engr->QualityMonitorHvps4I = hskp->QualityMonitorHvps4I;
         engr->QualityMonitorSoftPsaI = hskp->QualityMonitorSoftPsaI;
         engr->QualityMonitorSoftPsbI = hskp->QualityMonitorSoftPsbI;
         engr->QualityTemperatureMotherBoardElect =
                              hskp->QualityTemperatureMotherBoardElect;
         engr->QualityTemperatureMotherBoardDet =
                              hskp->QualityTemperatureMotherBoardDet;
         engr->QualityTemperatureMotherBoardC =
                              hskp->QualityTemperatureMotherBoardC;
         engr->QualityTemperatureAnalogBoard =
                              hskp->QualityTemperatureAnalogBoard;
         engr->QualityTemperaturePostRegBoard =
                              hskp->QualityTemperaturePostRegBoard;
         engr->QualityTemperatureLogicBoard =
                              hskp->QualityTemperatureLogicBoard;
         engr->QualityTemperatureE12Elect =
                              hskp->QualityTemperatureE12Elect;
         engr->QualityTemperatureE12Det =
                              hskp->QualityTemperatureE12Det;
         engr->QualityTemperatureE34Elect =
                              hskp->QualityTemperatureE34Elect;
         engr->QualityTemperatureE34Det =
                              hskp->QualityTemperatureE34Det;
         engr->QualityTemperatureE56Elect =
                              hskp->QualityTemperatureE56Elect;
         engr->QualityTemperatureE56Det =
                              hskp->QualityTemperatureE56Det;
         engr->QualityTemperatureE789Elect =
                              hskp->QualityTemperatureE789Elect;
         engr->QualityTemperatureE789Det =
                              hskp->QualityTemperatureE789Det;
         engr->QualityTemperatureLvps =
                              hskp->QualityTemperatureLvps;
         engr->QualityTemperatureHvps =
                              hskp->QualityTemperatureHvps;
         engr->QualityTemperatureFiberPlaneTop0 =
                              hskp->QualityTemperatureFiberPlaneTop0;
         engr->QualityTemperatureFiberPlaneTop1 =
                              hskp->QualityTemperatureFiberPlaneTop1;
         engr->QualityTemperatureFiberPlaneMid =
                              hskp->QualityTemperatureFiberPlaneMid;
         engr->QualityTemperatureFiberPlaneBot =
                              hskp->QualityTemperatureFiberPlaneBot;
         engr->QualityTemperatureImageInt1Side =
                              hskp->QualityTemperatureImageInt1Side;
         engr->QualityTemperatureImageInt1Rear =
                              hskp->QualityTemperatureImageInt1Rear;
         engr->QualityTemperatureCamera1Elect =
                              hskp->QualityTemperatureCamera1Elect;
         engr->QualityTemperatureHvps1 = hskp->QualityTemperatureHvps1;
         engr->QualityTemperatureImageInt2Side =
                              hskp->QualityTemperatureImageInt2Side;
         engr->QualityTemperatureImageInt2Rear =
                              hskp->QualityTemperatureImageInt2Rear;
         engr->QualityTemperatureCamera2Elect =
                              hskp->QualityTemperatureCamera2Elect;
         engr->QualityTemperatureHvps2 = hskp->QualityTemperatureHvps2;
         engr->QualityLeakageCurrentE1a = hskp->QualityPostDcE1a;
         engr->QualityLeakageCurrentE1b = hskp->QualityPostDcE1b;
         engr->QualityLeakageCurrentE2ab = hskp->QualityPostDcE2ab;
         engr->QualityLeakageCurrentE3ab = hskp->QualityPostDcE3ab;
         engr->QualityLeakageCurrentE4ab = hskp->QualityPostDcE4ab;
         engr->QualityLeakageCurrentE5ab = hskp->QualityPostDcE5ab;
         engr->QualityLeakageCurrentE6ab = hskp->QualityPostDcE6ab;
         engr->QualityLeakageCurrentE7ab = hskp->QualityPostDcE7ab;
         engr->QualityLeakageCurrentE8ab = hskp->QualityPostDcE8ab;
         engr->QualityLeakageCurrentE9ab =
                        hskp->QualityPostDcE9ab | hskp->QualityDacE9ab;
         engr->QualityLeakageCurrentG2ab =
                        hskp->QualityPostDcG2ab | hskp->QualityDacG2ab;
         engr->QualityLeakageCurrentG3ab =
                        hskp->QualityPostDcG3ab | hskp->QualityDacG3ab;
         engr->QualityLeakageCurrentG4ab =
                        hskp->QualityPostDcG4ab | hskp->QualityDacG4ab;
         engr->QualityLeakageCurrentG5ab =
                        hskp->QualityPostDcG5ab | hskp->QualityDacG5ab;
         engr->QualityLeakageCurrentG6ab =
                        hskp->QualityPostDcG6ab | hskp->QualityDacG6ab;
         engr->QualityLeakageCurrentG7ab =
                        hskp->QualityPostDcG7ab | hskp->QualityDacG7ab;
         engr->QualityLeakageCurrentE1c = hskp->QualityPostDcE1c;
         engr->QualityLeakageCurrentE1d = hskp->QualityPostDcE1d;
         engr->QualityLeakageCurrentE2cd = hskp->QualityPostDcE2cd;
         engr->QualityLeakageCurrentE3cd = hskp->QualityPostDcE3cd;
         engr->QualityLeakageCurrentE4cd = hskp->QualityPostDcE4cd;
         engr->QualityLeakageCurrentE5cd = hskp->QualityPostDcE5cd;
         engr->QualityLeakageCurrentE6cd = hskp->QualityPostDcE6cd;
         engr->QualityLeakageCurrentE7cd = hskp->QualityPostDcE7cd;
         engr->QualityLeakageCurrentE8cd = hskp->QualityPostDcE8cd;
         engr->QualityLeakageCurrentE9cd =
                        hskp->QualityPostDcE9cd | hskp->QualityDacE9cd;
         engr->QualityLeakageCurrentG2cd =
                        hskp->QualityPostDcG2cd | hskp->QualityDacG2cd;
         engr->QualityLeakageCurrentG3cd =
                        hskp->QualityPostDcG3cd | hskp->QualityDacG3cd;
         engr->QualityLeakageCurrentG4cd =
                        hskp->QualityPostDcG4cd | hskp->QualityDacG4cd;
         engr->QualityLeakageCurrentG5cd =
                        hskp->QualityPostDcG5cd | hskp->QualityDacG5cd;
         engr->QualityLeakageCurrentG6cd =
                        hskp->QualityPostDcG6cd | hskp->QualityDacG6cd;
         engr->QualityLeakageCurrentG7cd =
                        hskp->QualityPostDcG7cd | hskp->QualityDacG7cd;
         engr->QualityDacG2ab = hskp->QualityDacG2ab;
         engr->QualityDacG3ab = hskp->QualityDacG3ab;
         engr->QualityDacG4ab = hskp->QualityDacG4ab;
         engr->QualityDacG5ab = hskp->QualityDacG5ab;
         engr->QualityDacG6ab = hskp->QualityDacG6ab;
         engr->QualityDacG7ab = hskp->QualityDacG7ab;
         engr->QualityDacE9ab = hskp->QualityDacE9ab;
         engr->QualityDacG2cd = hskp->QualityDacG2cd;
         engr->QualityDacG3cd = hskp->QualityDacG3cd;
         engr->QualityDacG4cd = hskp->QualityDacG4cd;
         engr->QualityDacG5cd = hskp->QualityDacG5cd;
         engr->QualityDacG6cd = hskp->QualityDacG6cd;
         engr->QualityDacG7cd = hskp->QualityDacG7cd;
         engr->QualityDacE9cd = hskp->QualityDacE9cd;

         hskp++;
         engr++;
      }

      free(pointerHskp);


      /* Set the variable that controls the automatic deallocation */
      /* of the memory allocated.  If the user wants automatic     */
      /* deallocation of memory, set the variable equal to address */
      /* of the allocated memory; otherwise, set to NULL.          */

      allocatedMemory = autoFreeFlag ? pointerEngr : NULL;

      return pointerEngr;
   }

   #undef CVT_DEG
   #undef CVT_LC
   #undef CVT_MON
   #undef UNDEFINED

#endif
