#ifndef GETGROUPLORATES_CE
   #define GETGROUPLORATES_CE

   /* $Id: getGroupLoRates_ce.c,v 1.2 1998/08/03 13:08:29 rgr Exp $ */
   
   /* $RCSfile: getGroupLoRates_ce.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/08/03 13:08:29 $ */
   /* $Revision: 1.2 $ */

   #include <stdlib.h>

   #include "hdfi.h"
   
   #include "cris/L1CrisLowPriorityRate.h"
   #include "cris/L1_1CrisLowPriorityRate.h"

   #include "crisGetData/getGroupLoRates_c.h"
   #include "cris/crisGetData/computeCrisDataBufferRates.h"
   #include "cris/crisGetData/computeCrisEventBufferRates.h"
   #include "cris/crisGetData/computeCrisMiscRates.h"
   #include "cris/crisGetData/computeCrisSingleRates.h"

   struct L1_1CrisLowPriorityRate *getGroupLoRates_ce(uint32 sec1996_0,
                                                      uint32 sec1996_1,
                                                      int autoFreeFlag)
   {
      static struct L1_1CrisLowPriorityRate *allocatedMemory = NULL;

      struct L1_1CrisLowPriorityRate *engr;
        struct L1CrisLowPriorityRate *lp;
                             size_t nrec;
      struct L1_1CrisLowPriorityRate *pointerEngr;
        struct L1CrisLowPriorityRate *pointerLp;

      /* Do the automatic deallocation of memory.  When free is    */
      /* called with the address of a previously allocated memory  */
      /* block, free deallocates the memory block.  If the address */
      /* is NULL, free does nothing.                               */

      free(allocatedMemory);


      /* Find the number of structures and allocate and zero the */
      /* memory for them.                                        */

      pointerLp = getGroupLoRates_c(sec1996_0, sec1996_1, 0);
      lp = pointerLp;
      nrec = 0;
      while (lp->Second1996) {
         nrec++;
         lp++;
      }
      pointerEngr =
                calloc(nrec+1, sizeof(struct L1_1CrisLowPriorityRate));



      /* Build an L1_1CrisLowPriorityRate structure for each */
      /* L1CrisLowPriorityRate structure present.            */

      lp = pointerLp;
      engr = pointerEngr;
      while (lp->Second1996) {
         engr->ClockCycle = lp->ClockCycle;
         engr->Second1996 = lp->Second1996;
         engr->microsecond = lp->microsecond;
      
         computeCrisMiscRates(lp, engr);
         computeCrisSingleRates(lp, engr);
         computeCrisDataBufferRates(lp, engr);
         computeCrisEventBufferRates(lp, engr);
      
         lp++;
         engr++;
      }

      free(pointerLp);


      /* Set the variable that controls the automatic deallocation */
      /* of the memory allocated.  If the user wants automatic     */
      /* deallocation of memory, set the variable equal to address */
      /* of the allocated memory; otherwise, set to NULL.          */

      allocatedMemory = autoFreeFlag ? pointerEngr : NULL;

      return pointerEngr;
   }

#endif
