/* $Id: unpackCenterPhas_c.c,v 1.2 1998/08/03 13:09:41 rgr Exp $ */

/* $RCSfile: unpackCenterPhas_c.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/08/03 13:09:41 $ */
/* $Revision: 1.2 $ */

#include <sys/types.h>
#include "hdfi.h"
#include "cris.h"


void unpackCenterPhas_c(u_char *telemetry,
                       u_long *index,
                          int telescope,
            struct ce_crisEvt *event)

{
   u_long  byte;
   u_char  i;
   u_char  range;
    short  *pha;

   if (telescope == 1) {
      range = event->R1;
      pha = event->prim_ctr_ph;
   } else {
      range = event->R2;
      pha = event->sec_ctr_ph;
   }

   for (i=range; i<CE_CRIS_NCTRPH; i++)
      pha[i] = 0xffff;
   if (!range) return;

   byte = *index;
   for (i=0; i<=range;) {
      pha[i++] = ((short) telemetry[byte] << 4) |
                 ((short) telemetry[byte+1] >> 4);
                 byte++;
      if (i <= range) {
         pha[i++] = (((short) telemetry[byte] & 0x000f) << 8) |
                     ((short) telemetry[byte+1]);
         byte++;
      }
      byte++;
   }
   *index = byte;
}
