/* $Id: unpackEventCycle_c.c,v 1.4 1998/07/27 11:59:47 rgr Exp $ */

/* $RCSfile: unpackEventCycle_c.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 11:59:47 $ */
/* $Revision: 1.4 $ */

#include <sys/types.h>
#include "hdfi.h"
#include "cris.h"

#include "cris/crisGetData/checkCompressedEvent_c.h"
#include "cris/crisGetData/unpackCenterPhas_c.h"
#include "cris/crisGetData/unpackEventHeader_c.h"
#include "cris/crisGetData/unpackGuardPhas_c.h"
#include "cris/crisGetData/unpackHodoscopeData_c.h"
#include "cris/crisGetData/unpackStimData_c.h"
#include "cris/crisGetData/unpackTagBits_c.h"


#define NMNF  NUM_CRIS_MNFS_PER_CYCLE

int unpackEventCycle_c(struct L1CrisEventCycle *EventCycle,
                             struct ce_crisEvt *event)
{
   struct ce_crisEvt *evt;

    uint8 *EventBuffer;
      int i;
   uint32 index;
   uint16 nevent;
      int nevt;

   nevent = EventCycle->NumberEvents;
   EventBuffer = EventCycle->EventBuffer;

   index = 0;
   nevt = 0;
   for (i=0; i<nevent; i++) {
      evt = event + nevt;
      if (checkCompressedEvent_c(EventBuffer, index, evt)) {
         index += (uint32) EventBuffer[index] + 3;
         continue;
      }
      evt->secs1996 = EventCycle->Second1996;
      evt->usec = EventCycle->microsecond;
      evt->rfu = 0L;
      evt->cam = 0x01;
      unpackEventHeader_c(EventBuffer, &index, evt);
      unpackHodoscopeData_c(EventBuffer, &index, evt);
      unpackTagBits_c(EventBuffer, &index, 1, evt);
      unpackCenterPhas_c(EventBuffer, &index, 1, evt);
      unpackGuardPhas_c(EventBuffer, &index, 1, evt);
      unpackTagBits_c(EventBuffer, &index, 2, evt);
      unpackCenterPhas_c(EventBuffer, &index, 2, evt);
      unpackGuardPhas_c(EventBuffer, &index, 2, evt);
      unpackStimData_c(EventBuffer, &index, evt);
      evt->evtno = EventCycle->ClockCycle + 
                   NMNF * ((uint32) EventBuffer[index]) +
                   (uint32) EventBuffer[index+1];
      evt->evt_offset = EventBuffer[index+2];
      index += 3;
      nevt++;
   }
   evt = event + nevt;
   evt->evtno = 0L;
   evt->secs1996 = 0L;
   evt->usec = 0L;

   return nevt;
}

#undef NMNF
