/* $Id: unpackHodoscopeData_c.c,v 1.4 1998/08/03 13:16:23 rgr Exp $ */

/* $RCSfile: unpackHodoscopeData_c.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/08/03 13:16:23 $ */
/* $Revision: 1.4 $ */

#include <sys/types.h>
#include "hdfi.h"
#include "cris.h"


void unpackHodoscopeData_c(u_char  *telemetry,
                           u_long  *index,
                struct ce_crisEvt  *event)

{
   static unsigned long Intensity_code[32] = {
        0L,             4L,             8L,             12L,
        16L,            24L,            32L,            48L,
        64L,            96L,            128L,           192L,
        256L,           384L,           512L,           768L,
        1024L,          1536L,          2048L,          3072L,
        4096L,          6144L,          8192L,          12288L,
        16384L,         24576L,         32768L,         49152L,
        65536L,         98304L,         131072L,        196608L };

   u_long  byte;
   u_char  i;
   u_char  nblobs;
   u_long  value;

   nblobs = event->nblobs;
   byte = *index;
   for (i=0; i<nblobs; i++) {
      value = ( (((u_long) telemetry[byte]) << 16)  |
                (((u_long) telemetry[byte+1]) << 8) |
                ((u_long) telemetry[byte+2]) );
      event->hodo[i].x = (short) (value >> 14);
      if (event->cam)
         event->hodo[i].x += SOFT_CAMERA_B_X_PIXEL_OFFSET;
      else
         event->hodo[i].x += SOFT_CAMERA_A_X_PIXEL_OFFSET;
      event->hodo[i].y = (short) ((value >> 5) & 0x000001ff);
      event->hodo[i].I = Intensity_code[value & 0x0000001f];
      
      byte += 3;
   }
   *index = byte;

   for (i=nblobs; i<CE_CRIS_MAXBLOBS; i++) {
      event->hodo[i].x = 0xffff;
      event->hodo[i].y = 0xffff;
      event->hodo[i].I = Intensity_code[0];
   }
}
