#ifndef DUMPL1CRISCOMMANDTABLE_C
   #define DUMPL1CRISCOMMANDTABLE_C

   /* $Id: dumpL1CrisCommandTable.c,v 1.1 1998/07/27 11:53:05 rgr Exp $ */

   /* $RCSfile: dumpL1CrisCommandTable.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 11:53:05 $ */
   /* $Revision: 1.1 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   
   #include "cris/L1CrisCommandTable.h"
   #include "ace/expandUint16.h"
   #include "utilities/stringDate1996.h"

   void dumpL1CrisCommandTable(struct L1CrisCommandTable ct)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"CRIS Command Table - <start time               >   <S/C Clock: xxxxxxxxxx>",
                          "                     <stop time                >   <S/C Clock: yyyyyyyyyy>",
                          "<No. echoes: xxxxx>",
                          "                                          <iilimb: xxxxx xx>  <iignrf: xxxxx xx>",
                          "<phadisc: xxxxx xx>  <hetlim: xxxxx xx>   <laymax: xxxxx xx> <sftdisc: xxxxx xx>",
                          "<audgflg: xxxxx xx>  <hytlim: xxxxx xx>   <remmax: xxxxx xx> <sftrig0: xxxxx xx>",
                          "<audglim: xxxxx xx>    <rcmd: xxxxx xx> <twotelen: xxxxx xx> <sftrig1: xxxxx xx>",
                          "<valcflg: xxxxx xx>  <qctime: xxxxx xx>   <gphaen: xxxxx xx> <cdscoff: xxxxx xx>",
                          "<samplim: xxxxx xx> <ledtime: xxxxx xx>   <stbfon: xxxxx xx> <tdscoff: xxxxx xx>",
                          "  <heflg: xxxxx xx>  <sfmisc: xxxxx xx>  <ncenbox: xxxxx xx> <ihiprr0: xxxxx xx>",
                          "  <hyflg: xxxxx xx>  <camsel: xxxxx xx>    <iilim: xxxxx xx> <ihiprr1: xxxxx xx>",
                          "<preoflg: xxxxx xx>  <iilima: xxxxx xx>   <iignct: xxxxx xx> <stimeid: xxxxx xx>",
                          "",
                          "   ecmd:<a{0}   ><a{1}   ><a{2}   ><a{3}   ><a{4}   ><a{5}   > (hex)",
                          "  htcmd:<b{0}   ><b{1}   ><b{2}   ><b{3}   ><b{4}   ><b{5}   ><b{6}   ><b{7}   >",
                          " iilims:<c{0}   ><c{1}   ><c{2}   ><c{3}   >",
                          "  lsarr:<d{0}   ><d{1}   ><d{2}   ><d{3}   ><d{4}   ><d{5}   ><d{6}   ><d{7}   >",
                          "        <d{8}   ><d{9}   ><d{10}  ><d{11}  ><d{12}  ><d{13}  ><d{14}  ><d{15}  >",
                          "        <d{16}  ><d{17}  ><d{18}  ><d{19}  >",
                          "  loarr:<e{0}   ><e{1}   ><e{2}   ><e{3}   ><e{4}   ><e{5}   ><e{6}   ><e{7}   >",
                          "        <e{8}   ><e{9}   ><e{10}  ><e{11}  ><e{12}  ><e{13}  ><e{14}  ><e{15}  >",
                          "        <e{16}  ><e{17}  ><e{18}  ><e{19}  >",
                          " b_xoff:<f{0}   ><f{1}   >",
                          " rngmsk:<g{0}   ><g{1}   > (hex)",
                          "bparams:<h{0}   ><h{1}   ><h{2}   ><h{3}   ><h{4}   ><h{5}   ><h{6}   ><h{7}   >",
                          "  (hex) <h{8}   ><h{9}   ><h{10}  ><h{11}  ><h{12}  ><h{13}  ><h{14}  ><h{15}  >",
                          "        <h{16}  ><h{17}  ><h{18}  ><h{19}  >",
                          "bcenbox:<i{0}   ><i{1}   ><i{2}   ><i{3}   ><i{4}   ><i{5}   ><i{6}   ><i{7}   >",
                          "        <i{8}   ><i{9}   ><i{10}  ><i{11}  ><i{12}  ><i{13}  ><i{14}  ><i{15}  >",
                          "        <i{16}  ><i{17}  ><i{18}  ><i{19}  ><i{20}  ><i{21}  ><i{22}  ><i{23}  >",
                          "        <i{24}  ><i{25}  ><i{26}  ><i{27}  ><i{28}  ><i{29}  ><i{30}  ><i{31}  >",
                          "        <i{32}  ><i{33}  ><i{34}  ><i{35}  ><i{36}  ><i{37}  ><i{38}  ><i{39}  >",
                          "        <i{40}  ><i{41}  ><i{42}  ><i{43}  ><i{44}  ><i{45}  ><i{46}  ><i{47}  >",
                          "        <i{48}  ><i{49}  ><i{50}  ><i{51}  ><i{52}  ><i{53}  ><i{54}  ><i{55}  >",
                          "        <i{56}  ><i{57}  ><i{58}  ><i{59}  ><i{60}  ><i{61}  ><i{62}  ><i{63}  >",
                          "srgbits:<j{0}   ><j{1}   > (hex)",
                          "dacvals:<k{0}   ><k{1}   ><k{2}   ><k{3}   ><k{4}   ><k{5}   ><k{6}   ><k{7}   >",
                          "        <k{8}   ><k{9}   ><k{10}  ><k{11}  ><k{12}  ><k{13}  ><k{14}  ><k{15}  >",
                          "        <k{16}  ><k{17}  ><k{18}  ><k{19}  ><k{20}  ><k{21}  ><k{22}  ><k{23}  >",
                          "        <k{24}  ><k{25}  ><k{26}  ><k{27}  ><k{28}  ><k{29}  ><k{30}  ><k{31}  >",
                          "        <k{32}  ><k{33}  ><k{34}  ><k{35}  ><k{36}  ><k{37}  ><k{38}  ><k{39}  >",
                          "        <k{40}  ><k{41}  ><k{42}  ><k{43}  ><k{44}  ><k{45}  ><k{46}  ><k{47}  >",
                          "        <k{48}  ><k{49}  ><k{50}  ><k{51}  >",
                          "dacsize:<l{0}   ><l{1}   ><l{2}   ><l{3}   ><l{4}   ><l{5}   ><l{6}   ><l{7}   >",
                          "        <l{8}   ><l{9}   ><l{10}  ><l{11}  ><l{12}  ><l{13}  ><l{14}  ><l{15}  >",
                          "        <l{16}  ><l{17}  ><l{18}  ><l{19}  ><l{20}  ><l{21}  ><l{22}  ><l{23}  >",
                          "        <l{24}  ><l{25}  ><l{26}  ><l{27}  ><l{28}  ><l{29}  ><l{30}  ><l{31}  >",
                          "        <l{32}  ><l{33}  ><l{34}  ><l{35}  ><l{36}  ><l{37}  ><l{38}  ><l{39}  >",
                          "        <l{40}  ><l{41}  ><l{42}  ><l{43}  ><l{44}  ><l{45}  ><l{46}  ><l{47}  >",
                          "        <l{48}  ><l{49}  ><l{50}  ><l{51}  >",
                          " hdisc2:<ll{0}  ><ll{1}  ><ll{2}  ><ll{3}  ><ll{4}  ><ll{5}  ><ll{6}  ><ll{7}  >",
                          "        <ll{8}  ><ll{9}  ><ll{10} ><ll{11} >",
                          " hdisc1:<mm{0}  ><mm{1}  ><mm{2}  ><mm{3}  ><mm{4}  ><mm{5}  ><mm{6}  ><mm{7}  >",
                          "        <mm{8}  ><mm{9}  ><mm{10} ><mm{11} >",
                          " hdisc0:<m{0}   ><m{1}   ><m{2}   ><m{3}   ><m{4}   ><m{5}   ><m{6}   ><m{7}   >",
                          "        <m{8}   ><m{9}   ><m{10}  ><m{11}  >",
                          " mdisc2:<n{0}   ><n{1}   ><n{2}   ><n{3}   ><n{4}   ><n{5}   ><n{6}   ><n{7}   >",
                          "        <n{8}   ><n{9}   ><n{10}  ><n{11}  >",
                          " mdisc1:<o{0}   ><o{1}   ><o{2}   ><o{3}   ><o{4}   ><o{5}   ><o{6}   ><o{7}   >",
                          "        <o{8}   ><o{9}   ><o{10}  ><o{11}  >",
                          " mdisc0:<p{0}   ><p{1}   ><p{2}   ><p{3}   ><p{4}   ><p{5}   ><p{6}   ><p{7}   >",
                          "        <p{8}   ><p{9}   ><p{10}  ><p{11}  >",
                          "  adcen:<q{0}   ><q{1}   ><q{2}   ><q{3}   ><q{4}   ><q{5}   ><q{6}   ><q{7}   >",
                          "        <q{8}   ><q{9}   ><q{10}  ><q{11}  >",
                          "gdiscen:<r{0}   ><r{1}   ><r{2}   ><r{3}   ><r{4}   ><r{5}   ><r{6}   ><r{7}   >",
                          "        <r{8}   ><r{9}   ><r{10}  ><r{11}  >",
                          "mdiscen:<s{0}   ><s{1}   ><s{2}   ><s{3}   ><s{4}   ><s{5}   ><s{6}   ><s{7}   >",
                          "        <s{8}   ><s{9}   ><s{10}  ><s{11}  >",
                          "hdiscen:<t{0}   ><t{1}   ><t{2}   ><t{3}   ><t{4}   ><t{5}   ><t{6}   ><t{7}   >",
                          "        <t{8}   ><t{9}   ><t{10}  ><t{11}  >",
                          "  cnoc1:<u{0}   ><u{1}   ><u{2}   ><u{3}   ><u{4}   ><u{5}   ><u{6}   >",
                          "  cnoc2:<v{0}   ><v{1}   ><v{2}   ><v{3}   ><v{4}   ><v{5}   ><v{6}   >",
                          " eidmap:<w{0}   ><w{1}   ><w{2}   ><w{3}   ><w{4}   ><w{5}   ><w{6}   ><w{7}   >",
                          "        <w{8}   ><w{9}   ><w{10}  ><w{11}  ><w{12}  ><w{13}  ><w{14}  ><w{15}  >",
                          "        <w{16}  ><w{17}  ><w{18}  ><w{19}  ><w{20}  ><w{21}  ><w{22}  ><w{23}  >",
                          "        <w{24}  ><w{25}  ><w{26}  ><w{27}  ><w{28}  ><w{29}  ><w{30}  ><w{31}  >",
                          "        <w{32}  ><w{33}  ><w{34}  ><w{35}  ><w{36}  ><w{37}  ><w{38}  ><w{39}  >",
                          "        <w{40}  ><w{41}  ><w{42}  ><w{43}  ><w{44}  ><w{45}  ><w{46}  ><w{47}  >",
                          "        <w{48}  ><w{49}  ><w{50}  ><w{51}  ><w{52}  ><w{53}  ><w{54}  ><w{55}  >",
                          "        <w{56}  ><w{57}  ><w{58}  ><w{59}  ><w{60}  ><w{61}  ><w{62}  ><w{63}  >",
                          "        <w{64}  ><w{65}  ><w{66}  ><w{67}  ><w{68}  ><w{69}  ><w{70}  ><w{71}  >",
                          "        <w{72}  ><w{73}  ><w{74}  ><w{75}  ><w{76}  ><w{77}  ><w{78}  ><w{79}  >",
                          "        <w{80}  ><w{81}  ><w{82}  ><w{83}  ><w{84}  ><w{85}  ><w{86}  ><w{87}  >",
                          "        <w{88}  ><w{89}  ><w{90}  ><w{91}  ><w{92}  ><w{93}  ><w{94}  ><w{95}  >",
                          "        <w{96}  ><w{97}  ><w{98}  ><w{99}  ><w{100} ><w{101} ><w{102} ><w{103} >",
                          "        <w{104} ><w{105} ><w{106} ><w{107} ><w{108} ><w{109} ><w{110} ><w{111} >",
                          "        <w{112} ><w{113} ><w{114} ><w{115} ><w{116} ><w{117} ><w{118} ><w{119} >",
                          "        <w{120} ><w{121} ><w{122} ><w{123} ><w{124} ><w{125} ><w{126} ><w{127} >",
                          "        <w{128} ><w{129} ><w{130} ><w{131} ><w{132} ><w{133} ><w{134} ><w{135} >",
                          "        <w{136} ><w{137} ><w{138} ><w{139} ><w{140} ><w{141} ><w{142} ><w{143} >",
                          "        <w{144} ><w{145} ><w{146} ><w{147} ><w{148} ><w{149} ><w{150} ><w{151} >",
                          "        <w{152} ><w{153} ><w{154} ><w{155} ><w{156} ><w{157} ><w{158} ><w{159} >",
                          "        <w{160} ><w{161} ><w{162} ><w{163} ><w{164} ><w{165} ><w{166} ><w{167} >",
                          "        <w{168} ><w{169} ><w{170} ><w{171} ><w{172} ><w{173} ><w{174} ><w{175} >",
                          "        <w{176} ><w{177} ><w{178} ><w{179} ><w{180} ><w{181} ><w{182} ><w{183} >",
                          "        <w{184} ><w{185} ><w{186} ><w{187} ><w{188} ><w{189} ><w{190} ><w{191} >",
                          "        <w{192} ><w{193} ><w{194} ><w{195} ><w{196} ><w{197} ><w{198} ><w{199} >",
                          "        <w{200} ><w{201} ><w{202} ><w{203} ><w{204} ><w{205} ><w{206} ><w{207} >",
                          "        <w{208} ><w{209} ><w{210} ><w{211} ><w{212} ><w{213} ><w{214} ><w{215} >",
                          "        <w{216} ><w{217} ><w{218} ><w{219} ><w{220} ><w{221} ><w{222} ><w{223} >",
                          "        <w{224} ><w{225} ><w{226} ><w{227} ><w{228} ><w{229} ><w{230} ><w{231} >",
                          "        <w{232} ><w{233} ><w{234} ><w{235} ><w{236} ><w{237} ><w{238} ><w{239} >",
                          "        <w{240} ><w{241} ><w{242} ><w{243} ><w{244} ><w{245} ><w{246} ><w{247} >",
                          "        <w{248} ><w{249} ><w{250} ><w{251} ><w{252} ><w{253} ><w{254} ><w{255} >"};

      strcpy(line, template[0]);
         memset(line + 21, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(ct.Second1996MinorFrame0), ct.MicrosecondMinorFrame0);
         memcpy(line + 21, segmentValue, strlen(segmentValue));
         memset(line + 51, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", ct.ClockMinorFrame0);
         memcpy(line + 51, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[1]);
         memset(line + 21, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(ct.Second1996MinorFrame1), ct.MicrosecondMinorFrame1);
         memcpy(line + 21, segmentValue, strlen(segmentValue));
         memset(line + 51, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", ct.ClockMinorFrame1);
         memcpy(line + 51, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[2]);
         memset(line + 0, (int) ' ', 19);
         sprintf(segmentValue, " No. echoes: %5u ", ct.NumberCommandEchoes);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[3]);
         memset(line + 42, (int) ' ', 18);
         sprintf(segmentValue, " iilimb: %5ld %2.2x ", expandUint16(ct.iilimb), ct.QualityIilimb);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 18);
         sprintf(segmentValue, " iignrf: %5ld %2.2x ", expandUint16(ct.iignrf), ct.QualityIignrf);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[4]);
         memset(line + 0, (int) ' ', 19);
         sprintf(segmentValue, " phadisc: %5ld %2.2x ", expandUint16(ct.phadisc), ct.QualityPhadisc);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 21, (int) ' ', 18);
         sprintf(segmentValue, " hetlim: %5ld %2.2x ", expandUint16(ct.hetlim), ct.QualityHetlim);
         memcpy(line + 21, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 18);
         sprintf(segmentValue, " laymax: %5ld %2.2x ", expandUint16(ct.laymax), ct.QualityLaymax);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 19);
         sprintf(segmentValue, " sftdisc: %5ld %2.2x ", expandUint16(ct.sftdisc), ct.QualitySftdisc);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[5]);
         memset(line + 0, (int) ' ', 19);
         sprintf(segmentValue, " audgflg: %5ld %2.2x ", expandUint16(ct.audgflg), ct.QualityAudgflg);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 21, (int) ' ', 18);
         sprintf(segmentValue, " hytlim: %5ld %2.2x ", expandUint16(ct.hytlim), ct.QualityHytlim);
         memcpy(line + 21, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 18);
         sprintf(segmentValue, " remmax: %5ld %2.2x ", expandUint16(ct.remmax), ct.QualityRemmax);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 19);
         sprintf(segmentValue, " sftrig0: %5ld %2.2x ", expandUint16(ct.sftrig0), ct.QualitySftrig0);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[6]);
         memset(line + 0, (int) ' ', 19);
         sprintf(segmentValue, " audglim: %5ld %2.2x ", expandUint16(ct.audglim), ct.QualityAudglim);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, " rcmd: %5ld %2.2x ", expandUint16(ct.rcmd), ct.QualityRcmd);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 40, (int) ' ', 20);
         sprintf(segmentValue, " twotelen: %5ld %2.2x ", expandUint16(ct.twotelen), ct.QualityTwotelen);
         memcpy(line + 40, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 19);
         sprintf(segmentValue, " sftrig1: %5ld %2.2x ", expandUint16(ct.sftrig1), ct.QualitySftrig1);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[7]);
         memset(line + 0, (int) ' ', 19);
         sprintf(segmentValue, " valcflg: %5ld %2.2x ", expandUint16(ct.valcflg), ct.QualityValcflg);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 21, (int) ' ', 18);
         sprintf(segmentValue, " qctime: %5ld %2.2x ", expandUint16(ct.qctime), ct.QualityQctime);
         memcpy(line + 21, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 18);
         sprintf(segmentValue, " gphaen: %5ld %2.2x ", expandUint16(ct.gphaen), ct.QualityGphaen);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 19);
         sprintf(segmentValue, " cdscoff: %5ld %2.2x ", expandUint16(ct.cdscoff), ct.QualityCdscoff);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[8]);
         memset(line + 0, (int) ' ', 19);
         sprintf(segmentValue, " samplim: %5ld %2.2x ", expandUint16(ct.samplim), ct.QualitySamplim);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 20, (int) ' ', 19);
         sprintf(segmentValue, " ledtime: %5ld %2.2x ", expandUint16(ct.ledtime), ct.QualityLedtime);
         memcpy(line + 20, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 18);
         sprintf(segmentValue, " stbfon: %5ld %2.2x ", expandUint16(ct.stbfon), ct.QualityStbfon);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 19);
         sprintf(segmentValue, " tdscoff: %5ld %2.2x ", expandUint16(ct.tdscoff), ct.QualityTdscoff);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[9]);
         memset(line + 2, (int) ' ', 17);
         sprintf(segmentValue, " heflg: %5ld %2.2x ", expandUint16(ct.heflg), ct.QualityHeflg);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 21, (int) ' ', 18);
         sprintf(segmentValue, " sfmisc: %5ld %2.2x ", expandUint16(ct.sfmisc), ct.QualitySfmisc);
         memcpy(line + 21, segmentValue, strlen(segmentValue));
         memset(line + 41, (int) ' ', 19);
         sprintf(segmentValue, " ncenbox: %5ld %2.2x ", expandUint16(ct.ncenbox), ct.QualityNcenbox);
         memcpy(line + 41, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 19);
         sprintf(segmentValue, " ihiprr0: %5ld %2.2x ", expandUint16(ct.ihiprr0), ct.QualityIhiprr0);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[10]);
         memset(line + 2, (int) ' ', 17);
         sprintf(segmentValue, " hyflg: %5ld %2.2x ", expandUint16(ct.hyflg), ct.QualityHyflg);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 21, (int) ' ', 18);
         sprintf(segmentValue, " camsel: %5ld %2.2x ", expandUint16(ct.camsel), ct.QualityCamsel);
         memcpy(line + 21, segmentValue, strlen(segmentValue));
         memset(line + 43, (int) ' ', 17);
         sprintf(segmentValue, " iilim: %5ld %2.2x ", expandUint16(ct.iilim), ct.QualityIilim);
         memcpy(line + 43, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 19);
         sprintf(segmentValue, " ihiprr1: %5ld %2.2x ", expandUint16(ct.ihiprr1), ct.QualityIhiprr1);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[11]);
         memset(line + 0, (int) ' ', 19);
         sprintf(segmentValue, " preoflg: %5ld %2.2x ", expandUint16(ct.preoflg), ct.QualityPreoflg);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 21, (int) ' ', 18);
         sprintf(segmentValue, " iilima: %5ld %2.2x ", expandUint16(ct.iilima), ct.QualityIilima);
         memcpy(line + 21, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 18);
         sprintf(segmentValue, " iignct: %5ld %2.2x ", expandUint16(ct.iignct), ct.QualityIignct);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 61, (int) ' ', 19);
         sprintf(segmentValue, " stimeid: %5ld %2.2x ", expandUint16(ct.stimeid), ct.QualityStimeid);
         memcpy(line + 61, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[12]);
         printf("%s\n", line);
      strcpy(line, template[13]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.ecmd[0]), ct.QualityEcmd[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.ecmd[1]), ct.QualityEcmd[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.ecmd[2]), ct.QualityEcmd[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.ecmd[3]), ct.QualityEcmd[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.ecmd[4]), ct.QualityEcmd[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.ecmd[5]), ct.QualityEcmd[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[14]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.htcmd[0]), ct.QualityHtcmd[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.htcmd[1]), ct.QualityHtcmd[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.htcmd[2]), ct.QualityHtcmd[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.htcmd[3]), ct.QualityHtcmd[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.htcmd[4]), ct.QualityHtcmd[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.htcmd[5]), ct.QualityHtcmd[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.htcmd[6]), ct.QualityHtcmd[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.htcmd[7]), ct.QualityHtcmd[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[15]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.iilims[0]), ct.QualityIilims[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.iilims[1]), ct.QualityIilims[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.iilims[2]), ct.QualityIilims[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.iilims[3]), ct.QualityIilims[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[16]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[0], ct.QualityLsarr[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[1], ct.QualityLsarr[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[2], ct.QualityLsarr[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[3], ct.QualityLsarr[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[4], ct.QualityLsarr[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[5], ct.QualityLsarr[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[6], ct.QualityLsarr[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[7], ct.QualityLsarr[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[17]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[8], ct.QualityLsarr[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[9], ct.QualityLsarr[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[10], ct.QualityLsarr[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[11], ct.QualityLsarr[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[12], ct.QualityLsarr[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[13], ct.QualityLsarr[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[14], ct.QualityLsarr[14]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[15], ct.QualityLsarr[15]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[18]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[16], ct.QualityLsarr[16]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[17], ct.QualityLsarr[17]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[18], ct.QualityLsarr[18]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.lsarr[19], ct.QualityLsarr[19]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[19]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[0], ct.QualityLoarr[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[1], ct.QualityLoarr[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[2], ct.QualityLoarr[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[3], ct.QualityLoarr[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[4], ct.QualityLoarr[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[5], ct.QualityLoarr[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[6], ct.QualityLoarr[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[7], ct.QualityLoarr[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[20]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[8], ct.QualityLoarr[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[9], ct.QualityLoarr[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[10], ct.QualityLoarr[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[11], ct.QualityLoarr[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[12], ct.QualityLoarr[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[13], ct.QualityLoarr[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[14], ct.QualityLoarr[14]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[15], ct.QualityLoarr[15]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[21]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[16], ct.QualityLoarr[16]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[17], ct.QualityLoarr[17]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[18], ct.QualityLoarr[18]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5d %2.2x", ct.loarr[19], ct.QualityLoarr[19]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[22]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_xoff[0]), ct.QualityB_xoff[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_xoff[1]), ct.QualityB_xoff[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[23]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, "  %4.4lx %2.2x", expandUint16(ct.rngmsk[0]), ct.QualityRngmsk[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, "  %4.4lx %2.2x", expandUint16(ct.rngmsk[1]), ct.QualityRngmsk[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[24]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[0]), ct.QualityBparams[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[1]), ct.QualityBparams[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[2]), ct.QualityBparams[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[3]), ct.QualityBparams[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[4]), ct.QualityBparams[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[5]), ct.QualityBparams[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[6]), ct.QualityBparams[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[7]), ct.QualityBparams[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[25]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[8]), ct.QualityBparams[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[9]), ct.QualityBparams[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[10]), ct.QualityBparams[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[11]), ct.QualityBparams[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[12]), ct.QualityBparams[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[13]), ct.QualityBparams[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[14]), ct.QualityBparams[14]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[15]), ct.QualityBparams[15]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[26]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[16]), ct.QualityBparams[16]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[17]), ct.QualityBparams[17]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[18]), ct.QualityBparams[18]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, "    %2.2lx %2.2x", expandUint16(ct.bparams[19]), ct.QualityBparams[19]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[27]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[0]), ct.QualityB_cenbox[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[1]), ct.QualityB_cenbox[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[2]), ct.QualityB_cenbox[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[3]), ct.QualityB_cenbox[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[4]), ct.QualityB_cenbox[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[5]), ct.QualityB_cenbox[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[6]), ct.QualityB_cenbox[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[7]), ct.QualityB_cenbox[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[28]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[8]), ct.QualityB_cenbox[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[9]), ct.QualityB_cenbox[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[10]), ct.QualityB_cenbox[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[11]), ct.QualityB_cenbox[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[12]), ct.QualityB_cenbox[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[13]), ct.QualityB_cenbox[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[14]), ct.QualityB_cenbox[14]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[15]), ct.QualityB_cenbox[15]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[29]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[16]), ct.QualityB_cenbox[16]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[17]), ct.QualityB_cenbox[17]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[18]), ct.QualityB_cenbox[18]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[19]), ct.QualityB_cenbox[19]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[20]), ct.QualityB_cenbox[20]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[21]), ct.QualityB_cenbox[21]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[22]), ct.QualityB_cenbox[22]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[23]), ct.QualityB_cenbox[23]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[30]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[24]), ct.QualityB_cenbox[24]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[25]), ct.QualityB_cenbox[25]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[26]), ct.QualityB_cenbox[26]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[27]), ct.QualityB_cenbox[27]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[28]), ct.QualityB_cenbox[28]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[29]), ct.QualityB_cenbox[29]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[30]), ct.QualityB_cenbox[30]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[31]), ct.QualityB_cenbox[31]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[31]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[32]), ct.QualityB_cenbox[32]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[33]), ct.QualityB_cenbox[33]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[34]), ct.QualityB_cenbox[34]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[35]), ct.QualityB_cenbox[35]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[36]), ct.QualityB_cenbox[36]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[37]), ct.QualityB_cenbox[37]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[38]), ct.QualityB_cenbox[38]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[39]), ct.QualityB_cenbox[39]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[32]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[40]), ct.QualityB_cenbox[40]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[41]), ct.QualityB_cenbox[41]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[42]), ct.QualityB_cenbox[42]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[43]), ct.QualityB_cenbox[43]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[44]), ct.QualityB_cenbox[44]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[45]), ct.QualityB_cenbox[45]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[46]), ct.QualityB_cenbox[46]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[47]), ct.QualityB_cenbox[47]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[33]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[48]), ct.QualityB_cenbox[48]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[49]), ct.QualityB_cenbox[49]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[50]), ct.QualityB_cenbox[50]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[51]), ct.QualityB_cenbox[51]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[52]), ct.QualityB_cenbox[52]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[53]), ct.QualityB_cenbox[53]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[54]), ct.QualityB_cenbox[54]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[55]), ct.QualityB_cenbox[55]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[34]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[56]), ct.QualityB_cenbox[56]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[57]), ct.QualityB_cenbox[57]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[58]), ct.QualityB_cenbox[58]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[59]), ct.QualityB_cenbox[59]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[60]), ct.QualityB_cenbox[60]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[61]), ct.QualityB_cenbox[61]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[62]), ct.QualityB_cenbox[62]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.b_cenbox[63]), ct.QualityB_cenbox[63]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[35]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, "  %4.4lx %2.2x", expandUint16(ct.srgbits[0]), ct.QualitySrgbits[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, "  %4.4lx %2.2x", expandUint16(ct.srgbits[1]), ct.QualitySrgbits[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[36]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[0], ct.QualityDacvals[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[1], ct.QualityDacvals[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[2], ct.QualityDacvals[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[3], ct.QualityDacvals[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[4], ct.QualityDacvals[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[5], ct.QualityDacvals[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[6], ct.QualityDacvals[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[7], ct.QualityDacvals[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[37]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[8], ct.QualityDacvals[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[9], ct.QualityDacvals[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[10], ct.QualityDacvals[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[11], ct.QualityDacvals[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[12], ct.QualityDacvals[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[13], ct.QualityDacvals[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[14], ct.QualityDacvals[14]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[15], ct.QualityDacvals[15]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[38]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[16], ct.QualityDacvals[16]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[17], ct.QualityDacvals[17]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[18], ct.QualityDacvals[18]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[19], ct.QualityDacvals[19]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[20], ct.QualityDacvals[20]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[21], ct.QualityDacvals[21]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[22], ct.QualityDacvals[22]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[23], ct.QualityDacvals[23]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[39]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[24], ct.QualityDacvals[24]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[25], ct.QualityDacvals[25]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[26], ct.QualityDacvals[26]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[27], ct.QualityDacvals[27]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[28], ct.QualityDacvals[28]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[29], ct.QualityDacvals[29]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[30], ct.QualityDacvals[30]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[31], ct.QualityDacvals[31]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[40]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[32], ct.QualityDacvals[32]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[33], ct.QualityDacvals[33]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[34], ct.QualityDacvals[34]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[35], ct.QualityDacvals[35]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[36], ct.QualityDacvals[36]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[37], ct.QualityDacvals[37]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[38], ct.QualityDacvals[38]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[39], ct.QualityDacvals[39]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[41]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[40], ct.QualityDacvals[40]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[41], ct.QualityDacvals[41]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[42], ct.QualityDacvals[42]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[43], ct.QualityDacvals[43]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[44], ct.QualityDacvals[44]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[45], ct.QualityDacvals[45]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[46], ct.QualityDacvals[46]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[47], ct.QualityDacvals[47]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[42]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[48], ct.QualityDacvals[48]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[49], ct.QualityDacvals[49]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[50], ct.QualityDacvals[50]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacvals[51], ct.QualityDacvals[51]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[43]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[0], ct.QualityDacsize[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[1], ct.QualityDacsize[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[2], ct.QualityDacsize[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[3], ct.QualityDacsize[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[4], ct.QualityDacsize[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[5], ct.QualityDacsize[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[6], ct.QualityDacsize[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[7], ct.QualityDacsize[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[44]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[8], ct.QualityDacsize[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[9], ct.QualityDacsize[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[10], ct.QualityDacsize[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[11], ct.QualityDacsize[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[12], ct.QualityDacsize[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[13], ct.QualityDacsize[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[14], ct.QualityDacsize[14]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[15], ct.QualityDacsize[15]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[45]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[16], ct.QualityDacsize[16]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[17], ct.QualityDacsize[17]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[18], ct.QualityDacsize[18]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[19], ct.QualityDacsize[19]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[20], ct.QualityDacsize[20]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[21], ct.QualityDacsize[21]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[22], ct.QualityDacsize[22]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[23], ct.QualityDacsize[23]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[46]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[24], ct.QualityDacsize[24]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[25], ct.QualityDacsize[25]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[26], ct.QualityDacsize[26]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[27], ct.QualityDacsize[27]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[28], ct.QualityDacsize[28]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[29], ct.QualityDacsize[29]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[30], ct.QualityDacsize[30]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[31], ct.QualityDacsize[31]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[47]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[32], ct.QualityDacsize[32]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[33], ct.QualityDacsize[33]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[34], ct.QualityDacsize[34]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[35], ct.QualityDacsize[35]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[36], ct.QualityDacsize[36]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[37], ct.QualityDacsize[37]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[38], ct.QualityDacsize[38]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[39], ct.QualityDacsize[39]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[48]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[40], ct.QualityDacsize[40]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[41], ct.QualityDacsize[41]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[42], ct.QualityDacsize[42]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[43], ct.QualityDacsize[43]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[44], ct.QualityDacsize[44]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[45], ct.QualityDacsize[45]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[46], ct.QualityDacsize[46]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[47], ct.QualityDacsize[47]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[49]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[48], ct.QualityDacsize[48]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[49], ct.QualityDacsize[49]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[50], ct.QualityDacsize[50]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.dacsize[51], ct.QualityDacsize[51]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[50]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[0], ct.QualityHdisc2[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[1], ct.QualityHdisc2[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[2], ct.QualityHdisc2[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[3], ct.QualityHdisc2[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[4], ct.QualityHdisc2[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[5], ct.QualityHdisc2[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[6], ct.QualityHdisc2[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[7], ct.QualityHdisc2[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[51]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[8], ct.QualityHdisc2[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[9], ct.QualityHdisc2[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[10], ct.QualityHdisc2[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc2[11], ct.QualityHdisc2[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[52]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[0], ct.QualityHdisc1[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[1], ct.QualityHdisc1[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[2], ct.QualityHdisc1[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[3], ct.QualityHdisc1[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[4], ct.QualityHdisc1[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[5], ct.QualityHdisc1[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[6], ct.QualityHdisc1[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[7], ct.QualityHdisc1[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[53]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[8], ct.QualityHdisc1[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[9], ct.QualityHdisc1[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[10], ct.QualityHdisc1[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc1[11], ct.QualityHdisc1[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[54]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[0], ct.QualityHdisc0[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[1], ct.QualityHdisc0[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[2], ct.QualityHdisc0[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[3], ct.QualityHdisc0[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[4], ct.QualityHdisc0[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[5], ct.QualityHdisc0[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[6], ct.QualityHdisc0[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[7], ct.QualityHdisc0[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[55]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[8], ct.QualityHdisc0[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[9], ct.QualityHdisc0[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[10], ct.QualityHdisc0[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdisc0[11], ct.QualityHdisc0[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[56]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[0], ct.QualityMdisc2[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[1], ct.QualityMdisc2[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[2], ct.QualityMdisc2[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[3], ct.QualityMdisc2[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[4], ct.QualityMdisc2[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[5], ct.QualityMdisc2[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[6], ct.QualityMdisc2[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[7], ct.QualityMdisc2[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[57]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[8], ct.QualityMdisc2[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[9], ct.QualityMdisc2[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[10], ct.QualityMdisc2[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc2[11], ct.QualityMdisc2[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[58]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[0], ct.QualityMdisc1[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[1], ct.QualityMdisc1[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[2], ct.QualityMdisc1[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[3], ct.QualityMdisc1[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[4], ct.QualityMdisc1[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[5], ct.QualityMdisc1[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[6], ct.QualityMdisc1[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[7], ct.QualityMdisc1[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[59]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[8], ct.QualityMdisc1[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[9], ct.QualityMdisc1[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[10], ct.QualityMdisc1[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc1[11], ct.QualityMdisc1[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[60]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[0], ct.QualityMdisc0[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[1], ct.QualityMdisc0[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[2], ct.QualityMdisc0[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[3], ct.QualityMdisc0[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[4], ct.QualityMdisc0[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[5], ct.QualityMdisc0[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[6], ct.QualityMdisc0[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[7], ct.QualityMdisc0[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[61]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[8], ct.QualityMdisc0[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[9], ct.QualityMdisc0[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[10], ct.QualityMdisc0[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdisc0[11], ct.QualityMdisc0[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[62]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[0], ct.QualityAdcen[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[1], ct.QualityAdcen[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[2], ct.QualityAdcen[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[3], ct.QualityAdcen[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[4], ct.QualityAdcen[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[5], ct.QualityAdcen[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[6], ct.QualityAdcen[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[7], ct.QualityAdcen[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[63]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[8], ct.QualityAdcen[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[9], ct.QualityAdcen[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[10], ct.QualityAdcen[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.adcen[11], ct.QualityAdcen[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[64]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[0], ct.QualityGdiscen[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[1], ct.QualityGdiscen[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[2], ct.QualityGdiscen[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[3], ct.QualityGdiscen[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[4], ct.QualityGdiscen[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[5], ct.QualityGdiscen[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[6], ct.QualityGdiscen[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[7], ct.QualityGdiscen[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[65]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[8], ct.QualityGdiscen[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[9], ct.QualityGdiscen[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[10], ct.QualityGdiscen[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.gdiscen[11], ct.QualityGdiscen[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[66]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[0], ct.QualityMdiscen[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[1], ct.QualityMdiscen[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[2], ct.QualityMdiscen[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[3], ct.QualityMdiscen[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[4], ct.QualityMdiscen[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[5], ct.QualityMdiscen[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[6], ct.QualityMdiscen[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[7], ct.QualityMdiscen[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[67]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[8], ct.QualityMdiscen[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[9], ct.QualityMdiscen[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[10], ct.QualityMdiscen[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.mdiscen[11], ct.QualityMdiscen[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[68]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[0], ct.QualityHdiscen[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[1], ct.QualityHdiscen[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[2], ct.QualityHdiscen[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[3], ct.QualityHdiscen[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[4], ct.QualityHdiscen[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[5], ct.QualityHdiscen[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[6], ct.QualityHdiscen[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[7], ct.QualityHdiscen[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[69]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[8], ct.QualityHdiscen[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[9], ct.QualityHdiscen[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[10], ct.QualityHdiscen[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.hdiscen[11], ct.QualityHdiscen[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[70]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc1[0]), ct.QualityCnoc1[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc1[1]), ct.QualityCnoc1[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc1[2]), ct.QualityCnoc1[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc1[3]), ct.QualityCnoc1[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc1[4]), ct.QualityCnoc1[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc1[5]), ct.QualityCnoc1[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc1[6]), ct.QualityCnoc1[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[71]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc2[0]), ct.QualityCnoc2[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc2[1]), ct.QualityCnoc2[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc2[2]), ct.QualityCnoc2[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc2[3]), ct.QualityCnoc2[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc2[4]), ct.QualityCnoc2[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc2[5]), ct.QualityCnoc2[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5ld %2.2x", expandUint16(ct.cnoc2[6]), ct.QualityCnoc2[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[72]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[0], ct.QualityEidmap[0]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[1], ct.QualityEidmap[1]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[2], ct.QualityEidmap[2]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[3], ct.QualityEidmap[3]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[4], ct.QualityEidmap[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[5], ct.QualityEidmap[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[6], ct.QualityEidmap[6]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[7], ct.QualityEidmap[7]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[73]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[8], ct.QualityEidmap[8]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[9], ct.QualityEidmap[9]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[10], ct.QualityEidmap[10]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[11], ct.QualityEidmap[11]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[12], ct.QualityEidmap[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[13], ct.QualityEidmap[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[14], ct.QualityEidmap[14]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[15], ct.QualityEidmap[15]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[74]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[16], ct.QualityEidmap[16]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[17], ct.QualityEidmap[17]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[18], ct.QualityEidmap[18]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[19], ct.QualityEidmap[19]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[20], ct.QualityEidmap[20]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[21], ct.QualityEidmap[21]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[22], ct.QualityEidmap[22]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[23], ct.QualityEidmap[23]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[75]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[24], ct.QualityEidmap[24]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[25], ct.QualityEidmap[25]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[26], ct.QualityEidmap[26]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[27], ct.QualityEidmap[27]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[28], ct.QualityEidmap[28]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[29], ct.QualityEidmap[29]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[30], ct.QualityEidmap[30]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[31], ct.QualityEidmap[31]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[76]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[32], ct.QualityEidmap[32]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[33], ct.QualityEidmap[33]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[34], ct.QualityEidmap[34]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[35], ct.QualityEidmap[35]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[36], ct.QualityEidmap[36]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[37], ct.QualityEidmap[37]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[38], ct.QualityEidmap[38]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[39], ct.QualityEidmap[39]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[77]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[40], ct.QualityEidmap[40]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[41], ct.QualityEidmap[41]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[42], ct.QualityEidmap[42]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[43], ct.QualityEidmap[43]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[44], ct.QualityEidmap[44]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[45], ct.QualityEidmap[45]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[46], ct.QualityEidmap[46]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[47], ct.QualityEidmap[47]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[78]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[48], ct.QualityEidmap[48]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[49], ct.QualityEidmap[49]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[50], ct.QualityEidmap[50]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[51], ct.QualityEidmap[51]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[52], ct.QualityEidmap[52]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[53], ct.QualityEidmap[53]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[54], ct.QualityEidmap[54]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[55], ct.QualityEidmap[55]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[79]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[56], ct.QualityEidmap[56]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[57], ct.QualityEidmap[57]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[58], ct.QualityEidmap[58]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[59], ct.QualityEidmap[59]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[60], ct.QualityEidmap[60]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[61], ct.QualityEidmap[61]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[62], ct.QualityEidmap[62]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[63], ct.QualityEidmap[63]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[80]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[64], ct.QualityEidmap[64]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[65], ct.QualityEidmap[65]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[66], ct.QualityEidmap[66]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[67], ct.QualityEidmap[67]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[68], ct.QualityEidmap[68]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[69], ct.QualityEidmap[69]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[70], ct.QualityEidmap[70]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[71], ct.QualityEidmap[71]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[81]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[72], ct.QualityEidmap[72]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[73], ct.QualityEidmap[73]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[74], ct.QualityEidmap[74]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[75], ct.QualityEidmap[75]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[76], ct.QualityEidmap[76]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[77], ct.QualityEidmap[77]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[78], ct.QualityEidmap[78]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[79], ct.QualityEidmap[79]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[82]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[80], ct.QualityEidmap[80]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[81], ct.QualityEidmap[81]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[82], ct.QualityEidmap[82]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[83], ct.QualityEidmap[83]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[84], ct.QualityEidmap[84]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[85], ct.QualityEidmap[85]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[86], ct.QualityEidmap[86]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[87], ct.QualityEidmap[87]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[83]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[88], ct.QualityEidmap[88]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[89], ct.QualityEidmap[89]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[90], ct.QualityEidmap[90]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[91], ct.QualityEidmap[91]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[92], ct.QualityEidmap[92]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[93], ct.QualityEidmap[93]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[94], ct.QualityEidmap[94]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[95], ct.QualityEidmap[95]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[84]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[96], ct.QualityEidmap[96]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[97], ct.QualityEidmap[97]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[98], ct.QualityEidmap[98]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[99], ct.QualityEidmap[99]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[100], ct.QualityEidmap[100]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[101], ct.QualityEidmap[101]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[102], ct.QualityEidmap[102]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[103], ct.QualityEidmap[103]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[85]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[104], ct.QualityEidmap[104]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[105], ct.QualityEidmap[105]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[106], ct.QualityEidmap[106]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[107], ct.QualityEidmap[107]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[108], ct.QualityEidmap[108]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[109], ct.QualityEidmap[109]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[110], ct.QualityEidmap[110]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[111], ct.QualityEidmap[111]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[86]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[112], ct.QualityEidmap[112]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[113], ct.QualityEidmap[113]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[114], ct.QualityEidmap[114]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[115], ct.QualityEidmap[115]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[116], ct.QualityEidmap[116]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[117], ct.QualityEidmap[117]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[118], ct.QualityEidmap[118]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[119], ct.QualityEidmap[119]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[87]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[120], ct.QualityEidmap[120]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[121], ct.QualityEidmap[121]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[122], ct.QualityEidmap[122]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[123], ct.QualityEidmap[123]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[124], ct.QualityEidmap[124]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[125], ct.QualityEidmap[125]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[126], ct.QualityEidmap[126]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[127], ct.QualityEidmap[127]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[88]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[128], ct.QualityEidmap[128]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[129], ct.QualityEidmap[129]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[130], ct.QualityEidmap[130]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[131], ct.QualityEidmap[131]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[132], ct.QualityEidmap[132]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[133], ct.QualityEidmap[133]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[134], ct.QualityEidmap[134]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[135], ct.QualityEidmap[135]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[89]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[136], ct.QualityEidmap[136]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[137], ct.QualityEidmap[137]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[138], ct.QualityEidmap[138]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[139], ct.QualityEidmap[139]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[140], ct.QualityEidmap[140]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[141], ct.QualityEidmap[141]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[142], ct.QualityEidmap[142]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[143], ct.QualityEidmap[143]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[90]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[144], ct.QualityEidmap[144]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[145], ct.QualityEidmap[145]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[146], ct.QualityEidmap[146]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[147], ct.QualityEidmap[147]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[148], ct.QualityEidmap[148]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[149], ct.QualityEidmap[149]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[150], ct.QualityEidmap[150]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[151], ct.QualityEidmap[151]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[91]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[152], ct.QualityEidmap[152]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[153], ct.QualityEidmap[153]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[154], ct.QualityEidmap[154]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[155], ct.QualityEidmap[155]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[156], ct.QualityEidmap[156]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[157], ct.QualityEidmap[157]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[158], ct.QualityEidmap[158]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[159], ct.QualityEidmap[159]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[92]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[160], ct.QualityEidmap[160]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[161], ct.QualityEidmap[161]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[162], ct.QualityEidmap[162]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[163], ct.QualityEidmap[163]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[164], ct.QualityEidmap[164]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[165], ct.QualityEidmap[165]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[166], ct.QualityEidmap[166]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[167], ct.QualityEidmap[167]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[93]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[168], ct.QualityEidmap[168]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[169], ct.QualityEidmap[169]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[170], ct.QualityEidmap[170]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[171], ct.QualityEidmap[171]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[172], ct.QualityEidmap[172]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[173], ct.QualityEidmap[173]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[174], ct.QualityEidmap[174]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[175], ct.QualityEidmap[175]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[94]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[176], ct.QualityEidmap[176]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[177], ct.QualityEidmap[177]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[178], ct.QualityEidmap[178]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[179], ct.QualityEidmap[179]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[180], ct.QualityEidmap[180]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[181], ct.QualityEidmap[181]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[182], ct.QualityEidmap[182]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[183], ct.QualityEidmap[183]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[95]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[184], ct.QualityEidmap[184]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[185], ct.QualityEidmap[185]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[186], ct.QualityEidmap[186]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[187], ct.QualityEidmap[187]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[188], ct.QualityEidmap[188]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[189], ct.QualityEidmap[189]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[190], ct.QualityEidmap[190]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[191], ct.QualityEidmap[191]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[96]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[192], ct.QualityEidmap[192]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[193], ct.QualityEidmap[193]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[194], ct.QualityEidmap[194]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[195], ct.QualityEidmap[195]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[196], ct.QualityEidmap[196]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[197], ct.QualityEidmap[197]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[198], ct.QualityEidmap[198]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[199], ct.QualityEidmap[199]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[97]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[200], ct.QualityEidmap[200]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[201], ct.QualityEidmap[201]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[202], ct.QualityEidmap[202]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[203], ct.QualityEidmap[203]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[204], ct.QualityEidmap[204]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[205], ct.QualityEidmap[205]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[206], ct.QualityEidmap[206]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[207], ct.QualityEidmap[207]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[98]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[208], ct.QualityEidmap[208]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[209], ct.QualityEidmap[209]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[210], ct.QualityEidmap[210]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[211], ct.QualityEidmap[211]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[212], ct.QualityEidmap[212]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[213], ct.QualityEidmap[213]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[214], ct.QualityEidmap[214]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[215], ct.QualityEidmap[215]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[99]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[216], ct.QualityEidmap[216]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[217], ct.QualityEidmap[217]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[218], ct.QualityEidmap[218]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[219], ct.QualityEidmap[219]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[220], ct.QualityEidmap[220]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[221], ct.QualityEidmap[221]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[222], ct.QualityEidmap[222]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[223], ct.QualityEidmap[223]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[100]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[224], ct.QualityEidmap[224]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[225], ct.QualityEidmap[225]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[226], ct.QualityEidmap[226]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[227], ct.QualityEidmap[227]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[228], ct.QualityEidmap[228]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[229], ct.QualityEidmap[229]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[230], ct.QualityEidmap[230]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[231], ct.QualityEidmap[231]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[101]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[232], ct.QualityEidmap[232]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[233], ct.QualityEidmap[233]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[234], ct.QualityEidmap[234]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[235], ct.QualityEidmap[235]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[236], ct.QualityEidmap[236]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[237], ct.QualityEidmap[237]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[238], ct.QualityEidmap[238]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[239], ct.QualityEidmap[239]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[102]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[240], ct.QualityEidmap[240]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[241], ct.QualityEidmap[241]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[242], ct.QualityEidmap[242]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[243], ct.QualityEidmap[243]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[244], ct.QualityEidmap[244]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[245], ct.QualityEidmap[245]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[246], ct.QualityEidmap[246]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[247], ct.QualityEidmap[247]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[103]);
         memset(line + 8, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[248], ct.QualityEidmap[248]);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 17, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[249], ct.QualityEidmap[249]);
         memcpy(line + 17, segmentValue, strlen(segmentValue));
         memset(line + 26, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[250], ct.QualityEidmap[250]);
         memcpy(line + 26, segmentValue, strlen(segmentValue));
         memset(line + 35, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[251], ct.QualityEidmap[251]);
         memcpy(line + 35, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[252], ct.QualityEidmap[252]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[253], ct.QualityEidmap[253]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         memset(line + 62, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[254], ct.QualityEidmap[254]);
         memcpy(line + 62, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " %5u %2.2x", ct.eidmap[255], ct.QualityEidmap[255]);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
