#ifndef DUMPL1CRISHSKP_C
   #define DUMPL1CRISHSKP_C

   /* $Id: dumpL1CrisHskp.c,v 1.1 1998/07/27 11:53:09 rgr Exp $ */

   /* $RCSfile: dumpL1CrisHskp.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 11:53:09 $ */
   /* $Revision: 1.1 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   
   #include "cris/L1CrisHskp.h"
   #include "utilities/stringDate1996.h"

   void dumpL1CrisHskp(struct L1CrisHskp hskp)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"CRIS Housekeeping - <start time               >   <S/C Clock: xxxxxxxxxx>",
                          "<Status TmSide: x xx>    <Status Refresh: x xx>   <Command Table Index: xxx xx>",
                          "",
                          "Temperature(ADC):             Voltage(ADC):     PostDC(ADC):",
                          "<Motherboard Elect: xxxx xx>     <+5V: xxxx xx>   <E1A: xxxx xx>  <E1C: xxxx xx>",
                          "  <Motherboard Det: xxxx xx>     <+6V: xxxx xx>   <E1B: xxxx xx>  <E1D: xxxx xx>",
                          "    <Motherboard C: xxxx xx>     <-6V: xxxx xx>  <E2AB: xxxx xx> <E2CD: xxxx xx>",
                          "     <Analog Board: xxxx xx>   <+7.3V: xxxx xx>  <E3AB: xxxx xx> <E3CD: xxxx xx>",
                          "    <PostReg Board: xxxx xx>   <-7.3V: xxxx xx>  <E4AB: xxxx xx> <E4CD: xxxx xx>",
                          "      <Logic Board: xxxx xx>    <+12V: xxxx xx>  <E5AB: xxxx xx> <E5CD: xxxx xx>",
                          "        <E12 Elect: xxxx xx>    <-12V: xxxx xx>  <E6AB: xxxx xx> <E6CD: xxxx xx>",
                          "          <E12 Det: xxxx xx>  <+13.4V: xxxx xx>  <E7AB: xxxx xx> <E7CD: xxxx xx>",
                          "        <E34 Elect: xxxx xx>  <-13.4V: xxxx xx>  <E8AB: xxxx xx> <E8CD: xxxx xx>",
                          "          <E34 Det: xxxx xx>    <+15V: xxxx xx>  <E9AB: xxxx xx> <E9CD: xxxx xx>",
                          "        <E56 Elect: xxxx xx>    <+19V: xxxx xx>  <G2AB: xxxx xx> <G2CD: xxxx xx>",
                          "          <E56 Det: xxxx xx>    <MCP1: xxxx xx>  <G3AB: xxxx xx> <G3CD: xxxx xx>",
                          "       <E789 Elect: xxxx xx>    <MCP2: xxxx xx>  <G4AB: xxxx xx> <G4CD: xxxx xx>",
                          "         <E789 Det: xxxx xx>                     <G5AB: xxxx xx> <G5CD: xxxx xx>",
                          "             <LVPS: xxxx xx> Current(ADC):       <G6AB: xxxx xx> <G6CD: xxxx xx>",
                          "             <HVPS: xxxx xx>  <HVPS 1: xxxx xx>  <G7AB: xxxx xx> <G7CD: xxxx xx>",
                          " <Fiber Plane Top0: xxxx xx>  <HVPS 2: xxxx xx>",
                          " <Fiber Plane Top1: xxxx xx>  <HVPS 3: xxxx xx> DAC:",
                          "  <Fiber Plane Mid: xxxx xx>  <HVPS 4: xxxx xx>  <G2AB: yyyy yy> <G2CD: yyyy yy>",
                          "  <Fiber Plane Bot: xxxx xx><SoftPS A: xxxx xx>  <G3AB: yyyy yy> <G3CD: yyyy yy>",
                          "<Image Int. 1 Side: xxxx xx><SoftPS B: xxxx xx>  <G4AB: yyyy yy> <G4CD: yyyy yy>",
                          "<Image Int. 1 Rear: xxxx xx>                     <G5AB: yyyy yy> <G5CD: yyyy yy>",
                          "   <Camera 1 Elect: xxxx xx>  Heater:            <G6AB: yyyy yy> <G6CD: yyyy yy>",
                          "           <HVPS 1: yyyy yy>   <CCD A: xxx xx>   <G7AB: yyyy yy> <G7CD: yyyy yy>",
                          "<Image Int. 2 Side: xxxx xx>   <CCD B: xxx xx>   <E9AB: yyyy yy> <E9CD: yyyy yy>",
                          "<Image Int. 2 Rear: xxxx xx>    <CRIS: xxx xx>",
                          "   <Camera 2 Elect: xxxx xx>",
                          "           <HVPS 2: yyyy yy>"};

      strcpy(line, template[0]);
         memset(line + 20, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(hskp.Second1996), hskp.microsecond);
         memcpy(line + 20, segmentValue, strlen(segmentValue));
         memset(line + 50, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", hskp.ClockCycle);
         memcpy(line + 50, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[1]);
         memset(line + 0, (int) ' ', 21);
         sprintf(segmentValue, " Status TmSide: %1u %2.2x ", hskp.StatusTmSide, hskp.QualityStatusTmSide);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 25, (int) ' ', 22);
         sprintf(segmentValue, " Status Refresh: %1u %2.2x ", hskp.StatusRefresh, hskp.QualityStatusRefresh);
         memcpy(line + 25, segmentValue, strlen(segmentValue));
         memset(line + 50, (int) ' ', 29);
         sprintf(segmentValue, " Command Table Index: %3u %2.2x ", hskp.CommandTableIndex, hskp.QualityCommandTableIndex);
         memcpy(line + 50, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[2]);
         printf("%s\n", line);
      strcpy(line, template[3]);
         printf("%s\n", line);
      strcpy(line, template[4]);
         memset(line + 0, (int) ' ', 28);
         sprintf(segmentValue, " Motherboard Elect: %4u %2.2x ", hskp.TemperatureMotherBoardElect, hskp.QualityTemperatureMotherBoardElect);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 33, (int) ' ', 14);
         sprintf(segmentValue, " +5V: %4u %2.2x ", hskp.MonitorP5V, hskp.QualityMonitorP5V);
         memcpy(line + 33, segmentValue, strlen(segmentValue));
         memset(line + 50, (int) ' ', 14);
         sprintf(segmentValue, " E1A: %4u %2.2x ", hskp.PostDcE1a, hskp.QualityPostDcE1a);
         memcpy(line + 50, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 14);
         sprintf(segmentValue, " E1C: %4u %2.2x ", hskp.PostDcE1c, hskp.QualityPostDcE1c);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[5]);
         memset(line + 2, (int) ' ', 26);
         sprintf(segmentValue, " Motherboard Det: %4u %2.2x ", hskp.TemperatureMotherBoardDet, hskp.QualityTemperatureMotherBoardDet);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 33, (int) ' ', 14);
         sprintf(segmentValue, " +6V: %4u %2.2x ", hskp.MonitorP6V, hskp.QualityMonitorP6V);
         memcpy(line + 33, segmentValue, strlen(segmentValue));
         memset(line + 50, (int) ' ', 14);
         sprintf(segmentValue, " E1B: %4u %2.2x ", hskp.PostDcE1b, hskp.QualityPostDcE1b);
         memcpy(line + 50, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 14);
         sprintf(segmentValue, " E1D: %4u %2.2x ", hskp.PostDcE1d, hskp.QualityPostDcE1d);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[6]);
         memset(line + 4, (int) ' ', 24);
         sprintf(segmentValue, " Motherboard C: %4u %2.2x ", hskp.TemperatureMotherBoardC, hskp.QualityTemperatureMotherBoardC);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 33, (int) ' ', 14);
         sprintf(segmentValue, " -6V: %4u %2.2x ", hskp.MonitorM6V, hskp.QualityMonitorM6V);
         memcpy(line + 33, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " E2Ab: %4u %2.2x ", hskp.PostDcE2ab, hskp.QualityPostDcE2ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " E2CD: %4u %2.2x ", hskp.PostDcE2cd, hskp.QualityPostDcE2cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[7]);
         memset(line + 5, (int) ' ', 23);
         sprintf(segmentValue, " Analog Board: %4u %2.2x ", hskp.TemperatureAnalogBoard, hskp.QualityTemperatureAnalogBoard);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 16);
         sprintf(segmentValue, " +7.3V: %4u %2.2x ", hskp.MonitorP7V, hskp.QualityMonitorP7V);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " E3AB: %4u %2.2x ", hskp.PostDcE3ab, hskp.QualityPostDcE3ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " E3CD: %4u %2.2x ", hskp.PostDcE3cd, hskp.QualityPostDcE3cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[8]);
         memset(line + 4, (int) ' ', 24);
         sprintf(segmentValue, " PostReg Board: %4u %2.2x ", hskp.TemperaturePostRegBoard, hskp.QualityTemperaturePostRegBoard);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 16);
         sprintf(segmentValue, " -7.3V: %4u %2.2x ", hskp.MonitorM7V, hskp.QualityMonitorM7V);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " E4AB: %4u %2.2x ", hskp.PostDcE4ab, hskp.QualityPostDcE4ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " E4CD: %4u %2.2x ", hskp.PostDcE4cd, hskp.QualityPostDcE4cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[9]);
         memset(line + 6, (int) ' ', 22);
         sprintf(segmentValue, " Logic Board: %4u %2.2x ", hskp.TemperatureLogicBoard, hskp.QualityTemperatureLogicBoard);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 32, (int) ' ', 15);
         sprintf(segmentValue, " +12V: %4u %2.2x ", hskp.MonitorP12V, hskp.QualityMonitorP12V);
         memcpy(line + 32, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " E5AB: %4u %2.2x ", hskp.PostDcE5ab, hskp.QualityPostDcE5ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " E5CD: %4u %2.2x ", hskp.PostDcE5cd, hskp.QualityPostDcE5cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[10]);
         memset(line + 8, (int) ' ', 20);
         sprintf(segmentValue, " E12 Elect: %4u %2.2x ", hskp.TemperatureE12Elect, hskp.QualityTemperatureE12Elect);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 32, (int) ' ', 15);
         sprintf(segmentValue, " -12V: %4u %2.2x ", hskp.MonitorM12V, hskp.QualityMonitorM12V);
         memcpy(line + 32, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " E6AB: %4u %2.2x ", hskp.PostDcE6ab, hskp.QualityPostDcE6ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " E6CD: %4u %2.2x ", hskp.PostDcE6cd, hskp.QualityPostDcE6cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[11]);
         memset(line + 10, (int) ' ', 18);
         sprintf(segmentValue, " E12 Det: %4u %2.2x ", hskp.TemperatureE12Det, hskp.QualityTemperatureE12Det);
         memcpy(line + 10, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 17);
         sprintf(segmentValue, " +13.4V: %4u %2.2x ", hskp.MonitorP13V, hskp.QualityMonitorP13V);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " E7AB: %4u %2.2x ", hskp.PostDcE7ab, hskp.QualityPostDcE7ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " E7CD: %4u %2.2x ", hskp.PostDcE7cd, hskp.QualityPostDcE7cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[12]);
         memset(line + 8, (int) ' ', 20);
         sprintf(segmentValue, " E34 Elect: %4u %2.2x ", hskp.TemperatureE34Elect, hskp.QualityTemperatureE34Elect);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 17);
         sprintf(segmentValue, " -13.4V: %4u %2.2x ", hskp.MonitorM13V, hskp.QualityMonitorM13V);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " E8AB: %4u %2.2x ", hskp.PostDcE8ab, hskp.QualityPostDcE8ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " E8CD: %4u %2.2x ", hskp.PostDcE8cd, hskp.QualityPostDcE8cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[13]);
         memset(line + 10, (int) ' ', 18);
         sprintf(segmentValue, " E34 Det: %4u %2.2x ", hskp.TemperatureE34Det, hskp.QualityTemperatureE34Det);
         memcpy(line + 10, segmentValue, strlen(segmentValue));
         memset(line + 32, (int) ' ', 15);
         sprintf(segmentValue, " +15V: %4u %2.2x ", hskp.MonitorP15V, hskp.QualityMonitorP15V);
         memcpy(line + 32, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " E9AB: %4u %2.2x ", hskp.PostDcE9ab, hskp.QualityPostDcE9ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " E9CD: %4u %2.2x ", hskp.PostDcE9cd, hskp.QualityPostDcE9cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[14]);
         memset(line + 8, (int) ' ', 20);
         sprintf(segmentValue, " E56 Elect: %4u %2.2x ", hskp.TemperatureE56Elect, hskp.QualityTemperatureE56Elect);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 32, (int) ' ', 15);
         sprintf(segmentValue, " +19V: %4u %2.2x ", hskp.MonitorP19V, hskp.QualityMonitorP19V);
         memcpy(line + 32, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G2AB: %4u %2.2x ", hskp.PostDcG2ab, hskp.QualityPostDcG2ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G2CD: %4u %2.2x ", hskp.PostDcG2cd, hskp.QualityPostDcG2cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[15]);
         memset(line + 10, (int) ' ', 18);
         sprintf(segmentValue, " E56 Det: %4u %2.2x ", hskp.TemperatureE56Det, hskp.QualityTemperatureE56Det);
         memcpy(line + 10, segmentValue, strlen(segmentValue));
         memset(line + 32, (int) ' ', 15);
         sprintf(segmentValue, " MCP1: %4u %2.2x ", hskp.MonitorMcp1, hskp.QualityMonitorMcp1);
         memcpy(line + 32, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G3AB: %4u %2.2x ", hskp.PostDcG3ab, hskp.QualityPostDcG3ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G3CD: %4u %2.2x ", hskp.PostDcG3cd, hskp.QualityPostDcG3cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[16]);
         memset(line + 7, (int) ' ', 21);
         sprintf(segmentValue, " E789 Elect: %4u %2.2x ", hskp.TemperatureE789Elect, hskp.QualityTemperatureE789Elect);
         memcpy(line + 7, segmentValue, strlen(segmentValue));
         memset(line + 32, (int) ' ', 15);
         sprintf(segmentValue, " MCP2: %4u %2.2x ", hskp.MonitorMcp2, hskp.QualityMonitorMcp2);
         memcpy(line + 32, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G4AB: %4u %2.2x ", hskp.PostDcG4ab, hskp.QualityPostDcG4ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G4CD: %4u %2.2x ", hskp.PostDcG4cd, hskp.QualityPostDcG4cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[17]);
         memset(line + 9, (int) ' ', 19);
         sprintf(segmentValue, " E789 Det: %4u %2.2x ", hskp.TemperatureE789Det, hskp.QualityTemperatureE789Det);
         memcpy(line + 9, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G5AB: %4u %2.2x ", hskp.PostDcG5ab, hskp.QualityPostDcG5ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G5CD: %4u %2.2x ", hskp.PostDcG5cd, hskp.QualityPostDcG5cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[18]);
         memset(line + 13, (int) ' ', 15);
         sprintf(segmentValue, " LVPS: %4u %2.2x ", hskp.TemperatureLvps, hskp.QualityTemperatureLvps);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G6AB: %4u %2.2x ", hskp.PostDcG6ab, hskp.QualityPostDcG6ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G6CD: %4u %2.2x ", hskp.PostDcG6cd, hskp.QualityPostDcG6cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[19]);
         memset(line + 13, (int) ' ', 15);
         sprintf(segmentValue, " HVPS: %4u %2.2x ", hskp.TemperatureHvps, hskp.QualityTemperatureHvps);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 17);
         sprintf(segmentValue, " HVPS 1: %4u %2.2x ", hskp.MonitorHvps1I, hskp.QualityMonitorHvps1I);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G7AB: %4u %2.2x ", hskp.PostDcG7ab, hskp.QualityPostDcG7ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G7CD: %4u %2.2x ", hskp.PostDcG7cd, hskp.QualityPostDcG7cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[20]);
         memset(line + 1, (int) ' ', 27);
         sprintf(segmentValue, " Fiber Plane Top0: %4u %2.2x ", hskp.TemperatureFiberPlaneTop0, hskp.QualityTemperatureFiberPlaneTop0);
         memcpy(line + 1, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 17);
         sprintf(segmentValue, " HVPS 2: %4u %2.2x ", hskp.MonitorHvps2I, hskp.QualityMonitorHvps2I);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[21]);
         memset(line + 1, (int) ' ', 27);
         sprintf(segmentValue, " Fiber Plane Top1: %4u %2.2x ", hskp.TemperatureFiberPlaneTop1, hskp.QualityTemperatureFiberPlaneTop1);
         memcpy(line + 1, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 17);
         sprintf(segmentValue, " HVPS 3: %4u %2.2x ", hskp.MonitorHvps3I, hskp.QualityMonitorHvps3I);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[22]);
         memset(line + 2, (int) ' ', 26);
         sprintf(segmentValue, " Fiber Plane Mid: %4u %2.2x ", hskp.TemperatureFiberPlaneMid, hskp.QualityTemperatureFiberPlaneMid);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 17);
         sprintf(segmentValue, " HVPS 4: %4u %2.2x ", hskp.MonitorHvps4I, hskp.QualityMonitorHvps4I);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G2AB: %4u %2.2x ", hskp.DacG2ab, hskp.QualityDacG2ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G2CD: %4u %2.2x ", hskp.DacG2cd, hskp.QualityDacG2cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[23]);
         memset(line + 2, (int) ' ', 26);
         sprintf(segmentValue, " Fiber Plane Bot: %4u %2.2x ", hskp.TemperatureFiberPlaneBot, hskp.QualityTemperatureFiberPlaneBot);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 28, (int) ' ', 19);
         sprintf(segmentValue, " SoftPS A: %4u %2.2x ", hskp.MonitorSoftPsaI, hskp.QualityMonitorSoftPsaI);
         memcpy(line + 28, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G3AB: %4u %2.2x ", hskp.DacG3ab, hskp.QualityDacG3ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G3CD: %4u %2.2x ", hskp.DacG3cd, hskp.QualityDacG3cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[24]);
         memset(line + 0, (int) ' ', 28);
         sprintf(segmentValue, " Image Int. 1 Side: %4u %2.2x ", hskp.TemperatureImageInt1Side, hskp.QualityTemperatureImageInt1Side);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 28, (int) ' ', 19);
         sprintf(segmentValue, " SoftPS B: %4u %2.2x ", hskp.MonitorSoftPsbI, hskp.QualityMonitorSoftPsbI);
         memcpy(line + 28, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G4AB: %4u %2.2x ", hskp.DacG4ab, hskp.QualityDacG4ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G4CD: %4u %2.2x ", hskp.DacG4cd, hskp.QualityDacG4cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[25]);
         memset(line + 0, (int) ' ', 28);
         sprintf(segmentValue, " Image Int. 1 Rear: %4u %2.2x ", hskp.TemperatureImageInt1Rear, hskp.QualityTemperatureImageInt1Rear);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G5AB: %4u %2.2x ", hskp.DacG5ab, hskp.QualityDacG5ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G5CD: %4u %2.2x ", hskp.DacG5cd, hskp.QualityDacG5cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[26]);
         memset(line + 3, (int) ' ', 25);
         sprintf(segmentValue, " Camera 1 Elect: %4u %2.2x ", hskp.TemperatureCamera1Elect, hskp.QualityTemperatureCamera1Elect);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G6AB: %4u %2.2x ", hskp.DacG6ab, hskp.QualityDacG6ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G6CD: %4u %2.2x ", hskp.DacG6cd, hskp.QualityDacG6cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[27]);
         memset(line + 11, (int) ' ', 17);
         sprintf(segmentValue, " HVPS 1: %4u %2.2x ", hskp.TemperatureHvps1, hskp.QualityTemperatureHvps1);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 15);
         sprintf(segmentValue, " CCD A: %3u %2.2x ", hskp.HeaterCcdA, hskp.QualityHeaterCcdA);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " G7AB: %4u %2.2x ", hskp.DacG7ab, hskp.QualityDacG7ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " G7CD: %4u %2.2x ", hskp.DacG7cd, hskp.QualityDacG7cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[28]);
         memset(line + 0, (int) ' ', 28);
         sprintf(segmentValue, " Image Int. 2 Side: %4u %2.2x ", hskp.TemperatureImageInt2Side, hskp.QualityTemperatureImageInt2Side);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 15);
         sprintf(segmentValue, " CCD B: %3u %2.2x ", hskp.HeaterCcdB, hskp.QualityHeaterCcdB);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 15);
         sprintf(segmentValue, " E9AB: %4u %2.2x ", hskp.DacE9ab, hskp.QualityDacE9ab);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " E9CD: %4u %2.2x ", hskp.DacE9cd, hskp.QualityDacE9cd);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[29]);
         memset(line + 0, (int) ' ', 28);
         sprintf(segmentValue, " Image Int. 2 Rear: %4u %2.2x ", hskp.TemperatureImageInt2Rear, hskp.QualityTemperatureImageInt2Rear);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 32, (int) ' ', 14);
         sprintf(segmentValue, " CRIS: %3u %2.2x ", hskp.HeaterCris, hskp.QualityHeaterCris);
         memcpy(line + 32, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[30]);
         memset(line + 3, (int) ' ', 25);
         sprintf(segmentValue, " Camera 2 Elect: %4u %2.2x ", hskp.TemperatureCamera2Elect, hskp.QualityTemperatureCamera2Elect);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[31]);
         memset(line + 11, (int) ' ', 17);
         sprintf(segmentValue, " HVPS 2: %4u %2.2x ", hskp.TemperatureHvps2, hskp.QualityTemperatureHvps2);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
