#ifndef DUMPL1_1CRISRAWEVENT_C
   #define DUMPL1_1CRISRAWEVENT_C

   /* $Id: dumpL1_1CrisRawEvent.c,v 1.2 1998/07/31 00:57:05 rgr Exp $ */

   /* $RCSfile: dumpL1_1CrisRawEvent.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/31 00:57:05 $ */
   /* $Revision: 1.2 $ */


   #include <memory.h>
   #include <stdio.h>
   #include "cris/L1_1CrisDiagnosticEvent.h"

   void dumpL1_1CrisRawEvent(struct L1_1CrisRawEvent raw)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"                     AB Telescope:                   CD Telescope:  ",
                          "<stim_puls_tag: x>    <e1: aaaa a>  <g2: xxxx x>      <e1: cccc c>  <g2: yyyy y>",
                          " <stim_off_tag: x>    <e1: bbbb b>  <g3: xxxx x>      <e1: dddd d>  <g3: yyyy y>",
                          "       <hazard: x>    <e2: xxxx x>  <g4: xxxx x>      <e2: yyyy y>  <g4: yyyy y>",
                          "         <ghor: x>    <e3: xxxx x>  <g5: xxxx x>      <e3: yyyy y>  <g5: yyyy y>",
                          "          <mor: x>    <e4: xxxx x>  <g6: xxxx x>      <e4: yyyy y>  <g6: yyyy y>",
                          "          <hor: x>    <e5: xxxx x>  <g7: xxxx x>      <e5: yyyy y>  <g7: yyyy y>",
                          "   <soft_trig0: x>    <e6: xxxx x>                    <e6: yyyy y> ",
                          "   <soft_trig1: x>    <e7: xxxx x>       <z1: x>      <e7: yyyy y>       <z1: y>",
                          "        <hy_en: x>    <e8: xxxx x>       <z2: x>      <e8: yyyy y>       <z2: y>",
                          "        <he_en: x>    <e9: xxxx x>   <z_gt_2: x>      <e9: yyyy y>   <z_gt_2: y>",
                          "                                       <adc2: x>                       <adc2: y>",
                          "<cycle_count: xxx>                <min_range: x>                  <min_range: y>"};

      strcpy(line, template[0]);
         printf("%s\n", line);
      strcpy(line, template[1]);
         memset(line + 0, (int) ' ', 18);
         sprintf(segmentValue, " stim_puls_tag: %1u ", raw.tag.stim_puls_tag);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 12);
         sprintf(segmentValue, " e1: %4d %1u ", raw.ab.e1_0, raw.ab.tag.e1_0);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 36, (int) ' ', 12);
         sprintf(segmentValue, " g2: %4d %1u ", raw.ab.g2, raw.ab.tag.g2);
         memcpy(line + 36, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 12);
         sprintf(segmentValue, " e1: %4d %1u ", raw.cd.e1_0, raw.cd.tag.e1_0);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         memset(line + 68, (int) ' ', 12);
         sprintf(segmentValue, " g2: %4d %1u ", raw.cd.g2, raw.cd.tag.g2);
         memcpy(line + 68, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[2]);
         memset(line + 1, (int) ' ', 17);
         sprintf(segmentValue, " stim_off_tag: %1u ", raw.tag.stim_off_tag);
         memcpy(line + 1, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 12);
         sprintf(segmentValue, " e1: %4d %1u ", raw.ab.e1_1, raw.ab.tag.e1_1);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 36, (int) ' ', 12);
         sprintf(segmentValue, " g3: %4d %1u ", raw.ab.g3, raw.ab.tag.g3);
         memcpy(line + 36, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 12);
         sprintf(segmentValue, " e1: %4d %1u ", raw.cd.e1_1, raw.cd.tag.e1_1);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         memset(line + 68, (int) ' ', 12);
         sprintf(segmentValue, " g3: %4d %1u ", raw.cd.g3, raw.cd.tag.g3);
         memcpy(line + 68, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[3]);
         memset(line + 7, (int) ' ', 11);
         sprintf(segmentValue, " hazard: %1u ", raw.tag.hazard);
         memcpy(line + 7, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 12);
         sprintf(segmentValue, " e2: %4d %1u ", raw.ab.e2, raw.ab.tag.e2);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 36, (int) ' ', 12);
         sprintf(segmentValue, " g4: %4d %1u ", raw.ab.g4, raw.ab.tag.g4);
         memcpy(line + 36, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 12);
         sprintf(segmentValue, " e2: %4d %1u ", raw.cd.e2, raw.cd.tag.e2);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         memset(line + 68, (int) ' ', 12);
         sprintf(segmentValue, " g4: %4d %1u ", raw.cd.g4, raw.cd.tag.g4);
         memcpy(line + 68, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[4]);
         memset(line + 9, (int) ' ', 9);
         sprintf(segmentValue, " ghor: %1u ", raw.tag.ghor);
         memcpy(line + 9, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 12);
         sprintf(segmentValue, " e3: %4d %1u ", raw.ab.e3, raw.ab.tag.e3);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 36, (int) ' ', 12);
         sprintf(segmentValue, " g5: %4d %1u ", raw.ab.g5, raw.ab.tag.g5);
         memcpy(line + 36, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 12);
         sprintf(segmentValue, " e3: %4d %1u ", raw.cd.e3, raw.cd.tag.e3);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         memset(line + 68, (int) ' ', 12);
         sprintf(segmentValue, " g5: %4d %1u ", raw.cd.g5, raw.cd.tag.g5);
         memcpy(line + 68, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[5]);
         memset(line + 10, (int) ' ', 8);
         sprintf(segmentValue, " mor: %1u ", raw.tag.mor);
         memcpy(line + 10, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 12);
         sprintf(segmentValue, " e4: %4d %1u ", raw.ab.e4, raw.ab.tag.e4);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 36, (int) ' ', 12);
         sprintf(segmentValue, " g6: %4d %1u ", raw.ab.g6, raw.ab.tag.g6);
         memcpy(line + 36, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 12);
         sprintf(segmentValue, " e4: %4d %1u ", raw.cd.e4, raw.cd.tag.e4);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         memset(line + 68, (int) ' ', 12);
         sprintf(segmentValue, " g6: %4d %1u ", raw.cd.g6, raw.cd.tag.g6);
         memcpy(line + 68, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[6]);
         memset(line + 10, (int) ' ', 8);
         sprintf(segmentValue, " hor: %1u ", raw.tag.hor);
         memcpy(line + 10, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 12);
         sprintf(segmentValue, " e5: %4d %1u ", raw.ab.e5, raw.ab.tag.e5);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 36, (int) ' ', 12);
         sprintf(segmentValue, " g7: %4d %1u ", raw.ab.g7, raw.ab.tag.g7);
         memcpy(line + 36, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 12);
         sprintf(segmentValue, " e5: %4d %1u ", raw.cd.e5, raw.cd.tag.e5);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         memset(line + 68, (int) ' ', 12);
         sprintf(segmentValue, " g7: %4d %1u ", raw.cd.g7, raw.cd.tag.g7);
         memcpy(line + 68, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[7]);
         memset(line + 3, (int) ' ', 15);
         sprintf(segmentValue, " soft_trig0: %1u ", raw.tag.soft_trig0);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 12);
         sprintf(segmentValue, " e6: %4d %1u ", raw.ab.e6, raw.ab.tag.e6);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 12);
         sprintf(segmentValue, " e6: %4d %1u ", raw.cd.e6, raw.cd.tag.e6);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[8]);
         memset(line + 3, (int) ' ', 15);
         sprintf(segmentValue, " soft_trig1: %1u ", raw.tag.soft_trig1);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 12);
         sprintf(segmentValue, " e7: %4d %1u ", raw.ab.e7, raw.ab.tag.e7);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 41, (int) ' ', 7);
         sprintf(segmentValue, " z1: %1u ", raw.ab.tag.z1);
         memcpy(line + 41, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 12);
         sprintf(segmentValue, " e7: %4d %1u ", raw.cd.e7, raw.cd.tag.e7);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, " z1: %1u ", raw.cd.tag.z1);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[9]);
         memset(line + 8, (int) ' ', 10);
         sprintf(segmentValue, " hy_en: %1u ", raw.tag.hy_en);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 12);
         sprintf(segmentValue, " e8: %4d %1u ", raw.ab.e8, raw.ab.tag.e8);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 41, (int) ' ', 7);
         sprintf(segmentValue, " z2: %1u ", raw.ab.tag.z2);
         memcpy(line + 41, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 12);
         sprintf(segmentValue, " e8: %4d %1u ", raw.cd.e8, raw.cd.tag.e8);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, " z2: %1u ", raw.cd.tag.z2);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[10]);
         memset(line + 8, (int) ' ', 10);
         sprintf(segmentValue, " he_en: %1u ", raw.tag.he_en);
         memcpy(line + 8, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 12);
         sprintf(segmentValue, " e9: %4d %1u ", raw.ab.e9, raw.ab.tag.e9);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 11);
         sprintf(segmentValue, " z_gt_2: %1u ", raw.ab.tag.z_gt_2);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 12);
         sprintf(segmentValue, " e9: %4d %1u ", raw.cd.e9, raw.cd.tag.e9);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         memset(line + 69, (int) ' ', 11);
         sprintf(segmentValue, " z_gt_2: %1u ", raw.cd.tag.z_gt_2);
         memcpy(line + 69, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[11]);
         memset(line + 39, (int) ' ', 9);
         sprintf(segmentValue, " adc2: %1u ", raw.ab.tag.adc2);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 71, (int) ' ', 9);
         sprintf(segmentValue, " adc2: %1u ", raw.cd.tag.adc2);
         memcpy(line + 71, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[12]);
         memset(line + 0, (int) ' ', 18);
         sprintf(segmentValue, "raw.cycle_count: %3u ", raw.CycleCount);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 34, (int) ' ', 14);
         sprintf(segmentValue, " min_range: %1u ", raw.ab.tag.min_range);
         memcpy(line + 34, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 14);
         sprintf(segmentValue, " min_range: %1u ", raw.cd.tag.min_range);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
