#ifndef DUMPL1SISHIGHPRIORITYRATE_C
   #define DUMPL1SISHIGHPRIORITYRATE_C

   /* $Id: dumpL1SisHighPriorityRate.c,v 1.2 1998/07/27 12:25:43 rgr Exp $ */

   /* $RCSfile: dumpL1SisHighPriorityRate.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 12:25:43 $ */
   /* $Revision: 1.2 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   #include "hdfi.h"
   
   #include "sis/L1SisHighPriorityRate.h"
   #include "sis/uncompressSisValue.h"
   #include "utilities/stringDate1996.h"

   void dumpL1SisHighPriorityRate(struct L1SisHighPriorityRate hp)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"SIS High Priority Rates",
                          "<start time               >      <S/C Clock: xxxxxxxxxx>",
                          "",
                          "Quality           Rate",
                          "<q{0} >  0. <rate{0} >",
                          "<q{1} >  1. <rate{1} >",
                          "<q{2} >  2. <rate{2} >",
                          "<q{3} >  3. <rate{3} >",
                          "<q{4} >  4. <rate{4} >",
                          "<q{5} >  5. <rate{5} >",
                          "<q{6} >  6. <rate{6} >",
                          "<q{7} >  7. <rate{7} >",
                          "<q{8} >  8. <rate{8} >",
                          "<q{9} >  9. <rate{9} >",
                          "<q{10}> 10. <rate{10}>",
                          "<q{11}> 11. <rate{11}>",
                          "<q{12}> 12. <rate{12}>",
                          "<q{13}> 13. <rate{13}>",
                          "<q{14}> 14. <rate{14}>",
                          "<q{15}> 15. <rate{15}>",
                          "<q{16}> 16. <rate{16}>",
                          "<q{17}> 17. <rate{17}>"};

      strcpy(line, template[0]);
         printf("%s\n", line);
      strcpy(line, template[1]);
         memset(line + 0, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(hp.Second1996), hp.microsecond);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 33, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", hp.ClockMinorFrame);
         memcpy(line + 33, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[2]);
         printf("%s\n", line);
      strcpy(line, template[3]);
         printf("%s\n", line);
      strcpy(line, template[4]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[0]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[0]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[5]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[1]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[1]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[6]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[2]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[2]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[7]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[3]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[3]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[8]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[4]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[4]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[9]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[5]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[5]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[10]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[6]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[6]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[11]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[7]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[7]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[12]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[8]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[8]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[13]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[9]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[9]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[14]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[10]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[10]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[15]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[11]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[11]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[16]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[12]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[12]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[17]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[13]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[13]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[18]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[14]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[14]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[19]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[15]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[15]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[20]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[16]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[16]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[21]);
         memset(line + 0, (int) ' ', 7);
         sprintf(segmentValue, "  %2.2x   ", hp.QualityHp[17]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 12, (int) ' ', 10);
         sprintf(segmentValue, "%10.1f", uncompressSisValue(hp.hp[17]));
         memcpy(line + 12, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
