#ifndef DUMPL1SISLOWPRIORITYRATEBUFFER_C
   #define DUMPL1SISLOWPRIORITYRATEBUFFER_C

   /* $Id: dumpL1SisLowPriorityRateBuffer.c,v 1.1 1998/07/27 12:15:36 rgr Exp $ */

   /* $RCSfile: dumpL1SisLowPriorityRateBuffer.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 12:15:36 $ */
   /* $Revision: 1.1 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   #include "hdfi.h"
   
   #include "sis/L1SisLowPriorityRate.h"
   #include "sis/uncompressSisValue.h"
   #include "utilities/stringDate1996.h"

   void dumpL1SisLowPriorityRateBuffer(struct L1SisLowPriorityRate lp)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"SIS Low Priority Rates - <start time               >   <S/C Clock: xx.xxxxxxx>",
                          "<QualityNumberEvents: xx>",
                          "",
                          "<clastot[0]: xxxxx.x xx>         <clasacc[0]: xxxxx.x xx>",
                          "<clastot[1]: xxxxx.x xx>         <clasacc[1]: xxxxx.x xx>",
                          "<clastot[2]: xxxxx.x xx>         <clasacc[2]: xxxxx.x xx>",
                          "<clastot[3]: xxxxx.x xx>         <clasacc[3]: xxxxx.x xx>",
                          "",
                          "        Buf ---Class---           Buf ---Class---           Buf ---Class---",
                          "  32<b{0} ><class{0}  >     64<b{32}><class{32} >     96<b{64}><class{64} > ",
                          "  33<b{1} ><class{1}  >     65<b{33}><class{33} >     97<b{65}><class{65} > ",
                          "  34<b{2} ><class{2}  >     66<b{34}><class{34} >     98<b{66}><class{66} > ",
                          "  35<b{3} ><class{3}  >     67<b{35}><class{35} >     99<b{67}><class{67} > ",
                          "  36<b{4} ><class{4}  >     68<b{36}><class{36} >    100<b{68}><class{68} > ",
                          "  37<b{5} ><class{5}  >     69<b{37}><class{37} >    101<b{69}><class{69} > ",
                          "  38<b{7} ><class{7}  >     70<b{38}><class{38} >    102<b{70}><class{70} > ",
                          "  39<b{7} ><class{7}  >     71<b{39}><class{39} >    103<b{71}><class{71} > ",
                          "  40<b{8} ><class{8}  >     72<b{30}><class{30} >    104<b{72}><class{72} > ",
                          "  41<b{9} ><class{9}  >     73<b{31}><class{31} >    105<b{73}><class{73} > ",
                          "  42<b{10}><class{10} >     74<b{32}><class{32} >    106<b{74}><class{74} > ",
                          "  43<b{11}><class{11} >     75<b{33}><class{33} >    107<b{75}><class{75} > ",
                          "  44<b{12}><class{12} >     76<b{34}><class{34} >    108<b{76}><class{76} > ",
                          "  45<b{13}><class{13} >     77<b{35}><class{35} >    109<b{77}><class{77} > ",
                          "  46<b{14}><class{14} >     78<b{36}><class{36} >    110<b{78}><class{78} > ",
                          "  47<b{15}><class{15} >     79<b{37}><class{37} >    111<b{79}><class{79} > ",
                          "  48<b{16}><class{16} >     80<b{38}><class{38} >    112<b{80}><class{80} > ",
                          "  49<b{17}><class{17} >     81<b{39}><class{39} >    113<b{81}><class{81} > ",
                          "  50<b{18}><class{18} >     82<b{40}><class{40} >    114<b{82}><class{82} > ",
                          "  51<b{19}><class{19} >     83<b{41}><class{41} >    115<b{83}><class{83} > ",
                          "  52<b{20}><class{20} >     84<b{42}><class{42} >    116<b{84}><class{84} > ",
                          "  53<b{21}><class{21} >     85<b{43}><class{43} >    117<b{85}><class{85} > ",
                          "  54<b{22}><class{22} >     86<b{44}><class{44} >    118<b{86}><class{86} > ",
                          "  55<b{23}><class{23} >     87<b{45}><class{45} >    119<b{87}><class{87} > ",
                          "  56<b{24}><class{24} >     88<b{46}><class{46} >    120<b{88}><class{88} > ",
                          "  57<b{25}><class{25} >     89<b{47}><class{47} >    121<b{89}><class{89} > ",
                          "  58<b{26}><class{26} >     90<b{48}><class{48} >    122<b{90}><class{90} > ",
                          "  59<b{27}><class{27} >     91<b{49}><class{49} >    123<b{91}><class{91} > ",
                          "  60<b{28}><class{28} >     92<b{50}><class{50} >    124<b{92}><class{92} > ",
                          "  61<b{29}><class{29} >     93<b{51}><class{51} >    125<b{93}><class{93} > ",
                          "  62<b{30}><class{30} >     94<b{52}><class{52} >    126<b{94}><class{94} > ",
                          "  63<b{31}><class{31} >     95<b{53}><class{53} >    127<b{95}><class{95} > "};

      strcpy(line, template[0]);
         memset(line + 25, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(lp.Second1996), lp.microsecond);
         memcpy(line + 25, segmentValue, strlen(segmentValue));
         memset(line + 55, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", lp.ClockCycle);
         memcpy(line + 55, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[1]);
         memset(line + 0, (int) ' ', 25);
         sprintf(segmentValue, " QualityNumberEvents: %2.2x ", lp.QualityNumberEvents);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[2]);
         printf("%s\n", line);
      strcpy(line, template[3]);
         memset(line + 0, (int) ' ', 24);
         sprintf(segmentValue, " clastot[0]:%8.1f %2.2x ", uncompressSisValue(lp.clastot[0]), lp.QualityClastot[0]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 33, (int) ' ', 24);
         sprintf(segmentValue, " clasacc[0]:%8.1f %2.2x ", uncompressSisValue(lp.clasacc[0]), lp.QualityClasacc[0]);
         memcpy(line + 33, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[4]);
         memset(line + 0, (int) ' ', 24);
         sprintf(segmentValue, " clastot[1]:%8.1f %2.2x ", uncompressSisValue(lp.clastot[1]), lp.QualityClastot[1]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 33, (int) ' ', 24);
         sprintf(segmentValue, " clasacc[1]:%8.1f %2.2x ", uncompressSisValue(lp.clasacc[1]), lp.QualityClasacc[1]);
         memcpy(line + 33, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[5]);
         memset(line + 0, (int) ' ', 24);
         sprintf(segmentValue, " clastot[2]:%8.1f %2.2x ", uncompressSisValue(lp.clastot[2]), lp.QualityClastot[2]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 33, (int) ' ', 24);
         sprintf(segmentValue, " clasacc[2]:%8.1f %2.2x ", uncompressSisValue(lp.clasacc[2]), lp.QualityClasacc[2]);
         memcpy(line + 33, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[6]);
         memset(line + 0, (int) ' ', 24);
         sprintf(segmentValue, " clastot[3]:%8.1f %2.2x ", uncompressSisValue(lp.clastot[3]), lp.QualityClastot[3]);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 33, (int) ' ', 24);
         sprintf(segmentValue, " clasacc[3]:%8.1f %2.2x ", uncompressSisValue(lp.clasacc[3]), lp.QualityClasacc[3]);
         memcpy(line + 33, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[7]);
         printf("%s\n", line);
      strcpy(line, template[8]);
         printf("%s\n", line);
      strcpy(line, template[9]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[0], lp.EventBuffer[0]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[0][0], lp.NumberEvents[0][1], lp.NumberEvents[0][2], lp.NumberEvents[0][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[32], lp.EventBuffer[32]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[32][0], lp.NumberEvents[32][1], lp.NumberEvents[32][2], lp.NumberEvents[32][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[64], lp.EventBuffer[64]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[64][0], lp.NumberEvents[64][1], lp.NumberEvents[64][2], lp.NumberEvents[64][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[10]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[1], lp.EventBuffer[1]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[1][0], lp.NumberEvents[1][1], lp.NumberEvents[1][2], lp.NumberEvents[1][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[33], lp.EventBuffer[33]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[33][0], lp.NumberEvents[33][1], lp.NumberEvents[33][2], lp.NumberEvents[33][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[65], lp.EventBuffer[65]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[65][0], lp.NumberEvents[65][1], lp.NumberEvents[65][2], lp.NumberEvents[65][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[11]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[2], lp.EventBuffer[2]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[2][0], lp.NumberEvents[2][1], lp.NumberEvents[2][2], lp.NumberEvents[2][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[34], lp.EventBuffer[34]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[34][0], lp.NumberEvents[34][1], lp.NumberEvents[34][2], lp.NumberEvents[34][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[66], lp.EventBuffer[66]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[66][0], lp.NumberEvents[66][1], lp.NumberEvents[66][2], lp.NumberEvents[66][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[12]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[3], lp.EventBuffer[3]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[3][0], lp.NumberEvents[3][1], lp.NumberEvents[3][2], lp.NumberEvents[3][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[35], lp.EventBuffer[35]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[35][0], lp.NumberEvents[35][1], lp.NumberEvents[35][2], lp.NumberEvents[35][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[67], lp.EventBuffer[67]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[67][0], lp.NumberEvents[67][1], lp.NumberEvents[67][2], lp.NumberEvents[67][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[13]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[4], lp.EventBuffer[4]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[4][0], lp.NumberEvents[4][1], lp.NumberEvents[4][2], lp.NumberEvents[4][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[36], lp.EventBuffer[36]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[36][0], lp.NumberEvents[36][1], lp.NumberEvents[36][2], lp.NumberEvents[36][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[68], lp.EventBuffer[68]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[68][0], lp.NumberEvents[68][1], lp.NumberEvents[68][2], lp.NumberEvents[68][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[14]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[5], lp.EventBuffer[5]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[5][0], lp.NumberEvents[5][1], lp.NumberEvents[5][2], lp.NumberEvents[5][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[37], lp.EventBuffer[37]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[37][0], lp.NumberEvents[37][1], lp.NumberEvents[37][2], lp.NumberEvents[37][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[69], lp.EventBuffer[69]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[69][0], lp.NumberEvents[69][1], lp.NumberEvents[69][2], lp.NumberEvents[69][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[15]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[7], lp.EventBuffer[7]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[7][0], lp.NumberEvents[7][1], lp.NumberEvents[7][2], lp.NumberEvents[7][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[38], lp.EventBuffer[38]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[38][0], lp.NumberEvents[38][1], lp.NumberEvents[38][2], lp.NumberEvents[38][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[70], lp.EventBuffer[70]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[70][0], lp.NumberEvents[70][1], lp.NumberEvents[70][2], lp.NumberEvents[70][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[16]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[7], lp.EventBuffer[7]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[7][0], lp.NumberEvents[7][1], lp.NumberEvents[7][2], lp.NumberEvents[7][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[39], lp.EventBuffer[39]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[39][0], lp.NumberEvents[39][1], lp.NumberEvents[39][2], lp.NumberEvents[39][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[71], lp.EventBuffer[71]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[71][0], lp.NumberEvents[71][1], lp.NumberEvents[71][2], lp.NumberEvents[71][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[17]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[8], lp.EventBuffer[8]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[8][0], lp.NumberEvents[8][1], lp.NumberEvents[8][2], lp.NumberEvents[8][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[30], lp.EventBuffer[30]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[30][0], lp.NumberEvents[30][1], lp.NumberEvents[30][2], lp.NumberEvents[30][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[72], lp.EventBuffer[72]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[72][0], lp.NumberEvents[72][1], lp.NumberEvents[72][2], lp.NumberEvents[72][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[18]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[9], lp.EventBuffer[9]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[9][0], lp.NumberEvents[9][1], lp.NumberEvents[9][2], lp.NumberEvents[9][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[31], lp.EventBuffer[31]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[31][0], lp.NumberEvents[31][1], lp.NumberEvents[31][2], lp.NumberEvents[31][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[73], lp.EventBuffer[73]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[73][0], lp.NumberEvents[73][1], lp.NumberEvents[73][2], lp.NumberEvents[73][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[19]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[10], lp.EventBuffer[10]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[10][0], lp.NumberEvents[10][1], lp.NumberEvents[10][2], lp.NumberEvents[10][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[32], lp.EventBuffer[32]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[32][0], lp.NumberEvents[32][1], lp.NumberEvents[32][2], lp.NumberEvents[32][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[74], lp.EventBuffer[74]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[74][0], lp.NumberEvents[74][1], lp.NumberEvents[74][2], lp.NumberEvents[74][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[20]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[11], lp.EventBuffer[11]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[11][0], lp.NumberEvents[11][1], lp.NumberEvents[11][2], lp.NumberEvents[11][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[33], lp.EventBuffer[33]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[33][0], lp.NumberEvents[33][1], lp.NumberEvents[33][2], lp.NumberEvents[33][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[75], lp.EventBuffer[75]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[75][0], lp.NumberEvents[75][1], lp.NumberEvents[75][2], lp.NumberEvents[75][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[21]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[12], lp.EventBuffer[12]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[12][0], lp.NumberEvents[12][1], lp.NumberEvents[12][2], lp.NumberEvents[12][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[34], lp.EventBuffer[34]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[34][0], lp.NumberEvents[34][1], lp.NumberEvents[34][2], lp.NumberEvents[34][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[76], lp.EventBuffer[76]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[76][0], lp.NumberEvents[76][1], lp.NumberEvents[76][2], lp.NumberEvents[76][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[22]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[13], lp.EventBuffer[13]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[13][0], lp.NumberEvents[13][1], lp.NumberEvents[13][2], lp.NumberEvents[13][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[35], lp.EventBuffer[35]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[35][0], lp.NumberEvents[35][1], lp.NumberEvents[35][2], lp.NumberEvents[35][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[77], lp.EventBuffer[77]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[77][0], lp.NumberEvents[77][1], lp.NumberEvents[77][2], lp.NumberEvents[77][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[23]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[14], lp.EventBuffer[14]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[14][0], lp.NumberEvents[14][1], lp.NumberEvents[14][2], lp.NumberEvents[14][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[36], lp.EventBuffer[36]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[36][0], lp.NumberEvents[36][1], lp.NumberEvents[36][2], lp.NumberEvents[36][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[78], lp.EventBuffer[78]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[78][0], lp.NumberEvents[78][1], lp.NumberEvents[78][2], lp.NumberEvents[78][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[24]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[15], lp.EventBuffer[15]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[15][0], lp.NumberEvents[15][1], lp.NumberEvents[15][2], lp.NumberEvents[15][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[37], lp.EventBuffer[37]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[37][0], lp.NumberEvents[37][1], lp.NumberEvents[37][2], lp.NumberEvents[37][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[79], lp.EventBuffer[79]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[79][0], lp.NumberEvents[79][1], lp.NumberEvents[79][2], lp.NumberEvents[79][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[25]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[16], lp.EventBuffer[16]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[16][0], lp.NumberEvents[16][1], lp.NumberEvents[16][2], lp.NumberEvents[16][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[38], lp.EventBuffer[38]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[38][0], lp.NumberEvents[38][1], lp.NumberEvents[38][2], lp.NumberEvents[38][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[80], lp.EventBuffer[80]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[80][0], lp.NumberEvents[80][1], lp.NumberEvents[80][2], lp.NumberEvents[80][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[26]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[17], lp.EventBuffer[17]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[17][0], lp.NumberEvents[17][1], lp.NumberEvents[17][2], lp.NumberEvents[17][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[39], lp.EventBuffer[39]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[39][0], lp.NumberEvents[39][1], lp.NumberEvents[39][2], lp.NumberEvents[39][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[81], lp.EventBuffer[81]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[81][0], lp.NumberEvents[81][1], lp.NumberEvents[81][2], lp.NumberEvents[81][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[27]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[18], lp.EventBuffer[18]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[18][0], lp.NumberEvents[18][1], lp.NumberEvents[18][2], lp.NumberEvents[18][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[40], lp.EventBuffer[40]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[40][0], lp.NumberEvents[40][1], lp.NumberEvents[40][2], lp.NumberEvents[40][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[82], lp.EventBuffer[82]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[82][0], lp.NumberEvents[82][1], lp.NumberEvents[82][2], lp.NumberEvents[82][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[28]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[19], lp.EventBuffer[19]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[19][0], lp.NumberEvents[19][1], lp.NumberEvents[19][2], lp.NumberEvents[19][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[41], lp.EventBuffer[41]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[41][0], lp.NumberEvents[41][1], lp.NumberEvents[41][2], lp.NumberEvents[41][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[83], lp.EventBuffer[83]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[83][0], lp.NumberEvents[83][1], lp.NumberEvents[83][2], lp.NumberEvents[83][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[29]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[20], lp.EventBuffer[20]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[20][0], lp.NumberEvents[20][1], lp.NumberEvents[20][2], lp.NumberEvents[20][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[42], lp.EventBuffer[42]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[42][0], lp.NumberEvents[42][1], lp.NumberEvents[42][2], lp.NumberEvents[42][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[84], lp.EventBuffer[84]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[84][0], lp.NumberEvents[84][1], lp.NumberEvents[84][2], lp.NumberEvents[84][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[30]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[21], lp.EventBuffer[21]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[21][0], lp.NumberEvents[21][1], lp.NumberEvents[21][2], lp.NumberEvents[21][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[43], lp.EventBuffer[43]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[43][0], lp.NumberEvents[43][1], lp.NumberEvents[43][2], lp.NumberEvents[43][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[85], lp.EventBuffer[85]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[85][0], lp.NumberEvents[85][1], lp.NumberEvents[85][2], lp.NumberEvents[85][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[31]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[22], lp.EventBuffer[22]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[22][0], lp.NumberEvents[22][1], lp.NumberEvents[22][2], lp.NumberEvents[22][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[44], lp.EventBuffer[44]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[44][0], lp.NumberEvents[44][1], lp.NumberEvents[44][2], lp.NumberEvents[44][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[86], lp.EventBuffer[86]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[86][0], lp.NumberEvents[86][1], lp.NumberEvents[86][2], lp.NumberEvents[86][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[32]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[23], lp.EventBuffer[23]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[23][0], lp.NumberEvents[23][1], lp.NumberEvents[23][2], lp.NumberEvents[23][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[45], lp.EventBuffer[45]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[45][0], lp.NumberEvents[45][1], lp.NumberEvents[45][2], lp.NumberEvents[45][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[87], lp.EventBuffer[87]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[87][0], lp.NumberEvents[87][1], lp.NumberEvents[87][2], lp.NumberEvents[87][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[33]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[24], lp.EventBuffer[24]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[24][0], lp.NumberEvents[24][1], lp.NumberEvents[24][2], lp.NumberEvents[24][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[46], lp.EventBuffer[46]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[46][0], lp.NumberEvents[46][1], lp.NumberEvents[46][2], lp.NumberEvents[46][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[88], lp.EventBuffer[88]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[88][0], lp.NumberEvents[88][1], lp.NumberEvents[88][2], lp.NumberEvents[88][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[34]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[25], lp.EventBuffer[25]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[25][0], lp.NumberEvents[25][1], lp.NumberEvents[25][2], lp.NumberEvents[25][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[47], lp.EventBuffer[47]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[47][0], lp.NumberEvents[47][1], lp.NumberEvents[47][2], lp.NumberEvents[47][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[89], lp.EventBuffer[89]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[89][0], lp.NumberEvents[89][1], lp.NumberEvents[89][2], lp.NumberEvents[89][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[35]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[26], lp.EventBuffer[26]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[26][0], lp.NumberEvents[26][1], lp.NumberEvents[26][2], lp.NumberEvents[26][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[48], lp.EventBuffer[48]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[48][0], lp.NumberEvents[48][1], lp.NumberEvents[48][2], lp.NumberEvents[48][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[90], lp.EventBuffer[90]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[90][0], lp.NumberEvents[90][1], lp.NumberEvents[90][2], lp.NumberEvents[90][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[36]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[27], lp.EventBuffer[27]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[27][0], lp.NumberEvents[27][1], lp.NumberEvents[27][2], lp.NumberEvents[27][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[49], lp.EventBuffer[49]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[49][0], lp.NumberEvents[49][1], lp.NumberEvents[49][2], lp.NumberEvents[49][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[91], lp.EventBuffer[91]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[91][0], lp.NumberEvents[91][1], lp.NumberEvents[91][2], lp.NumberEvents[91][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[37]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[28], lp.EventBuffer[28]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[28][0], lp.NumberEvents[28][1], lp.NumberEvents[28][2], lp.NumberEvents[28][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[50], lp.EventBuffer[50]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[50][0], lp.NumberEvents[50][1], lp.NumberEvents[50][2], lp.NumberEvents[50][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[92], lp.EventBuffer[92]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[92][0], lp.NumberEvents[92][1], lp.NumberEvents[92][2], lp.NumberEvents[92][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[38]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[29], lp.EventBuffer[29]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[29][0], lp.NumberEvents[29][1], lp.NumberEvents[29][2], lp.NumberEvents[29][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[51], lp.EventBuffer[51]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[51][0], lp.NumberEvents[51][1], lp.NumberEvents[51][2], lp.NumberEvents[51][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[93], lp.EventBuffer[93]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[93][0], lp.NumberEvents[93][1], lp.NumberEvents[93][2], lp.NumberEvents[93][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[39]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[30], lp.EventBuffer[30]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[30][0], lp.NumberEvents[30][1], lp.NumberEvents[30][2], lp.NumberEvents[30][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[52], lp.EventBuffer[52]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[52][0], lp.NumberEvents[52][1], lp.NumberEvents[52][2], lp.NumberEvents[52][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[94], lp.EventBuffer[94]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[94][0], lp.NumberEvents[94][1], lp.NumberEvents[94][2], lp.NumberEvents[94][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[40]);
         memset(line + 4, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[31], lp.EventBuffer[31]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 11, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[31][0], lp.NumberEvents[31][1], lp.NumberEvents[31][2], lp.NumberEvents[31][3]);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 30, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[53], lp.EventBuffer[53]);
         memcpy(line + 30, segmentValue, strlen(segmentValue));
         memset(line + 37, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[53][0], lp.NumberEvents[53][1], lp.NumberEvents[53][2], lp.NumberEvents[53][3]);
         memcpy(line + 37, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %3d", lp.QualityEventBuffer[95], lp.EventBuffer[95]);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         memset(line + 63, (int) ' ', 12);
         sprintf(segmentValue, "%3u%3u%3u%3u", lp.NumberEvents[95][0], lp.NumberEvents[95][1], lp.NumberEvents[95][2], lp.NumberEvents[95][3]);
         memcpy(line + 63, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
