#ifndef DUMPL1_1SISHSKP_C
   #define DUMPL1_1SISHSKP_C

   /* $Id: dumpL1_1SisHskp.c,v 1.1 1998/07/27 12:15:56 rgr Exp $ */

   /* $RCSfile: dumpL1_1SisHskp.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 12:15:56 $ */
   /* $Revision: 1.1 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   
   #include "sis/L1_1SisHskp.h"
   #include "utilities/stringDate1996.h"

   void dumpL1_1SisHskp(struct L1_1SisHskp hskp)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"SIS Housekeeping - <start time               >   <S/C Clock: xxxxxxxxxx>",
                          "",
                          "Temperature(DegC):          Voltage(V):         Leakage Current(microA):",
                          "  <Motherboard: xx.xx xx>    <+4V:  xx.xx xx>   <T1A: xx.xx xx>  <T1B: xx.xx xx>",
                          " <Analog Board: xx.xx xx>    <+5V:  xx.xx xx>   <T2A: xx.xx xx>  <T2B: xx.xx xx>",
                          "<PostReg Board: xx.xx xx>    <+7V:  xx.xx xx>   <T3A: xx.xx xx>  <T3B: xx.xx xx>",
                          "  <Logic Board: xx.xx xx>    <-7V:  xx.xx xx>   <T4A: xx.xx xx>  <T4B: xx.xx xx>",
                          "   <LVPS Board: xx.xx xx>   <+13V:  xx.xx xx>   <T5A: xx.xx xx>  <T5B: xx.xx xx>",
                          "   <HVPS Board: xx.xx xx>   <-13V:  xx.xx xx>   <T6A: xx.xx xx>  <T6B: xx.xx xx>",
                          "    <M1A Board: xx.xx xx>   <+19V:  xx.xx xx>   <T7A: xx.xx xx>  <T7B: xx.xx xx>",
                          "    <M2B Board: xx.xx xx>                       <T8A: xx.xx xx>  <T8B: xx.xx xx>",
                          "   <T12A Board: xx.xx xx>",
                          "   <T34A Board: xx.xx xx>  Current(Scaled V):   Status:",
                          "   <T56A Board: xx.xx xx>    <A: xx.xxx xx>       <Telemetry Side: x xx>",
                          "   <T78A Board: xx.xx xx>    <B: xx.xxx xx>       <Refresh Enable: x xx>",
                          "   <T12B Board: xx.xx xx>                            <Heater Auto: x xx>",
                          "   <T34B Board: xx.xx xx>                           <Heater Level: xx xx>",
                          "   <T56B Board: xx.xx xx>                           <Cycle Number: xxxxxxxx xx>",
                          "   <T78B Board: xx.xx xx>                    <Command Table Index: xxxx xx>"};

      strcpy(line, template[0]);
         memset(line + 19, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(hskp.Second1996), hskp.microsecond);
         memcpy(line + 19, segmentValue, strlen(segmentValue));
         memset(line + 49, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", hskp.ClockCycle);
         memcpy(line + 49, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[1]);
         printf("%s\n", line);
      strcpy(line, template[2]);
         printf("%s\n", line);
      strcpy(line, template[3]);
         memset(line + 2, (int) ' ', 23);
         sprintf(segmentValue, " Motherboard:%6.2f %2.2x ", hskp.TemperatureMotherBoard, hskp.QualityTemperatureMotherBoard);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 29, (int) ' ', 16);
         sprintf(segmentValue, " +4V: %6.2f %2.2x ", hskp.MonitorP4V, hskp.QualityMonitorP4V);
         memcpy(line + 29, segmentValue, strlen(segmentValue));
         memset(line + 48, (int) ' ', 15);
         sprintf(segmentValue, " T1A:%6.2f %2.2x ", hskp.LeakageCurrentT1a, hskp.QualityLeakageCurrentT1a);
         memcpy(line + 48, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " T1B:%6.2f %2.2x ", hskp.LeakageCurrentT1b, hskp.QualityLeakageCurrentT1b);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[4]);
         memset(line + 1, (int) ' ', 24);
         sprintf(segmentValue, " Analog Board:%6.2f %2.2x ", hskp.TemperatureAnalogBoard, hskp.QualityTemperatureAnalogBoard);
         memcpy(line + 1, segmentValue, strlen(segmentValue));
         memset(line + 29, (int) ' ', 16);
         sprintf(segmentValue, " +5V: %6.2f %2.2x ", hskp.MonitorP5V, hskp.QualityMonitorP5V);
         memcpy(line + 29, segmentValue, strlen(segmentValue));
         memset(line + 48, (int) ' ', 15);
         sprintf(segmentValue, " T2A:%6.2f %2.2x ", hskp.LeakageCurrentT2a, hskp.QualityLeakageCurrentT2a);
         memcpy(line + 48, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " T2B:%6.2f %2.2x ", hskp.LeakageCurrentT2b, hskp.QualityLeakageCurrentT2b);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[5]);
         memset(line + 0, (int) ' ', 25);
         sprintf(segmentValue, " PostReg Board:%6.2f %2.2x ", hskp.TemperaturePostRegBoard, hskp.QualityTemperaturePostRegBoard);
         memcpy(line + 0, segmentValue, strlen(segmentValue));
         memset(line + 29, (int) ' ', 16);
         sprintf(segmentValue, " +7V: %6.2f %2.2x ", hskp.MonitorP7V, hskp.QualityMonitorP7V);
         memcpy(line + 29, segmentValue, strlen(segmentValue));
         memset(line + 48, (int) ' ', 15);
         sprintf(segmentValue, " T3A:%6.2f %2.2x ", hskp.LeakageCurrentT3a, hskp.QualityLeakageCurrentT3a);
         memcpy(line + 48, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " T3B:%6.2f %2.2x ", hskp.LeakageCurrentT3b, hskp.QualityLeakageCurrentT3b);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[6]);
         memset(line + 2, (int) ' ', 23);
         sprintf(segmentValue, " Logic Board:%6.2f %2.2x ", hskp.TemperatureLogicBoard, hskp.QualityTemperatureLogicBoard);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 29, (int) ' ', 16);
         sprintf(segmentValue, " -7V: %6.2f %2.2x ", hskp.MonitorM7V, hskp.QualityMonitorM7V);
         memcpy(line + 29, segmentValue, strlen(segmentValue));
         memset(line + 48, (int) ' ', 15);
         sprintf(segmentValue, " T4A:%6.2f %2.2x ", hskp.LeakageCurrentT4a, hskp.QualityLeakageCurrentT4a);
         memcpy(line + 48, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " T4B:%6.2f %2.2x ", hskp.LeakageCurrentT4b, hskp.QualityLeakageCurrentT4b);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[7]);
         memset(line + 3, (int) ' ', 22);
         sprintf(segmentValue, " LVPS Board:%6.2f %2.2x ", hskp.TemperatureLvpsBoard, hskp.QualityTemperatureLvpsBoard);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 28, (int) ' ', 17);
         sprintf(segmentValue, " +13V: %6.2f %2.2x ", hskp.MonitorP13V, hskp.QualityMonitorP13V);
         memcpy(line + 28, segmentValue, strlen(segmentValue));
         memset(line + 48, (int) ' ', 15);
         sprintf(segmentValue, " T5A:%6.2f %2.2x ", hskp.LeakageCurrentT5a, hskp.QualityLeakageCurrentT5a);
         memcpy(line + 48, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " T5B:%6.2f %2.2x", hskp.LeakageCurrentT5b, hskp.QualityLeakageCurrentT5b);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[8]);
         memset(line + 3, (int) ' ', 22);
         sprintf(segmentValue, " HVPS Board:%6.2f %2.2x ", hskp.TemperatureHvpsBoard, hskp.QualityTemperatureHvpsBoard);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 28, (int) ' ', 17);
         sprintf(segmentValue, " -13V: %6.2f %2.2x ", hskp.MonitorM13V, hskp.QualityMonitorM13V);
         memcpy(line + 28, segmentValue, strlen(segmentValue));
         memset(line + 48, (int) ' ', 15);
         sprintf(segmentValue, " T6A:%6.2f %2.2x ", hskp.LeakageCurrentT6a, hskp.QualityLeakageCurrentT6a);
         memcpy(line + 48, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " T6B:%6.2f %2.2x ", hskp.LeakageCurrentT6b, hskp.QualityLeakageCurrentT6b);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[9]);
         memset(line + 4, (int) ' ', 21);
         sprintf(segmentValue, " M1A Board:%6.2f %2.2x ", hskp.TemperatureM1aBoard, hskp.QualityTemperatureM1aBoard);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 28, (int) ' ', 17);
         sprintf(segmentValue, " +19V: %6.2f %2.2x ", hskp.MonitorP19V, hskp.QualityMonitorP19V);
         memcpy(line + 28, segmentValue, strlen(segmentValue));
         memset(line + 48, (int) ' ', 15);
         sprintf(segmentValue, " T7A:%6.2f %2.2x ", hskp.LeakageCurrentT7a, hskp.QualityLeakageCurrentT7a);
         memcpy(line + 48, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " T7B:%6.2f %2.2x ", hskp.LeakageCurrentT7b, hskp.QualityLeakageCurrentT7b);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[10]);
         memset(line + 4, (int) ' ', 21);
         sprintf(segmentValue, " M2B Board:%6.2f %2.2x ", hskp.TemperatureM2bBoard, hskp.QualityTemperatureM2bBoard);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 48, (int) ' ', 15);
         sprintf(segmentValue, " T8A:%6.2f %2.2x ", hskp.LeakageCurrentT8a, hskp.QualityLeakageCurrentT8a);
         memcpy(line + 48, segmentValue, strlen(segmentValue));
         memset(line + 65, (int) ' ', 15);
         sprintf(segmentValue, " T8B:%6.2f %2.2x ", hskp.LeakageCurrentT8b, hskp.QualityLeakageCurrentT8b);
         memcpy(line + 65, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[11]);
         memset(line + 3, (int) ' ', 22);
         sprintf(segmentValue, " T12A Board:%6.2f %2.2x ", hskp.TemperatureT12aBoard, hskp.QualityTemperatureT12aBoard);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[12]);
         memset(line + 3, (int) ' ', 22);
         sprintf(segmentValue, " T34A Board:%6.2f %2.2x ", hskp.TemperatureT34aBoard, hskp.QualityTemperatureT34aBoard);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[13]);
         memset(line + 3, (int) ' ', 22);
         sprintf(segmentValue, " T56A Board:%6.2f %2.2x ", hskp.TemperatureT56aBoard, hskp.QualityTemperatureT56aBoard);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 29, (int) ' ', 14);
         sprintf(segmentValue, " A:%6.3f %2.2x ", hskp.MonitorCurrentA, hskp.QualityMonitorCurrentA);
         memcpy(line + 29, segmentValue, strlen(segmentValue));
         memset(line + 50, (int) ' ', 22);
         sprintf(segmentValue, " Telemetry Side: %1u %2.2x ", hskp.StatusTelemetrySide, hskp.QualityStatusTelemetrySide);
         memcpy(line + 50, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[14]);
         memset(line + 3, (int) ' ', 22);
         sprintf(segmentValue, " T78A Board:%6.2f %2.2x ", hskp.TemperatureT78aBoard, hskp.QualityTemperatureT78aBoard);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 29, (int) ' ', 14);
         sprintf(segmentValue, " B:%6.3f %2.2x ", hskp.MonitorCurrentB, hskp.QualityMonitorCurrentB);
         memcpy(line + 29, segmentValue, strlen(segmentValue));
         memset(line + 50, (int) ' ', 22);
         sprintf(segmentValue, " Refresh Enable: %1u %2.2x ", hskp.StatusRefreshEnable, hskp.QualityStatusRefreshEnable);
         memcpy(line + 50, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[15]);
         memset(line + 3, (int) ' ', 22);
         sprintf(segmentValue, " T12B Board:%6.2f %2.2x ", hskp.TemperatureT12bBoard, hskp.QualityTemperatureT12bBoard);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 19);
         sprintf(segmentValue, " Heater Auto: %1u %2.2x ", hskp.StatusHeatAuto, hskp.QualityStatusHeatAuto);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[16]);
         memset(line + 3, (int) ' ', 22);
         sprintf(segmentValue, " T34B Board:%6.2f %2.2x ", hskp.TemperatureT34bBoard, hskp.QualityTemperatureT34bBoard);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 52, (int) ' ', 21);
         sprintf(segmentValue, " Heater Level: %2.2u %2.2x ", hskp.StatusHeatLevel, hskp.QualityStatusHeatLevel);
         memcpy(line + 52, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[17]);
         memset(line + 3, (int) ' ', 22);
         sprintf(segmentValue, " T56B Board:%6.2f %2.2x ", hskp.TemperatureT56bBoard, hskp.QualityTemperatureT56bBoard);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 52, (int) ' ', 27);
         sprintf(segmentValue, " Cycle Number: %8.8lu %2.2x ", hskp.CycleNumber, hskp.QualityCycleNumber);
         memcpy(line + 52, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[18]);
         memset(line + 3, (int) ' ', 22);
         sprintf(segmentValue, " T78B Board:%6.2f %2.2x ", hskp.TemperatureT78bBoard, hskp.QualityTemperatureT78bBoard);
         memcpy(line + 3, segmentValue, strlen(segmentValue));
         memset(line + 45, (int) ' ', 30);
         sprintf(segmentValue, " Command Table Index: %4u %2.2x ", hskp.CommandTableIndex, hskp.QualityCommandTableIndex);
         memcpy(line + 45, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
