#ifndef DUMPL1_1SISLOWPRIORITYRATEBUFFER_C
   #define DUMPL1_1SISLOWPRIORITYRATEBUFFER_C

   /* $Id: dumpL1_1SisLowPriorityRateBuffer.c,v 1.1 1998/07/27 12:15:59 rgr Exp $ */

   /* $RCSfile: dumpL1_1SisLowPriorityRateBuffer.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 12:15:59 $ */
   /* $Revision: 1.1 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   
   #include "sis/L1_1SisLowPriorityRate.h"
   #include "utilities/stringDate1996.h"

   void dumpL1_1SisLowPriorityRateBuffer(struct L1_1SisLowPriorityRate lp)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"SIS Low Priority Rates - <start time               >   <S/C Clock: xx.xxxxxxx>",
                          "",
                          "     Buf Rate Evt Rate  ----------Class Rates----------     ------Quality------",
                          "  32 <buffer{0}       ><class{0}      ><Class{0}      >    <b{0} ><c{0} ><C{0} >",
                          "  33 <buffer{1}       ><class{1}      ><Class{1}      >    <b{1} ><c{1} ><C{1} >",
                          "  34 <buffer{2}       ><class{2}      ><Class{2}      >    <b{2} ><c{2} ><C{2} >",
                          "  35 <buffer{3}       ><class{3}      ><Class{3}      >    <b{3} ><c{3} ><C{3} >",
                          "  36 <buffer{4}       ><class{4}      ><Class{4}      >    <b{4} ><c{4} ><C{4} >",
                          "  37 <buffer{5}       ><class{5}      ><Class{5}      >    <b{5} ><c{5} ><C{5} >",
                          "  38 <buffer{6}       ><class{6}      ><Class{6}      >    <b{6} ><c{6} ><C{6} >",
                          "  39 <buffer{7}       ><class{7}      ><Class{7}      >    <b{7} ><c{7} ><C{7} >",
                          "  40 <buffer{8}       ><class{8}      ><Class{8}      >    <b{8} ><c{8} ><C{8} >",
                          "  41 <buffer{9}       ><class{9}      ><Class{9}      >    <b{9} ><c{9} ><C{9} >",
                          "  42 <buffer{10}      ><class{10}     ><Class{10}     >    <b{10}><c{10}><C{10}>",
                          "  43 <buffer{11}      ><class{11}     ><Class{11}     >    <b{11}><c{11}><C{11}>",
                          "  44 <buffer{12}      ><class{12}     ><Class{12}     >    <b{12}><c{12}><C{12}>",
                          "  45 <buffer{13}      ><class{13}     ><Class{13}     >    <b{13}><c{13}><C{13}>",
                          "  46 <buffer{14}      ><class{14}     ><Class{14}     >    <b{14}><c{14}><C{14}>",
                          "  47 <buffer{15}      ><class{15}     ><Class{15}     >    <b{15}><c{15}><C{15}>",
                          "  48 <buffer{16}      ><class{16}     ><Class{16}     >    <b{16}><c{16}><C{16}>",
                          "  49 <buffer{17}      ><class{17}     ><Class{17}     >    <b{17}><c{17}><C{17}>",
                          "  50 <buffer{18}      ><class{18}     ><Class{18}     >    <b{18}><c{18}><C{18}>",
                          "  51 <buffer{19}      ><class{19}     ><Class{19}     >    <b{19}><c{19}><C{19}>",
                          "  52 <buffer{20}      ><class{20}     ><Class{20}     >    <b{20}><c{20}><C{20}>",
                          "  53 <buffer{21}      ><class{21}     ><Class{21}     >    <b{21}><c{21}><C{21}>",
                          "  54 <buffer{22}      ><class{22}     ><Class{22}     >    <b{22}><c{22}><C{22}>",
                          "  55 <buffer{23}      ><class{23}     ><Class{23}     >    <b{23}><c{23}><C{23}>",
                          "  56 <buffer{24}      ><class{24}     ><Class{24}     >    <b{24}><c{24}><C{24}>",
                          "  57 <buffer{25}      ><class{25}     ><Class{25}     >    <b{25}><c{25}><C{25}>",
                          "  58 <buffer{26}      ><class{26}     ><Class{26}     >    <b{26}><c{26}><C{26}>",
                          "  59 <buffer{27}      ><class{27}     ><Class{27}     >    <b{27}><c{27}><C{27}>",
                          "  60 <buffer{28}      ><class{28}     ><Class{28}     >    <b{28}><c{28}><C{28}>",
                          "  61 <buffer{29}      ><class{29}     ><Class{29}     >    <b{29}><c{29}><C{29}>",
                          "  62 <buffer{30}      ><class{30}     ><Class{30}     >    <b{30}><c{30}><C{30}>",
                          "  63 <buffer{31}      ><class{31}     ><Class{31}     >    <b{31}><c{31}><C{31}>",
                          "  64 <buffer{32}      ><class{32}     ><Class{32}     >    <b{32}><c{32}><C{32}>",
                          "  65 <buffer{33}      ><class{33}     ><Class{33}     >    <b{33}><c{33}><C{33}>",
                          "  66 <buffer{34}      ><class{34}     ><Class{34}     >    <b{34}><c{34}><C{34}>",
                          "  67 <buffer{35}      ><class{35}     ><Class{35}     >    <b{35}><c{35}><C{35}>",
                          "  68 <buffer{36}      ><class{36}     ><Class{36}     >    <b{36}><c{36}><C{36}>",
                          "  69 <buffer{37}      ><class{37}     ><Class{37}     >    <b{37}><c{37}><C{37}>",
                          "  70 <buffer{38}      ><class{38}     ><Class{38}     >    <b{38}><c{38}><C{38}>",
                          "  71 <buffer{39}      ><class{39}     ><Class{39}     >    <b{39}><c{39}><C{39}>",
                          "  72 <buffer{40}      ><class{40}     ><Class{40}     >    <b{40}><c{40}><C{40}>",
                          "  73 <buffer{41}      ><class{41}     ><Class{41}     >    <b{41}><c{41}><C{41}>",
                          "  74 <buffer{42}      ><class{42}     ><Class{42}     >    <b{42}><c{42}><C{42}>",
                          "  75 <buffer{43}      ><class{43}     ><Class{43}     >    <b{43}><c{43}><C{43}>",
                          "  76 <buffer{44}      ><class{44}     ><Class{44}     >    <b{44}><c{44}><C{44}>",
                          "  77 <buffer{45}      ><class{45}     ><Class{45}     >    <b{45}><c{45}><C{45}>",
                          "  78 <buffer{46}      ><class{46}     ><Class{46}     >    <b{46}><c{46}><C{46}>",
                          "  79 <buffer{47}      ><class{47}     ><Class{47}     >    <b{47}><c{47}><C{47}>",
                          "  80 <buffer{48}      ><class{48}     ><Class{48}     >    <b{48}><c{48}><C{48}>",
                          "  81 <buffer{49}      ><class{49}     ><Class{49}     >    <b{49}><c{49}><C{49}>",
                          "  82 <buffer{50}      ><class{50}     ><Class{50}     >    <b{50}><c{50}><C{50}>",
                          "  83 <buffer{51}      ><class{51}     ><Class{51}     >    <b{51}><c{51}><C{51}>",
                          "  84 <buffer{52}      ><class{52}     ><Class{52}     >    <b{52}><c{52}><C{52}>",
                          "  85 <buffer{53}      ><class{53}     ><Class{53}     >    <b{53}><c{53}><C{53}>",
                          "  86 <buffer{54}      ><class{54}     ><Class{54}     >    <b{54}><c{54}><C{54}>",
                          "  87 <buffer{55}      ><class{55}     ><Class{55}     >    <b{55}><c{55}><C{55}>",
                          "  88 <buffer{56}      ><class{56}     ><Class{56}     >    <b{56}><c{56}><C{56}>",
                          "  89 <buffer{57}      ><class{57}     ><Class{57}     >    <b{57}><c{57}><C{57}>",
                          "  90 <buffer{58}      ><class{58}     ><Class{58}     >    <b{58}><c{58}><C{58}>",
                          "  91 <buffer{59}      ><class{59}     ><Class{59}     >    <b{59}><c{59}><C{59}>",
                          "  92 <buffer{60}      ><class{60}     ><Class{60}     >    <b{60}><c{60}><C{60}>",
                          "  93 <buffer{61}      ><class{61}     ><Class{61}     >    <b{61}><c{61}><C{61}>",
                          "  94 <buffer{62}      ><class{62}     ><Class{62}     >    <b{62}><c{62}><C{62}>",
                          "  95 <buffer{63}      ><class{63}     ><Class{63}     >    <b{63}><c{63}><C{63}>",
                          "  96 <buffer{64}      ><class{64}     ><Class{64}     >    <b{64}><c{64}><C{64}>",
                          "  97 <buffer{65}      ><class{65}     ><Class{65}     >    <b{65}><c{65}><C{65}>",
                          "  98 <buffer{66}      ><class{66}     ><Class{66}     >    <b{66}><c{66}><C{66}>",
                          "  99 <buffer{67}      ><class{67}     ><Class{67}     >    <b{67}><c{67}><C{67}>",
                          " 100 <buffer{68}      ><class{68}     ><Class{68}     >    <b{68}><c{68}><C{68}>",
                          " 101 <buffer{69}      ><class{69}     ><Class{69}     >    <b{69}><c{69}><C{69}>",
                          " 102 <buffer{70}      ><class{70}     ><Class{70}     >    <b{70}><c{70}><C{70}>",
                          " 103 <buffer{71}      ><class{71}     ><Class{71}     >    <b{71}><c{71}><C{71}>",
                          " 104 <buffer{72}      ><class{72}     ><Class{72}     >    <b{72}><c{72}><C{72}>",
                          " 105 <buffer{73}      ><class{73}     ><Class{73}     >    <b{73}><c{73}><C{73}>",
                          " 106 <buffer{74}      ><class{74}     ><Class{74}     >    <b{74}><c{74}><C{74}>",
                          " 107 <buffer{75}      ><class{75}     ><Class{75}     >    <b{75}><c{75}><C{75}>",
                          " 108 <buffer{76}      ><class{76}     ><Class{76}     >    <b{76}><c{76}><C{76}>",
                          " 109 <buffer{77}      ><class{77}     ><Class{77}     >    <b{77}><c{77}><C{77}>",
                          " 110 <buffer{78}      ><class{78}     ><Class{78}     >    <b{78}><c{78}><C{78}>",
                          " 111 <buffer{79}      ><class{79}     ><Class{79}     >    <b{79}><c{79}><C{79}>",
                          " 112 <buffer{80}      ><class{80}     ><Class{80}     >    <b{80}><c{80}><C{80}>",
                          " 113 <buffer{81}      ><class{81}     ><Class{81}     >    <b{81}><c{81}><C{81}>",
                          " 114 <buffer{82}      ><class{82}     ><Class{82}     >    <b{82}><c{82}><C{82}>",
                          " 115 <buffer{83}      ><class{83}     ><Class{83}     >    <b{83}><c{83}><C{83}>",
                          " 116 <buffer{84}      ><class{84}     ><Class{84}     >    <b{84}><c{84}><C{84}>",
                          " 117 <buffer{85}      ><class{85}     ><Class{85}     >    <b{85}><c{85}><C{85}>",
                          " 118 <buffer{86}      ><class{86}     ><Class{86}     >    <b{86}><c{86}><C{86}>",
                          " 119 <buffer{87}      ><class{87}     ><Class{87}     >    <b{87}><c{87}><C{87}>",
                          " 120 <buffer{88}      ><class{88}     ><Class{88}     >    <b{88}><c{88}><C{88}>",
                          " 121 <buffer{89}      ><class{89}     ><Class{89}     >    <b{89}><c{89}><C{89}>",
                          " 122 <buffer{90}      ><class{90}     ><Class{90}     >    <b{90}><c{90}><C{90}>",
                          " 123 <buffer{91}      ><class{91}     ><Class{91}     >    <b{91}><c{91}><C{91}>",
                          " 124 <buffer{92}      ><class{92}     ><Class{92}     >    <b{92}><c{92}><C{92}>",
                          " 125 <buffer{93}      ><class{93}     ><Class{93}     >    <b{93}><c{93}><C{93}>",
                          " 126 <buffer{94}      ><class{94}     ><Class{94}     >    <b{94}><c{94}><C{94}>",
                          " 127 <buffer{95}      ><class{95}     ><Class{95}     >    <b{95}><c{95}><C{95}>"};

      strcpy(line, template[0]);
         memset(line + 25, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(lp.Second1996), lp.microsecond);
         memcpy(line + 25, segmentValue, strlen(segmentValue));
         memset(line + 55, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", lp.ClockCycle);
         memcpy(line + 55, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[1]);
         printf("%s\n", line);
      strcpy(line, template[2]);
         printf("%s\n", line);
      strcpy(line, template[3]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[0], lp.DataBufferRate[0]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[0][0], lp.DataClassRate[0][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[0][2], lp.DataClassRate[0][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[0], lp.QualityDataBufferRate[0]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[0][0], lp.QualityDataClassRate[0][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[0][2], lp.QualityDataClassRate[0][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[4]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[1], lp.DataBufferRate[1]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[1][0], lp.DataClassRate[1][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[1][2], lp.DataClassRate[1][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[1], lp.QualityDataBufferRate[1]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[1][0], lp.QualityDataClassRate[1][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[1][2], lp.QualityDataClassRate[1][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[5]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[2], lp.DataBufferRate[2]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[2][0], lp.DataClassRate[2][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[2][2], lp.DataClassRate[2][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[2], lp.QualityDataBufferRate[2]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[2][0], lp.QualityDataClassRate[2][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[2][2], lp.QualityDataClassRate[2][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[6]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[3], lp.DataBufferRate[3]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[3][0], lp.DataClassRate[3][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[3][2], lp.DataClassRate[3][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[3], lp.QualityDataBufferRate[3]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[3][0], lp.QualityDataClassRate[3][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[3][2], lp.QualityDataClassRate[3][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[7]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[4], lp.DataBufferRate[4]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[4][0], lp.DataClassRate[4][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[4][2], lp.DataClassRate[4][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[4], lp.QualityDataBufferRate[4]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[4][0], lp.QualityDataClassRate[4][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[4][2], lp.QualityDataClassRate[4][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[8]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[5], lp.DataBufferRate[5]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[5][0], lp.DataClassRate[5][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[5][2], lp.DataClassRate[5][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[5], lp.QualityDataBufferRate[5]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[5][0], lp.QualityDataClassRate[5][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[5][2], lp.QualityDataClassRate[5][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[9]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[6], lp.DataBufferRate[6]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[6][0], lp.DataClassRate[6][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[6][2], lp.DataClassRate[6][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[6], lp.QualityDataBufferRate[6]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[6][0], lp.QualityDataClassRate[6][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[6][2], lp.QualityDataClassRate[6][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[10]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[7], lp.DataBufferRate[7]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[7][0], lp.DataClassRate[7][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[7][2], lp.DataClassRate[7][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[7], lp.QualityDataBufferRate[7]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[7][0], lp.QualityDataClassRate[7][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[7][2], lp.QualityDataClassRate[7][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[11]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[8], lp.DataBufferRate[8]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[8][0], lp.DataClassRate[8][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[8][2], lp.DataClassRate[8][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[8], lp.QualityDataBufferRate[8]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[8][0], lp.QualityDataClassRate[8][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[8][2], lp.QualityDataClassRate[8][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[12]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[9], lp.DataBufferRate[9]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[9][0], lp.DataClassRate[9][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[9][2], lp.DataClassRate[9][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[9], lp.QualityDataBufferRate[9]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[9][0], lp.QualityDataClassRate[9][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[9][2], lp.QualityDataClassRate[9][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[13]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[10], lp.DataBufferRate[10]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[10][0], lp.DataClassRate[10][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[10][2], lp.DataClassRate[10][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[10], lp.QualityDataBufferRate[10]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[10][0], lp.QualityDataClassRate[10][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[10][2], lp.QualityDataClassRate[10][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[14]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[11], lp.DataBufferRate[11]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[11][0], lp.DataClassRate[11][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[11][2], lp.DataClassRate[11][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[11], lp.QualityDataBufferRate[11]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[11][0], lp.QualityDataClassRate[11][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[11][2], lp.QualityDataClassRate[11][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[15]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[12], lp.DataBufferRate[12]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[12][0], lp.DataClassRate[12][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[12][2], lp.DataClassRate[12][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[12], lp.QualityDataBufferRate[12]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[12][0], lp.QualityDataClassRate[12][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[12][2], lp.QualityDataClassRate[12][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[16]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[13], lp.DataBufferRate[13]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[13][0], lp.DataClassRate[13][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[13][2], lp.DataClassRate[13][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[13], lp.QualityDataBufferRate[13]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[13][0], lp.QualityDataClassRate[13][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[13][2], lp.QualityDataClassRate[13][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[17]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[14], lp.DataBufferRate[14]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[14][0], lp.DataClassRate[14][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[14][2], lp.DataClassRate[14][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[14], lp.QualityDataBufferRate[14]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[14][0], lp.QualityDataClassRate[14][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[14][2], lp.QualityDataClassRate[14][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[18]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[15], lp.DataBufferRate[15]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[15][0], lp.DataClassRate[15][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[15][2], lp.DataClassRate[15][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[15], lp.QualityDataBufferRate[15]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[15][0], lp.QualityDataClassRate[15][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[15][2], lp.QualityDataClassRate[15][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[19]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[16], lp.DataBufferRate[16]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[16][0], lp.DataClassRate[16][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[16][2], lp.DataClassRate[16][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[16], lp.QualityDataBufferRate[16]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[16][0], lp.QualityDataClassRate[16][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[16][2], lp.QualityDataClassRate[16][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[20]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[17], lp.DataBufferRate[17]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[17][0], lp.DataClassRate[17][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[17][2], lp.DataClassRate[17][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[17], lp.QualityDataBufferRate[17]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[17][0], lp.QualityDataClassRate[17][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[17][2], lp.QualityDataClassRate[17][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[21]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[18], lp.DataBufferRate[18]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[18][0], lp.DataClassRate[18][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[18][2], lp.DataClassRate[18][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[18], lp.QualityDataBufferRate[18]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[18][0], lp.QualityDataClassRate[18][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[18][2], lp.QualityDataClassRate[18][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[22]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[19], lp.DataBufferRate[19]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[19][0], lp.DataClassRate[19][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[19][2], lp.DataClassRate[19][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[19], lp.QualityDataBufferRate[19]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[19][0], lp.QualityDataClassRate[19][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[19][2], lp.QualityDataClassRate[19][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[23]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[20], lp.DataBufferRate[20]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[20][0], lp.DataClassRate[20][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[20][2], lp.DataClassRate[20][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[20], lp.QualityDataBufferRate[20]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[20][0], lp.QualityDataClassRate[20][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[20][2], lp.QualityDataClassRate[20][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[24]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[21], lp.DataBufferRate[21]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[21][0], lp.DataClassRate[21][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[21][2], lp.DataClassRate[21][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[21], lp.QualityDataBufferRate[21]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[21][0], lp.QualityDataClassRate[21][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[21][2], lp.QualityDataClassRate[21][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[25]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[22], lp.DataBufferRate[22]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[22][0], lp.DataClassRate[22][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[22][2], lp.DataClassRate[22][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[22], lp.QualityDataBufferRate[22]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[22][0], lp.QualityDataClassRate[22][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[22][2], lp.QualityDataClassRate[22][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[26]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[23], lp.DataBufferRate[23]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[23][0], lp.DataClassRate[23][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[23][2], lp.DataClassRate[23][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[23], lp.QualityDataBufferRate[23]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[23][0], lp.QualityDataClassRate[23][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[23][2], lp.QualityDataClassRate[23][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[27]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[24], lp.DataBufferRate[24]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[24][0], lp.DataClassRate[24][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[24][2], lp.DataClassRate[24][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[24], lp.QualityDataBufferRate[24]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[24][0], lp.QualityDataClassRate[24][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[24][2], lp.QualityDataClassRate[24][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[28]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[25], lp.DataBufferRate[25]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[25][0], lp.DataClassRate[25][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[25][2], lp.DataClassRate[25][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[25], lp.QualityDataBufferRate[25]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[25][0], lp.QualityDataClassRate[25][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[25][2], lp.QualityDataClassRate[25][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[29]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[26], lp.DataBufferRate[26]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[26][0], lp.DataClassRate[26][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[26][2], lp.DataClassRate[26][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[26], lp.QualityDataBufferRate[26]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[26][0], lp.QualityDataClassRate[26][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[26][2], lp.QualityDataClassRate[26][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[30]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[27], lp.DataBufferRate[27]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[27][0], lp.DataClassRate[27][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[27][2], lp.DataClassRate[27][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[27], lp.QualityDataBufferRate[27]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[27][0], lp.QualityDataClassRate[27][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[27][2], lp.QualityDataClassRate[27][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[31]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[28], lp.DataBufferRate[28]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[28][0], lp.DataClassRate[28][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[28][2], lp.DataClassRate[28][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[28], lp.QualityDataBufferRate[28]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[28][0], lp.QualityDataClassRate[28][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[28][2], lp.QualityDataClassRate[28][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[32]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[29], lp.DataBufferRate[29]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[29][0], lp.DataClassRate[29][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[29][2], lp.DataClassRate[29][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[29], lp.QualityDataBufferRate[29]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[29][0], lp.QualityDataClassRate[29][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[29][2], lp.QualityDataClassRate[29][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[33]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[30], lp.DataBufferRate[30]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[30][0], lp.DataClassRate[30][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[30][2], lp.DataClassRate[30][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[30], lp.QualityDataBufferRate[30]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[30][0], lp.QualityDataClassRate[30][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[30][2], lp.QualityDataClassRate[30][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[34]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[31], lp.DataBufferRate[31]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[31][0], lp.DataClassRate[31][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[31][2], lp.DataClassRate[31][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[31], lp.QualityDataBufferRate[31]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[31][0], lp.QualityDataClassRate[31][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[31][2], lp.QualityDataClassRate[31][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[35]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[32], lp.DataBufferRate[32]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[32][0], lp.DataClassRate[32][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[32][2], lp.DataClassRate[32][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[32], lp.QualityDataBufferRate[32]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[32][0], lp.QualityDataClassRate[32][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[32][2], lp.QualityDataClassRate[32][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[36]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[33], lp.DataBufferRate[33]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[33][0], lp.DataClassRate[33][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[33][2], lp.DataClassRate[33][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[33], lp.QualityDataBufferRate[33]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[33][0], lp.QualityDataClassRate[33][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[33][2], lp.QualityDataClassRate[33][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[37]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[34], lp.DataBufferRate[34]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[34][0], lp.DataClassRate[34][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[34][2], lp.DataClassRate[34][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[34], lp.QualityDataBufferRate[34]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[34][0], lp.QualityDataClassRate[34][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[34][2], lp.QualityDataClassRate[34][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[38]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[35], lp.DataBufferRate[35]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[35][0], lp.DataClassRate[35][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[35][2], lp.DataClassRate[35][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[35], lp.QualityDataBufferRate[35]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[35][0], lp.QualityDataClassRate[35][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[35][2], lp.QualityDataClassRate[35][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[39]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[36], lp.DataBufferRate[36]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[36][0], lp.DataClassRate[36][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[36][2], lp.DataClassRate[36][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[36], lp.QualityDataBufferRate[36]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[36][0], lp.QualityDataClassRate[36][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[36][2], lp.QualityDataClassRate[36][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[40]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[37], lp.DataBufferRate[37]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[37][0], lp.DataClassRate[37][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[37][2], lp.DataClassRate[37][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[37], lp.QualityDataBufferRate[37]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[37][0], lp.QualityDataClassRate[37][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[37][2], lp.QualityDataClassRate[37][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[41]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[38], lp.DataBufferRate[38]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[38][0], lp.DataClassRate[38][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[38][2], lp.DataClassRate[38][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[38], lp.QualityDataBufferRate[38]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[38][0], lp.QualityDataClassRate[38][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[38][2], lp.QualityDataClassRate[38][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[42]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[39], lp.DataBufferRate[39]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[39][0], lp.DataClassRate[39][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[39][2], lp.DataClassRate[39][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[39], lp.QualityDataBufferRate[39]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[39][0], lp.QualityDataClassRate[39][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[39][2], lp.QualityDataClassRate[39][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[43]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[40], lp.DataBufferRate[40]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[40][0], lp.DataClassRate[40][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[40][2], lp.DataClassRate[40][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[40], lp.QualityDataBufferRate[40]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[40][0], lp.QualityDataClassRate[40][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[40][2], lp.QualityDataClassRate[40][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[44]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[41], lp.DataBufferRate[41]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[41][0], lp.DataClassRate[41][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[41][2], lp.DataClassRate[41][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[41], lp.QualityDataBufferRate[41]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[41][0], lp.QualityDataClassRate[41][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[41][2], lp.QualityDataClassRate[41][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[45]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[42], lp.DataBufferRate[42]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[42][0], lp.DataClassRate[42][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[42][2], lp.DataClassRate[42][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[42], lp.QualityDataBufferRate[42]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[42][0], lp.QualityDataClassRate[42][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[42][2], lp.QualityDataClassRate[42][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[46]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[43], lp.DataBufferRate[43]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[43][0], lp.DataClassRate[43][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[43][2], lp.DataClassRate[43][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[43], lp.QualityDataBufferRate[43]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[43][0], lp.QualityDataClassRate[43][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[43][2], lp.QualityDataClassRate[43][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[47]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[44], lp.DataBufferRate[44]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[44][0], lp.DataClassRate[44][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[44][2], lp.DataClassRate[44][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[44], lp.QualityDataBufferRate[44]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[44][0], lp.QualityDataClassRate[44][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[44][2], lp.QualityDataClassRate[44][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[48]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[45], lp.DataBufferRate[45]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[45][0], lp.DataClassRate[45][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[45][2], lp.DataClassRate[45][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[45], lp.QualityDataBufferRate[45]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[45][0], lp.QualityDataClassRate[45][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[45][2], lp.QualityDataClassRate[45][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[49]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[46], lp.DataBufferRate[46]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[46][0], lp.DataClassRate[46][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[46][2], lp.DataClassRate[46][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[46], lp.QualityDataBufferRate[46]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[46][0], lp.QualityDataClassRate[46][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[46][2], lp.QualityDataClassRate[46][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[50]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[47], lp.DataBufferRate[47]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[47][0], lp.DataClassRate[47][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[47][2], lp.DataClassRate[47][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[47], lp.QualityDataBufferRate[47]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[47][0], lp.QualityDataClassRate[47][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[47][2], lp.QualityDataClassRate[47][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[51]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[48], lp.DataBufferRate[48]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[48][0], lp.DataClassRate[48][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[48][2], lp.DataClassRate[48][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[48], lp.QualityDataBufferRate[48]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[48][0], lp.QualityDataClassRate[48][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[48][2], lp.QualityDataClassRate[48][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[52]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[49], lp.DataBufferRate[49]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[49][0], lp.DataClassRate[49][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[49][2], lp.DataClassRate[49][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[49], lp.QualityDataBufferRate[49]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[49][0], lp.QualityDataClassRate[49][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[49][2], lp.QualityDataClassRate[49][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[53]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[50], lp.DataBufferRate[50]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[50][0], lp.DataClassRate[50][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[50][2], lp.DataClassRate[50][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[50], lp.QualityDataBufferRate[50]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[50][0], lp.QualityDataClassRate[50][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[50][2], lp.QualityDataClassRate[50][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[54]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[51], lp.DataBufferRate[51]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[51][0], lp.DataClassRate[51][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[51][2], lp.DataClassRate[51][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[51], lp.QualityDataBufferRate[51]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[51][0], lp.QualityDataClassRate[51][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[51][2], lp.QualityDataClassRate[51][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[55]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[52], lp.DataBufferRate[52]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[52][0], lp.DataClassRate[52][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[52][2], lp.DataClassRate[52][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[52], lp.QualityDataBufferRate[52]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[52][0], lp.QualityDataClassRate[52][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[52][2], lp.QualityDataClassRate[52][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[56]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[53], lp.DataBufferRate[53]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[53][0], lp.DataClassRate[53][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[53][2], lp.DataClassRate[53][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[53], lp.QualityDataBufferRate[53]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[53][0], lp.QualityDataClassRate[53][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[53][2], lp.QualityDataClassRate[53][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[57]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[54], lp.DataBufferRate[54]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[54][0], lp.DataClassRate[54][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[54][2], lp.DataClassRate[54][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[54], lp.QualityDataBufferRate[54]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[54][0], lp.QualityDataClassRate[54][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[54][2], lp.QualityDataClassRate[54][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[58]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[55], lp.DataBufferRate[55]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[55][0], lp.DataClassRate[55][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[55][2], lp.DataClassRate[55][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[55], lp.QualityDataBufferRate[55]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[55][0], lp.QualityDataClassRate[55][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[55][2], lp.QualityDataClassRate[55][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[59]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[56], lp.DataBufferRate[56]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[56][0], lp.DataClassRate[56][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[56][2], lp.DataClassRate[56][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[56], lp.QualityDataBufferRate[56]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[56][0], lp.QualityDataClassRate[56][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[56][2], lp.QualityDataClassRate[56][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[60]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[57], lp.DataBufferRate[57]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[57][0], lp.DataClassRate[57][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[57][2], lp.DataClassRate[57][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[57], lp.QualityDataBufferRate[57]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[57][0], lp.QualityDataClassRate[57][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[57][2], lp.QualityDataClassRate[57][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[61]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[58], lp.DataBufferRate[58]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[58][0], lp.DataClassRate[58][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[58][2], lp.DataClassRate[58][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[58], lp.QualityDataBufferRate[58]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[58][0], lp.QualityDataClassRate[58][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[58][2], lp.QualityDataClassRate[58][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[62]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[59], lp.DataBufferRate[59]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[59][0], lp.DataClassRate[59][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[59][2], lp.DataClassRate[59][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[59], lp.QualityDataBufferRate[59]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[59][0], lp.QualityDataClassRate[59][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[59][2], lp.QualityDataClassRate[59][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[63]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[60], lp.DataBufferRate[60]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[60][0], lp.DataClassRate[60][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[60][2], lp.DataClassRate[60][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[60], lp.QualityDataBufferRate[60]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[60][0], lp.QualityDataClassRate[60][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[60][2], lp.QualityDataClassRate[60][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[64]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[61], lp.DataBufferRate[61]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[61][0], lp.DataClassRate[61][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[61][2], lp.DataClassRate[61][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[61], lp.QualityDataBufferRate[61]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[61][0], lp.QualityDataClassRate[61][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[61][2], lp.QualityDataClassRate[61][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[65]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[62], lp.DataBufferRate[62]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[62][0], lp.DataClassRate[62][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[62][2], lp.DataClassRate[62][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[62], lp.QualityDataBufferRate[62]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[62][0], lp.QualityDataClassRate[62][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[62][2], lp.QualityDataClassRate[62][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[66]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[63], lp.DataBufferRate[63]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[63][0], lp.DataClassRate[63][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[63][2], lp.DataClassRate[63][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[63], lp.QualityDataBufferRate[63]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[63][0], lp.QualityDataClassRate[63][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[63][2], lp.QualityDataClassRate[63][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[67]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[64], lp.DataBufferRate[64]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[64][0], lp.DataClassRate[64][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[64][2], lp.DataClassRate[64][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[64], lp.QualityDataBufferRate[64]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[64][0], lp.QualityDataClassRate[64][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[64][2], lp.QualityDataClassRate[64][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[68]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[65], lp.DataBufferRate[65]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[65][0], lp.DataClassRate[65][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[65][2], lp.DataClassRate[65][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[65], lp.QualityDataBufferRate[65]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[65][0], lp.QualityDataClassRate[65][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[65][2], lp.QualityDataClassRate[65][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[69]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[66], lp.DataBufferRate[66]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[66][0], lp.DataClassRate[66][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[66][2], lp.DataClassRate[66][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[66], lp.QualityDataBufferRate[66]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[66][0], lp.QualityDataClassRate[66][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[66][2], lp.QualityDataClassRate[66][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[70]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[67], lp.DataBufferRate[67]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[67][0], lp.DataClassRate[67][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[67][2], lp.DataClassRate[67][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[67], lp.QualityDataBufferRate[67]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[67][0], lp.QualityDataClassRate[67][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[67][2], lp.QualityDataClassRate[67][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[71]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[68], lp.DataBufferRate[68]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[68][0], lp.DataClassRate[68][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[68][2], lp.DataClassRate[68][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[68], lp.QualityDataBufferRate[68]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[68][0], lp.QualityDataClassRate[68][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[68][2], lp.QualityDataClassRate[68][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[72]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[69], lp.DataBufferRate[69]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[69][0], lp.DataClassRate[69][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[69][2], lp.DataClassRate[69][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[69], lp.QualityDataBufferRate[69]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[69][0], lp.QualityDataClassRate[69][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[69][2], lp.QualityDataClassRate[69][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[73]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[70], lp.DataBufferRate[70]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[70][0], lp.DataClassRate[70][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[70][2], lp.DataClassRate[70][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[70], lp.QualityDataBufferRate[70]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[70][0], lp.QualityDataClassRate[70][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[70][2], lp.QualityDataClassRate[70][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[74]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[71], lp.DataBufferRate[71]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[71][0], lp.DataClassRate[71][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[71][2], lp.DataClassRate[71][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[71], lp.QualityDataBufferRate[71]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[71][0], lp.QualityDataClassRate[71][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[71][2], lp.QualityDataClassRate[71][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[75]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[72], lp.DataBufferRate[72]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[72][0], lp.DataClassRate[72][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[72][2], lp.DataClassRate[72][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[72], lp.QualityDataBufferRate[72]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[72][0], lp.QualityDataClassRate[72][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[72][2], lp.QualityDataClassRate[72][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[76]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[73], lp.DataBufferRate[73]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[73][0], lp.DataClassRate[73][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[73][2], lp.DataClassRate[73][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[73], lp.QualityDataBufferRate[73]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[73][0], lp.QualityDataClassRate[73][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[73][2], lp.QualityDataClassRate[73][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[77]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[74], lp.DataBufferRate[74]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[74][0], lp.DataClassRate[74][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[74][2], lp.DataClassRate[74][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[74], lp.QualityDataBufferRate[74]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[74][0], lp.QualityDataClassRate[74][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[74][2], lp.QualityDataClassRate[74][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[78]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[75], lp.DataBufferRate[75]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[75][0], lp.DataClassRate[75][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[75][2], lp.DataClassRate[75][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[75], lp.QualityDataBufferRate[75]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[75][0], lp.QualityDataClassRate[75][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[75][2], lp.QualityDataClassRate[75][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[79]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[76], lp.DataBufferRate[76]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[76][0], lp.DataClassRate[76][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[76][2], lp.DataClassRate[76][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[76], lp.QualityDataBufferRate[76]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[76][0], lp.QualityDataClassRate[76][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[76][2], lp.QualityDataClassRate[76][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[80]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[77], lp.DataBufferRate[77]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[77][0], lp.DataClassRate[77][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[77][2], lp.DataClassRate[77][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[77], lp.QualityDataBufferRate[77]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[77][0], lp.QualityDataClassRate[77][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[77][2], lp.QualityDataClassRate[77][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[81]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[78], lp.DataBufferRate[78]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[78][0], lp.DataClassRate[78][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[78][2], lp.DataClassRate[78][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[78], lp.QualityDataBufferRate[78]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[78][0], lp.QualityDataClassRate[78][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[78][2], lp.QualityDataClassRate[78][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[82]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[79], lp.DataBufferRate[79]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[79][0], lp.DataClassRate[79][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[79][2], lp.DataClassRate[79][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[79], lp.QualityDataBufferRate[79]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[79][0], lp.QualityDataClassRate[79][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[79][2], lp.QualityDataClassRate[79][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[83]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[80], lp.DataBufferRate[80]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[80][0], lp.DataClassRate[80][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[80][2], lp.DataClassRate[80][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[80], lp.QualityDataBufferRate[80]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[80][0], lp.QualityDataClassRate[80][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[80][2], lp.QualityDataClassRate[80][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[84]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[81], lp.DataBufferRate[81]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[81][0], lp.DataClassRate[81][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[81][2], lp.DataClassRate[81][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[81], lp.QualityDataBufferRate[81]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[81][0], lp.QualityDataClassRate[81][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[81][2], lp.QualityDataClassRate[81][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[85]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[82], lp.DataBufferRate[82]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[82][0], lp.DataClassRate[82][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[82][2], lp.DataClassRate[82][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[82], lp.QualityDataBufferRate[82]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[82][0], lp.QualityDataClassRate[82][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[82][2], lp.QualityDataClassRate[82][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[86]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[83], lp.DataBufferRate[83]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[83][0], lp.DataClassRate[83][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[83][2], lp.DataClassRate[83][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[83], lp.QualityDataBufferRate[83]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[83][0], lp.QualityDataClassRate[83][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[83][2], lp.QualityDataClassRate[83][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[87]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[84], lp.DataBufferRate[84]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[84][0], lp.DataClassRate[84][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[84][2], lp.DataClassRate[84][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[84], lp.QualityDataBufferRate[84]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[84][0], lp.QualityDataClassRate[84][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[84][2], lp.QualityDataClassRate[84][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[88]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[85], lp.DataBufferRate[85]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[85][0], lp.DataClassRate[85][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[85][2], lp.DataClassRate[85][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[85], lp.QualityDataBufferRate[85]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[85][0], lp.QualityDataClassRate[85][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[85][2], lp.QualityDataClassRate[85][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[89]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[86], lp.DataBufferRate[86]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[86][0], lp.DataClassRate[86][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[86][2], lp.DataClassRate[86][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[86], lp.QualityDataBufferRate[86]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[86][0], lp.QualityDataClassRate[86][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[86][2], lp.QualityDataClassRate[86][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[90]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[87], lp.DataBufferRate[87]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[87][0], lp.DataClassRate[87][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[87][2], lp.DataClassRate[87][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[87], lp.QualityDataBufferRate[87]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[87][0], lp.QualityDataClassRate[87][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[87][2], lp.QualityDataClassRate[87][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[91]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[88], lp.DataBufferRate[88]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[88][0], lp.DataClassRate[88][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[88][2], lp.DataClassRate[88][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[88], lp.QualityDataBufferRate[88]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[88][0], lp.QualityDataClassRate[88][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[88][2], lp.QualityDataClassRate[88][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[92]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[89], lp.DataBufferRate[89]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[89][0], lp.DataClassRate[89][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[89][2], lp.DataClassRate[89][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[89], lp.QualityDataBufferRate[89]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[89][0], lp.QualityDataClassRate[89][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[89][2], lp.QualityDataClassRate[89][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[93]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[90], lp.DataBufferRate[90]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[90][0], lp.DataClassRate[90][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[90][2], lp.DataClassRate[90][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[90], lp.QualityDataBufferRate[90]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[90][0], lp.QualityDataClassRate[90][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[90][2], lp.QualityDataClassRate[90][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[94]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[91], lp.DataBufferRate[91]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[91][0], lp.DataClassRate[91][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[91][2], lp.DataClassRate[91][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[91], lp.QualityDataBufferRate[91]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[91][0], lp.QualityDataClassRate[91][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[91][2], lp.QualityDataClassRate[91][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[95]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[92], lp.DataBufferRate[92]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[92][0], lp.DataClassRate[92][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[92][2], lp.DataClassRate[92][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[92], lp.QualityDataBufferRate[92]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[92][0], lp.QualityDataClassRate[92][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[92][2], lp.QualityDataClassRate[92][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[96]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[93], lp.DataBufferRate[93]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[93][0], lp.DataClassRate[93][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[93][2], lp.DataClassRate[93][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[93], lp.QualityDataBufferRate[93]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[93][0], lp.QualityDataClassRate[93][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[93][2], lp.QualityDataClassRate[93][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[97]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[94], lp.DataBufferRate[94]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[94][0], lp.DataClassRate[94][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[94][2], lp.DataClassRate[94][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[94], lp.QualityDataBufferRate[94]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[94][0], lp.QualityDataClassRate[94][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[94][2], lp.QualityDataClassRate[94][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[98]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "%7.3f %7.3f ", lp.EventBufferRate[95], lp.DataBufferRate[95]);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 23, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[95][0], lp.DataClassRate[95][1]);
         memcpy(line + 23, segmentValue, strlen(segmentValue));
         memset(line + 39, (int) ' ', 16);
         sprintf(segmentValue, "%7.3f %7.3f", lp.DataClassRate[95][2], lp.DataClassRate[95][3]);
         memcpy(line + 39, segmentValue, strlen(segmentValue));
         memset(line + 59, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x ", lp.QualityEventBufferRate[95], lp.QualityDataBufferRate[95]);
         memcpy(line + 59, segmentValue, strlen(segmentValue));
         memset(line + 66, (int) ' ', 7);
         sprintf(segmentValue, " %2.2x %2.2x", lp.QualityDataClassRate[95][0], lp.QualityDataClassRate[95][1]);
         memcpy(line + 66, segmentValue, strlen(segmentValue));
         memset(line + 73, (int) ' ', 7);
         sprintf(segmentValue, "%2.2x %2.2x ", lp.QualityDataClassRate[95][2], lp.QualityDataClassRate[95][3]);
         memcpy(line + 73, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
