#ifndef DUMPL1_1SISLOWPRIORITYRATESINGLE_C
   #define DUMPL1_1SISLOWPRIORITYRATESINGLE_C

   /* $Id: dumpL1_1SisLowPriorityRateSingle.c,v 1.1 1998/07/27 12:16:01 rgr Exp $ */

   /* $RCSfile: dumpL1_1SisLowPriorityRateSingle.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 12:16:01 $ */
   /* $Revision: 1.1 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   
   #include "sis/L1_1SisLowPriorityRate.h"
   #include "utilities/stringDate1996.h"

   void dumpL1_1SisLowPriorityRateSingle(struct L1_1SisLowPriorityRate lp)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"SIS Low Priority Rates - <start time               >   <S/C Clock: xx.xxxxxxx>",
                          "",
                          "     <livetim: xxx.xx xx>   <ntagint: xxxxx.xx xx>    <nbadid: xxxxx.xx xx>",
                          "     <helivet: xxx.xx xx>   <nvldint: xxxxx.xx xx>   <ncebful: xxxx.xxx xx>",
                          "     <hylivet: xxx.xx xx>   <nevproc: xxxxx.xx xx>   <nrebful: xxxx.xxx xx>",
                          "                            <nrtproc: xxxxx.xx xx>   <nhdwrej: xxxxxx.x xx>",
                          "",
                          "Reject Rates(c/s):",
                          " <MaybeHiza: xx.xxx xx>                  <MaybeHizb: xx.xxx xx>",
                          "  <MaybeZ2a: xx.xxx xx> <m1a: xx.xxx xx>  <MaybeZ2b: xx.xxx xx> <m1b: xx.xxx xx>",
                          "  <MaybeZ1a: xx.xxx xx> <m2a: xx.xxx xx>  <MaybeZ1b: xx.xxx xx> <m2b: xx.xxx xx>",
                          "      <hiza: xx.xxx xx> <t1a: xx.xxx xx>      <hizb: xx.xxx xx> <t1b: xx.xxx xx>",
                          "       <z2a: xx.xxx xx> <t2a: xx.xxx xx>       <z2b: xx.xxx xx> <t2b: xx.xxx xx>",
                          "     <adc2a: xx.xxx xx> <t3a: xx.xxx xx>     <adc2b: xx.xxx xx> <t3b: xx.xxx xx>",
                          "     <adc3a: xx.xxx xx> <t4a: xx.xxx xx>     <adc3b: xx.xxx xx> <t4b: xx.xxx xx>",
                          "      <mora: xx.xxx xx> <t5a: xx.xxx xx>      <morb: xx.xxx xx> <t5b: xx.xxx xx>",
                          "      <hora: xx.xxx xx> <t6a: xx.xxx xx>      <horb: xx.xxx xx> <t6b: xx.xxx xx>",
                          "      <m12a: xx.xxx xx> <t7a: xx.xxx xx>      <m12b: xx.xxx xx> <t7b: xx.xxx xx>",
                          "      <m1ha: xx.xxx xx> <t8a: xxx.xx xx>      <m1hb: xx.xxx xx> <t8b: xxx.xx xx>",
                          "      <m2ha: xx.xxx xx>                       <m2hb: xx.xxx xx>",
                          " ",
                          "  <CoinRate0: xx.xxx xx>     <CoinRate1: xx.xxx xx>     <StimCoin: xx.xxx xx>",
                          "     <hazard: xxx.xx xx>                                 <RejFast: xxx.xx xx>",
                          "",
                          "Valid Rates(c/s):",
                          " <MaybeHiza: yy.yyy yy>                  <MaybeHizb: yy.yyy yy>",
                          "  <MaybeZ2a: yy.yyy yy> <m1a: yy.yyy yy>  <MaybeZ2b: yy.yyy yy> <m1b: yy.yyy yy>",
                          "  <MaybeZ1a: yy.yyy yy> <m2a: yy.yyy yy>  <MaybeZ1b: yy.yyy yy> <m2b: yy.yyy yy>",
                          "      <hiza: yy.yyy yy> <t1a: yy.yyy yy>      <hizb: yy.yyy yy> <t1b: yy.yyy yy>",
                          "       <z2a: yy.yyy yy> <t2a: yy.yyy yy>       <z2b: yy.yyy yy> <t2b: yy.yyy yy>",
                          "     <adc2a: yy.yyy yy> <t3a: yy.yyy yy>     <adc2b: yy.yyy yy> <t3b: yy.yyy yy>",
                          "     <adc3a: yy.yyy yy> <t4a: yy.yyy yy>     <adc3b: yy.yyy yy> <t4b: yy.yyy yy>",
                          "      <mora: yy.yyy yy> <t5a: yy.yyy yy>      <morb: yy.yyy yy> <t5b: yy.yyy yy>",
                          "      <hora: yy.yyy yy> <t6a: yy.yyy yy>      <horb: yy.yyy yy> <t6b: yy.yyy yy>",
                          "      <m12a: yy.yyy yy> <t7a: yy.yyy yy>      <m12b: yy.yyy yy> <t7b: yy.yyy yy>",
                          "      <m1ha: yy.yyy yy> <t8a: yyy.yy yy>      <m1hb: yy.yyy yy> <t8b: yyy.yy yy>",
                          "      <m2ha: yy.yyy yy>                       <m2hb: yy.yyy yy>",
                          " ",
                          "  <CoinRate0: yy.yyy yy>     <CoinRate1: yy.yyy yy>     <StimCoin: yy.yyy yy>",
                          "     <hazard: yyy.yy yy>                                 <RejFast: yyy.yy yy>",
                          "",
                          "Single Rates(c/s):",
                          " <MaybeHiza: zz.zzz zz>                  <MaybeHizb: zz.zzz zz>",
                          "  <MaybeZ2a: zz.zzz zz> <m1a: zz.zzz zz>  <MaybeZ2b: zz.zzz zz> <m1b: zz.zzz zz>",
                          "  <MaybeZ1a: zz.zzz zz> <m2a: zz.zzz zz>  <MaybeZ1b: zz.zzz zz> <m2b: zz.zzz zz>",
                          "      <hiza: zz.zzz zz> <t1a: zz.zzz zz>      <hizb: zz.zzz zz> <t1b: zz.zzz zz>",
                          "       <z2a: zz.zzz zz> <t2a: zz.zzz zz>       <z2b: zz.zzz zz> <t2b: zz.zzz zz>",
                          "     <adc2a: zz.zzz zz> <t3a: zz.zzz zz>     <adc2b: zz.zzz zz> <t3b: zz.zzz zz>",
                          "     <adc3a: zz.zzz zz> <t4a: zz.zzz zz>     <adc3b: zz.zzz zz> <t4b: zz.zzz zz>",
                          "      <mora: zz.zzz zz> <t5a: zz.zzz zz>      <morb: zz.zzz zz> <t5b: zz.zzz zz>",
                          "      <hora: zz.zzz zz> <t6a: zz.zzz zz>      <horb: zz.zzz zz> <t6b: zz.zzz zz>",
                          "      <m12a: zz.zzz zz> <t7a: zz.zzz zz>      <m12b: zz.zzz zz> <t7b: zz.zzz zz>",
                          "      <m1ha: zz.zzz zz> <t8a: zzz.zz zz>      <m1hb: zz.zzz zz> <t8b: zzz.zz zz>",
                          "      <m2ha: zz.zzz zz>                       <m2hb: zz.zzz zz>",
                          " ",
                          "  <CoinRate0: zz.zzz zz>     <CoinRate1: zz.zzz zz>     <StimCoin: zz.zzz zz>",
                          "     <hazard: zzz.zz zz>                                 <RejFast: zzz.zz zz>"};

      strcpy(line, template[0]);
         memset(line + 25, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(lp.Second1996), lp.microsecond);
         memcpy(line + 25, segmentValue, strlen(segmentValue));
         memset(line + 55, (int) ' ', 23);
         sprintf(segmentValue, " S/C Clock: %10.10lu ", lp.ClockCycle);
         memcpy(line + 55, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[1]);
         printf("%s\n", line);
      strcpy(line, template[2]);
         memset(line + 5, (int) ' ', 20);
         sprintf(segmentValue, "livetim:%7.2f %2.2x ", lp.livetim, lp.QualityLivetim);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 28, (int) ' ', 22);
         sprintf(segmentValue, "ntagint:%9.2f %2.2x ", lp.ntagint, lp.QualityNtagint);
         memcpy(line + 28, segmentValue, strlen(segmentValue));
         memset(line + 54, (int) ' ', 21);
         sprintf(segmentValue, "nbadid:%9.2f %2.2x ", lp.nbadid,  lp.QualityNbadid);
         memcpy(line + 54, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[3]);
         memset(line + 5, (int) ' ', 20);
         sprintf(segmentValue, "helivet:%7.2f %2.2x ", lp.helivet, lp.QualityHelivet);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 28, (int) ' ', 22);
         sprintf(segmentValue, "nvldint:%9.2f %2.2x ", lp.nvldint, lp.QualityNvldint);
         memcpy(line + 28, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 22);
         sprintf(segmentValue, "ncebful:%9.3f %2.2x ", lp.ncebful, lp.QualityNcebful);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[4]);
         memset(line + 5, (int) ' ', 20);
         sprintf(segmentValue, "hylivet:%7.2f %2.2x ", lp.hylivet, lp.QualityHylivet);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 28, (int) ' ', 22);
         sprintf(segmentValue, "nevproc:%9.2f %2.2x ", lp.nevproc, lp.QualityNevproc);
         memcpy(line + 28, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 22);
         sprintf(segmentValue, "nrebful:%9.3f %2.2x ", lp.nrebful, lp.QualityNrebful);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[5]);
         memset(line + 28, (int) ' ', 22);
         sprintf(segmentValue, "nrtproc:%9.2f %2.2x ", lp.nrtproc, lp.QualityNrtproc);
         memcpy(line + 28, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 22);
         sprintf(segmentValue, "nhdwrej:%9.1f %2.2x ", lp.nhdwrej, lp.QualityNhdwrej);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[6]);
         printf("%s\n", line);
      strcpy(line, template[7]);
         printf("%s\n", line);
      strcpy(line, template[8]);
         memset(line + 1, (int) ' ', 22);
         sprintf(segmentValue, "MaybeHiza:%7.3f %2.2x ", lp.RejectRate.MaybeHiza, lp.QualityRejectRate.MaybeHiza);
         memcpy(line + 1, segmentValue, strlen(segmentValue));
         memset(line + 41, (int) ' ', 22);
         sprintf(segmentValue, "MaybeHizb:%7.3f %2.2x ", lp.RejectRate.MaybeHizb, lp.QualityRejectRate.MaybeHizb);
         memcpy(line + 41, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[9]);
         memset(line + 2, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ2a:%7.3f %2.2x ", lp.RejectRate.MaybeZ2a, lp.QualityRejectRate.MaybeZ2a);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "m1a:%7.3f %2.2x ", lp.RejectRate.m1a, lp.QualityRejectRate.m1a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ2b:%7.3f %2.2x ", lp.RejectRate.MaybeZ2b, lp.QualityRejectRate.MaybeZ2b);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "m1b:%7.3f %2.2x ", lp.RejectRate.m1b, lp.QualityRejectRate.m1b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[10]);
         memset(line + 2, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ1a:%7.3f %2.2x ", lp.RejectRate.MaybeZ1a, lp.QualityRejectRate.MaybeZ1a);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "m2a:%7.3f %2.2x ", lp.RejectRate.m2a, lp.QualityRejectRate.m2a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ1b:%7.3f %2.2x ", lp.RejectRate.MaybeZ1b, lp.QualityRejectRate.MaybeZ1b);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "m2b:%7.3f %2.2x ", lp.RejectRate.m2b, lp.QualityRejectRate.m2b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[11]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "hiza:%7.3f %2.2x ", lp.RejectRate.hiza, lp.QualityRejectRate.hiza);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t1a:%7.3f %2.2x ", lp.RejectRate.t1a, lp.QualityRejectRate.t1a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "hizb:%7.3f %2.2x ", lp.RejectRate.hizb, lp.QualityRejectRate.hizb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t1b:%7.3f %2.2x ", lp.RejectRate.t1b, lp.QualityRejectRate.t1b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[12]);
         memset(line + 7, (int) ' ', 16);
         sprintf(segmentValue, "z2a:%7.3f %2.2x ", lp.RejectRate.z2a, lp.QualityRejectRate.z2a);
         memcpy(line + 7, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t2a:%7.3f %2.2x ", lp.RejectRate.t2a, lp.QualityRejectRate.t2a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 47, (int) ' ', 16);
         sprintf(segmentValue, "z2b:%7.3f %2.2x ", lp.RejectRate.z2b, lp.QualityRejectRate.z2b);
         memcpy(line + 47, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t2b:%7.3f %2.2x ", lp.RejectRate.t2b, lp.QualityRejectRate.t2b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[13]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "adc2a:%7.3f %2.2x ", lp.RejectRate.adc2a, lp.QualityRejectRate.adc2a);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t3a:%7.3f %2.2x ", lp.RejectRate.t3a, lp.QualityRejectRate.t3a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 45, (int) ' ', 18);
         sprintf(segmentValue, "adc2b:%7.3f %2.2x ", lp.RejectRate.adc2b, lp.QualityRejectRate.adc2b);
         memcpy(line + 45, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t3b:%7.3f %2.2x ", lp.RejectRate.t3b, lp.QualityRejectRate.t3b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[14]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "adc3a:%7.3f %2.2x ", lp.RejectRate.adc3a, lp.QualityRejectRate.adc3a);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t4a:%7.3f %2.2x ", lp.RejectRate.t4a, lp.QualityRejectRate.t4a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 45, (int) ' ', 18);
         sprintf(segmentValue, "adc3b:%7.3f %2.2x ", lp.RejectRate.adc3b, lp.QualityRejectRate.adc3b);
         memcpy(line + 45, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t4b:%7.3f %2.2x ", lp.RejectRate.t4b, lp.QualityRejectRate.t4b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[15]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "mora:%7.3f %2.2x ", lp.RejectRate.mora, lp.QualityRejectRate.mora);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t5a:%7.3f %2.2x ", lp.RejectRate.t5a, lp.QualityRejectRate.t5a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "morb:%7.3f %2.2x ", lp.RejectRate.morb, lp.QualityRejectRate.morb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t5b:%7.3f %2.2x ", lp.RejectRate.t5b, lp.QualityRejectRate.t5b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[16]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "hora:%7.3f %2.2x ", lp.RejectRate.hora, lp.QualityRejectRate.hora);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t6a:%7.3f %2.2x ", lp.RejectRate.t6a, lp.QualityRejectRate.t6a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "horb:%7.3f %2.2x ", lp.RejectRate.horb, lp.QualityRejectRate.horb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t6b:%7.3f %2.2x ", lp.RejectRate.t6b, lp.QualityRejectRate.t6b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[17]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "m12a:%7.3f %2.2x ", lp.RejectRate.m12a, lp.QualityRejectRate.m12a);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t7a:%7.3f %2.2x ", lp.RejectRate.t7a, lp.QualityRejectRate.t7a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "m12b:%7.3f %2.2x ", lp.RejectRate.m12b, lp.QualityRejectRate.m12b);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t7b:%7.3f %2.2x ", lp.RejectRate.t7b, lp.QualityRejectRate.t7b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[18]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "m1ha:%7.3f %2.2x ", lp.RejectRate.m1ha, lp.QualityRejectRate.m1ha);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t8a:%7.2f %2.2x ", lp.RejectRate.t8a, lp.QualityRejectRate.t8a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "m1hb:%7.3f %2.2x ", lp.RejectRate.m1hb, lp.QualityRejectRate.m1hb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t8b:%7.2f %2.2x ", lp.RejectRate.t8b, lp.QualityRejectRate.t8b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[19]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "m2ha:%7.3f %2.2x ", lp.RejectRate.m2ha, lp.QualityRejectRate.m2ha);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "m2hb:%7.3f %2.2x ", lp.RejectRate.m2hb, lp.QualityRejectRate.m2hb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[20]);
         printf("%s\n", line);
      strcpy(line, template[21]);
         memset(line + 2, (int) ' ', 22);
         sprintf(segmentValue, "CoinRate0:%7.3f %2.2x ", lp.RejectRate.CoinRate0, lp.QualityRejectRate.CoinRate0);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 29, (int) ' ', 22);
         sprintf(segmentValue, "CoinRate1:%7.3f %2.2x ", lp.RejectRate.CoinRate1, lp.QualityRejectRate.CoinRate1);
         memcpy(line + 29, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 21);
         sprintf(segmentValue, "StimCoin:%7.3f %2.2x ", lp.RejectRate.StimCoin, lp.QualityRejectRate.StimCoin);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[22]);
         memset(line + 5, (int) ' ', 19);
         sprintf(segmentValue, "hazard:%7.2f %2.2x ", lp.RejectRate.hazard, lp.QualityRejectRate.hazard);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 57, (int) ' ', 20);
         sprintf(segmentValue, "RejFast:%7.2f %2.2x ", lp.RejectRate.RejFast, lp.QualityRejectRate.RejFast);
         memcpy(line + 57, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[23]);
         printf("%s\n", line);
      strcpy(line, template[24]);
         printf("%s\n", line);
      strcpy(line, template[25]);
         memset(line + 1, (int) ' ', 22);
         sprintf(segmentValue, "MaybeHiza:%7.3f %2.2x ", lp.ValidRate.MaybeHiza, lp.QualityValidRate.MaybeHiza);
         memcpy(line + 1, segmentValue, strlen(segmentValue));
         memset(line + 41, (int) ' ', 22);
         sprintf(segmentValue, "MaybeHizb:%7.3f %2.2x ", lp.ValidRate.MaybeHizb, lp.QualityValidRate.MaybeHizb);
         memcpy(line + 41, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[26]);
         memset(line + 2, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ2a:%7.3f %2.2x ", lp.ValidRate.MaybeZ2a, lp.QualityValidRate.MaybeZ2a);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "m1a:%7.3f %2.2x ", lp.ValidRate.m1a, lp.QualityValidRate.m1a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ2b:%7.3f %2.2x ", lp.ValidRate.MaybeZ2b, lp.QualityValidRate.MaybeZ2b);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "m1b:%7.3f %2.2x ", lp.ValidRate.m1b, lp.QualityValidRate.m1b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[27]);
         memset(line + 2, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ1a:%7.3f %2.2x ", lp.ValidRate.MaybeZ1a, lp.QualityValidRate.MaybeZ1a);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "m2a:%7.3f %2.2x ", lp.ValidRate.m2a, lp.QualityValidRate.m2a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ1b:%7.3f %2.2x ", lp.ValidRate.MaybeZ1b, lp.QualityValidRate.MaybeZ1b);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "m2b:%7.3f %2.2x ", lp.ValidRate.m2b, lp.QualityValidRate.m2b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[28]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "hiza:%7.3f %2.2x ", lp.ValidRate.hiza, lp.QualityValidRate.hiza);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t1a:%7.3f %2.2x ", lp.ValidRate.t1a, lp.QualityValidRate.t1a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "hizb:%7.3f %2.2x ", lp.ValidRate.hizb, lp.QualityValidRate.hizb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t1b:%7.3f %2.2x ", lp.ValidRate.t1b, lp.QualityValidRate.t1b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[29]);
         memset(line + 7, (int) ' ', 16);
         sprintf(segmentValue, "z2a:%7.3f %2.2x ", lp.ValidRate.z2a, lp.QualityValidRate.z2a);
         memcpy(line + 7, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t2a:%7.3f %2.2x ", lp.ValidRate.t2a, lp.QualityValidRate.t2a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 47, (int) ' ', 16);
         sprintf(segmentValue, "z2b:%7.3f %2.2x ", lp.ValidRate.z2b, lp.QualityValidRate.z2b);
         memcpy(line + 47, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t2b:%7.3f %2.2x ", lp.ValidRate.t2b, lp.QualityValidRate.t2b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[30]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "adc2a:%7.3f %2.2x ", lp.ValidRate.adc2a, lp.QualityValidRate.adc2a);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t3a:%7.3f %2.2x ", lp.ValidRate.t3a, lp.QualityValidRate.t3a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 45, (int) ' ', 18);
         sprintf(segmentValue, "adc2b:%7.3f %2.2x ", lp.ValidRate.adc2b, lp.QualityValidRate.adc2b);
         memcpy(line + 45, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t3b:%7.3f %2.2x ", lp.ValidRate.t3b, lp.QualityValidRate.t3b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[31]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "adc3a:%7.3f %2.2x ", lp.ValidRate.adc3a, lp.QualityValidRate.adc3a);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t4a:%7.3f %2.2x ", lp.ValidRate.t4a, lp.QualityValidRate.t4a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 45, (int) ' ', 18);
         sprintf(segmentValue, "adc3b:%7.3f %2.2x ", lp.ValidRate.adc3b, lp.QualityValidRate.adc3b);
         memcpy(line + 45, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t4b:%7.3f %2.2x ", lp.ValidRate.t4b, lp.QualityValidRate.t4b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[32]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "mora:%7.3f %2.2x ", lp.ValidRate.mora, lp.QualityValidRate.mora);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t5a:%7.3f %2.2x ", lp.ValidRate.t5a, lp.QualityValidRate.t5a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "morb:%7.3f %2.2x ", lp.ValidRate.morb, lp.QualityValidRate.morb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t5b:%7.3f %2.2x ", lp.ValidRate.t5b, lp.QualityValidRate.t5b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[33]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "hora:%7.3f %2.2x ", lp.ValidRate.hora, lp.QualityValidRate.hora);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t6a:%7.3f %2.2x ", lp.ValidRate.t6a, lp.QualityValidRate.t6a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "horb:%7.3f %2.2x ", lp.ValidRate.horb, lp.QualityValidRate.horb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t6b:%7.3f %2.2x ", lp.ValidRate.t6b, lp.QualityValidRate.t6b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[34]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "m12a:%7.3f %2.2x ", lp.ValidRate.m12a, lp.QualityValidRate.m12a);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t7a:%7.3f %2.2x ", lp.ValidRate.t7a, lp.QualityValidRate.t7a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "m12b:%7.3f %2.2x ", lp.ValidRate.m12b, lp.QualityValidRate.m12b);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t7b:%7.3f %2.2x ", lp.ValidRate.t7b, lp.QualityValidRate.t7b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[35]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "m1ha:%7.3f %2.2x ", lp.ValidRate.m1ha, lp.QualityValidRate.m1ha);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t8a:%7.2f %2.2x ", lp.ValidRate.t8a, lp.QualityValidRate.t8a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "m1hb:%7.3f %2.2x ", lp.ValidRate.m1hb, lp.QualityValidRate.m1hb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t8b:%7.2f %2.2x ", lp.ValidRate.t8b, lp.QualityValidRate.t8b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[36]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "m2ha:%7.3f %2.2x ", lp.ValidRate.m2ha, lp.QualityValidRate.m2ha);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "m2hb:%7.3f %2.2x ", lp.ValidRate.m2hb, lp.QualityValidRate.m2hb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[37]);
         printf("%s\n", line);
      strcpy(line, template[38]);
         memset(line + 2, (int) ' ', 22);
         sprintf(segmentValue, "CoinRate0:%7.3f %2.2x ", lp.ValidRate.CoinRate0, lp.QualityValidRate.CoinRate0);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 29, (int) ' ', 22);
         sprintf(segmentValue, "CoinRate1:%7.3f %2.2x ", lp.ValidRate.CoinRate1, lp.QualityValidRate.CoinRate1);
         memcpy(line + 29, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 21);
         sprintf(segmentValue, "StimCoin:%7.3f %2.2x ", lp.ValidRate.StimCoin, lp.QualityValidRate.StimCoin);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[39]);
         memset(line + 5, (int) ' ', 19);
         sprintf(segmentValue, "hazard:%7.2f %2.2x ", lp.ValidRate.hazard, lp.QualityValidRate.hazard);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 57, (int) ' ', 20);
         sprintf(segmentValue, "RejFast:%7.2f %2.2x ", lp.ValidRate.RejFast, lp.QualityValidRate.RejFast);
         memcpy(line + 57, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[40]);
         printf("%s\n", line);
      strcpy(line, template[41]);
         printf("%s\n", line);
      strcpy(line, template[42]);
         memset(line + 1, (int) ' ', 22);
         sprintf(segmentValue, "MaybeHiza:%7.3f %2.2x ", lp.SingleRate.MaybeHiza, lp.QualitySingleRate.MaybeHiza);
         memcpy(line + 1, segmentValue, strlen(segmentValue));
         memset(line + 41, (int) ' ', 22);
         sprintf(segmentValue, "MaybeHizb:%7.3f %2.2x ", lp.SingleRate.MaybeHizb, lp.QualitySingleRate.MaybeHizb);
         memcpy(line + 41, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[43]);
         memset(line + 2, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ2a:%7.3f %2.2x ", lp.SingleRate.MaybeZ2a, lp.QualitySingleRate.MaybeZ2a);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "m1a:%7.3f %2.2x ", lp.SingleRate.m1a, lp.QualitySingleRate.m1a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ2b:%7.3f %2.2x ", lp.SingleRate.MaybeZ2b, lp.QualitySingleRate.MaybeZ2b);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "m1b:%7.3f %2.2x ", lp.SingleRate.m1b, lp.QualitySingleRate.m1b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[44]);
         memset(line + 2, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ1a:%7.3f %2.2x ", lp.SingleRate.MaybeZ1a, lp.QualitySingleRate.MaybeZ1a);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "m2a:%7.3f %2.2x ", lp.SingleRate.m2a, lp.QualitySingleRate.m2a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 42, (int) ' ', 21);
         sprintf(segmentValue, "MaybeZ1b:%7.3f %2.2x ", lp.SingleRate.MaybeZ1b, lp.QualitySingleRate.MaybeZ1b);
         memcpy(line + 42, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "m2b:%7.3f %2.2x ", lp.SingleRate.m2b, lp.QualitySingleRate.m2b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[45]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "hiza:%7.3f %2.2x ", lp.SingleRate.hiza, lp.QualitySingleRate.hiza);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t1a:%7.3f %2.2x ", lp.SingleRate.t1a, lp.QualitySingleRate.t1a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "hizb:%7.3f %2.2x ", lp.SingleRate.hizb, lp.QualitySingleRate.hizb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t1b:%7.3f %2.2x ", lp.SingleRate.t1b, lp.QualitySingleRate.t1b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[46]);
         memset(line + 7, (int) ' ', 16);
         sprintf(segmentValue, "z2a:%7.3f %2.2x ", lp.SingleRate.z2a, lp.QualitySingleRate.z2a);
         memcpy(line + 7, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t2a:%7.3f %2.2x ", lp.SingleRate.t2a, lp.QualitySingleRate.t2a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 47, (int) ' ', 16);
         sprintf(segmentValue, "z2b:%7.3f %2.2x ", lp.SingleRate.z2b, lp.QualitySingleRate.z2b);
         memcpy(line + 47, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t2b:%7.3f %2.2x ", lp.SingleRate.t2b, lp.QualitySingleRate.t2b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[47]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "adc2a:%7.3f %2.2x ", lp.SingleRate.adc2a, lp.QualitySingleRate.adc2a);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t3a:%7.3f %2.2x ", lp.SingleRate.t3a, lp.QualitySingleRate.t3a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 45, (int) ' ', 18);
         sprintf(segmentValue, "adc2b:%7.3f %2.2x ", lp.SingleRate.adc2b, lp.QualitySingleRate.adc2b);
         memcpy(line + 45, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t3b:%7.3f %2.2x ", lp.SingleRate.t3b, lp.QualitySingleRate.t3b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[48]);
         memset(line + 5, (int) ' ', 18);
         sprintf(segmentValue, "adc3a:%7.3f %2.2x ", lp.SingleRate.adc3a, lp.QualitySingleRate.adc3a);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t4a:%7.3f %2.2x ", lp.SingleRate.t4a, lp.QualitySingleRate.t4a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 45, (int) ' ', 18);
         sprintf(segmentValue, "adc3b:%7.3f %2.2x ", lp.SingleRate.adc3b, lp.QualitySingleRate.adc3b);
         memcpy(line + 45, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t4b:%7.3f %2.2x ", lp.SingleRate.t4b, lp.QualitySingleRate.t4b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[49]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "mora:%7.3f %2.2x ", lp.SingleRate.mora, lp.QualitySingleRate.mora);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t5a:%7.3f %2.2x ", lp.SingleRate.t5a, lp.QualitySingleRate.t5a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "morb:%7.3f %2.2x ", lp.SingleRate.morb, lp.QualitySingleRate.morb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t5b:%7.3f %2.2x ", lp.SingleRate.t5b, lp.QualitySingleRate.t5b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[50]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "hora:%7.3f %2.2x ", lp.SingleRate.hora, lp.QualitySingleRate.hora);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t6a:%7.3f %2.2x ", lp.SingleRate.t6a, lp.QualitySingleRate.t6a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "horb:%7.3f %2.2x ", lp.SingleRate.horb, lp.QualitySingleRate.horb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t6b:%7.3f %2.2x ", lp.SingleRate.t6b, lp.QualitySingleRate.t6b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[51]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "m12a:%7.3f %2.2x ", lp.SingleRate.m12a, lp.QualitySingleRate.m12a);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t7a:%7.3f %2.2x ", lp.SingleRate.t7a, lp.QualitySingleRate.t7a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "m12b:%7.3f %2.2x ", lp.SingleRate.m12b, lp.QualitySingleRate.m12b);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t7b:%7.3f %2.2x ", lp.SingleRate.t7b, lp.QualitySingleRate.t7b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[52]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "m1ha:%7.3f %2.2x ", lp.SingleRate.m1ha, lp.QualitySingleRate.m1ha);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 24, (int) ' ', 16);
         sprintf(segmentValue, "t8a:%7.2f %2.2x ", lp.SingleRate.t8a, lp.QualitySingleRate.t8a);
         memcpy(line + 24, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "m1hb:%7.3f %2.2x ", lp.SingleRate.m1hb, lp.QualitySingleRate.m1hb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         memset(line + 64, (int) ' ', 16);
         sprintf(segmentValue, "t8b:%7.2f %2.2x ", lp.SingleRate.t8b, lp.QualitySingleRate.t8b);
         memcpy(line + 64, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[53]);
         memset(line + 6, (int) ' ', 17);
         sprintf(segmentValue, "m2ha:%7.3f %2.2x ", lp.SingleRate.m2ha, lp.QualitySingleRate.m2ha);
         memcpy(line + 6, segmentValue, strlen(segmentValue));
         memset(line + 46, (int) ' ', 17);
         sprintf(segmentValue, "m2hb:%7.3f %2.2x ", lp.SingleRate.m2hb, lp.QualitySingleRate.m2hb);
         memcpy(line + 46, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[54]);
         printf("%s\n", line);
      strcpy(line, template[55]);
         memset(line + 2, (int) ' ', 22);
         sprintf(segmentValue, "CoinRate0:%7.3f %2.2x ", lp.SingleRate.CoinRate0, lp.QualitySingleRate.CoinRate0);
         memcpy(line + 2, segmentValue, strlen(segmentValue));
         memset(line + 29, (int) ' ', 22);
         sprintf(segmentValue, "CoinRate1:%7.3f %2.2x ", lp.SingleRate.CoinRate1, lp.QualitySingleRate.CoinRate1);
         memcpy(line + 29, segmentValue, strlen(segmentValue));
         memset(line + 56, (int) ' ', 21);
         sprintf(segmentValue, "StimCoin:%7.3f %2.2x ", lp.SingleRate.StimCoin, lp.QualitySingleRate.StimCoin);
         memcpy(line + 56, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[56]);
         memset(line + 5, (int) ' ', 19);
         sprintf(segmentValue, "hazard:%7.2f %2.2x ", lp.SingleRate.hazard, lp.QualitySingleRate.hazard);
         memcpy(line + 5, segmentValue, strlen(segmentValue));
         memset(line + 57, (int) ' ', 20);
         sprintf(segmentValue, "RejFast:%7.2f %2.2x ", lp.SingleRate.RejFast, lp.QualitySingleRate.RejFast);
         memcpy(line + 57, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
