/* $Id: computeSisMiscRates.c,v 1.1 1998/07/27 12:33:09 rgr Exp $ */

/* $RCSfile: computeSisMiscRates.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:33:09 $ */
/* $Revision: 1.1 $ */

#include "hdfi.h"
#include "SisConstants.h"

#include "sis/L1SisLowPriorityRate.h"
#include "sis/L1_1SisLowPriorityRate.h"

#include "sis/uncompressSisValue.h"


void computeSisMiscRates(struct L1SisLowPriorityRate *lp,
                       struct L1_1SisLowPriorityRate *engr)
{
   float64 LiveTimeUnit;
   float64 RateUnit;

   LiveTimeUnit = SIS_LIVETIME_UNIT_MICROSECOND * 1.0e-6;
   RateUnit = 1.0 / NUM_SIS_MNFS_PER_CYCLE;

   engr->livetim =
            (float32) (LiveTimeUnit * uncompressSisValue(lp->livetim));
   engr->helivet =
            (float32) (LiveTimeUnit * uncompressSisValue(lp->helivet));
   engr->hylivet =
            (float32) (LiveTimeUnit * uncompressSisValue(lp->hylivet));
   engr->ntagint =
            (float32) (RateUnit * uncompressSisValue(lp->ntagint));
   engr->nvldint =
            (float32) (RateUnit * uncompressSisValue(lp->nvldint));
   engr->nevproc =
            (float32) (RateUnit * uncompressSisValue(lp->nevproc));
   engr->nrtproc =
            (float32) (RateUnit * uncompressSisValue(lp->nrtproc));
   engr->nbadid  =
            (float32) (RateUnit * uncompressSisValue(lp->nbadid));
   engr->ncebful =
            (float32) (RateUnit * uncompressSisValue(lp->ncebful));
   engr->nrebful =
            (float32) (RateUnit * uncompressSisValue(lp->nrebful));
   engr->nhdwrej =
            (float32) (RateUnit * uncompressSisValue(lp->nhdwrej));

   engr->QualityLivetim = lp->QualityLivetim;
   engr->QualityHelivet = lp->QualityHelivet;
   engr->QualityHylivet = lp->QualityHylivet;
   engr->QualityNtagint = lp->QualityNtagint;
   engr->QualityNvldint = lp->QualityNvldint;
   engr->QualityNevproc = lp->QualityNevproc;
   engr->QualityNrtproc = lp->QualityNrtproc;
   engr->QualityNbadid  = lp->QualityNbadid;
   engr->QualityNcebful = lp->QualityNcebful;
   engr->QualityNrebful = lp->QualityNrebful;
   engr->QualityNhdwrej = lp->QualityNhdwrej;

}
