/* $Id: computeSisValidRates.c,v 1.1 1998/07/27 12:33:14 rgr Exp $ */

/* $RCSfile: computeSisValidRates.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:33:14 $ */
/* $Revision: 1.1 $ */

#include "hdfi.h"
#include "SisConstants.h"

#include "sis/L1SisLowPriorityRate.h"
#include "sis/L1_1SisLowPriorityRate.h"

#include "sis/uncompressSisValue.h"


void computeSisValidRates(struct L1SisLowPriorityRate *lp,
                        struct L1_1SisLowPriorityRate *engr)
{
   float64 factor;
   float64 livetim;
     uint8 quality;

   livetim = (float64) engr->livetim;
   if (livetim < 1.0e-6)
      livetim = 1.0e-6;
   factor = 1.0 / livetim;

   engr->ValidRate.m1a =
         (float32) (factor * uncompressSisValue(lp->VldcntsM1a));
   engr->ValidRate.m1ha =
         (float32) (factor * uncompressSisValue(lp->VldcntsM1ha));
   engr->ValidRate.m2a =
         (float32) (factor * uncompressSisValue(lp->VldcntsM2a));
   engr->ValidRate.m2ha =
         (float32) (factor * uncompressSisValue(lp->VldcntsM2ha));
   engr->ValidRate.t1a =
         (float32) (factor * uncompressSisValue(lp->VldcntsT1a));
   engr->ValidRate.t2a =
         (float32) (factor * uncompressSisValue(lp->VldcntsT2a));
   engr->ValidRate.t3a =
         (float32) (factor * uncompressSisValue(lp->VldcntsT3a));
   engr->ValidRate.t4a =
         (float32) (factor * uncompressSisValue(lp->VldcntsT4a));
   engr->ValidRate.t5a =
         (float32) (factor * uncompressSisValue(lp->VldcntsT5a));
   engr->ValidRate.t6a =
         (float32) (factor * uncompressSisValue(lp->VldcntsT6a));
   engr->ValidRate.t7a =
         (float32) (factor * uncompressSisValue(lp->VldcntsT7a));
   engr->ValidRate.t8a =
         (float32) (factor * uncompressSisValue(lp->VldcntsT8a));
   engr->ValidRate.m12a =
         (float32) (factor * uncompressSisValue(lp->VldcntsM12a));
   engr->ValidRate.mora =
         (float32) (factor * uncompressSisValue(lp->VldcntsMora));
   engr->ValidRate.hora =
         (float32) (factor * uncompressSisValue(lp->VldcntsHora));
   engr->ValidRate.hiza =
         (float32) (factor * uncompressSisValue(lp->VldcntsHiza));
   engr->ValidRate.MaybeHiza =
         (float32) (factor * uncompressSisValue(lp->VldcntsMaybeHiza));
   engr->ValidRate.z2a =
         (float32) (factor * uncompressSisValue(lp->VldcntsZ2a));
   engr->ValidRate.MaybeZ2a =
         (float32) (factor * uncompressSisValue(lp->VldcntsMaybeZ2a));
   engr->ValidRate.MaybeZ1a =
         (float32) (factor * uncompressSisValue(lp->VldcntsMaybeZ1a));
   engr->ValidRate.m1b =
         (float32) (factor * uncompressSisValue(lp->VldcntsM1b));
   engr->ValidRate.m1hb =
         (float32) (factor * uncompressSisValue(lp->VldcntsM1hb));
   engr->ValidRate.m2b =
        (float32) (factor * uncompressSisValue(lp->VldcntsM2b));
   engr->ValidRate.m2hb =
         (float32) (factor * uncompressSisValue(lp->VldcntsM2hb));
   engr->ValidRate.t1b =
         (float32) (factor * uncompressSisValue(lp->VldcntsT1b));
   engr->ValidRate.t2b =
         (float32) (factor * uncompressSisValue(lp->VldcntsT2b));
   engr->ValidRate.t3b =
         (float32) (factor * uncompressSisValue(lp->VldcntsT3b));
   engr->ValidRate.t4b =
         (float32) (factor * uncompressSisValue(lp->VldcntsT4b));
   engr->ValidRate.t5b =
         (float32) (factor * uncompressSisValue(lp->VldcntsT5b));
   engr->ValidRate.t6b =
         (float32) (factor * uncompressSisValue(lp->VldcntsT6b));
   engr->ValidRate.t7b =
         (float32) (factor * uncompressSisValue(lp->VldcntsT7b));
   engr->ValidRate.t8b =
         (float32) (factor * uncompressSisValue(lp->VldcntsT8b));
   engr->ValidRate.m12b =
         (float32) (factor * uncompressSisValue(lp->VldcntsM12b));
   engr->ValidRate.morb =
         (float32) (factor * uncompressSisValue(lp->VldcntsMorb));
   engr->ValidRate.horb =
         (float32) (factor * uncompressSisValue(lp->VldcntsHorb));
   engr->ValidRate.hizb =
         (float32) (factor * uncompressSisValue(lp->VldcntsHizb));
   engr->ValidRate.MaybeHizb =
         (float32) (factor * uncompressSisValue(lp->VldcntsMaybeHizb));
   engr->ValidRate.z2b =
        (float32) (factor * uncompressSisValue(lp->VldcntsZ2b));
   engr->ValidRate.MaybeZ2b =
        (float32) (factor * uncompressSisValue(lp->VldcntsMaybeZ2b));
   engr->ValidRate.MaybeZ1b =
        (float32) (factor * uncompressSisValue(lp->VldcntsMaybeZ1b));
   engr->ValidRate.RejFast =
        (float32) (factor * uncompressSisValue(lp->VldcntsRejFast));
   engr->ValidRate.StimCoin =
        (float32) (factor * uncompressSisValue(lp->VldcntsStimCoin));
   engr->ValidRate.hazard =
        (float32) (factor * uncompressSisValue(lp->VldcntsHazard));
   engr->ValidRate.adc2a =
        (float32) (factor * uncompressSisValue(lp->VldcntsAdc2a));
   engr->ValidRate.adc3a =
        (float32) (factor * uncompressSisValue(lp->VldcntsAdc3a));
   engr->ValidRate.adc2b =
        (float32) (factor * uncompressSisValue(lp->VldcntsAdc2b));
   engr->ValidRate.adc3b =
        (float32) (factor * uncompressSisValue(lp->VldcntsAdc3b));
   engr->ValidRate.CoinRate0 =
        (float32) (factor * uncompressSisValue(lp->VldcntsCoinRate0));
   engr->ValidRate.CoinRate1 =
        (float32) (factor * uncompressSisValue(lp->VldcntsCoinRate1));

   quality = lp->QualityNhdwrej | lp->QualityNrtproc
                                | lp->QualityLivetim;

   engr->QualityValidRate.m1a  = quality | lp->QualityVldcntsM1a;
   engr->QualityValidRate.m1ha = quality | lp->QualityVldcntsM1ha;
   engr->QualityValidRate.m2a  = quality | lp->QualityVldcntsM2a;
   engr->QualityValidRate.m2ha = quality | lp->QualityVldcntsM2ha;
   engr->QualityValidRate.t1a  = quality | lp->QualityVldcntsT1a;
   engr->QualityValidRate.t2a  = quality | lp->QualityVldcntsT2a;
   engr->QualityValidRate.t3a  = quality | lp->QualityVldcntsT3a;
   engr->QualityValidRate.t4a  = quality | lp->QualityVldcntsT4a;
   engr->QualityValidRate.t5a  = quality | lp->QualityVldcntsT5a;
   engr->QualityValidRate.t6a  = quality | lp->QualityVldcntsT6a;
   engr->QualityValidRate.t7a  = quality | lp->QualityVldcntsT7a;
   engr->QualityValidRate.t8a  = quality | lp->QualityVldcntsT8a;
   engr->QualityValidRate.m12a = quality | lp->QualityVldcntsM12a;
   engr->QualityValidRate.mora = quality | lp->QualityVldcntsMora;
   engr->QualityValidRate.hora = quality | lp->QualityVldcntsHora;
   engr->QualityValidRate.hiza = quality | lp->QualityVldcntsHiza;
   engr->QualityValidRate.MaybeHiza =
                               quality | lp->QualityVldcntsMaybeHiza;
   engr->QualityValidRate.z2a  = quality | lp->QualityVldcntsZ2a;
   engr->QualityValidRate.MaybeZ2a =
                               quality | lp->QualityVldcntsMaybeZ2a;
   engr->QualityValidRate.MaybeZ1a =
                               quality | lp->QualityVldcntsMaybeZ1a;
   engr->QualityValidRate.m1b  = quality | lp->QualityVldcntsM1b;
   engr->QualityValidRate.m1hb = quality | lp->QualityVldcntsM1hb;
   engr->QualityValidRate.m2b  = quality | lp->QualityVldcntsM2b;
   engr->QualityValidRate.m2hb = quality | lp->QualityVldcntsM2hb;
   engr->QualityValidRate.t1b  = quality | lp->QualityVldcntsT1b;
   engr->QualityValidRate.t2b  = quality | lp->QualityVldcntsT2b;
   engr->QualityValidRate.t3b  = quality | lp->QualityVldcntsT3b;
   engr->QualityValidRate.t4b  = quality | lp->QualityVldcntsT4b;
   engr->QualityValidRate.t5b  = quality | lp->QualityVldcntsT5b;
   engr->QualityValidRate.t6b  = quality | lp->QualityVldcntsT6b;
   engr->QualityValidRate.t7b  = quality | lp->QualityVldcntsT7b;
   engr->QualityValidRate.t8b  = quality | lp->QualityVldcntsT8b;
   engr->QualityValidRate.m12b = quality | lp->QualityVldcntsM12b;
   engr->QualityValidRate.morb = quality | lp->QualityVldcntsMorb;
   engr->QualityValidRate.horb = quality | lp->QualityVldcntsHorb;
   engr->QualityValidRate.hizb = quality | lp->QualityVldcntsHizb;
   engr->QualityValidRate.MaybeHizb =
                               quality | lp->QualityVldcntsMaybeHizb;
   engr->QualityValidRate.z2b  = quality | lp->QualityVldcntsZ2b;
   engr->QualityValidRate.MaybeZ2b =
                               quality | lp->QualityVldcntsMaybeZ2b;
   engr->QualityValidRate.MaybeZ1b =
                               quality | lp->QualityVldcntsMaybeZ1b;
   engr->QualityValidRate.RejFast =
                               quality | lp->QualityVldcntsRejFast;
   engr->QualityValidRate.StimCoin =
                               quality | lp->QualityVldcntsStimCoin;
   engr->QualityValidRate.hazard =
                               quality | lp->QualityVldcntsHazard;
   engr->QualityValidRate.adc2a = quality | lp->QualityVldcntsAdc2a;
   engr->QualityValidRate.adc3a = quality | lp->QualityVldcntsAdc3a;
   engr->QualityValidRate.adc2b = quality | lp->QualityVldcntsAdc2b;
   engr->QualityValidRate.adc3b = quality | lp->QualityVldcntsAdc3b;
   engr->QualityValidRate.CoinRate0 =
                               quality | lp->QualityVldcntsCoinRate0;
   engr->QualityValidRate.CoinRate1 =
                               quality | lp->QualityVldcntsCoinRate1;

}
