/* $Id: cvtSisAdcToLeakageCurrent.c,v 1.1 1998/07/27 12:33:17 rgr Exp $ */

/* $RCSfile: cvtSisAdcToLeakageCurrent.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:33:17 $ */
/* $Revision: 1.1 $ */

#include "hdfi.h"
#include "SisAdc.h"

#include "sis/sisGetData/cvtSisAdcToScaledVoltage.h"

#define T1A  SIS_ADC_POSTDCT1A
#define T2A  SIS_ADC_POSTDCT2A
#define T3A  SIS_ADC_POSTDCT3A
#define T4A  SIS_ADC_POSTDCT4A
#define T5A  SIS_ADC_POSTDCT5A
#define T6A  SIS_ADC_POSTDCT6A
#define T7A  SIS_ADC_POSTDCT7A
#define T8A  SIS_ADC_POSTDCT8A
#define T1B  SIS_ADC_POSTDCT1B
#define T2B  SIS_ADC_POSTDCT2B
#define T3B  SIS_ADC_POSTDCT3B
#define T4B  SIS_ADC_POSTDCT4B
#define T5B  SIS_ADC_POSTDCT5B
#define T6B  SIS_ADC_POSTDCT6B
#define T7B  SIS_ADC_POSTDCT7B
#define T8B  SIS_ADC_POSTDCT8B

float32 cvtSisAdcToLeakageCurrent(int AdcNumber, uint16 adc)
{
   static float64 slope[NUM_SIS_ADC];
   static float64 offset[NUM_SIS_ADC];
   static int first = 1;

    uint16 baseline[NUM_SIS_ADC];
       int i;
   float64 Reff[NUM_SIS_ADC];

   if (first) {

      first = 0;
      for (i=0; i<NUM_SIS_ADC; i++) {
         Reff[i]     = 1.0;
         baseline[i] = 600;
      }

      Reff[T1A] = 140.2;       Reff[T1B] = 140.2;
      Reff[T2A] = 140.2;       Reff[T2B] = 140.2;
      Reff[T3A] = 69.84;       Reff[T3B] = 69.84;
      Reff[T4A] = 45.86;       Reff[T4B] = 45.86;
      Reff[T5A] = 29.82;       Reff[T5B] = 29.82;
      Reff[T6A] = 15.95;       Reff[T6B] = 15.95;
      Reff[T7A] = 10.60;       Reff[T7B] = 10.60;
      Reff[T8A] = 239.7;       Reff[T8B] = 239.7;

      baseline[T1A] = 603;      baseline[T1B] = 640;
      baseline[T2A] = 632;      baseline[T2B] = 638;
      baseline[T3A] = 569;      baseline[T3B] = 570;
      baseline[T4A] = 601;      baseline[T4B] = 601;
      baseline[T5A] = 593;      baseline[T5B] = 594;
      baseline[T6A] = 602;      baseline[T6B] = 601;
      baseline[T7A] = 605;      baseline[T7B] = 604;
      baseline[T8A] = 733;      baseline[T8B] = 729;

      for (i=0; i<NUM_SIS_ADC; i++) {
         slope[i] = 1.0/(Reff[i]*0.001);
         offset[i] = -(cvtSisAdcToScaledVoltage(baseline[i]) /
                                                      (Reff[i]*0.001));
      }
   }

   return (float32) (slope[AdcNumber]*cvtSisAdcToScaledVoltage(adc) +
                                                    offset[AdcNumber]);
}

#undef T1A
#undef T2A
#undef T3A
#undef T4A
#undef T5A
#undef T6A
#undef T7A
#undef T8A
#undef T1B
#undef T2B
#undef T3B
#undef T4B
#undef T5B
#undef T6B
#undef T7B
#undef T8B
