/* $Id: findSisBufferType.c,v 1.1 1998/07/27 12:33:22 rgr Exp $ */

/* $RCSfile: findSisBufferType.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:33:22 $ */
/* $Revision: 1.1 $ */

#include "SisConstants.h"

#define NBUF    NUM_SIS_EVT_BUFFERS
#define OFFSET  SIS_BUFFER_ID_OFFSET
#define Z1      SIS_Z1_BUFFER
#define Z2      SIS_Z2_BUFFER
#define CNO     SIS_CNO_BUFFER
#define HIZ     SIS_HIZ_BUFFER
#define STM     SIS_STIM_BUFFER
#define UND     SIS_UNDEFINED_BUFFER


int findSisBufferType(int BufferNumber)
{
   static int BufferType[] = { 
                      UND,  Z1,  Z2,  Z1,  Z1,  Z1,  Z2,  Z2, /*  30 */
             Z2,  Z2,  Z1,  Z1,  Z2,  Z2,  Z1,  Z1,  Z2,  Z2, /*  40 */
             Z1,  Z1,  Z2,  Z2,  Z2,  Z1,  Z1,  Z2,  Z2,  Z2, /*  50 */
            HIZ, HIZ, HIZ, CNO, CNO, CNO, CNO, CNO, CNO, CNO, /*  60 */
            CNO, HIZ, HIZ, HIZ, HIZ, CNO, CNO, CNO, CNO, CNO, /*  70 */
            CNO, CNO, CNO, HIZ, HIZ, HIZ, HIZ, HIZ, HIZ, HIZ, /*  80 */
            HIZ, HIZ, HIZ, HIZ, HIZ, CNO, CNO, CNO, CNO, CNO, /*  90 */
            CNO, CNO, CNO, CNO, CNO, CNO, CNO, CNO, CNO, CNO, /* 100 */
            CNO, HIZ, HIZ, HIZ, HIZ, HIZ, HIZ, HIZ, HIZ, HIZ, /* 110 */
            HIZ, HIZ, HIZ, HIZ, HIZ, HIZ, HIZ, STM};          /* 120 */
                                                              /*     */
   /*         0    1    2    3    4    5    6    7    8    9         */

   int number;

   number = (BufferNumber < OFFSET) ? 0 : BufferNumber - OFFSET;
   if (number > NBUF) number = NBUF;
   number %= NBUF;
   
   return BufferType[number];
}

#undef NBUF
#undef OFFSET
#undef Z1
#undef Z2
#undef CNO
#undef HIZ
#undef STM
#undef UND
