#ifndef GETGROUPDIAGNOSTICEVENTS_SE
   #define GETGROUPDIAGNOSTICEVENTS_SE

   /* $Id: getGroupDiagnosticEvents_se.c,v 1.2 1998/08/03 13:22:12 rgr Exp $ */

   /* $RCSfile: getGroupDiagnosticEvents_se.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/08/03 13:22:12 $ */
   /* $Revision: 1.2 $ */


   #include <stdlib.h>
   #include <string.h>

   #include "hdfi.h"
   #include "SisConstants.h"
   
   #include "sis/L1SisDiagnosticEvent.h"
   #include "sis/L1SisEventCycle.h"
   #include "sis/L1_1SisDiagnosticEvent.h"
   #include "sis/L1_1SisEvent.h"

   #include "sisGetData/getGroupDiagnosticEvents_s.h"
   #include "sis/sisGetData/unpackEventCycle_s.h"

   #define NPLANE  NUM_SIS_MATRIX_PLANES
   #define NSTACK  NUM_SIS_STACK_DETECTORS
   #define NSTRIP  NUM_SIS_MATRIX_STRIPS

   struct L1_1SisDiagnosticEvent
                    *getGroupDiagnosticEvents_se(uint32 sec1996_0,
                                                 uint32 sec1996_1,
                                                    int autoFreeFlag)
   {
      static struct L1_1SisDiagnosticEvent *allocatedMemory = NULL;

        struct L1SisDiagnosticEvent *de;
      struct L1_1SisDiagnosticEvent *engr;
                struct L1_1SisEvent event[2];
             struct L1SisEventCycle EventCycle;
                                int i;
                                int index;
                                int j;
                             size_t nrec;
                             size_t nbyte;
      struct L1_1SisDiagnosticEvent *pointerEngr;
        struct L1SisDiagnosticEvent *pointerDiagnosticEvent;


      /* Do the automatic deallocation of memory.  When free is    */
      /* called with the address of a previously allocated memory  */
      /* block, free deallocates the memory block.  If the address */
      /* is NULL, free does nothing.                               */

      free(allocatedMemory);


      /* Find the number of structures and allocate and zero the */
      /* memory for them.                                        */

      pointerDiagnosticEvent = getGroupDiagnosticEvents_s(sec1996_0,
                                                         sec1996_1, 0);
      de = pointerDiagnosticEvent;
      nrec = 0;
      while (de->Second1996MinorFrame0) {
         nrec++;
         de++;
      }
      pointerEngr =
                 calloc(nrec+1, sizeof(struct L1_1SisDiagnosticEvent));



      /* Build an L1_1SisDiagnosticEvent structure for each */
      /* L1SisDiagnosticEvent structure present.            */

      de = pointerDiagnosticEvent;
      engr = pointerEngr;
      while (de->Second1996MinorFrame0) {

         engr->ClockMinorFrame0       = de->ClockMinorFrame0;
         engr->ClockMinorFrame1       = de->ClockMinorFrame1;
         engr->Second1996MinorFrame0  = de->Second1996MinorFrame0;
         engr->MicrosecondMinorFrame0 = de->MicrosecondMinorFrame0;
         engr->Second1996MinorFrame1  = de->Second1996MinorFrame1;
         engr->MicrosecondMinorFrame1 = de->MicrosecondMinorFrame1;


         /* Put the tags from word 0 into the structure. */

         engr->raw.a.time_m1 =  de->RawStack[0] & 0x000f;
         engr->raw.a.time_m2 = (de->RawStack[0] & 0x00f0) >> 4;
         engr->raw.a.time_t1 = (de->RawStack[0] & 0x0f00) >> 8;
         engr->raw.a.tag.m1  = (de->RawStack[0] & 0x1000) ? 1 : 0;
         engr->raw.a.tag.m1h = (de->RawStack[0] & 0x2000) ? 1 : 0;
         engr->raw.a.tag.m2  = (de->RawStack[0] & 0x4000) ? 1 : 0;
         engr->raw.a.tag.m2h = (de->RawStack[0] & 0x8000) ? 1 : 0;

         /* Put the tags from word 1 into the structure. */

         engr->raw.a.tag.t1       = (de->RawStack[1] & 0x0001) ? 1 : 0;
         engr->raw.a.tag.t2       = (de->RawStack[1] & 0x0002) ? 1 : 0;
         engr->raw.a.tag.t3       = (de->RawStack[1] & 0x0004) ? 1 : 0;
         engr->raw.a.tag.t4       = (de->RawStack[1] & 0x0008) ? 1 : 0;
         engr->raw.a.tag.t5       = (de->RawStack[1] & 0x0010) ? 1 : 0;
         engr->raw.a.tag.t6       = (de->RawStack[1] & 0x0020) ? 1 : 0;
         engr->raw.a.tag.t7       = (de->RawStack[1] & 0x0040) ? 1 : 0;
         engr->raw.a.tag.t8       = (de->RawStack[1] & 0x0080) ? 1 : 0;
         engr->raw.a.tag.m12      = (de->RawStack[1] & 0x0100) ? 1 : 0;
         engr->raw.a.tag.mor      = (de->RawStack[1] & 0x0200) ? 1 : 0;
         engr->raw.a.tag.hor      = (de->RawStack[1] & 0x0400) ? 1 : 0;
         engr->raw.a.tag.hiz      = (de->RawStack[1] & 0x0800) ? 1 : 0;
         engr->raw.a.tag.maybe_hiz= (de->RawStack[1] & 0x1000) ? 1 : 0;
         engr->raw.a.tag.z2       = (de->RawStack[1] & 0x2000) ? 1 : 0;
         engr->raw.a.tag.maybe_z2 = (de->RawStack[1] & 0x4000) ? 1 : 0;
         engr->raw.a.tag.maybe_z1 = (de->RawStack[1] & 0x8000) ? 1 : 0;

         /* Put the times and tags from word 2 into the structure. */

         engr->raw.b.time_m1 =  de->RawStack[2] & 0x000f;
         engr->raw.b.time_m2 = (de->RawStack[2] & 0x00f0) >> 4;
         engr->raw.b.time_t1 = (de->RawStack[2] & 0x0f00) >> 8;
         engr->raw.b.tag.m1  = (de->RawStack[2] & 0x1000) ? 1 : 0;
         engr->raw.b.tag.m1h = (de->RawStack[2] & 0x2000) ? 1 : 0;
         engr->raw.b.tag.m2  = (de->RawStack[2] & 0x4000) ? 1 : 0;
         engr->raw.b.tag.m2h = (de->RawStack[2] & 0x8000) ? 1 : 0;

         /* Put the tags from word 3 into the structure. */

         engr->raw.b.tag.t1       = (de->RawStack[3] & 0x0001) ? 1 : 0;
         engr->raw.b.tag.t2       = (de->RawStack[3] & 0x0002) ? 1 : 0;
         engr->raw.b.tag.t3       = (de->RawStack[3] & 0x0004) ? 1 : 0;
         engr->raw.b.tag.t4       = (de->RawStack[3] & 0x0008) ? 1 : 0;
         engr->raw.b.tag.t5       = (de->RawStack[3] & 0x0010) ? 1 : 0;
         engr->raw.b.tag.t6       = (de->RawStack[3] & 0x0020) ? 1 : 0;
         engr->raw.b.tag.t7       = (de->RawStack[3] & 0x0040) ? 1 : 0;
         engr->raw.b.tag.t8       = (de->RawStack[3] & 0x0080) ? 1 : 0;
         engr->raw.b.tag.m12      = (de->RawStack[3] & 0x0100) ? 1 : 0;
         engr->raw.b.tag.mor      = (de->RawStack[3] & 0x0200) ? 1 : 0;
         engr->raw.b.tag.hor      = (de->RawStack[3] & 0x0400) ? 1 : 0;
         engr->raw.b.tag.hiz      = (de->RawStack[3] & 0x0800) ? 1 : 0;
         engr->raw.b.tag.maybe_hiz= (de->RawStack[3] & 0x1000) ? 1 : 0;
         engr->raw.b.tag.z2       = (de->RawStack[3] & 0x2000) ? 1 : 0;
         engr->raw.b.tag.maybe_z2 = (de->RawStack[3] & 0x4000) ? 1 : 0;
         engr->raw.b.tag.maybe_z1 = (de->RawStack[3] & 0x8000) ? 1 : 0;

         /* Put the tags from word 4 into the structure. */

         engr->raw.tag.coin_valid = (de->RawStack[4] & 0x0001) ? 1 : 0;
         engr->raw.tag.rej_fast   = (de->RawStack[4] & 0x0002) ? 1 : 0;
         engr->raw.tag.stim_anti  = (de->RawStack[4] & 0x0004) ? 1 : 0;
         engr->raw.tag.stim_coin  = (de->RawStack[4] & 0x0008) ? 1 : 0;
         engr->raw.tag.stim_offset= (de->RawStack[4] & 0x0010) ? 1 : 0;
         engr->raw.tag.hazard     = (de->RawStack[4] & 0x0020) ? 1 : 0;
         engr->raw.tag.hydrogen_enable = 
                                    (de->RawStack[4] & 0x0040) ? 1 : 0;
         engr->raw.tag.helium_enable =
                                    (de->RawStack[4] & 0x0080) ? 1 : 0;
         engr->raw.tag.stop_acknowledge =
                                    (de->RawStack[4] & 0x0100) ? 1 : 0;
         engr->raw.a.tag.adc2     = (de->RawStack[4] & 0x0200) ? 1 : 0;
         engr->raw.a.tag.adc3     = (de->RawStack[4] & 0x0400) ? 1 : 0;
         engr->raw.b.tag.adc2     = (de->RawStack[4] & 0x0800) ? 1 : 0;
         engr->raw.b.tag.adc3     = (de->RawStack[4] & 0x1000) ? 1 : 0;

         /* Put the phase, class, telescope, & time tag into the */
         /* structure.                                           */

         engr->raw.phase         =  de->RawStack[5] & 0x001f;
         engr->raw.class         = (de->RawStack[5] & 0x0060) >> 5;
         engr->raw.tag.telescope = (de->RawStack[5] & 0x0080) ? 1 : 0;
         engr->raw.CycleCount    = (de->RawStack[5] >> 8) & 0x00ff;


         /* Put the stack PHA values in the structure. */

         index = 6;
         for (i=0; i<NSTACK; i++) {
            engr->raw.StackPha[i] = de->RawStack[index];
            index++;
         }

         /* Put the matrix strip PHA values into the structure. */

         for (i=0; i<NPLANE; i++) {
            for (j=0; j<NSTRIP; j++) {
                engr->raw.MatrixStrip[i][j] = de->RawStack[index];
                index++;
            }
         }

         /* Expand the normal event. */

         nbyte = (size_t) ((de->NormalEvent[0]) & 0x7f);
         if (nbyte) {
            EventCycle.NumberEvents = 1;
            memcpy(EventCycle.EventBuffer, de->NormalEvent, nbyte);
            EventCycle.EventBuffer[nbyte  ] = 0x00;
            EventCycle.EventBuffer[nbyte+1] = 0x00;
            EventCycle.EventBuffer[nbyte+2] = 0x00;
            EventCycle.Second1996 = de->Second1996MinorFrame0;
            EventCycle.microsecond = de->MicrosecondMinorFrame0;
            unpackEventCycle_s(&EventCycle, event);
            engr->normal = event[0];
         }
      
         de++;
         engr++;
      }

      free(pointerDiagnosticEvent);


      /* Set the variable that controls the automatic deallocation */
      /* of the memory allocated.  If the user wants automatic     */
      /* deallocation of memory, set the variable equal to address */
      /* of the allocated memory; otherwise, set to NULL.          */

      allocatedMemory = autoFreeFlag ? pointerEngr : NULL;

      return pointerEngr;
   }

   #undef NPLANE
   #undef NSTACK
   #undef NSTRIP

#endif
