#ifndef GETGROUPHSKPS_SE
   #define GETGROUPHSKPS_SE

   /* $Id: getGroupHskps_se.c,v 1.2 1998/08/03 13:23:56 rgr Exp $ */

   /* $RCSfile: getGroupHskps_se.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/08/03 13:23:56 $ */
   /* $Revision: 1.2 $ */


   #include <stdlib.h>

   #include "hdfi.h"
   #include "SisConstants.h"
   #include "SisAdc.h"
   
   #include "sis/L1SisHskp.h"
   #include "sis/L1_1SisHskp.h"

   #include "sisGetData/getGroupHskps_s.h"
   #include "sis/sisGetData/cvtSisAdcToDegC.h"
   #include "sis/sisGetData/cvtSisAdcToLeakageCurrent.h"
   #include "sis/sisGetData/cvtSisAdcToMonitorValue.h"

   #define CVT_DEG(v)     cvtSisAdcToDegC(v)
   #define CVT_LC(a,v)    cvtSisAdcToLeakageCurrent(a,v)
   #define CVT_MON(a,v)   cvtSisAdcToMonitorValue(a,v)

   struct L1_1SisHskp *getGroupHskps_se(uint32 sec1996_0,
                                        uint32 sec1996_1,
                                           int autoFreeFlag)
   {
      static struct L1_1SisHskp *allocatedMemory = NULL;

      struct L1_1SisHskp *engr;
                  size_t nrec;
      struct L1_1SisHskp *pointerEngr;
        struct L1SisHskp *pointerHskp;
        struct L1SisHskp *hskp;

      /* Do the automatic deallocation of memory.  When free is    */
      /* called with the address of a previously allocated memory  */
      /* block, free deallocates the memory block.  If the address */
      /* is NULL, free does nothing.                               */

      free(allocatedMemory);


      /* Find the number of structures and allocate and zero the */
      /* memory for them.                                        */

      pointerHskp = getGroupHskps_s(sec1996_0, sec1996_1, 0);
      hskp = pointerHskp;
      nrec = 0;
      while (hskp->Second1996) {
         nrec++;
         hskp++;
      }
      pointerEngr = calloc(nrec+1, sizeof(struct L1_1SisHskp));



      /* Build an L1_1SisHskp structure for each L1SisHskp */
      /* structure prest.                                  */

      hskp = pointerHskp;
      engr = pointerEngr;
      while (hskp->Second1996) {
         engr->ClockCycle = hskp->ClockCycle;
         engr->Second1996 = hskp->Second1996;
         engr->microsecond = hskp->microsecond;
         engr->CycleNumber = hskp->CycleNumber;
      
         /* Convert the ADC's for monitor voltages and currents. */
      
         engr->MonitorP4V =
                     CVT_MON(SIS_ADC_MONITOR_P4V, hskp->MonitorP4V);
         engr->MonitorP5V =
                     CVT_MON(SIS_ADC_MONITOR_P5V, hskp->MonitorP5V);
         engr->MonitorP7V =
                     CVT_MON(SIS_ADC_MONITOR_P7V, hskp->MonitorP7V);
         engr->MonitorM7V =
                     CVT_MON(SIS_ADC_MONITOR_M7V, hskp->MonitorM7V);
         engr->MonitorP13V =
                     CVT_MON(SIS_ADC_MONITOR_P13V, hskp->MonitorP13V);
         engr->MonitorM13V =
                     CVT_MON(SIS_ADC_MONITOR_M13V, hskp->MonitorM13V);
         engr->MonitorP19V =
                     CVT_MON(SIS_ADC_MONITOR_P19V, hskp->MonitorP19V);
         engr->MonitorCurrentA = 
             CVT_MON(SIS_ADC_MONITOR_CURRENT_A, hskp->MonitorCurrentA);
         engr->MonitorCurrentB =
             CVT_MON(SIS_ADC_MONITOR_CURRENT_B, hskp->MonitorCurrentB);
      
         /* Convert the ADC's for the temperatures. */
      
         engr->TemperatureMotherBoard = 
                                CVT_DEG(hskp->TemperatureMotherBoard);
         engr->TemperatureAnalogBoard =
                                CVT_DEG(hskp->TemperatureAnalogBoard);
         engr->TemperaturePostRegBoard =
                                CVT_DEG(hskp->TemperaturePostRegBoard);
         engr->TemperatureLogicBoard =
                                CVT_DEG(hskp->TemperatureLogicBoard);
         engr->TemperatureLvpsBoard =
                                CVT_DEG(hskp->TemperatureLvpsBoard);
         engr->TemperatureHvpsBoard =
                                CVT_DEG(hskp->TemperatureHvpsBoard);
         engr->TemperatureM1aBoard =
                                CVT_DEG(hskp->TemperatureM1aBoard);
         engr->TemperatureM2bBoard =
                                CVT_DEG(hskp->TemperatureM2bBoard);
         engr->TemperatureT12aBoard =
                                CVT_DEG(hskp->TemperatureT12aBoard);
         engr->TemperatureT34aBoard =
                                CVT_DEG(hskp->TemperatureT34aBoard);
         engr->TemperatureT56aBoard =
                                CVT_DEG(hskp->TemperatureT56aBoard);
         engr->TemperatureT78aBoard = 
                                CVT_DEG(hskp->TemperatureT78aBoard);
         engr->TemperatureT12bBoard =
                                CVT_DEG(hskp->TemperatureT12bBoard);
         engr->TemperatureT34bBoard =
                                CVT_DEG(hskp->TemperatureT34bBoard);
         engr->TemperatureT56bBoard =
                                CVT_DEG(hskp->TemperatureT56bBoard);
         engr->TemperatureT78bBoard = 
                                CVT_DEG(hskp->TemperatureT78bBoard);
      
         /* Convert the ADC's for the leakage currents. */
      
         engr->LeakageCurrentT1a =
                            CVT_LC(SIS_ADC_POSTDCT1A, hskp->PostDcT1a);
         engr->LeakageCurrentT2a =
                            CVT_LC(SIS_ADC_POSTDCT2A, hskp->PostDcT2a);
         engr->LeakageCurrentT3a =
                            CVT_LC(SIS_ADC_POSTDCT3A, hskp->PostDcT3a);
         engr->LeakageCurrentT4a =
                            CVT_LC(SIS_ADC_POSTDCT4A, hskp->PostDcT4a);
         engr->LeakageCurrentT5a =
                            CVT_LC(SIS_ADC_POSTDCT5A, hskp->PostDcT5a);
         engr->LeakageCurrentT6a =
                            CVT_LC(SIS_ADC_POSTDCT6A, hskp->PostDcT6a);
         engr->LeakageCurrentT7a =
                            CVT_LC(SIS_ADC_POSTDCT7A, hskp->PostDcT7a);
         engr->LeakageCurrentT8a =
                            CVT_LC(SIS_ADC_POSTDCT8A, hskp->PostDcT8a);
         engr->LeakageCurrentT1b =
                            CVT_LC(SIS_ADC_POSTDCT1B, hskp->PostDcT1b);
         engr->LeakageCurrentT2b =
                            CVT_LC(SIS_ADC_POSTDCT2B, hskp->PostDcT2b);
         engr->LeakageCurrentT3b =
                            CVT_LC(SIS_ADC_POSTDCT3B, hskp->PostDcT3b);
         engr->LeakageCurrentT4b =
                            CVT_LC(SIS_ADC_POSTDCT4B, hskp->PostDcT4b);
         engr->LeakageCurrentT5b =
                            CVT_LC(SIS_ADC_POSTDCT5B, hskp->PostDcT5b);
         engr->LeakageCurrentT6b =
                            CVT_LC(SIS_ADC_POSTDCT6B, hskp->PostDcT6b);
         engr->LeakageCurrentT7b =
                            CVT_LC(SIS_ADC_POSTDCT7B, hskp->PostDcT7b);
         engr->LeakageCurrentT8b =
                            CVT_LC(SIS_ADC_POSTDCT8B, hskp->PostDcT8b);
      
         engr->CommandTableIndex = hskp->CommandTableIndex;
         engr->StatusTelemetrySide = hskp->StatusTelemetrySide;
         engr->StatusRefreshEnable = hskp->StatusRefreshEnable;
         engr->StatusHeatAuto = hskp->StatusHeatAuto;
         engr->StatusHeatLevel = hskp->StatusHeatLevel;
         engr->QualityCycleNumber = hskp->QualityCycleNumber;
         engr->QualityCommandTableIndex =
                                  hskp->QualityCommandTableIndex;
         engr->QualityMonitorP4V = hskp->QualityMonitorP4V;
         engr->QualityMonitorP5V = hskp->QualityMonitorP5V;
         engr->QualityMonitorP7V = hskp->QualityMonitorP7V;
         engr->QualityMonitorM7V = hskp->QualityMonitorM7V;
         engr->QualityMonitorP13V = hskp->QualityMonitorP13V;
         engr->QualityMonitorM13V = hskp->QualityMonitorM13V;
         engr->QualityMonitorP19V = hskp->QualityMonitorP19V;
         engr->QualityMonitorCurrentA = hskp->QualityMonitorCurrentA;
         engr->QualityMonitorCurrentB = hskp->QualityMonitorCurrentB;
         engr->QualityTemperatureMotherBoard =
                                  hskp->QualityTemperatureMotherBoard;
         engr->QualityTemperatureAnalogBoard =
                                  hskp->QualityTemperatureAnalogBoard;
         engr->QualityTemperaturePostRegBoard =
                                  hskp->QualityTemperaturePostRegBoard;
         engr->QualityTemperatureLogicBoard =
                                  hskp->QualityTemperatureLogicBoard;
         engr->QualityTemperatureLvpsBoard =
                                  hskp->QualityTemperatureLvpsBoard;
         engr->QualityTemperatureHvpsBoard =
                                  hskp->QualityTemperatureHvpsBoard;
         engr->QualityTemperatureM1aBoard =
                                  hskp->QualityTemperatureM1aBoard;
         engr->QualityTemperatureM2bBoard =
                                  hskp->QualityTemperatureM2bBoard;
         engr->QualityTemperatureT12aBoard =
                                  hskp->QualityTemperatureT12aBoard;
         engr->QualityTemperatureT34aBoard =
                                  hskp->QualityTemperatureT34aBoard;
         engr->QualityTemperatureT56aBoard =
                                  hskp->QualityTemperatureT56aBoard;
         engr->QualityTemperatureT78aBoard =
                                  hskp->QualityTemperatureT78aBoard;
         engr->QualityTemperatureT12bBoard =
                                  hskp->QualityTemperatureT12bBoard;
         engr->QualityTemperatureT34bBoard =
                                  hskp->QualityTemperatureT34bBoard;
         engr->QualityTemperatureT56bBoard =
                                  hskp->QualityTemperatureT56bBoard;
         engr->QualityTemperatureT78bBoard =
                                  hskp->QualityTemperatureT78bBoard;
         engr->QualityLeakageCurrentT1a = hskp->QualityPostDcT1a;
         engr->QualityLeakageCurrentT2a = hskp->QualityPostDcT2a;
         engr->QualityLeakageCurrentT3a = hskp->QualityPostDcT3a;
         engr->QualityLeakageCurrentT4a = hskp->QualityPostDcT4a;
         engr->QualityLeakageCurrentT5a = hskp->QualityPostDcT5a;
         engr->QualityLeakageCurrentT6a = hskp->QualityPostDcT6a;
         engr->QualityLeakageCurrentT7a = hskp->QualityPostDcT7a;
         engr->QualityLeakageCurrentT8a = hskp->QualityPostDcT8a;
         engr->QualityLeakageCurrentT1b = hskp->QualityPostDcT1b;
         engr->QualityLeakageCurrentT2b = hskp->QualityPostDcT2b;
         engr->QualityLeakageCurrentT3b = hskp->QualityPostDcT3b;
         engr->QualityLeakageCurrentT4b = hskp->QualityPostDcT4b;
         engr->QualityLeakageCurrentT5b = hskp->QualityPostDcT5b;
         engr->QualityLeakageCurrentT6b = hskp->QualityPostDcT6b;
         engr->QualityLeakageCurrentT7b = hskp->QualityPostDcT7b;
         engr->QualityLeakageCurrentT8b = hskp->QualityPostDcT8b;
         engr->QualityStatusTelemetrySide =
                                  hskp->QualityStatusTelemetrySide;
         engr->QualityStatusRefreshEnable =
                                  hskp->QualityStatusRefreshEnable;
         engr->QualityStatusHeatAuto = hskp->QualityStatusHeatAuto;
         engr->QualityStatusHeatLevel = hskp->QualityStatusHeatLevel;
      
         hskp++;
         engr++;
      }

      free(pointerHskp);


      /* Set the variable that controls the automatic deallocation */
      /* of the memory allocated.  If the user wants automatic     */
      /* deallocation of memory, set the variable equal to address */
      /* of the allocated memory; otherwise, set to NULL.          */

      allocatedMemory = autoFreeFlag ? pointerEngr : NULL;

      return pointerEngr;
   }

   #undef CVT_DEG
   #undef CVT_LC
   #undef CVT_MON

#endif
