/* $Id: unpackMatrixStrips_s.c,v 1.2 1998/07/27 12:36:08 rgr Exp $ */

/* $RCSfile: unpackMatrixStrips_s.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:36:08 $ */
/* $Revision: 1.2 $ */

#include "hdfi.h"
#include "sis.h"

#define NSTACK  NUM_SIS_MATRIX_STRIPS


void unpackMatrixStrips_s(uint8  *telemetry,
                         uint32  *index,
            struct L1_1SisEvent  *event)

{
   uint32 address;
   uint32 byte;
      int i;
   uint32 pha;
   uint32 plane;
   uint32 strip;

   for (i=0; i<NSTACK; i++) {
      event->M1GndPha[i]   = 0xffff;
      event->M1FloatPha[i] = 0xffff;
      event->M2GndPha[i]   = 0xffff;
      event->M2FloatPha[i] = 0xffff;
   }


   byte = *index;
   for (i=0; i < event->NumberMatrixStrips;) {
      strip = (((uint32) telemetry[byte]) << 12)   |
              (((uint32) telemetry[byte+1]) << 4)  |
              (((uint32) telemetry[byte+2]) >> 4);
      plane = strip >> 18;
      address = (strip >> 12) & 0x000003f;
      pha = strip & 0x00000fff;
      if (plane == 0L) event->M1GndPha[address]   = (short) pha;
      if (plane == 1L) event->M1FloatPha[address] = (short) pha;
      if (plane == 2L) event->M2GndPha[address]   = (short) pha;
      if (plane == 3L) event->M2FloatPha[address] = (short) pha;
      i++;
      byte += 3;
      if (i >= event->NumberMatrixStrips) break;
      strip = (((uint32) (telemetry[byte-1] & 0x0f)) << 16) |
              (((uint32) telemetry[byte]) << 8)             |
              ((uint32) telemetry[byte+1]);
      plane = strip >> 18;
      address = (strip >> 12) & 0x000003f;
      pha = strip & 0x00000fff;
      if (plane == 0L) event->M1GndPha[address]   = (short) pha;
      if (plane == 1L) event->M1FloatPha[address] = (short) pha;
      if (plane == 2L) event->M2GndPha[address]   = (short) pha;
      if (plane == 3L) event->M2FloatPha[address] = (short) pha;
      i++;
      byte += 2;
   }
   *index = byte;
}

#undef NSTRIP
