/* $Id: unpackPeakAndOffsetData_s.c,v 1.2 1998/07/27 12:36:29 rgr Exp $ */

/* $RCSfile: unpackPeakAndOffsetData_s.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:36:29 $ */
/* $Revision: 1.2 $ */

#include "hdfi.h"
#include "sis.h"


void unpackPeakAndOffsetData_s(uint8  *telemetry,
                              uint32  *index,
                 struct L1_1SisEvent  *event)

{
   uint32 byte;
   uint32 offsets;

   if (event->flag.PeakTime) {
      byte = *index;
      event->PeakTimeT1 = telemetry[byte] >> 4;
      event->PeakTimeM2 = telemetry[byte] & 0x0f;
      event->PeakTimeM1 = telemetry[byte+1] >> 4;
      offsets = (((uint32) telemetry[byte+1]) << 16) |
                (((uint32) telemetry[byte+2]) << 8)  |
                 ((uint32) telemetry[byte+3]);
      event->M1GndSideOffset = (uint8) ((offsets >> 15) & 0x0000001f);
      event->M1HvSideOffset  = (uint8) ((offsets >> 10) & 0x0000001f);
      event->M2GndSideOffset = (uint8) ((offsets >>  5) & 0x0000001f);
      event->M2HvSideOffset  = (uint8) (offsets         & 0x0000001f);
      *index = byte + 4;
   }
   else {
      event->PeakTimeT1      = 0xff;
      event->PeakTimeM2      = 0xff;
      event->PeakTimeM1      = 0xff;
      event->M1GndSideOffset = 0xff;
      event->M1HvSideOffset  = 0xff;
      event->M2GndSideOffset = 0xff;
      event->M2HvSideOffset  = 0xff;
   }
}
