/* $Id: unpackStimData_s.c,v 1.2 1998/07/27 12:37:19 rgr Exp $ */

/* $RCSfile: unpackStimData_s.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 12:37:19 $ */
/* $Revision: 1.2 $ */

#include "hdfi.h"
#include "sis.h"


void unpackStimData_s(uint8  *telemetry,
                     uint32  *index,
        struct L1_1SisEvent  *event)

{
   uint32 byte;

   if (event->flag.stimulated) {
      byte = *index;
      event->stimulated.stmask = (((uint16) telemetry[byte]) << 8) |
                                  ((uint16) telemetry[byte+1]);
      event->stimulated.vref1 = telemetry[byte+2];
      event->stimulated.vref2 = telemetry[byte+3];
      event->stimulated.MatrixGndSide = telemetry[byte+4];
      event->stimulated.AMatrixHvSide = telemetry[byte+5];
      event->stimulated.BMatrixHvSide = telemetry[byte+6];
      event->stimulated.gain_f2 = (telemetry[byte+7] >> 5) & 0x01;
      event->stimulated.gain_f1 = (telemetry[byte+7] >> 4) & 0x01;
      event->stimulated.vref = telemetry[byte+7] & 0x0f;
      event->stimulated.CalSequence =
                                 (((uint16) telemetry[byte+8]) << 8) |
                                  ((uint16) telemetry[byte+9]);
      *index = byte + 10;
   }
   else {
      event->stimulated.stmask        = 0xffff;
      event->stimulated.vref1         = 0xff;
      event->stimulated.vref2         = 0xff;
      event->stimulated.MatrixGndSide = 0xff;
      event->stimulated.AMatrixHvSide = 0xff;
      event->stimulated.BMatrixHvSide = 0xff;
      event->stimulated.gain_f2       = 0xff;
      event->stimulated.gain_f1       = 0xff;
      event->stimulated.vref          = 0xff;
      event->stimulated.CalSequence   = 0xffff;
   }
}
