/* $Id: stringSisHighPriorityRate.c,v 1.1 1998/08/03 12:33:48 rgr Exp $ */

/* $RCSfile: stringSisHighPriorityRate.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/08/03 12:33:48 $ */
/* $Revision: 1.1 $ */

/* This function generates and returns the name of a SIS high  */
/* priority rate from its command table definition and the     */
/* coincidence mask.                                           */
/*                                                             */
/* Arguments                                                   */
/*   def = definition of the high priority rate-(input)        */
/*   CoinMask = coincidence mask-(input)                       */


#include <stdio.h>
#include <string.h>
#include "hdfi.h"

#include "sis/SisHighPriorityRateDefinition.h"

#include "sis/sisGetData/expandSisHighPriorityRateDef.h"
#include "sis/stringSisCoinRate.h"
#include "sis/stringSisRate.h"

char *stringSisHighPriorityRate(uint32 def, uint16 CoinMask)
{
   struct SisHighPriorityRateDefinition definition;
                                   char name1[64];
                                   char name1b[64];
                                   char name2[64];
                                   char name2b[64];
                                   char *pos;
                            static char stringRate[128];
                                   char subname1[64];
                                   char subname2[64];

   expandSisHighPriorityRateDef(def, &definition);

   strcpy(stringRate, stringSisRate(definition.Count1Index));
   pos = (strstr(stringRate, "CoinRate0"));
   if (pos) {
      *pos = '\0';
      strcat(stringRate, stringSisCoinRate(CoinMask, 0));
   } 
   pos = strstr(stringRate, "CoinRate1");
   if (pos) {
      *pos = '\0';
      strcat(stringRate, stringSisCoinRate(CoinMask, 1));
   } 
   if (!(definition.FlagCalculated)) return stringRate;

   strcpy(name1, stringRate);
   if (definition.FlagAb) {
      stringRate[strlen(name1) - 1] = '\0';
      strcpy(name1b,
             stringSisRate(definition.Count1Index + (uint8) 20));
      pos = strstr(name1b, stringRate);
      if (pos == name1b)
         strcpy(name1, stringRate);
      else {
         strcpy(stringRate, name1);
         strcat(stringRate, " + ");
         strcat(stringRate, name1b);
         strcat(name1, stringRate);
      }
   }
   if (!(definition.FlagCount2)) return stringRate;

   strcpy(stringRate, stringSisRate(definition.Count2Index));
   pos = (strstr(stringRate, "CoinRate0"));
   if (pos) {
      *pos = '\0';
      strcat(stringRate, stringSisCoinRate(CoinMask, 0));
   } 
   pos = strstr(stringRate, "CoinRate1");
   if (pos) {
      *pos = '\0';
      strcat(stringRate, stringSisCoinRate(CoinMask, 1));
   } 

   strcpy(name2, stringRate);
   if (definition.FlagAb) {
      stringRate[strlen(name2) - 1] = '\0';
      strcpy(name2b, 
             stringSisRate(definition.Count2Index + (uint8) 20));
      pos = strstr(name2b, stringRate);
      if (pos == name2b)
         strcpy(name2, stringRate);
      else {
         strcpy(stringRate, name2);
         strcat(stringRate, " + ");
         strcat(stringRate, name2b);
         strcat(name2, stringRate);
      }
   }

   if ((strstr(name1, "Rejcnts") == name1) && 
       (strstr(name2, "Vldcnts") == name2)) {
      strcpy(subname1, name1+7);
      strcpy(subname2, name2+7);
      if (!strcmp(subname1, subname2)) {
         strcpy(stringRate, subname1);
         return stringRate;
      }
   }

   sprintf(stringRate, "(%s)/Eff + %s", name1, name2);
   return stringRate;
}
