#ifndef COMPRESS_DUMP_SEGMENT_C
   #define COMPRESS_DUMP_SEGMENT_C

   /* $Id: compressDumpSegment.c,v 1.1 1998/05/04 17:54:10 rgr Exp $ */

   /* $RCSfile: compressDumpSegment.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/05/04 17:54:10 $ */
   /* $Revision: 1.1 $ */

   /* This function compresses a dump segment.  The compressed       */
   /* segment is generated from the segment replacing any macro      */
   /* values with blanks and then removing all blanks from the       */
   /* segment.                                                       */
   /*                                                                */
   /*                                                                */
   /*  Arguments                                                     */
   /*     compressedSegment = compressed segment-(output)            */
   /*     segment = segment to be compressed-(input)                 */
   /*     macroDelimiter = macro delimiters used in the              */
   /*                      segment-(input)                           */

 
   void compressDumpSegment(char *compressedSegment,
                            char *segment,
                            char *macroDelimiter)
   {
      char *cmp;
       int flag;
      char *seg;

      flag = 0;
      cmp = compressedSegment;
      seg = segment;
      while (*seg) {
         if (*seg != ' ') {
            if (flag) {
               if (*seg == macroDelimiter[1]) {
                  flag = 0;
                  *cmp = *seg;
                  cmp++;
               }
            }
            else {
               *cmp = *seg;
               cmp++;
               if (*seg == macroDelimiter[0])
                  flag = 1;
            }
         }
         seg++;
      }
      *cmp = '\0';
   }

#endif
