#ifndef EXPAND_SEGMENT_VARIABLES_C
   #define EXPAND_SEGMENT_VARIABLES_C

   /* $Id: expandSegmentVariables.c,v 1.1 1998/05/04 17:57:16 rgr Exp $ */

   /* $RCSfile: expandSegmentVariables.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/05/04 17:57:16 $ */
   /* $Revision: 1.1 $ */


   /* This function expands the the segment variables.  The function */
   /* scans the dictionary name associated with the segment for      */
   /* macro definitions.  When it finds a macro definition, it scans */
   /* the segment for the macro value to be associated with that     */
   /* macro definition, scans the dictionary variable for instances  */
   /* of the macro, and substitutes the macro value for each         */
   /* instance of the macro in the dictionary variable.              */
   /*                                                                */
   /*                                                                */
   /*  Arguments                                                     */
   /*     variables = expanded segment variables-(output)            */
   /*     segment = segment containing macro values-(input)          */
   /*     dictName = dictionary name associated with the             */
   /*                segment-(input)                                 */
   /*     dictVariable = dictionary segment variables associated     */
   /*                    with the segment-(input)                    */
   /*     macroDelimiter = delimiters for macro definitions-(input)  */
   /*     macroSymbols = symbol to mark instances of macros-(input)  */

   #include <string.h>


   void expandSegmentVariables(char *variables,
                               char *segment,
                               char *dictName,
                               char *dictVariable,
                               char *macroDelimiter,
                               char macroSymbol)
   {
      char dict[128];
      char seg[128];
       int length;
      char macro[128];
      char *nameMark0;
      char *nameMark1;
      char *segMark0;
      char *segMark1;
      char *varMark;
      char value[128];
      char var1[256];

      strcpy(dict, dictName);
      strcpy(seg, segment);
      strcpy(variables, dictVariable);
   
      nameMark0 = strchr(dict, macroDelimiter[0]);
      segMark1 = seg;
      while (nameMark0) {
         nameMark1 = strchr(nameMark0, macroDelimiter[1]);
         *nameMark1 = '\0';
         macro[0] = macroSymbol;
         macro[1] = '\0';
         strcat(macro, nameMark0 + 1);
         segMark0 = strchr(segMark1, macroDelimiter[0]);
         segMark1 = strchr(segMark0, macroDelimiter[1]);
         *segMark1 = '\0';
         strcpy(value, segMark0 + 1);
         varMark = strstr(variables, macro);
         while (varMark) {
            *varMark = '\0';
            strcpy(var1, varMark + strlen(macro));
            strcat(variables, value);
            length = strlen(variables);
            strcat(variables, var1);
            varMark = strstr(variables + length, macro);
         }
         *segMark1 = ' ';
         *nameMark1 = ' ';
         nameMark0 = strchr(nameMark1, macroDelimiter[0]);
      }
   }

#endif
