/* $Id: printL1CrisCommandTable.c,v 1.1 1998/07/27 11:04:19 rgr Exp $ */

/* $RCSfile: printL1CrisCommandTable.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 11:04:19 $ */
/* $Revision: 1.1 $ */

/* This program prints dumps of the L1CrisCommandTable structures */
/* found  between the start and stop times.                       */
/*                                                                */
/* Arguments                                                      */
/*    argv[1] = start day expressed as YYMMDD                     */
/*    argv[2] = start time-of-day expressed as HHMMSS             */
/*    argv[3] = stop day expressed as YYMM DD                     */
/*    argv[4] = stop time-of-day expressed as HHMMSS              */


#include <stdio.h>
#include <stdlib.h>

#include "hdfi.h"
#include "cris/L1CrisCommandTable.h"

#include "utilities/cvtToSec1996_ymd_hms.h"
#include "crisGetData/getGroupCmdTables_c.h"
#include "cris/dumpL1CrisCommandTable.h"

int main(argc, argv)
int argc;
char *argv[];
{
                        long hms;
   struct L1CrisCommandTable *cmd;
                      uint32 t0;
                      uint32 t1;
                        long ymd;

   ymd = atol(argv[1]);
   hms = atol(argv[2]);
   t0 = cvtToSec1996_ymd_hms(ymd, hms);
   ymd = atol(argv[3]);
   hms = atol(argv[4]);
   t1 = cvtToSec1996_ymd_hms(ymd, hms);

   cmd = getGroupCmdTables_c(t0, t1, 1);
   while(cmd->Second1996MinorFrame0) {
      dumpL1CrisCommandTable(*cmd);
      printf("\n\n");
      cmd++;
   }
   exit(0);
}
