/* $Id: printL1_1CrisSubsetTelemetry.c,v 1.1 1998/07/27 11:04:42 rgr Exp $ */

/* $RCSfile: printL1_1CrisSubsetTelemetry.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 11:04:42 $ */
/* $Revision: 1.1 $ */

/* This program prints dumps of the telemetry portion of the       */
/* L1CrisSubset structures found between the start and stop times. */
/*                                                                 */
/* Arguments                                                       */
/*    argv[1] = start day expressed as YYMMDD                      */
/*    argv[2] = start time-of-day expressed as HHMMSS              */
/*    argv[3] = stop day expressed as YYMM DD                      */
/*    argv[4] = stop time-of-day expressed as HHMMSS               */


#include <stdio.h>
#include <stdlib.h>

#include "hdfi.h"
#include "cris/L1_1CrisSubset.h"

#include "utilities/cvtToSec1996_ymd_hms.h"
#include "cris/crisGetData/getGroupSubsets_ce.h"
#include "cris/dumpL1_1CrisSubsetTelemetry.h"

int main(argc, argv)
int argc;
char *argv[];
{
                    long hms;
   struct L1_1CrisSubset *sub;
                  uint32 t0;
                  uint32 t1;
                    long ymd;

   ymd = atol(argv[1]);
   hms = atol(argv[2]);
   t0 = cvtToSec1996_ymd_hms(ymd, hms);
   ymd = atol(argv[3]);
   hms = atol(argv[4]);
   t1 = cvtToSec1996_ymd_hms(ymd, hms);

   sub = getGroupSubsets_ce(t0, t1, 1);
   while(sub->Second1996) {
      dumpL1_1CrisSubsetTelemetry(*sub);
      sub++;
   }
   exit(0);
}
