/* $Id: printL1_1SisLowPriorityRateSingle.c,v 1.1 1998/07/27 11:04:47 rgr Exp $ */

/* $RCSfile: printL1_1SisLowPriorityRateSingle.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 11:04:47 $ */
/* $Revision: 1.1 $ */

/* This program prints dumps of the singles rate portion of the */
/* L1_1SisLowPriorityRate structures found between the start    */
/* and stop times.                                              */
/*                                                              */
/* Arguments                                                    */
/*    argv[1] = start day expressed as YYMMDD                   */
/*    argv[2] = start time-of-day expressed as HHMMSS           */
/*    argv[3] = stop day expressed as YYMM DD                   */
/*    argv[4] = stop time-of-day expressed as HHMMSS            */


#include <stdio.h>
#include <stdlib.h>

#include "hdfi.h"
#include "sis/L1_1SisLowPriorityRate.h"

#include "utilities/cvtToSec1996_ymd_hms.h"
#include "sis/sisGetData/getGroupLoRates_se.h"
#include "sis/dumpL1_1SisLowPriorityRateSingle.h"

int main(argc, argv)
int argc;
char *argv[];
{
                            long hms;
   struct L1_1SisLowPriorityRate *lp;
                          uint32 t0;
                          uint32 t1;
                            long ymd;

   ymd = atol(argv[1]);
   hms = atol(argv[2]);
   t0 = cvtToSec1996_ymd_hms(ymd, hms);
   ymd = atol(argv[3]);
   hms = atol(argv[4]);
   t1 = cvtToSec1996_ymd_hms(ymd, hms);

   lp = getGroupLoRates_se(t0, t1, 1);
   while(lp->Second1996) {
      dumpL1_1SisLowPriorityRateSingle(*lp);
      printf("\n\n");
      lp++;
   }
   exit(0);
}
