/* $Id: printce_crisEvt.c,v 1.1 1998/07/27 11:04:52 rgr Exp $ */

/* $RCSfile: printce_crisEvt.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/07/27 11:04:52 $ */
/* $Revision: 1.1 $ */

/* This program prints dumps of the ce_crisEvt structures found */
/* between the start and stop times.                            */
/*                                                              */
/* Arguments                                                    */
/*    argv[1] = start day expressed as YYMMDD                   */
/*    argv[2] = start time-of-day expressed as HHMMSS           */
/*    argv[3] = stop day expressed as YYMM DD                   */
/*    argv[4] = stop time-of-day expressed as HHMMSS            */


#include <stdio.h>
#include <stdlib.h>

#include "hdfi.h"
#include "CrisConstants.h"
#include "cris/ce_crisEvt.h"

#include "utilities/cvtToSec1996_ymd_hms.h"
#include "cris/crisGetData/getEvents_c.h"
#include "cris/dumpce_crisEvt.h"

int main(int argc, char *argv[])
{
                long hms;
   struct ce_crisEvt *evt;
   struct ce_crisEvt *pointerEvt;
                 int nevt;
              uint32 step;
              uint32 time;
              uint32 t0;
              uint32 t1;
                long ymd;


   ymd = atol(argv[1]);
   hms = atol(argv[2]);
   t0 = cvtToSec1996_ymd_hms(ymd, hms);
   ymd = atol(argv[3]);
   hms = atol(argv[4]);
   t1 = cvtToSec1996_ymd_hms(ymd, hms);

   step = NUM_CRIS_MNFS_PER_CYCLE;

   /* Get the first cycle of events that belongs to the time  */
   /* interval.  If there are no events in the interval, then */
   /* exit.                                                   */

   time = t0;
   nevt = 0;
   while (!nevt) {
      if (time > (t1 + step)) exit(0);
      evt = getEvents_c(time);
      time = time + step;
      pointerEvt = evt;
      while(pointerEvt->secs1996) {
         nevt++;
         pointerEvt++;
      }
   }

   /* Process each cycle of events until a cycle is found that is */
   /* past the end of the interval or the candidate time for the  */
   /* interval is well past the end of the time interval.         */

   while ( ((nevt) && (evt->secs1996 <= t1)) ||
           ((!nevt) && (time < (t1 + step))) ) {
      pointerEvt = evt;
      while (pointerEvt->secs1996) {
         dumpce_crisEvt(*pointerEvt);
         printf("\n\n");
         pointerEvt++;
      }
      if (nevt) {
         time = evt->secs1996;
         evt = getEvents_c(time + (3L * step)/2L);
      }
      else {
         time = time + step;
         evt = getEvents_c(time + step);
      }
      nevt = 0;
      pointerEvt = evt;
      while(pointerEvt->secs1996) {
         nevt++;
         pointerEvt++;
      }
   }

   exit(0);
}
