#ifndef DUMPL1SISDACOFFSET0_C
   #define DUMPL1SISDACOFFSET0_C

   /* $Id: dumpL1SisDacOffset0.c,v 1.2 1998/07/27 12:08:35 rgr Exp $ */

   /* $RCSfile: dumpL1SisDacOffset0.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 12:08:35 $ */
   /* $Revision: 1.2 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   
   #include "sis/L1SisDacOffset0.h"
   #include "utilities/stringDate1996.h"

   void dumpL1SisDacOffset0(struct L1SisDacOffset0 matrix)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"SIS DACs - <start time               >  <S/C Clock: xxxxxxxxxx>",
                          "",
                          "       -------Coarse Matrix DAC-------         ---Offset----",
                          "       m1a-     m2a-     m1b-     m2b-         m1a-     m2a-",
                          " 00 <1a-{0} ><2a-{0} ><1b-{0} ><2b-{0} >    <1A-{0} ><2A-{0} >",
                          " 01 <1a-{1} ><2a-{1} ><1b-{1} ><2b-{1} >    <1A-{1} ><2A-{1} >",
                          " 02 <1a-{2} ><2a-{2} ><1b-{2} ><2b-{2} >    <1A-{2} ><2A-{2} >",
                          " 03 <1a-{3} ><2a-{3} ><1b-{3} ><2b-{3} >    <1A-{3} ><2A-{3} >",
                          " 04 <1a-{4} ><2a-{4} ><1b-{4} ><2b-{4} >    <1A-{4} ><2A-{4} >",
                          " 05 <1a-{5} ><2a-{5} ><1b-{5} ><2b-{5} >    <1A-{5} ><2A-{5} >",
                          " 06 <1a-{6} ><2a-{6} ><1b-{6} ><2b-{6} >    <1A-{6} ><2A-{6} >",
                          " 07 <1a-{7} ><2a-{7} ><1b-{7} ><2b-{7} >    <1A-{7} ><2A-{7} >",
                          " 08 <1a-{8} ><2a-{8} ><1b-{8} ><2b-{8} >    <1A-{8} ><2A-{8} >",
                          " 09 <1a-{9} ><2a-{9} ><1b-{9} ><2b-{9} >    <1A-{9} ><2A-{9} >",
                          " 10 <1a-{10}><2a-{10}><1b-{10}><2b-{10}>    <1A-{10}><2A-{10}>",
                          " 11 <1a-{11}><2a-{11}><1b-{11}><2b-{11}>    <1A-{11}><2A-{11}>",
                          " 12 <1a-{12}><2a-{12}><1b-{12}><2b-{12}>    <1A-{12}><2A-{12}>",
                          " 13 <1a-{13}><2a-{13}><1b-{13}><2b-{13}>    <1A-{13}><2A-{13}>",
                          " 14 <1a-{14}><2a-{14}><1b-{14}><2b-{14}>    <1A-{14}><2A-{14}>",
                          " 15 <1a-{15}><2a-{15}><1b-{15}><2b-{15}>    <1A-{15}><2A-{15}>",
                          " 16 <1a-{16}><2a-{16}><1b-{16}><2b-{16}>    <1A-{16}><2A-{16}>",
                          " 17 <1a-{17}><2a-{17}><1b-{17}><2b-{17}>    <1A-{17}><2A-{17}>",
                          " 18 <1a-{18}><2a-{18}><1b-{18}><2b-{18}>    <1A-{18}><2A-{18}>",
                          " 19 <1a-{19}><2a-{19}><1b-{19}><2b-{19}>    <1A-{19}><2A-{19}>",
                          " 20 <1a-{20}><2a-{20}><1b-{20}><2b-{20}>    <1A-{20}><2A-{20}>",
                          " 21 <1a-{21}><2a-{21}><1b-{21}><2b-{21}>    <1A-{21}><2A-{21}>",
                          " 22 <1a-{22}><2a-{22}><1b-{22}><2b-{22}>    <1A-{22}><2A-{22}>",
                          " 23 <1a-{23}><2a-{23}><1b-{23}><2b-{23}>    <1A-{23}><2A-{23}>",
                          " 24 <1a-{24}><2a-{24}><1b-{24}><2b-{24}>    <1A-{24}><2A-{24}>",
                          " 25 <1a-{25}><2a-{25}><1b-{25}><2b-{25}>    <1A-{25}><2A-{25}>",
                          " 26 <1a-{26}><2a-{26}><1b-{26}><2b-{26}>    <1A-{26}><2A-{26}>",
                          " 27 <1a-{27}><2a-{27}><1b-{27}><2b-{27}>    <1A-{27}><2A-{27}>",
                          " 28 <1a-{28}><2a-{28}><1b-{28}><2b-{28}>    <1A-{28}><2A-{28}>",
                          " 29 <1a-{29}><2a-{29}><1b-{29}><2b-{29}>    <1A-{29}><2A-{29}>",
                          " 30 <1a-{30}><2a-{30}><1b-{30}><2b-{30}>    <1A-{30}><2A-{30}>",
                          " 31 <1a-{31}><2a-{31}><1b-{31}><2b-{31}>    <1A-{31}><2A-{31}>",
                          " 32 <1a-{32}><2a-{32}><1b-{32}><2b-{32}>    <1A-{32}><2A-{32}>",
                          " 33 <1a-{33}><2a-{33}><1b-{33}><2b-{33}>    <1A-{33}><2A-{33}>",
                          " 34 <1a-{34}><2a-{34}><1b-{34}><2b-{34}>    <1A-{34}><2A-{34}>",
                          " 35 <1a-{35}><2a-{35}><1b-{35}><2b-{35}>    <1A-{35}><2A-{35}>",
                          " 36 <1a-{36}><2a-{36}><1b-{36}><2b-{36}>    <1A-{36}><2A-{36}>",
                          " 37 <1a-{37}><2a-{37}><1b-{37}><2b-{37}>    <1A-{37}><2A-{37}>",
                          " 38 <1a-{38}><2a-{38}><1b-{38}><2b-{38}>    <1A-{38}><2A-{38}>",
                          " 39 <1a-{39}><2a-{39}><1b-{39}><2b-{39}>    <1A-{39}><2A-{39}>",
                          " 40 <1a-{40}><2a-{40}><1b-{40}><2b-{40}>    <1A-{40}><2A-{40}>",
                          " 41 <1a-{41}><2a-{41}><1b-{41}><2b-{41}>    <1A-{41}><2A-{41}>",
                          " 42 <1a-{42}><2a-{42}><1b-{42}><2b-{42}>    <1A-{42}><2A-{42}>",
                          " 43 <1a-{43}><2a-{43}><1b-{43}><2b-{43}>    <1A-{43}><2A-{43}>",
                          " 44 <1a-{44}><2a-{44}><1b-{44}><2b-{44}>    <1A-{44}><2A-{44}>",
                          " 45 <1a-{45}><2a-{45}><1b-{45}><2b-{45}>    <1A-{45}><2A-{45}>",
                          " 46 <1a-{46}><2a-{46}><1b-{46}><2b-{46}>    <1A-{46}><2A-{46}>",
                          " 47 <1a-{47}><2a-{47}><1b-{47}><2b-{47}>    <1A-{47}><2A-{47}>",
                          " 48 <1a-{48}><2a-{48}><1b-{48}><2b-{48}>    <1A-{48}><2A-{48}>",
                          " 49 <1a-{49}><2a-{49}><1b-{49}><2b-{49}>    <1A-{49}><2A-{49}>",
                          " 50 <1a-{50}><2a-{50}><1b-{50}><2b-{50}>    <1A-{50}><2A-{50}>",
                          " 51 <1a-{51}><2a-{51}><1b-{51}><2b-{51}>    <1A-{51}><2A-{51}>",
                          " 52 <1a-{52}><2a-{52}><1b-{52}><2b-{52}>    <1A-{52}><2A-{52}>",
                          " 53 <1a-{53}><2a-{53}><1b-{53}><2b-{53}>    <1A-{53}><2A-{53}>",
                          " 54 <1a-{54}><2a-{54}><1b-{54}><2b-{54}>    <1A-{54}><2A-{54}>",
                          " 55 <1a-{55}><2a-{55}><1b-{55}><2b-{55}>    <1A-{55}><2A-{55}>",
                          " 56 <1a-{56}><2a-{56}><1b-{56}><2b-{56}>    <1A-{56}><2A-{56}>",
                          " 57 <1a-{57}><2a-{57}><1b-{57}><2b-{57}>    <1A-{57}><2A-{57}>",
                          " 58 <1a-{58}><2a-{58}><1b-{58}><2b-{58}>    <1A-{58}><2A-{58}>",
                          " 59 <1a-{59}><2a-{59}><1b-{59}><2b-{59}>    <1A-{59}><2A-{59}>",
                          " 60 <1a-{60}><2a-{60}><1b-{60}><2b-{60}>    <1A-{60}><2A-{60}>",
                          " 61 <1a-{61}><2a-{61}><1b-{61}><2b-{61}>    <1A-{61}><2A-{61}>",
                          " 62 <1a-{62}><2a-{62}><1b-{62}><2b-{62}>    <1A-{62}><2A-{62}>",
                          " 63 <1a-{63}><2a-{63}><1b-{63}><2b-{63}>    <1A-{63}><2A-{63}>",
                          "",
                          "       m1a+     m2a+     m1b+     m2b+         m1a+     m2a+",
                          " 00 <1a+{0} ><2a+{0} ><1b+{0} ><2b+{0} >    <1A+{0} ><2A+{0} >",
                          " 01 <1a+{1} ><2a+{1} ><1b+{1} ><2b+{1} >    <1A+{1} ><2A+{1} >",
                          " 02 <1a+{2} ><2a+{2} ><1b+{2} ><2b+{2} >    <1A+{2} ><2A+{2} >",
                          " 03 <1a+{3} ><2a+{3} ><1b+{3} ><2b+{3} >    <1A+{3} ><2A+{3} >",
                          " 04 <1a+{4} ><2a+{4} ><1b+{4} ><2b+{4} >    <1A+{4} ><2A+{4} >",
                          " 05 <1a+{5} ><2a+{5} ><1b+{5} ><2b+{5} >    <1A+{5} ><2A+{5} >",
                          " 06 <1a+{6} ><2a+{6} ><1b+{6} ><2b+{6} >    <1A+{6} ><2A+{6} >",
                          " 07 <1a+{7} ><2a+{7} ><1b+{7} ><2b+{7} >    <1A+{7} ><2A+{7} >",
                          " 08 <1a+{8} ><2a+{8} ><1b+{8} ><2b+{8} >    <1A+{8} ><2A+{8} >",
                          " 09 <1a+{9} ><2a+{9} ><1b+{9} ><2b+{9} >    <1A+{9} ><2A+{9} >",
                          " 10 <1a+{10}><2a+{10}><1b+{10}><2b+{10}>    <1A+{10}><2A+{10}>",
                          " 11 <1a+{11}><2a+{11}><1b+{11}><2b+{11}>    <1A+{11}><2A+{11}>",
                          " 12 <1a+{12}><2a+{12}><1b+{12}><2b+{12}>    <1A+{12}><2A+{12}>",
                          " 13 <1a+{13}><2a+{13}><1b+{13}><2b+{13}>    <1A+{13}><2A+{13}>",
                          " 14 <1a+{14}><2a+{14}><1b+{14}><2b+{14}>    <1A+{14}><2A+{14}>",
                          " 15 <1a+{15}><2a+{15}><1b+{15}><2b+{15}>    <1A+{15}><2A+{15}>",
                          " 16 <1a+{16}><2a+{16}><1b+{16}><2b+{16}>    <1A+{16}><2A+{16}>",
                          " 17 <1a+{17}><2a+{17}><1b+{17}><2b+{17}>    <1A+{17}><2A+{17}>",
                          " 18 <1a+{18}><2a+{18}><1b+{18}><2b+{18}>    <1A+{18}><2A+{18}>",
                          " 19 <1a+{19}><2a+{19}><1b+{19}><2b+{19}>    <1A+{19}><2A+{19}>",
                          " 20 <1a+{20}><2a+{20}><1b+{20}><2b+{20}>    <1A+{20}><2A+{20}>",
                          " 21 <1a+{21}><2a+{21}><1b+{21}><2b+{21}>    <1A+{21}><2A+{21}>",
                          " 22 <1a+{22}><2a+{22}><1b+{22}><2b+{22}>    <1A+{22}><2A+{22}>",
                          " 23 <1a+{23}><2a+{23}><1b+{23}><2b+{23}>    <1A+{23}><2A+{23}>",
                          " 24 <1a+{24}><2a+{24}><1b+{24}><2b+{24}>    <1A+{24}><2A+{24}>",
                          " 25 <1a+{25}><2a+{25}><1b+{25}><2b+{25}>    <1A+{25}><2A+{25}>",
                          " 26 <1a+{26}><2a+{26}><1b+{26}><2b+{26}>    <1A+{26}><2A+{26}>",
                          " 27 <1a+{27}><2a+{27}><1b+{27}><2b+{27}>    <1A+{27}><2A+{27}>",
                          " 28 <1a+{28}><2a+{28}><1b+{28}><2b+{28}>    <1A+{28}><2A+{28}>",
                          " 29 <1a+{29}><2a+{29}><1b+{29}><2b+{29}>    <1A+{29}><2A+{29}>",
                          " 30 <1a+{30}><2a+{30}><1b+{30}><2b+{30}>    <1A+{30}><2A+{30}>",
                          " 31 <1a+{31}><2a+{31}><1b+{31}><2b+{31}>    <1A+{31}><2A+{31}>",
                          " 32 <1a+{32}><2a+{32}><1b+{32}><2b+{32}>    <1A+{32}><2A+{32}>",
                          " 33 <1a+{33}><2a+{33}><1b+{33}><2b+{33}>    <1A+{33}><2A+{33}>",
                          " 34 <1a+{34}><2a+{34}><1b+{34}><2b+{34}>    <1A+{34}><2A+{34}>",
                          " 35 <1a+{35}><2a+{35}><1b+{35}><2b+{35}>    <1A+{35}><2A+{35}>",
                          " 36 <1a+{36}><2a+{36}><1b+{36}><2b+{36}>    <1A+{36}><2A+{36}>",
                          " 37 <1a+{37}><2a+{37}><1b+{37}><2b+{37}>    <1A+{37}><2A+{37}>",
                          " 38 <1a+{38}><2a+{38}><1b+{38}><2b+{38}>    <1A+{38}><2A+{38}>",
                          " 39 <1a+{39}><2a+{39}><1b+{39}><2b+{39}>    <1A+{39}><2A+{39}>",
                          " 40 <1a+{40}><2a+{40}><1b+{40}><2b+{40}>    <1A+{40}><2A+{40}>",
                          " 41 <1a+{41}><2a+{41}><1b+{41}><2b+{41}>    <1A+{41}><2A+{41}>",
                          " 42 <1a+{42}><2a+{42}><1b+{42}><2b+{42}>    <1A+{42}><2A+{42}>",
                          " 43 <1a+{43}><2a+{43}><1b+{43}><2b+{43}>    <1A+{43}><2A+{43}>",
                          " 44 <1a+{44}><2a+{44}><1b+{44}><2b+{44}>    <1A+{44}><2A+{44}>",
                          " 45 <1a+{45}><2a+{45}><1b+{45}><2b+{45}>    <1A+{45}><2A+{45}>",
                          " 46 <1a+{46}><2a+{46}><1b+{46}><2b+{46}>    <1A+{46}><2A+{46}>",
                          " 47 <1a+{47}><2a+{47}><1b+{47}><2b+{47}>    <1A+{47}><2A+{47}>",
                          " 48 <1a+{48}><2a+{48}><1b+{48}><2b+{48}>    <1A+{48}><2A+{48}>",
                          " 49 <1a+{49}><2a+{49}><1b+{49}><2b+{49}>    <1A+{49}><2A+{49}>",
                          " 50 <1a+{50}><2a+{50}><1b+{50}><2b+{50}>    <1A+{50}><2A+{50}>",
                          " 51 <1a+{51}><2a+{51}><1b+{51}><2b+{51}>    <1A+{51}><2A+{51}>",
                          " 52 <1a+{52}><2a+{52}><1b+{52}><2b+{52}>    <1A+{52}><2A+{52}>",
                          " 53 <1a+{53}><2a+{53}><1b+{53}><2b+{53}>    <1A+{53}><2A+{53}>",
                          " 54 <1a+{54}><2a+{54}><1b+{54}><2b+{54}>    <1A+{54}><2A+{54}>",
                          " 55 <1a+{55}><2a+{55}><1b+{55}><2b+{55}>    <1A+{55}><2A+{55}>",
                          " 56 <1a+{56}><2a+{56}><1b+{56}><2b+{56}>    <1A+{56}><2A+{56}>",
                          " 57 <1a+{57}><2a+{57}><1b+{57}><2b+{57}>    <1A+{57}><2A+{57}>",
                          " 58 <1a+{58}><2a+{58}><1b+{58}><2b+{58}>    <1A+{58}><2A+{58}>",
                          " 59 <1a+{59}><2a+{59}><1b+{59}><2b+{59}>    <1A+{59}><2A+{59}>",
                          " 60 <1a+{60}><2a+{60}><1b+{60}><2b+{60}>    <1A+{60}><2A+{60}>",
                          " 61 <1a+{61}><2a+{61}><1b+{61}><2b+{61}>    <1A+{61}><2A+{61}>",
                          " 62 <1a+{62}><2a+{62}><1b+{62}><2b+{62}>    <1A+{62}><2A+{62}>",
                          " 63 <1a+{63}><2a+{63}><1b+{63}><2b+{63}>    <1A+{63}><2A+{63}>"};

      strcpy(line, template[0]);
         memset(line + 11, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(matrix.Second1996), matrix.microsecond);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 40, (int) ' ', 23);
         sprintf(segmentValue, "S/C Clock: %10.10lu", matrix.ClockCycle);
         memcpy(line + 40, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[1]);
         printf("%s\n", line);
      strcpy(line, template[2]);
         printf("%s\n", line);
      strcpy(line, template[3]);
         printf("%s\n", line);
      strcpy(line, template[4]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[0], matrix.QualityM1aGndCoarseDac[0]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[0], matrix.QualityM2aGndCoarseDac[0]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[0], matrix.QualityM1bGndCoarseDac[0]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[0], matrix.QualityM2bGndCoarseDac[0]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[0], matrix.QualityM1aGndOffset[0]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[0], matrix.QualityM2aGndOffset[0]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[5]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[1], matrix.QualityM1aGndCoarseDac[1]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[1], matrix.QualityM2aGndCoarseDac[1]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[1], matrix.QualityM1bGndCoarseDac[1]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[1], matrix.QualityM2bGndCoarseDac[1]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[1], matrix.QualityM1aGndOffset[1]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[1], matrix.QualityM2aGndOffset[1]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[6]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[2], matrix.QualityM1aGndCoarseDac[2]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[2], matrix.QualityM2aGndCoarseDac[2]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[2], matrix.QualityM1bGndCoarseDac[2]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[2], matrix.QualityM2bGndCoarseDac[2]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[2], matrix.QualityM1aGndOffset[2]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[2], matrix.QualityM2aGndOffset[2]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[7]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[3], matrix.QualityM1aGndCoarseDac[3]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[3], matrix.QualityM2aGndCoarseDac[3]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[3], matrix.QualityM1bGndCoarseDac[3]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[3], matrix.QualityM2bGndCoarseDac[3]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[3], matrix.QualityM1aGndOffset[3]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[3], matrix.QualityM2aGndOffset[3]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[8]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[4], matrix.QualityM1aGndCoarseDac[4]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[4], matrix.QualityM2aGndCoarseDac[4]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[4], matrix.QualityM1bGndCoarseDac[4]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[4], matrix.QualityM2bGndCoarseDac[4]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[4], matrix.QualityM1aGndOffset[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[4], matrix.QualityM2aGndOffset[4]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[9]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[5], matrix.QualityM1aGndCoarseDac[5]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[5], matrix.QualityM2aGndCoarseDac[5]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[5], matrix.QualityM1bGndCoarseDac[5]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[5], matrix.QualityM2bGndCoarseDac[5]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[5], matrix.QualityM1aGndOffset[5]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[5], matrix.QualityM2aGndOffset[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[10]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[6], matrix.QualityM1aGndCoarseDac[6]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[6], matrix.QualityM2aGndCoarseDac[6]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[6], matrix.QualityM1bGndCoarseDac[6]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[6], matrix.QualityM2bGndCoarseDac[6]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[6], matrix.QualityM1aGndOffset[6]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[6], matrix.QualityM2aGndOffset[6]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[11]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[7], matrix.QualityM1aGndCoarseDac[7]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[7], matrix.QualityM2aGndCoarseDac[7]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[7], matrix.QualityM1bGndCoarseDac[7]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[7], matrix.QualityM2bGndCoarseDac[7]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[7], matrix.QualityM1aGndOffset[7]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[7], matrix.QualityM2aGndOffset[7]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[12]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[8], matrix.QualityM1aGndCoarseDac[8]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[8], matrix.QualityM2aGndCoarseDac[8]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[8], matrix.QualityM1bGndCoarseDac[8]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[8], matrix.QualityM2bGndCoarseDac[8]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[8], matrix.QualityM1aGndOffset[8]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[8], matrix.QualityM2aGndOffset[8]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[13]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[9], matrix.QualityM1aGndCoarseDac[9]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[9], matrix.QualityM2aGndCoarseDac[9]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[9], matrix.QualityM1bGndCoarseDac[9]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[9], matrix.QualityM2bGndCoarseDac[9]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[9], matrix.QualityM1aGndOffset[9]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[9], matrix.QualityM2aGndOffset[9]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[14]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[10], matrix.QualityM1aGndCoarseDac[10]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[10], matrix.QualityM2aGndCoarseDac[10]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[10], matrix.QualityM1bGndCoarseDac[10]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[10], matrix.QualityM2bGndCoarseDac[10]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[10], matrix.QualityM1aGndOffset[10]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[10], matrix.QualityM2aGndOffset[10]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[15]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[11], matrix.QualityM1aGndCoarseDac[11]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[11], matrix.QualityM2aGndCoarseDac[11]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[11], matrix.QualityM1bGndCoarseDac[11]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[11], matrix.QualityM2bGndCoarseDac[11]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[11], matrix.QualityM1aGndOffset[11]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[11], matrix.QualityM2aGndOffset[11]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[16]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[12], matrix.QualityM1aGndCoarseDac[12]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[12], matrix.QualityM2aGndCoarseDac[12]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[12], matrix.QualityM1bGndCoarseDac[12]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[12], matrix.QualityM2bGndCoarseDac[12]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[12], matrix.QualityM1aGndOffset[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[12], matrix.QualityM2aGndOffset[12]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[17]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[13], matrix.QualityM1aGndCoarseDac[13]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[13], matrix.QualityM2aGndCoarseDac[13]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[13], matrix.QualityM1bGndCoarseDac[13]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[13], matrix.QualityM2bGndCoarseDac[13]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[13], matrix.QualityM1aGndOffset[13]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[13], matrix.QualityM2aGndOffset[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[18]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[14], matrix.QualityM1aGndCoarseDac[14]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[14], matrix.QualityM2aGndCoarseDac[14]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[14], matrix.QualityM1bGndCoarseDac[14]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[14], matrix.QualityM2bGndCoarseDac[14]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[14], matrix.QualityM1aGndOffset[14]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[14], matrix.QualityM2aGndOffset[14]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[19]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[15], matrix.QualityM1aGndCoarseDac[15]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[15], matrix.QualityM2aGndCoarseDac[15]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[15], matrix.QualityM1bGndCoarseDac[15]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[15], matrix.QualityM2bGndCoarseDac[15]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[15], matrix.QualityM1aGndOffset[15]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[15], matrix.QualityM2aGndOffset[15]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[20]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[16], matrix.QualityM1aGndCoarseDac[16]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[16], matrix.QualityM2aGndCoarseDac[16]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[16], matrix.QualityM1bGndCoarseDac[16]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[16], matrix.QualityM2bGndCoarseDac[16]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[16], matrix.QualityM1aGndOffset[16]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[16], matrix.QualityM2aGndOffset[16]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[21]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[17], matrix.QualityM1aGndCoarseDac[17]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[17], matrix.QualityM2aGndCoarseDac[17]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[17], matrix.QualityM1bGndCoarseDac[17]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[17], matrix.QualityM2bGndCoarseDac[17]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[17], matrix.QualityM1aGndOffset[17]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[17], matrix.QualityM2aGndOffset[17]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[22]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[18], matrix.QualityM1aGndCoarseDac[18]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[18], matrix.QualityM2aGndCoarseDac[18]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[18], matrix.QualityM1bGndCoarseDac[18]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[18], matrix.QualityM2bGndCoarseDac[18]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[18], matrix.QualityM1aGndOffset[18]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[18], matrix.QualityM2aGndOffset[18]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[23]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[19], matrix.QualityM1aGndCoarseDac[19]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[19], matrix.QualityM2aGndCoarseDac[19]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[19], matrix.QualityM1bGndCoarseDac[19]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[19], matrix.QualityM2bGndCoarseDac[19]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[19], matrix.QualityM1aGndOffset[19]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[19], matrix.QualityM2aGndOffset[19]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[24]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[20], matrix.QualityM1aGndCoarseDac[20]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[20], matrix.QualityM2aGndCoarseDac[20]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[20], matrix.QualityM1bGndCoarseDac[20]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[20], matrix.QualityM2bGndCoarseDac[20]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[20], matrix.QualityM1aGndOffset[20]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[20], matrix.QualityM2aGndOffset[20]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[25]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[21], matrix.QualityM1aGndCoarseDac[21]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[21], matrix.QualityM2aGndCoarseDac[21]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[21], matrix.QualityM1bGndCoarseDac[21]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[21], matrix.QualityM2bGndCoarseDac[21]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[21], matrix.QualityM1aGndOffset[21]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[21], matrix.QualityM2aGndOffset[21]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[26]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[22], matrix.QualityM1aGndCoarseDac[22]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[22], matrix.QualityM2aGndCoarseDac[22]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[22], matrix.QualityM1bGndCoarseDac[22]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[22], matrix.QualityM2bGndCoarseDac[22]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[22], matrix.QualityM1aGndOffset[22]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[22], matrix.QualityM2aGndOffset[22]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[27]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[23], matrix.QualityM1aGndCoarseDac[23]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[23], matrix.QualityM2aGndCoarseDac[23]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[23], matrix.QualityM1bGndCoarseDac[23]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[23], matrix.QualityM2bGndCoarseDac[23]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[23], matrix.QualityM1aGndOffset[23]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[23], matrix.QualityM2aGndOffset[23]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[28]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[24], matrix.QualityM1aGndCoarseDac[24]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[24], matrix.QualityM2aGndCoarseDac[24]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[24], matrix.QualityM1bGndCoarseDac[24]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[24], matrix.QualityM2bGndCoarseDac[24]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[24], matrix.QualityM1aGndOffset[24]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[24], matrix.QualityM2aGndOffset[24]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[29]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[25], matrix.QualityM1aGndCoarseDac[25]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[25], matrix.QualityM2aGndCoarseDac[25]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[25], matrix.QualityM1bGndCoarseDac[25]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[25], matrix.QualityM2bGndCoarseDac[25]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[25], matrix.QualityM1aGndOffset[25]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[25], matrix.QualityM2aGndOffset[25]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[30]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[26], matrix.QualityM1aGndCoarseDac[26]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[26], matrix.QualityM2aGndCoarseDac[26]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[26], matrix.QualityM1bGndCoarseDac[26]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[26], matrix.QualityM2bGndCoarseDac[26]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[26], matrix.QualityM1aGndOffset[26]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[26], matrix.QualityM2aGndOffset[26]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[31]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[27], matrix.QualityM1aGndCoarseDac[27]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[27], matrix.QualityM2aGndCoarseDac[27]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[27], matrix.QualityM1bGndCoarseDac[27]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[27], matrix.QualityM2bGndCoarseDac[27]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[27], matrix.QualityM1aGndOffset[27]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[27], matrix.QualityM2aGndOffset[27]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[32]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[28], matrix.QualityM1aGndCoarseDac[28]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[28], matrix.QualityM2aGndCoarseDac[28]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[28], matrix.QualityM1bGndCoarseDac[28]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[28], matrix.QualityM2bGndCoarseDac[28]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[28], matrix.QualityM1aGndOffset[28]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[28], matrix.QualityM2aGndOffset[28]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[33]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[29], matrix.QualityM1aGndCoarseDac[29]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[29], matrix.QualityM2aGndCoarseDac[29]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[29], matrix.QualityM1bGndCoarseDac[29]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[29], matrix.QualityM2bGndCoarseDac[29]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[29], matrix.QualityM1aGndOffset[29]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[29], matrix.QualityM2aGndOffset[29]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[34]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[30], matrix.QualityM1aGndCoarseDac[30]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[30], matrix.QualityM2aGndCoarseDac[30]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[30], matrix.QualityM1bGndCoarseDac[30]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[30], matrix.QualityM2bGndCoarseDac[30]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[30], matrix.QualityM1aGndOffset[30]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[30], matrix.QualityM2aGndOffset[30]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[35]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[31], matrix.QualityM1aGndCoarseDac[31]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[31], matrix.QualityM2aGndCoarseDac[31]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[31], matrix.QualityM1bGndCoarseDac[31]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[31], matrix.QualityM2bGndCoarseDac[31]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[31], matrix.QualityM1aGndOffset[31]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[31], matrix.QualityM2aGndOffset[31]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[36]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[32], matrix.QualityM1aGndCoarseDac[32]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[32], matrix.QualityM2aGndCoarseDac[32]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[32], matrix.QualityM1bGndCoarseDac[32]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[32], matrix.QualityM2bGndCoarseDac[32]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[32], matrix.QualityM1aGndOffset[32]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[32], matrix.QualityM2aGndOffset[32]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[37]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[33], matrix.QualityM1aGndCoarseDac[33]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[33], matrix.QualityM2aGndCoarseDac[33]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[33], matrix.QualityM1bGndCoarseDac[33]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[33], matrix.QualityM2bGndCoarseDac[33]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[33], matrix.QualityM1aGndOffset[33]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[33], matrix.QualityM2aGndOffset[33]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[38]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[34], matrix.QualityM1aGndCoarseDac[34]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[34], matrix.QualityM2aGndCoarseDac[34]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[34], matrix.QualityM1bGndCoarseDac[34]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[34], matrix.QualityM2bGndCoarseDac[34]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[34], matrix.QualityM1aGndOffset[34]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[34], matrix.QualityM2aGndOffset[34]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[39]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[35], matrix.QualityM1aGndCoarseDac[35]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[35], matrix.QualityM2aGndCoarseDac[35]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[35], matrix.QualityM1bGndCoarseDac[35]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[35], matrix.QualityM2bGndCoarseDac[35]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[35], matrix.QualityM1aGndOffset[35]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[35], matrix.QualityM2aGndOffset[35]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[40]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[36], matrix.QualityM1aGndCoarseDac[36]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[36], matrix.QualityM2aGndCoarseDac[36]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[36], matrix.QualityM1bGndCoarseDac[36]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[36], matrix.QualityM2bGndCoarseDac[36]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[36], matrix.QualityM1aGndOffset[36]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[36], matrix.QualityM2aGndOffset[36]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[41]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[37], matrix.QualityM1aGndCoarseDac[37]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[37], matrix.QualityM2aGndCoarseDac[37]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[37], matrix.QualityM1bGndCoarseDac[37]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[37], matrix.QualityM2bGndCoarseDac[37]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[37], matrix.QualityM1aGndOffset[37]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[37], matrix.QualityM2aGndOffset[37]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[42]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[38], matrix.QualityM1aGndCoarseDac[38]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[38], matrix.QualityM2aGndCoarseDac[38]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[38], matrix.QualityM1bGndCoarseDac[38]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[38], matrix.QualityM2bGndCoarseDac[38]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[38], matrix.QualityM1aGndOffset[38]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[38], matrix.QualityM2aGndOffset[38]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[43]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[39], matrix.QualityM1aGndCoarseDac[39]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[39], matrix.QualityM2aGndCoarseDac[39]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[39], matrix.QualityM1bGndCoarseDac[39]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[39], matrix.QualityM2bGndCoarseDac[39]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[39], matrix.QualityM1aGndOffset[39]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[39], matrix.QualityM2aGndOffset[39]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[44]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[40], matrix.QualityM1aGndCoarseDac[40]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[40], matrix.QualityM2aGndCoarseDac[40]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[40], matrix.QualityM1bGndCoarseDac[40]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[40], matrix.QualityM2bGndCoarseDac[40]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[40], matrix.QualityM1aGndOffset[40]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[40], matrix.QualityM2aGndOffset[40]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[45]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[41], matrix.QualityM1aGndCoarseDac[41]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[41], matrix.QualityM2aGndCoarseDac[41]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[41], matrix.QualityM1bGndCoarseDac[41]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[41], matrix.QualityM2bGndCoarseDac[41]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[41], matrix.QualityM1aGndOffset[41]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[41], matrix.QualityM2aGndOffset[41]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[46]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[42], matrix.QualityM1aGndCoarseDac[42]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[42], matrix.QualityM2aGndCoarseDac[42]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[42], matrix.QualityM1bGndCoarseDac[42]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[42], matrix.QualityM2bGndCoarseDac[42]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[42], matrix.QualityM1aGndOffset[42]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[42], matrix.QualityM2aGndOffset[42]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[47]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[43], matrix.QualityM1aGndCoarseDac[43]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[43], matrix.QualityM2aGndCoarseDac[43]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[43], matrix.QualityM1bGndCoarseDac[43]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[43], matrix.QualityM2bGndCoarseDac[43]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[43], matrix.QualityM1aGndOffset[43]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[43], matrix.QualityM2aGndOffset[43]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[48]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[44], matrix.QualityM1aGndCoarseDac[44]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[44], matrix.QualityM2aGndCoarseDac[44]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[44], matrix.QualityM1bGndCoarseDac[44]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[44], matrix.QualityM2bGndCoarseDac[44]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[44], matrix.QualityM1aGndOffset[44]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[44], matrix.QualityM2aGndOffset[44]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[49]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[45], matrix.QualityM1aGndCoarseDac[45]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[45], matrix.QualityM2aGndCoarseDac[45]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[45], matrix.QualityM1bGndCoarseDac[45]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[45], matrix.QualityM2bGndCoarseDac[45]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[45], matrix.QualityM1aGndOffset[45]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[45], matrix.QualityM2aGndOffset[45]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[50]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[46], matrix.QualityM1aGndCoarseDac[46]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[46], matrix.QualityM2aGndCoarseDac[46]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[46], matrix.QualityM1bGndCoarseDac[46]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[46], matrix.QualityM2bGndCoarseDac[46]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[46], matrix.QualityM1aGndOffset[46]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[46], matrix.QualityM2aGndOffset[46]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[51]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[47], matrix.QualityM1aGndCoarseDac[47]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[47], matrix.QualityM2aGndCoarseDac[47]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[47], matrix.QualityM1bGndCoarseDac[47]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[47], matrix.QualityM2bGndCoarseDac[47]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[47], matrix.QualityM1aGndOffset[47]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[47], matrix.QualityM2aGndOffset[47]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[52]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[48], matrix.QualityM1aGndCoarseDac[48]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[48], matrix.QualityM2aGndCoarseDac[48]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[48], matrix.QualityM1bGndCoarseDac[48]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[48], matrix.QualityM2bGndCoarseDac[48]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[48], matrix.QualityM1aGndOffset[48]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[48], matrix.QualityM2aGndOffset[48]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[53]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[49], matrix.QualityM1aGndCoarseDac[49]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[49], matrix.QualityM2aGndCoarseDac[49]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[49], matrix.QualityM1bGndCoarseDac[49]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[49], matrix.QualityM2bGndCoarseDac[49]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[49], matrix.QualityM1aGndOffset[49]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[49], matrix.QualityM2aGndOffset[49]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[54]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[50], matrix.QualityM1aGndCoarseDac[50]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[50], matrix.QualityM2aGndCoarseDac[50]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[50], matrix.QualityM1bGndCoarseDac[50]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[50], matrix.QualityM2bGndCoarseDac[50]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[50], matrix.QualityM1aGndOffset[50]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[50], matrix.QualityM2aGndOffset[50]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[55]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[51], matrix.QualityM1aGndCoarseDac[51]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[51], matrix.QualityM2aGndCoarseDac[51]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[51], matrix.QualityM1bGndCoarseDac[51]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[51], matrix.QualityM2bGndCoarseDac[51]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[51], matrix.QualityM1aGndOffset[51]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[51], matrix.QualityM2aGndOffset[51]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[56]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[52], matrix.QualityM1aGndCoarseDac[52]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[52], matrix.QualityM2aGndCoarseDac[52]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[52], matrix.QualityM1bGndCoarseDac[52]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[52], matrix.QualityM2bGndCoarseDac[52]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[52], matrix.QualityM1aGndOffset[52]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[52], matrix.QualityM2aGndOffset[52]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[57]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[53], matrix.QualityM1aGndCoarseDac[53]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[53], matrix.QualityM2aGndCoarseDac[53]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[53], matrix.QualityM1bGndCoarseDac[53]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[53], matrix.QualityM2bGndCoarseDac[53]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[53], matrix.QualityM1aGndOffset[53]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[53], matrix.QualityM2aGndOffset[53]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[58]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[54], matrix.QualityM1aGndCoarseDac[54]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[54], matrix.QualityM2aGndCoarseDac[54]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[54], matrix.QualityM1bGndCoarseDac[54]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[54], matrix.QualityM2bGndCoarseDac[54]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[54], matrix.QualityM1aGndOffset[54]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[54], matrix.QualityM2aGndOffset[54]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[59]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[55], matrix.QualityM1aGndCoarseDac[55]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[55], matrix.QualityM2aGndCoarseDac[55]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[55], matrix.QualityM1bGndCoarseDac[55]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[55], matrix.QualityM2bGndCoarseDac[55]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[55], matrix.QualityM1aGndOffset[55]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[55], matrix.QualityM2aGndOffset[55]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[60]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[56], matrix.QualityM1aGndCoarseDac[56]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[56], matrix.QualityM2aGndCoarseDac[56]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[56], matrix.QualityM1bGndCoarseDac[56]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[56], matrix.QualityM2bGndCoarseDac[56]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[56], matrix.QualityM1aGndOffset[56]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[56], matrix.QualityM2aGndOffset[56]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[61]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[57], matrix.QualityM1aGndCoarseDac[57]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[57], matrix.QualityM2aGndCoarseDac[57]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[57], matrix.QualityM1bGndCoarseDac[57]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[57], matrix.QualityM2bGndCoarseDac[57]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[57], matrix.QualityM1aGndOffset[57]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[57], matrix.QualityM2aGndOffset[57]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[62]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[58], matrix.QualityM1aGndCoarseDac[58]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[58], matrix.QualityM2aGndCoarseDac[58]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[58], matrix.QualityM1bGndCoarseDac[58]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[58], matrix.QualityM2bGndCoarseDac[58]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[58], matrix.QualityM1aGndOffset[58]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[58], matrix.QualityM2aGndOffset[58]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[63]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[59], matrix.QualityM1aGndCoarseDac[59]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[59], matrix.QualityM2aGndCoarseDac[59]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[59], matrix.QualityM1bGndCoarseDac[59]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[59], matrix.QualityM2bGndCoarseDac[59]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[59], matrix.QualityM1aGndOffset[59]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[59], matrix.QualityM2aGndOffset[59]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[64]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[60], matrix.QualityM1aGndCoarseDac[60]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[60], matrix.QualityM2aGndCoarseDac[60]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[60], matrix.QualityM1bGndCoarseDac[60]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[60], matrix.QualityM2bGndCoarseDac[60]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[60], matrix.QualityM1aGndOffset[60]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[60], matrix.QualityM2aGndOffset[60]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[65]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[61], matrix.QualityM1aGndCoarseDac[61]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[61], matrix.QualityM2aGndCoarseDac[61]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[61], matrix.QualityM1bGndCoarseDac[61]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[61], matrix.QualityM2bGndCoarseDac[61]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[61], matrix.QualityM1aGndOffset[61]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[61], matrix.QualityM2aGndOffset[61]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[66]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[62], matrix.QualityM1aGndCoarseDac[62]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[62], matrix.QualityM2aGndCoarseDac[62]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[62], matrix.QualityM1bGndCoarseDac[62]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[62], matrix.QualityM2bGndCoarseDac[62]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[62], matrix.QualityM1aGndOffset[62]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[62], matrix.QualityM2aGndOffset[62]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[67]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndCoarseDac[63], matrix.QualityM1aGndCoarseDac[63]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndCoarseDac[63], matrix.QualityM2aGndCoarseDac[63]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndCoarseDac[63], matrix.QualityM1bGndCoarseDac[63]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndCoarseDac[63], matrix.QualityM2bGndCoarseDac[63]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndOffset[63], matrix.QualityM1aGndOffset[63]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndOffset[63], matrix.QualityM2aGndOffset[63]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[68]);
         printf("%s\n", line);
      strcpy(line, template[69]);
         printf("%s\n", line);
      strcpy(line, template[70]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[0], matrix.QualityM1aHvCoarseDac[0]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[0], matrix.QualityM2aHvCoarseDac[0]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[0], matrix.QualityM1bHvCoarseDac[0]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[0], matrix.QualityM2bHvCoarseDac[0]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[0], matrix.QualityM1aHvOffset[0]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[0], matrix.QualityM2aHvOffset[0]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[71]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[1], matrix.QualityM1aHvCoarseDac[1]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[1], matrix.QualityM2aHvCoarseDac[1]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[1], matrix.QualityM1bHvCoarseDac[1]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[1], matrix.QualityM2bHvCoarseDac[1]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[1], matrix.QualityM1aHvOffset[1]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[1], matrix.QualityM2aHvOffset[1]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[72]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[2], matrix.QualityM1aHvCoarseDac[2]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[2], matrix.QualityM2aHvCoarseDac[2]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[2], matrix.QualityM1bHvCoarseDac[2]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[2], matrix.QualityM2bHvCoarseDac[2]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[2], matrix.QualityM1aHvOffset[2]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[2], matrix.QualityM2aHvOffset[2]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[73]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[3], matrix.QualityM1aHvCoarseDac[3]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[3], matrix.QualityM2aHvCoarseDac[3]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[3], matrix.QualityM1bHvCoarseDac[3]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[3], matrix.QualityM2bHvCoarseDac[3]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[3], matrix.QualityM1aHvOffset[3]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[3], matrix.QualityM2aHvOffset[3]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[74]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[4], matrix.QualityM1aHvCoarseDac[4]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[4], matrix.QualityM2aHvCoarseDac[4]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[4], matrix.QualityM1bHvCoarseDac[4]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[4], matrix.QualityM2bHvCoarseDac[4]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[4], matrix.QualityM1aHvOffset[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[4], matrix.QualityM2aHvOffset[4]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[75]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[5], matrix.QualityM1aHvCoarseDac[5]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[5], matrix.QualityM2aHvCoarseDac[5]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[5], matrix.QualityM1bHvCoarseDac[5]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[5], matrix.QualityM2bHvCoarseDac[5]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[5], matrix.QualityM1aHvOffset[5]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[5], matrix.QualityM2aHvOffset[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[76]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[6], matrix.QualityM1aHvCoarseDac[6]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[6], matrix.QualityM2aHvCoarseDac[6]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[6], matrix.QualityM1bHvCoarseDac[6]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[6], matrix.QualityM2bHvCoarseDac[6]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[6], matrix.QualityM1aHvOffset[6]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[6], matrix.QualityM2aHvOffset[6]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[77]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[7], matrix.QualityM1aHvCoarseDac[7]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[7], matrix.QualityM2aHvCoarseDac[7]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[7], matrix.QualityM1bHvCoarseDac[7]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[7], matrix.QualityM2bHvCoarseDac[7]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[7], matrix.QualityM1aHvOffset[7]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[7], matrix.QualityM2aHvOffset[7]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[78]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[8], matrix.QualityM1aHvCoarseDac[8]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[8], matrix.QualityM2aHvCoarseDac[8]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[8], matrix.QualityM1bHvCoarseDac[8]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[8], matrix.QualityM2bHvCoarseDac[8]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[8], matrix.QualityM1aHvOffset[8]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[8], matrix.QualityM2aHvOffset[8]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[79]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[9], matrix.QualityM1aHvCoarseDac[9]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[9], matrix.QualityM2aHvCoarseDac[9]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[9], matrix.QualityM1bHvCoarseDac[9]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[9], matrix.QualityM2bHvCoarseDac[9]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[9], matrix.QualityM1aHvOffset[9]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[9], matrix.QualityM2aHvOffset[9]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[80]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[10], matrix.QualityM1aHvCoarseDac[10]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[10], matrix.QualityM2aHvCoarseDac[10]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[10], matrix.QualityM1bHvCoarseDac[10]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[10], matrix.QualityM2bHvCoarseDac[10]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[10], matrix.QualityM1aHvOffset[10]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[10], matrix.QualityM2aHvOffset[10]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[81]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[11], matrix.QualityM1aHvCoarseDac[11]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[11], matrix.QualityM2aHvCoarseDac[11]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[11], matrix.QualityM1bHvCoarseDac[11]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[11], matrix.QualityM2bHvCoarseDac[11]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[11], matrix.QualityM1aHvOffset[11]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[11], matrix.QualityM2aHvOffset[11]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[82]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[12], matrix.QualityM1aHvCoarseDac[12]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[12], matrix.QualityM2aHvCoarseDac[12]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[12], matrix.QualityM1bHvCoarseDac[12]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[12], matrix.QualityM2bHvCoarseDac[12]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[12], matrix.QualityM1aHvOffset[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[12], matrix.QualityM2aHvOffset[12]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[83]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[13], matrix.QualityM1aHvCoarseDac[13]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[13], matrix.QualityM2aHvCoarseDac[13]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[13], matrix.QualityM1bHvCoarseDac[13]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[13], matrix.QualityM2bHvCoarseDac[13]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[13], matrix.QualityM1aHvOffset[13]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[13], matrix.QualityM2aHvOffset[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[84]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[14], matrix.QualityM1aHvCoarseDac[14]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[14], matrix.QualityM2aHvCoarseDac[14]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[14], matrix.QualityM1bHvCoarseDac[14]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[14], matrix.QualityM2bHvCoarseDac[14]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[14], matrix.QualityM1aHvOffset[14]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[14], matrix.QualityM2aHvOffset[14]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[85]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[15], matrix.QualityM1aHvCoarseDac[15]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[15], matrix.QualityM2aHvCoarseDac[15]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[15], matrix.QualityM1bHvCoarseDac[15]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[15], matrix.QualityM2bHvCoarseDac[15]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[15], matrix.QualityM1aHvOffset[15]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[15], matrix.QualityM2aHvOffset[15]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[86]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[16], matrix.QualityM1aHvCoarseDac[16]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[16], matrix.QualityM2aHvCoarseDac[16]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[16], matrix.QualityM1bHvCoarseDac[16]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[16], matrix.QualityM2bHvCoarseDac[16]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[16], matrix.QualityM1aHvOffset[16]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[16], matrix.QualityM2aHvOffset[16]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[87]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[17], matrix.QualityM1aHvCoarseDac[17]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[17], matrix.QualityM2aHvCoarseDac[17]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[17], matrix.QualityM1bHvCoarseDac[17]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[17], matrix.QualityM2bHvCoarseDac[17]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[17], matrix.QualityM1aHvOffset[17]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[17], matrix.QualityM2aHvOffset[17]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[88]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[18], matrix.QualityM1aHvCoarseDac[18]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[18], matrix.QualityM2aHvCoarseDac[18]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[18], matrix.QualityM1bHvCoarseDac[18]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[18], matrix.QualityM2bHvCoarseDac[18]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[18], matrix.QualityM1aHvOffset[18]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[18], matrix.QualityM2aHvOffset[18]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[89]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[19], matrix.QualityM1aHvCoarseDac[19]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[19], matrix.QualityM2aHvCoarseDac[19]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[19], matrix.QualityM1bHvCoarseDac[19]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[19], matrix.QualityM2bHvCoarseDac[19]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[19], matrix.QualityM1aHvOffset[19]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[19], matrix.QualityM2aHvOffset[19]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[90]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[20], matrix.QualityM1aHvCoarseDac[20]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[20], matrix.QualityM2aHvCoarseDac[20]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[20], matrix.QualityM1bHvCoarseDac[20]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[20], matrix.QualityM2bHvCoarseDac[20]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[20], matrix.QualityM1aHvOffset[20]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[20], matrix.QualityM2aHvOffset[20]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[91]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[21], matrix.QualityM1aHvCoarseDac[21]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[21], matrix.QualityM2aHvCoarseDac[21]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[21], matrix.QualityM1bHvCoarseDac[21]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[21], matrix.QualityM2bHvCoarseDac[21]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[21], matrix.QualityM1aHvOffset[21]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[21], matrix.QualityM2aHvOffset[21]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[92]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[22], matrix.QualityM1aHvCoarseDac[22]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[22], matrix.QualityM2aHvCoarseDac[22]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[22], matrix.QualityM1bHvCoarseDac[22]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[22], matrix.QualityM2bHvCoarseDac[22]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[22], matrix.QualityM1aHvOffset[22]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[22], matrix.QualityM2aHvOffset[22]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[93]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[23], matrix.QualityM1aHvCoarseDac[23]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[23], matrix.QualityM2aHvCoarseDac[23]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[23], matrix.QualityM1bHvCoarseDac[23]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[23], matrix.QualityM2bHvCoarseDac[23]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[23], matrix.QualityM1aHvOffset[23]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[23], matrix.QualityM2aHvOffset[23]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[94]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[24], matrix.QualityM1aHvCoarseDac[24]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[24], matrix.QualityM2aHvCoarseDac[24]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[24], matrix.QualityM1bHvCoarseDac[24]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[24], matrix.QualityM2bHvCoarseDac[24]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[24], matrix.QualityM1aHvOffset[24]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[24], matrix.QualityM2aHvOffset[24]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[95]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[25], matrix.QualityM1aHvCoarseDac[25]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[25], matrix.QualityM2aHvCoarseDac[25]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[25], matrix.QualityM1bHvCoarseDac[25]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[25], matrix.QualityM2bHvCoarseDac[25]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[25], matrix.QualityM1aHvOffset[25]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[25], matrix.QualityM2aHvOffset[25]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[96]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[26], matrix.QualityM1aHvCoarseDac[26]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[26], matrix.QualityM2aHvCoarseDac[26]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[26], matrix.QualityM1bHvCoarseDac[26]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[26], matrix.QualityM2bHvCoarseDac[26]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[26], matrix.QualityM1aHvOffset[26]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[26], matrix.QualityM2aHvOffset[26]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[97]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[27], matrix.QualityM1aHvCoarseDac[27]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[27], matrix.QualityM2aHvCoarseDac[27]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[27], matrix.QualityM1bHvCoarseDac[27]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[27], matrix.QualityM2bHvCoarseDac[27]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[27], matrix.QualityM1aHvOffset[27]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[27], matrix.QualityM2aHvOffset[27]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[98]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[28], matrix.QualityM1aHvCoarseDac[28]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[28], matrix.QualityM2aHvCoarseDac[28]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[28], matrix.QualityM1bHvCoarseDac[28]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[28], matrix.QualityM2bHvCoarseDac[28]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[28], matrix.QualityM1aHvOffset[28]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[28], matrix.QualityM2aHvOffset[28]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[99]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[29], matrix.QualityM1aHvCoarseDac[29]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[29], matrix.QualityM2aHvCoarseDac[29]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[29], matrix.QualityM1bHvCoarseDac[29]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[29], matrix.QualityM2bHvCoarseDac[29]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[29], matrix.QualityM1aHvOffset[29]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[29], matrix.QualityM2aHvOffset[29]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[100]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[30], matrix.QualityM1aHvCoarseDac[30]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[30], matrix.QualityM2aHvCoarseDac[30]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[30], matrix.QualityM1bHvCoarseDac[30]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[30], matrix.QualityM2bHvCoarseDac[30]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[30], matrix.QualityM1aHvOffset[30]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[30], matrix.QualityM2aHvOffset[30]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[101]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[31], matrix.QualityM1aHvCoarseDac[31]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[31], matrix.QualityM2aHvCoarseDac[31]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[31], matrix.QualityM1bHvCoarseDac[31]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[31], matrix.QualityM2bHvCoarseDac[31]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[31], matrix.QualityM1aHvOffset[31]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[31], matrix.QualityM2aHvOffset[31]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[102]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[32], matrix.QualityM1aHvCoarseDac[32]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[32], matrix.QualityM2aHvCoarseDac[32]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[32], matrix.QualityM1bHvCoarseDac[32]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[32], matrix.QualityM2bHvCoarseDac[32]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[32], matrix.QualityM1aHvOffset[32]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[32], matrix.QualityM2aHvOffset[32]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[103]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[33], matrix.QualityM1aHvCoarseDac[33]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[33], matrix.QualityM2aHvCoarseDac[33]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[33], matrix.QualityM1bHvCoarseDac[33]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[33], matrix.QualityM2bHvCoarseDac[33]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[33], matrix.QualityM1aHvOffset[33]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[33], matrix.QualityM2aHvOffset[33]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[104]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[34], matrix.QualityM1aHvCoarseDac[34]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[34], matrix.QualityM2aHvCoarseDac[34]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[34], matrix.QualityM1bHvCoarseDac[34]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[34], matrix.QualityM2bHvCoarseDac[34]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[34], matrix.QualityM1aHvOffset[34]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[34], matrix.QualityM2aHvOffset[34]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[105]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[35], matrix.QualityM1aHvCoarseDac[35]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[35], matrix.QualityM2aHvCoarseDac[35]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[35], matrix.QualityM1bHvCoarseDac[35]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[35], matrix.QualityM2bHvCoarseDac[35]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[35], matrix.QualityM1aHvOffset[35]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[35], matrix.QualityM2aHvOffset[35]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[106]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[36], matrix.QualityM1aHvCoarseDac[36]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[36], matrix.QualityM2aHvCoarseDac[36]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[36], matrix.QualityM1bHvCoarseDac[36]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[36], matrix.QualityM2bHvCoarseDac[36]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[36], matrix.QualityM1aHvOffset[36]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[36], matrix.QualityM2aHvOffset[36]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[107]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[37], matrix.QualityM1aHvCoarseDac[37]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[37], matrix.QualityM2aHvCoarseDac[37]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[37], matrix.QualityM1bHvCoarseDac[37]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[37], matrix.QualityM2bHvCoarseDac[37]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[37], matrix.QualityM1aHvOffset[37]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[37], matrix.QualityM2aHvOffset[37]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[108]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[38], matrix.QualityM1aHvCoarseDac[38]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[38], matrix.QualityM2aHvCoarseDac[38]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[38], matrix.QualityM1bHvCoarseDac[38]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[38], matrix.QualityM2bHvCoarseDac[38]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[38], matrix.QualityM1aHvOffset[38]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[38], matrix.QualityM2aHvOffset[38]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[109]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[39], matrix.QualityM1aHvCoarseDac[39]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[39], matrix.QualityM2aHvCoarseDac[39]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[39], matrix.QualityM1bHvCoarseDac[39]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[39], matrix.QualityM2bHvCoarseDac[39]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[39], matrix.QualityM1aHvOffset[39]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[39], matrix.QualityM2aHvOffset[39]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[110]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[40], matrix.QualityM1aHvCoarseDac[40]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[40], matrix.QualityM2aHvCoarseDac[40]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[40], matrix.QualityM1bHvCoarseDac[40]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[40], matrix.QualityM2bHvCoarseDac[40]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[40], matrix.QualityM1aHvOffset[40]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[40], matrix.QualityM2aHvOffset[40]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[111]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[41], matrix.QualityM1aHvCoarseDac[41]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[41], matrix.QualityM2aHvCoarseDac[41]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[41], matrix.QualityM1bHvCoarseDac[41]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[41], matrix.QualityM2bHvCoarseDac[41]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[41], matrix.QualityM1aHvOffset[41]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[41], matrix.QualityM2aHvOffset[41]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[112]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[42], matrix.QualityM1aHvCoarseDac[42]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[42], matrix.QualityM2aHvCoarseDac[42]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[42], matrix.QualityM1bHvCoarseDac[42]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[42], matrix.QualityM2bHvCoarseDac[42]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[42], matrix.QualityM1aHvOffset[42]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[42], matrix.QualityM2aHvOffset[42]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[113]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[43], matrix.QualityM1aHvCoarseDac[43]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[43], matrix.QualityM2aHvCoarseDac[43]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[43], matrix.QualityM1bHvCoarseDac[43]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[43], matrix.QualityM2bHvCoarseDac[43]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[43], matrix.QualityM1aHvOffset[43]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[43], matrix.QualityM2aHvOffset[43]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[114]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[44], matrix.QualityM1aHvCoarseDac[44]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[44], matrix.QualityM2aHvCoarseDac[44]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[44], matrix.QualityM1bHvCoarseDac[44]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[44], matrix.QualityM2bHvCoarseDac[44]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[44], matrix.QualityM1aHvOffset[44]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[44], matrix.QualityM2aHvOffset[44]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[115]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[45], matrix.QualityM1aHvCoarseDac[45]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[45], matrix.QualityM2aHvCoarseDac[45]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[45], matrix.QualityM1bHvCoarseDac[45]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[45], matrix.QualityM2bHvCoarseDac[45]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[45], matrix.QualityM1aHvOffset[45]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[45], matrix.QualityM2aHvOffset[45]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[116]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[46], matrix.QualityM1aHvCoarseDac[46]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[46], matrix.QualityM2aHvCoarseDac[46]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[46], matrix.QualityM1bHvCoarseDac[46]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[46], matrix.QualityM2bHvCoarseDac[46]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[46], matrix.QualityM1aHvOffset[46]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[46], matrix.QualityM2aHvOffset[46]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[117]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[47], matrix.QualityM1aHvCoarseDac[47]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[47], matrix.QualityM2aHvCoarseDac[47]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[47], matrix.QualityM1bHvCoarseDac[47]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[47], matrix.QualityM2bHvCoarseDac[47]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[47], matrix.QualityM1aHvOffset[47]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[47], matrix.QualityM2aHvOffset[47]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[118]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[48], matrix.QualityM1aHvCoarseDac[48]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[48], matrix.QualityM2aHvCoarseDac[48]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[48], matrix.QualityM1bHvCoarseDac[48]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[48], matrix.QualityM2bHvCoarseDac[48]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[48], matrix.QualityM1aHvOffset[48]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[48], matrix.QualityM2aHvOffset[48]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[119]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[49], matrix.QualityM1aHvCoarseDac[49]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[49], matrix.QualityM2aHvCoarseDac[49]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[49], matrix.QualityM1bHvCoarseDac[49]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[49], matrix.QualityM2bHvCoarseDac[49]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[49], matrix.QualityM1aHvOffset[49]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[49], matrix.QualityM2aHvOffset[49]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[120]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[50], matrix.QualityM1aHvCoarseDac[50]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[50], matrix.QualityM2aHvCoarseDac[50]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[50], matrix.QualityM1bHvCoarseDac[50]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[50], matrix.QualityM2bHvCoarseDac[50]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[50], matrix.QualityM1aHvOffset[50]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[50], matrix.QualityM2aHvOffset[50]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[121]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[51], matrix.QualityM1aHvCoarseDac[51]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[51], matrix.QualityM2aHvCoarseDac[51]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[51], matrix.QualityM1bHvCoarseDac[51]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[51], matrix.QualityM2bHvCoarseDac[51]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[51], matrix.QualityM1aHvOffset[51]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[51], matrix.QualityM2aHvOffset[51]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[122]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[52], matrix.QualityM1aHvCoarseDac[52]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[52], matrix.QualityM2aHvCoarseDac[52]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[52], matrix.QualityM1bHvCoarseDac[52]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[52], matrix.QualityM2bHvCoarseDac[52]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[52], matrix.QualityM1aHvOffset[52]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[52], matrix.QualityM2aHvOffset[52]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[123]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[53], matrix.QualityM1aHvCoarseDac[53]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[53], matrix.QualityM2aHvCoarseDac[53]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[53], matrix.QualityM1bHvCoarseDac[53]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[53], matrix.QualityM2bHvCoarseDac[53]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[53], matrix.QualityM1aHvOffset[53]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[53], matrix.QualityM2aHvOffset[53]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[124]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[54], matrix.QualityM1aHvCoarseDac[54]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[54], matrix.QualityM2aHvCoarseDac[54]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[54], matrix.QualityM1bHvCoarseDac[54]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[54], matrix.QualityM2bHvCoarseDac[54]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[54], matrix.QualityM1aHvOffset[54]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[54], matrix.QualityM2aHvOffset[54]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[125]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[55], matrix.QualityM1aHvCoarseDac[55]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[55], matrix.QualityM2aHvCoarseDac[55]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[55], matrix.QualityM1bHvCoarseDac[55]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[55], matrix.QualityM2bHvCoarseDac[55]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[55], matrix.QualityM1aHvOffset[55]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[55], matrix.QualityM2aHvOffset[55]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[126]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[56], matrix.QualityM1aHvCoarseDac[56]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[56], matrix.QualityM2aHvCoarseDac[56]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[56], matrix.QualityM1bHvCoarseDac[56]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[56], matrix.QualityM2bHvCoarseDac[56]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[56], matrix.QualityM1aHvOffset[56]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[56], matrix.QualityM2aHvOffset[56]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[127]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[57], matrix.QualityM1aHvCoarseDac[57]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[57], matrix.QualityM2aHvCoarseDac[57]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[57], matrix.QualityM1bHvCoarseDac[57]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[57], matrix.QualityM2bHvCoarseDac[57]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[57], matrix.QualityM1aHvOffset[57]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[57], matrix.QualityM2aHvOffset[57]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[128]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[58], matrix.QualityM1aHvCoarseDac[58]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[58], matrix.QualityM2aHvCoarseDac[58]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[58], matrix.QualityM1bHvCoarseDac[58]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[58], matrix.QualityM2bHvCoarseDac[58]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[58], matrix.QualityM1aHvOffset[58]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[58], matrix.QualityM2aHvOffset[58]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[129]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[59], matrix.QualityM1aHvCoarseDac[59]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[59], matrix.QualityM2aHvCoarseDac[59]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[59], matrix.QualityM1bHvCoarseDac[59]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[59], matrix.QualityM2bHvCoarseDac[59]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[59], matrix.QualityM1aHvOffset[59]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[59], matrix.QualityM2aHvOffset[59]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[130]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[60], matrix.QualityM1aHvCoarseDac[60]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[60], matrix.QualityM2aHvCoarseDac[60]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[60], matrix.QualityM1bHvCoarseDac[60]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[60], matrix.QualityM2bHvCoarseDac[60]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[60], matrix.QualityM1aHvOffset[60]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[60], matrix.QualityM2aHvOffset[60]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[131]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[61], matrix.QualityM1aHvCoarseDac[61]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[61], matrix.QualityM2aHvCoarseDac[61]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[61], matrix.QualityM1bHvCoarseDac[61]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[61], matrix.QualityM2bHvCoarseDac[61]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[61], matrix.QualityM1aHvOffset[61]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[61], matrix.QualityM2aHvOffset[61]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[132]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[62], matrix.QualityM1aHvCoarseDac[62]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[62], matrix.QualityM2aHvCoarseDac[62]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[62], matrix.QualityM1bHvCoarseDac[62]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[62], matrix.QualityM2bHvCoarseDac[62]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[62], matrix.QualityM1aHvOffset[62]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[62], matrix.QualityM2aHvOffset[62]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[133]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvCoarseDac[63], matrix.QualityM1aHvCoarseDac[63]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvCoarseDac[63], matrix.QualityM2aHvCoarseDac[63]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvCoarseDac[63], matrix.QualityM1bHvCoarseDac[63]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvCoarseDac[63], matrix.QualityM2bHvCoarseDac[63]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvOffset[63], matrix.QualityM1aHvOffset[63]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvOffset[63], matrix.QualityM2aHvOffset[63]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
