#ifndef DUMPL1SISDACOFFSET1_C
   #define DUMPL1SISDACOFFSET1_C

   /* $Id: dumpL1SisDacOffset1.c,v 1.2 1998/07/27 12:10:05 rgr Exp $ */

   /* $RCSfile: dumpL1SisDacOffset1.c,v $ */
   /* $Author: rgr $ */
   /* $Date: 1998/07/27 12:10:05 $ */
   /* $Revision: 1.2 $ */


   #include <memory.h>
   #include <stdio.h>
   #include <sys/types.h>
   
   #include "sis/L1SisDacOffset1.h"
   #include "utilities/stringDate1996.h"

   void dumpL1SisDacOffset1(struct L1SisDacOffset1 matrix)
   {
      char line[256];
      char segmentValue[256];
      char *template[] = {"SIS DACs - <start time               >  <S/C Clock: xxxxxxxxxx>",
                          "",
                          "       --------Fine Matrix DAC--------         ---Offset----",
                          "       m1a-     m2a-     m1b-     m2b-         m1b-     m2b-",
                          " 00 <1a-{0} ><2a-{0} ><1b-{0} ><2b-{0} >    <1B-{0} ><2B-{0} >",
                          " 01 <1a-{1} ><2a-{1} ><1b-{1} ><2b-{1} >    <1B-{1} ><2B-{1} >",
                          " 02 <1a-{2} ><2a-{2} ><1b-{2} ><2b-{2} >    <1B-{2} ><2B-{2} >",
                          " 03 <1a-{3} ><2a-{3} ><1b-{3} ><2b-{3} >    <1B-{3} ><2B-{3} >",
                          " 04 <1a-{4} ><2a-{4} ><1b-{4} ><2b-{4} >    <1B-{4} ><2B-{4} >",
                          " 05 <1a-{5} ><2a-{5} ><1b-{5} ><2b-{5} >    <1B-{5} ><2B-{5} >",
                          " 06 <1a-{6} ><2a-{6} ><1b-{6} ><2b-{6} >    <1B-{6} ><2B-{6} >",
                          " 07 <1a-{7} ><2a-{7} ><1b-{7} ><2b-{7} >    <1B-{7} ><2B-{7} >",
                          " 08 <1a-{8} ><2a-{8} ><1b-{8} ><2b-{8} >    <1B-{8} ><2B-{8} >",
                          " 09 <1a-{9} ><2a-{9} ><1b-{9} ><2b-{9} >    <1B-{9} ><2B-{9} >",
                          " 10 <1a-{10}><2a-{10}><1b-{10}><2b-{10}>    <1B-{10}><2B-{10}>",
                          " 11 <1a-{11}><2a-{11}><1b-{11}><2b-{11}>    <1B-{11}><2B-{11}>",
                          " 12 <1a-{12}><2a-{12}><1b-{12}><2b-{12}>    <1B-{12}><2B-{12}>",
                          " 13 <1a-{13}><2a-{13}><1b-{13}><2b-{13}>    <1B-{13}><2B-{13}>",
                          " 14 <1a-{14}><2a-{14}><1b-{14}><2b-{14}>    <1B-{14}><2B-{14}>",
                          " 15 <1a-{15}><2a-{15}><1b-{15}><2b-{15}>    <1B-{15}><2B-{15}>",
                          " 16 <1a-{16}><2a-{16}><1b-{16}><2b-{16}>    <1B-{16}><2B-{16}>",
                          " 17 <1a-{17}><2a-{17}><1b-{17}><2b-{17}>    <1B-{17}><2B-{17}>",
                          " 18 <1a-{18}><2a-{18}><1b-{18}><2b-{18}>    <1B-{18}><2B-{18}>",
                          " 19 <1a-{19}><2a-{19}><1b-{19}><2b-{19}>    <1B-{19}><2B-{19}>",
                          " 20 <1a-{20}><2a-{20}><1b-{20}><2b-{20}>    <1B-{20}><2B-{20}>",
                          " 21 <1a-{21}><2a-{21}><1b-{21}><2b-{21}>    <1B-{21}><2B-{21}>",
                          " 22 <1a-{22}><2a-{22}><1b-{22}><2b-{22}>    <1B-{22}><2B-{22}>",
                          " 23 <1a-{23}><2a-{23}><1b-{23}><2b-{23}>    <1B-{23}><2B-{23}>",
                          " 24 <1a-{24}><2a-{24}><1b-{24}><2b-{24}>    <1B-{24}><2B-{24}>",
                          " 25 <1a-{25}><2a-{25}><1b-{25}><2b-{25}>    <1B-{25}><2B-{25}>",
                          " 26 <1a-{26}><2a-{26}><1b-{26}><2b-{26}>    <1B-{26}><2B-{26}>",
                          " 27 <1a-{27}><2a-{27}><1b-{27}><2b-{27}>    <1B-{27}><2B-{27}>",
                          " 28 <1a-{28}><2a-{28}><1b-{28}><2b-{28}>    <1B-{28}><2B-{28}>",
                          " 29 <1a-{29}><2a-{29}><1b-{29}><2b-{29}>    <1B-{29}><2B-{29}>",
                          " 30 <1a-{30}><2a-{30}><1b-{30}><2b-{30}>    <1B-{30}><2B-{30}>",
                          " 31 <1a-{31}><2a-{31}><1b-{31}><2b-{31}>    <1B-{31}><2B-{31}>",
                          " 32 <1a-{32}><2a-{32}><1b-{32}><2b-{32}>    <1B-{32}><2B-{32}>",
                          " 33 <1a-{33}><2a-{33}><1b-{33}><2b-{33}>    <1B-{33}><2B-{33}>",
                          " 34 <1a-{34}><2a-{34}><1b-{34}><2b-{34}>    <1B-{34}><2B-{34}>",
                          " 35 <1a-{35}><2a-{35}><1b-{35}><2b-{35}>    <1B-{35}><2B-{35}>",
                          " 36 <1a-{36}><2a-{36}><1b-{36}><2b-{36}>    <1B-{36}><2B-{36}>",
                          " 37 <1a-{37}><2a-{37}><1b-{37}><2b-{37}>    <1B-{37}><2B-{37}>",
                          " 38 <1a-{38}><2a-{38}><1b-{38}><2b-{38}>    <1B-{38}><2B-{38}>",
                          " 39 <1a-{39}><2a-{39}><1b-{39}><2b-{39}>    <1B-{39}><2B-{39}>",
                          " 40 <1a-{40}><2a-{40}><1b-{40}><2b-{40}>    <1B-{40}><2B-{40}>",
                          " 41 <1a-{41}><2a-{41}><1b-{41}><2b-{41}>    <1B-{41}><2B-{41}>",
                          " 42 <1a-{42}><2a-{42}><1b-{42}><2b-{42}>    <1B-{42}><2B-{42}>",
                          " 43 <1a-{43}><2a-{43}><1b-{43}><2b-{43}>    <1B-{43}><2B-{43}>",
                          " 44 <1a-{44}><2a-{44}><1b-{44}><2b-{44}>    <1B-{44}><2B-{44}>",
                          " 45 <1a-{45}><2a-{45}><1b-{45}><2b-{45}>    <1B-{45}><2B-{45}>",
                          " 46 <1a-{46}><2a-{46}><1b-{46}><2b-{46}>    <1B-{46}><2B-{46}>",
                          " 47 <1a-{47}><2a-{47}><1b-{47}><2b-{47}>    <1B-{47}><2B-{47}>",
                          " 48 <1a-{48}><2a-{48}><1b-{48}><2b-{48}>    <1B-{48}><2B-{48}>",
                          " 49 <1a-{49}><2a-{49}><1b-{49}><2b-{49}>    <1B-{49}><2B-{49}>",
                          " 50 <1a-{50}><2a-{50}><1b-{50}><2b-{50}>    <1B-{50}><2B-{50}>",
                          " 51 <1a-{51}><2a-{51}><1b-{51}><2b-{51}>    <1B-{51}><2B-{51}>",
                          " 52 <1a-{52}><2a-{52}><1b-{52}><2b-{52}>    <1B-{52}><2B-{52}>",
                          " 53 <1a-{53}><2a-{53}><1b-{53}><2b-{53}>    <1B-{53}><2B-{53}>",
                          " 54 <1a-{54}><2a-{54}><1b-{54}><2b-{54}>    <1B-{54}><2B-{54}>",
                          " 55 <1a-{55}><2a-{55}><1b-{55}><2b-{55}>    <1B-{55}><2B-{55}>",
                          " 56 <1a-{56}><2a-{56}><1b-{56}><2b-{56}>    <1B-{56}><2B-{56}>",
                          " 57 <1a-{57}><2a-{57}><1b-{57}><2b-{57}>    <1B-{57}><2B-{57}>",
                          " 58 <1a-{58}><2a-{58}><1b-{58}><2b-{58}>    <1B-{58}><2B-{58}>",
                          " 59 <1a-{59}><2a-{59}><1b-{59}><2b-{59}>    <1B-{59}><2B-{59}>",
                          " 60 <1a-{60}><2a-{60}><1b-{60}><2b-{60}>    <1B-{60}><2B-{60}>",
                          " 61 <1a-{61}><2a-{61}><1b-{61}><2b-{61}>    <1B-{61}><2B-{61}>",
                          " 62 <1a-{62}><2a-{62}><1b-{62}><2b-{62}>    <1B-{62}><2B-{62}>",
                          " 63 <1a-{63}><2a-{63}><1b-{63}><2b-{63}>    <1B-{63}><2B-{63}>",
                          "",
                          "       m1a+     m2a+     m1b+     m2b+         m1b+     m2b+",
                          " 00 <1a+{0} ><2a+{0} ><1b+{0} ><2b+{0} >    <1B+{0} ><2B+{0} >",
                          " 01 <1a+{1} ><2a+{1} ><1b+{1} ><2b+{1} >    <1B+{1} ><2B+{1} >",
                          " 02 <1a+{2} ><2a+{2} ><1b+{2} ><2b+{2} >    <1B+{2} ><2B+{2} >",
                          " 03 <1a+{3} ><2a+{3} ><1b+{3} ><2b+{3} >    <1B+{3} ><2B+{3} >",
                          " 04 <1a+{4} ><2a+{4} ><1b+{4} ><2b+{4} >    <1B+{4} ><2B+{4} >",
                          " 05 <1a+{5} ><2a+{5} ><1b+{5} ><2b+{5} >    <1B+{5} ><2B+{5} >",
                          " 06 <1a+{6} ><2a+{6} ><1b+{6} ><2b+{6} >    <1B+{6} ><2B+{6} >",
                          " 07 <1a+{7} ><2a+{7} ><1b+{7} ><2b+{7} >    <1B+{7} ><2B+{7} >",
                          " 08 <1a+{8} ><2a+{8} ><1b+{8} ><2b+{8} >    <1B+{8} ><2B+{8} >",
                          " 09 <1a+{9} ><2a+{9} ><1b+{9} ><2b+{9} >    <1B+{9} ><2B+{9} >",
                          " 10 <1a+{10}><2a+{10}><1b+{10}><2b+{10}>    <1B+{10}><2B+{10}>",
                          " 11 <1a+{11}><2a+{11}><1b+{11}><2b+{11}>    <1B+{11}><2B+{11}>",
                          " 12 <1a+{12}><2a+{12}><1b+{12}><2b+{12}>    <1B+{12}><2B+{12}>",
                          " 13 <1a+{13}><2a+{13}><1b+{13}><2b+{13}>    <1B+{13}><2B+{13}>",
                          " 14 <1a+{14}><2a+{14}><1b+{14}><2b+{14}>    <1B+{14}><2B+{14}>",
                          " 15 <1a+{15}><2a+{15}><1b+{15}><2b+{15}>    <1B+{15}><2B+{15}>",
                          " 16 <1a+{16}><2a+{16}><1b+{16}><2b+{16}>    <1B+{16}><2B+{16}>",
                          " 17 <1a+{17}><2a+{17}><1b+{17}><2b+{17}>    <1B+{17}><2B+{17}>",
                          " 18 <1a+{18}><2a+{18}><1b+{18}><2b+{18}>    <1B+{18}><2B+{18}>",
                          " 19 <1a+{19}><2a+{19}><1b+{19}><2b+{19}>    <1B+{19}><2B+{19}>",
                          " 20 <1a+{20}><2a+{20}><1b+{20}><2b+{20}>    <1B+{20}><2B+{20}>",
                          " 21 <1a+{21}><2a+{21}><1b+{21}><2b+{21}>    <1B+{21}><2B+{21}>",
                          " 22 <1a+{22}><2a+{22}><1b+{22}><2b+{22}>    <1B+{22}><2B+{22}>",
                          " 23 <1a+{23}><2a+{23}><1b+{23}><2b+{23}>    <1B+{23}><2B+{23}>",
                          " 24 <1a+{24}><2a+{24}><1b+{24}><2b+{24}>    <1B+{24}><2B+{24}>",
                          " 25 <1a+{25}><2a+{25}><1b+{25}><2b+{25}>    <1B+{25}><2B+{25}>",
                          " 26 <1a+{26}><2a+{26}><1b+{26}><2b+{26}>    <1B+{26}><2B+{26}>",
                          " 27 <1a+{27}><2a+{27}><1b+{27}><2b+{27}>    <1B+{27}><2B+{27}>",
                          " 28 <1a+{28}><2a+{28}><1b+{28}><2b+{28}>    <1B+{28}><2B+{28}>",
                          " 29 <1a+{29}><2a+{29}><1b+{29}><2b+{29}>    <1B+{29}><2B+{29}>",
                          " 30 <1a+{30}><2a+{30}><1b+{30}><2b+{30}>    <1B+{30}><2B+{30}>",
                          " 31 <1a+{31}><2a+{31}><1b+{31}><2b+{31}>    <1B+{31}><2B+{31}>",
                          " 32 <1a+{32}><2a+{32}><1b+{32}><2b+{32}>    <1B+{32}><2B+{32}>",
                          " 33 <1a+{33}><2a+{33}><1b+{33}><2b+{33}>    <1B+{33}><2B+{33}>",
                          " 34 <1a+{34}><2a+{34}><1b+{34}><2b+{34}>    <1B+{34}><2B+{34}>",
                          " 35 <1a+{35}><2a+{35}><1b+{35}><2b+{35}>    <1B+{35}><2B+{35}>",
                          " 36 <1a+{36}><2a+{36}><1b+{36}><2b+{36}>    <1B+{36}><2B+{36}>",
                          " 37 <1a+{37}><2a+{37}><1b+{37}><2b+{37}>    <1B+{37}><2B+{37}>",
                          " 38 <1a+{38}><2a+{38}><1b+{38}><2b+{38}>    <1B+{38}><2B+{38}>",
                          " 39 <1a+{39}><2a+{39}><1b+{39}><2b+{39}>    <1B+{39}><2B+{39}>",
                          " 40 <1a+{40}><2a+{40}><1b+{40}><2b+{40}>    <1B+{40}><2B+{40}>",
                          " 41 <1a+{41}><2a+{41}><1b+{41}><2b+{41}>    <1B+{41}><2B+{41}>",
                          " 42 <1a+{42}><2a+{42}><1b+{42}><2b+{42}>    <1B+{42}><2B+{42}>",
                          " 43 <1a+{43}><2a+{43}><1b+{43}><2b+{43}>    <1B+{43}><2B+{43}>",
                          " 44 <1a+{44}><2a+{44}><1b+{44}><2b+{44}>    <1B+{44}><2B+{44}>",
                          " 45 <1a+{45}><2a+{45}><1b+{45}><2b+{45}>    <1B+{45}><2B+{45}>",
                          " 46 <1a+{46}><2a+{46}><1b+{46}><2b+{46}>    <1B+{46}><2B+{46}>",
                          " 47 <1a+{47}><2a+{47}><1b+{47}><2b+{47}>    <1B+{47}><2B+{47}>",
                          " 48 <1a+{48}><2a+{48}><1b+{48}><2b+{48}>    <1B+{48}><2B+{48}>",
                          " 49 <1a+{49}><2a+{49}><1b+{49}><2b+{49}>    <1B+{49}><2B+{49}>",
                          " 50 <1a+{50}><2a+{50}><1b+{50}><2b+{50}>    <1B+{50}><2B+{50}>",
                          " 51 <1a+{51}><2a+{51}><1b+{51}><2b+{51}>    <1B+{51}><2B+{51}>",
                          " 52 <1a+{52}><2a+{52}><1b+{52}><2b+{52}>    <1B+{52}><2B+{52}>",
                          " 53 <1a+{53}><2a+{53}><1b+{53}><2b+{53}>    <1B+{53}><2B+{53}>",
                          " 54 <1a+{54}><2a+{54}><1b+{54}><2b+{54}>    <1B+{54}><2B+{54}>",
                          " 55 <1a+{55}><2a+{55}><1b+{55}><2b+{55}>    <1B+{55}><2B+{55}>",
                          " 56 <1a+{56}><2a+{56}><1b+{56}><2b+{56}>    <1B+{56}><2B+{56}>",
                          " 57 <1a+{57}><2a+{57}><1b+{57}><2b+{57}>    <1B+{57}><2B+{57}>",
                          " 58 <1a+{58}><2a+{58}><1b+{58}><2b+{58}>    <1B+{58}><2B+{58}>",
                          " 59 <1a+{59}><2a+{59}><1b+{59}><2b+{59}>    <1B+{59}><2B+{59}>",
                          " 60 <1a+{60}><2a+{60}><1b+{60}><2b+{60}>    <1B+{60}><2B+{60}>",
                          " 61 <1a+{61}><2a+{61}><1b+{61}><2b+{61}>    <1B+{61}><2B+{61}>",
                          " 62 <1a+{62}><2a+{62}><1b+{62}><2b+{62}>    <1B+{62}><2B+{62}>",
                          " 63 <1a+{63}><2a+{63}><1b+{63}><2b+{63}>    <1B+{63}><2B+{63}>"};

      strcpy(line, template[0]);
         memset(line + 11, (int) ' ', 27);
         sprintf(segmentValue, "%s.%6.6lu", stringDate1996(matrix.Second1996), matrix.microsecond);
         memcpy(line + 11, segmentValue, strlen(segmentValue));
         memset(line + 40, (int) ' ', 23);
         sprintf(segmentValue, "S/C Clock: %10.10lu", matrix.ClockCycle);
         memcpy(line + 40, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[1]);
         printf("%s\n", line);
      strcpy(line, template[2]);
         printf("%s\n", line);
      strcpy(line, template[3]);
         printf("%s\n", line);
      strcpy(line, template[4]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[0], matrix.QualityM1aGndFineDac[0]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[0], matrix.QualityM2aGndFineDac[0]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[0], matrix.QualityM1bGndFineDac[0]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[0], matrix.QualityM2bGndFineDac[0]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[0], matrix.QualityM1bGndOffset[0]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[0], matrix.QualityM2bGndOffset[0]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[5]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[1], matrix.QualityM1aGndFineDac[1]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[1], matrix.QualityM2aGndFineDac[1]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[1], matrix.QualityM1bGndFineDac[1]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[1], matrix.QualityM2bGndFineDac[1]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[1], matrix.QualityM1bGndOffset[1]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[1], matrix.QualityM2bGndOffset[1]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[6]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[2], matrix.QualityM1aGndFineDac[2]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[2], matrix.QualityM2aGndFineDac[2]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[2], matrix.QualityM1bGndFineDac[2]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[2], matrix.QualityM2bGndFineDac[2]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[2], matrix.QualityM1bGndOffset[2]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[2], matrix.QualityM2bGndOffset[2]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[7]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[3], matrix.QualityM1aGndFineDac[3]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[3], matrix.QualityM2aGndFineDac[3]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[3], matrix.QualityM1bGndFineDac[3]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[3], matrix.QualityM2bGndFineDac[3]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[3], matrix.QualityM1bGndOffset[3]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[3], matrix.QualityM2bGndOffset[3]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[8]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[4], matrix.QualityM1aGndFineDac[4]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[4], matrix.QualityM2aGndFineDac[4]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[4], matrix.QualityM1bGndFineDac[4]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[4], matrix.QualityM2bGndFineDac[4]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[4], matrix.QualityM1bGndOffset[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[4], matrix.QualityM2bGndOffset[4]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[9]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[5], matrix.QualityM1aGndFineDac[5]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[5], matrix.QualityM2aGndFineDac[5]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[5], matrix.QualityM1bGndFineDac[5]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[5], matrix.QualityM2bGndFineDac[5]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[5], matrix.QualityM1bGndOffset[5]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[5], matrix.QualityM2bGndOffset[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[10]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[6], matrix.QualityM1aGndFineDac[6]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[6], matrix.QualityM2aGndFineDac[6]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[6], matrix.QualityM1bGndFineDac[6]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[6], matrix.QualityM2bGndFineDac[6]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[6], matrix.QualityM1bGndOffset[6]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[6], matrix.QualityM2bGndOffset[6]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[11]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[7], matrix.QualityM1aGndFineDac[7]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[7], matrix.QualityM2aGndFineDac[7]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[7], matrix.QualityM1bGndFineDac[7]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[7], matrix.QualityM2bGndFineDac[7]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[7], matrix.QualityM1bGndOffset[7]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[7], matrix.QualityM2bGndOffset[7]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[12]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[8], matrix.QualityM1aGndFineDac[8]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[8], matrix.QualityM2aGndFineDac[8]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[8], matrix.QualityM1bGndFineDac[8]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[8], matrix.QualityM2bGndFineDac[8]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[8], matrix.QualityM1bGndOffset[8]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[8], matrix.QualityM2bGndOffset[8]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[13]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[9], matrix.QualityM1aGndFineDac[9]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[9], matrix.QualityM2aGndFineDac[9]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[9], matrix.QualityM1bGndFineDac[9]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[9], matrix.QualityM2bGndFineDac[9]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[9], matrix.QualityM1bGndOffset[9]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[9], matrix.QualityM2bGndOffset[9]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[14]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[10], matrix.QualityM1aGndFineDac[10]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[10], matrix.QualityM2aGndFineDac[10]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[10], matrix.QualityM1bGndFineDac[10]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[10], matrix.QualityM2bGndFineDac[10]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[10], matrix.QualityM1bGndOffset[10]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[10], matrix.QualityM2bGndOffset[10]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[15]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[11], matrix.QualityM1aGndFineDac[11]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[11], matrix.QualityM2aGndFineDac[11]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[11], matrix.QualityM1bGndFineDac[11]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[11], matrix.QualityM2bGndFineDac[11]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[11], matrix.QualityM1bGndOffset[11]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[11], matrix.QualityM2bGndOffset[11]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[16]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[12], matrix.QualityM1aGndFineDac[12]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[12], matrix.QualityM2aGndFineDac[12]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[12], matrix.QualityM1bGndFineDac[12]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[12], matrix.QualityM2bGndFineDac[12]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[12], matrix.QualityM1bGndOffset[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[12], matrix.QualityM2bGndOffset[12]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[17]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[13], matrix.QualityM1aGndFineDac[13]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[13], matrix.QualityM2aGndFineDac[13]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[13], matrix.QualityM1bGndFineDac[13]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[13], matrix.QualityM2bGndFineDac[13]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[13], matrix.QualityM1bGndOffset[13]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[13], matrix.QualityM2bGndOffset[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[18]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[14], matrix.QualityM1aGndFineDac[14]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[14], matrix.QualityM2aGndFineDac[14]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[14], matrix.QualityM1bGndFineDac[14]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[14], matrix.QualityM2bGndFineDac[14]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[14], matrix.QualityM1bGndOffset[14]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[14], matrix.QualityM2bGndOffset[14]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[19]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[15], matrix.QualityM1aGndFineDac[15]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[15], matrix.QualityM2aGndFineDac[15]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[15], matrix.QualityM1bGndFineDac[15]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[15], matrix.QualityM2bGndFineDac[15]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[15], matrix.QualityM1bGndOffset[15]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[15], matrix.QualityM2bGndOffset[15]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[20]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[16], matrix.QualityM1aGndFineDac[16]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[16], matrix.QualityM2aGndFineDac[16]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[16], matrix.QualityM1bGndFineDac[16]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[16], matrix.QualityM2bGndFineDac[16]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[16], matrix.QualityM1bGndOffset[16]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[16], matrix.QualityM2bGndOffset[16]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[21]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[17], matrix.QualityM1aGndFineDac[17]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[17], matrix.QualityM2aGndFineDac[17]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[17], matrix.QualityM1bGndFineDac[17]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[17], matrix.QualityM2bGndFineDac[17]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[17], matrix.QualityM1bGndOffset[17]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[17], matrix.QualityM2bGndOffset[17]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[22]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[18], matrix.QualityM1aGndFineDac[18]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[18], matrix.QualityM2aGndFineDac[18]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[18], matrix.QualityM1bGndFineDac[18]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[18], matrix.QualityM2bGndFineDac[18]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[18], matrix.QualityM1bGndOffset[18]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[18], matrix.QualityM2bGndOffset[18]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[23]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[19], matrix.QualityM1aGndFineDac[19]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[19], matrix.QualityM2aGndFineDac[19]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[19], matrix.QualityM1bGndFineDac[19]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[19], matrix.QualityM2bGndFineDac[19]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[19], matrix.QualityM1bGndOffset[19]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[19], matrix.QualityM2bGndOffset[19]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[24]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[20], matrix.QualityM1aGndFineDac[20]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[20], matrix.QualityM2aGndFineDac[20]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[20], matrix.QualityM1bGndFineDac[20]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[20], matrix.QualityM2bGndFineDac[20]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[20], matrix.QualityM1bGndOffset[20]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[20], matrix.QualityM2bGndOffset[20]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[25]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[21], matrix.QualityM1aGndFineDac[21]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[21], matrix.QualityM2aGndFineDac[21]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[21], matrix.QualityM1bGndFineDac[21]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[21], matrix.QualityM2bGndFineDac[21]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[21], matrix.QualityM1bGndOffset[21]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[21], matrix.QualityM2bGndOffset[21]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[26]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[22], matrix.QualityM1aGndFineDac[22]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[22], matrix.QualityM2aGndFineDac[22]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[22], matrix.QualityM1bGndFineDac[22]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[22], matrix.QualityM2bGndFineDac[22]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[22], matrix.QualityM1bGndOffset[22]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[22], matrix.QualityM2bGndOffset[22]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[27]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[23], matrix.QualityM1aGndFineDac[23]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[23], matrix.QualityM2aGndFineDac[23]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[23], matrix.QualityM1bGndFineDac[23]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[23], matrix.QualityM2bGndFineDac[23]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[23], matrix.QualityM1bGndOffset[23]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[23], matrix.QualityM2bGndOffset[23]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[28]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[24], matrix.QualityM1aGndFineDac[24]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[24], matrix.QualityM2aGndFineDac[24]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[24], matrix.QualityM1bGndFineDac[24]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[24], matrix.QualityM2bGndFineDac[24]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[24], matrix.QualityM1bGndOffset[24]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[24], matrix.QualityM2bGndOffset[24]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[29]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[25], matrix.QualityM1aGndFineDac[25]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[25], matrix.QualityM2aGndFineDac[25]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[25], matrix.QualityM1bGndFineDac[25]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[25], matrix.QualityM2bGndFineDac[25]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[25], matrix.QualityM1bGndOffset[25]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[25], matrix.QualityM2bGndOffset[25]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[30]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[26], matrix.QualityM1aGndFineDac[26]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[26], matrix.QualityM2aGndFineDac[26]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[26], matrix.QualityM1bGndFineDac[26]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[26], matrix.QualityM2bGndFineDac[26]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[26], matrix.QualityM1bGndOffset[26]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[26], matrix.QualityM2bGndOffset[26]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[31]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[27], matrix.QualityM1aGndFineDac[27]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[27], matrix.QualityM2aGndFineDac[27]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[27], matrix.QualityM1bGndFineDac[27]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[27], matrix.QualityM2bGndFineDac[27]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[27], matrix.QualityM1bGndOffset[27]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[27], matrix.QualityM2bGndOffset[27]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[32]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[28], matrix.QualityM1aGndFineDac[28]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[28], matrix.QualityM2aGndFineDac[28]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[28], matrix.QualityM1bGndFineDac[28]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[28], matrix.QualityM2bGndFineDac[28]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[28], matrix.QualityM1bGndOffset[28]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[28], matrix.QualityM2bGndOffset[28]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[33]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[29], matrix.QualityM1aGndFineDac[29]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[29], matrix.QualityM2aGndFineDac[29]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[29], matrix.QualityM1bGndFineDac[29]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[29], matrix.QualityM2bGndFineDac[29]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[29], matrix.QualityM1bGndOffset[29]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[29], matrix.QualityM2bGndOffset[29]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[34]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[30], matrix.QualityM1aGndFineDac[30]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[30], matrix.QualityM2aGndFineDac[30]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[30], matrix.QualityM1bGndFineDac[30]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[30], matrix.QualityM2bGndFineDac[30]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[30], matrix.QualityM1bGndOffset[30]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[30], matrix.QualityM2bGndOffset[30]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[35]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[31], matrix.QualityM1aGndFineDac[31]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[31], matrix.QualityM2aGndFineDac[31]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[31], matrix.QualityM1bGndFineDac[31]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[31], matrix.QualityM2bGndFineDac[31]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[31], matrix.QualityM1bGndOffset[31]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[31], matrix.QualityM2bGndOffset[31]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[36]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[32], matrix.QualityM1aGndFineDac[32]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[32], matrix.QualityM2aGndFineDac[32]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[32], matrix.QualityM1bGndFineDac[32]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[32], matrix.QualityM2bGndFineDac[32]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[32], matrix.QualityM1bGndOffset[32]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[32], matrix.QualityM2bGndOffset[32]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[37]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[33], matrix.QualityM1aGndFineDac[33]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[33], matrix.QualityM2aGndFineDac[33]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[33], matrix.QualityM1bGndFineDac[33]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[33], matrix.QualityM2bGndFineDac[33]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[33], matrix.QualityM1bGndOffset[33]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[33], matrix.QualityM2bGndOffset[33]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[38]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[34], matrix.QualityM1aGndFineDac[34]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[34], matrix.QualityM2aGndFineDac[34]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[34], matrix.QualityM1bGndFineDac[34]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[34], matrix.QualityM2bGndFineDac[34]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[34], matrix.QualityM1bGndOffset[34]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[34], matrix.QualityM2bGndOffset[34]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[39]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[35], matrix.QualityM1aGndFineDac[35]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[35], matrix.QualityM2aGndFineDac[35]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[35], matrix.QualityM1bGndFineDac[35]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[35], matrix.QualityM2bGndFineDac[35]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[35], matrix.QualityM1bGndOffset[35]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[35], matrix.QualityM2bGndOffset[35]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[40]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[36], matrix.QualityM1aGndFineDac[36]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[36], matrix.QualityM2aGndFineDac[36]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[36], matrix.QualityM1bGndFineDac[36]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[36], matrix.QualityM2bGndFineDac[36]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[36], matrix.QualityM1bGndOffset[36]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[36], matrix.QualityM2bGndOffset[36]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[41]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[37], matrix.QualityM1aGndFineDac[37]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[37], matrix.QualityM2aGndFineDac[37]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[37], matrix.QualityM1bGndFineDac[37]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[37], matrix.QualityM2bGndFineDac[37]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[37], matrix.QualityM1bGndOffset[37]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[37], matrix.QualityM2bGndOffset[37]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[42]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[38], matrix.QualityM1aGndFineDac[38]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[38], matrix.QualityM2aGndFineDac[38]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[38], matrix.QualityM1bGndFineDac[38]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[38], matrix.QualityM2bGndFineDac[38]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[38], matrix.QualityM1bGndOffset[38]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[38], matrix.QualityM2bGndOffset[38]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[43]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[39], matrix.QualityM1aGndFineDac[39]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[39], matrix.QualityM2aGndFineDac[39]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[39], matrix.QualityM1bGndFineDac[39]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[39], matrix.QualityM2bGndFineDac[39]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[39], matrix.QualityM1bGndOffset[39]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[39], matrix.QualityM2bGndOffset[39]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[44]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[40], matrix.QualityM1aGndFineDac[40]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[40], matrix.QualityM2aGndFineDac[40]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[40], matrix.QualityM1bGndFineDac[40]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[40], matrix.QualityM2bGndFineDac[40]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[40], matrix.QualityM1bGndOffset[40]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[40], matrix.QualityM2bGndOffset[40]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[45]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[41], matrix.QualityM1aGndFineDac[41]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[41], matrix.QualityM2aGndFineDac[41]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[41], matrix.QualityM1bGndFineDac[41]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[41], matrix.QualityM2bGndFineDac[41]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[41], matrix.QualityM1bGndOffset[41]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[41], matrix.QualityM2bGndOffset[41]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[46]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[42], matrix.QualityM1aGndFineDac[42]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[42], matrix.QualityM2aGndFineDac[42]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[42], matrix.QualityM1bGndFineDac[42]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[42], matrix.QualityM2bGndFineDac[42]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[42], matrix.QualityM1bGndOffset[42]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[42], matrix.QualityM2bGndOffset[42]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[47]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[43], matrix.QualityM1aGndFineDac[43]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[43], matrix.QualityM2aGndFineDac[43]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[43], matrix.QualityM1bGndFineDac[43]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[43], matrix.QualityM2bGndFineDac[43]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[43], matrix.QualityM1bGndOffset[43]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[43], matrix.QualityM2bGndOffset[43]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[48]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[44], matrix.QualityM1aGndFineDac[44]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[44], matrix.QualityM2aGndFineDac[44]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[44], matrix.QualityM1bGndFineDac[44]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[44], matrix.QualityM2bGndFineDac[44]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[44], matrix.QualityM1bGndOffset[44]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[44], matrix.QualityM2bGndOffset[44]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[49]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[45], matrix.QualityM1aGndFineDac[45]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[45], matrix.QualityM2aGndFineDac[45]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[45], matrix.QualityM1bGndFineDac[45]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[45], matrix.QualityM2bGndFineDac[45]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[45], matrix.QualityM1bGndOffset[45]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[45], matrix.QualityM2bGndOffset[45]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[50]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[46], matrix.QualityM1aGndFineDac[46]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[46], matrix.QualityM2aGndFineDac[46]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[46], matrix.QualityM1bGndFineDac[46]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[46], matrix.QualityM2bGndFineDac[46]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[46], matrix.QualityM1bGndOffset[46]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[46], matrix.QualityM2bGndOffset[46]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[51]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[47], matrix.QualityM1aGndFineDac[47]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[47], matrix.QualityM2aGndFineDac[47]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[47], matrix.QualityM1bGndFineDac[47]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[47], matrix.QualityM2bGndFineDac[47]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[47], matrix.QualityM1bGndOffset[47]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[47], matrix.QualityM2bGndOffset[47]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[52]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[48], matrix.QualityM1aGndFineDac[48]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[48], matrix.QualityM2aGndFineDac[48]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[48], matrix.QualityM1bGndFineDac[48]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[48], matrix.QualityM2bGndFineDac[48]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[48], matrix.QualityM1bGndOffset[48]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[48], matrix.QualityM2bGndOffset[48]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[53]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[49], matrix.QualityM1aGndFineDac[49]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[49], matrix.QualityM2aGndFineDac[49]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[49], matrix.QualityM1bGndFineDac[49]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[49], matrix.QualityM2bGndFineDac[49]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[49], matrix.QualityM1bGndOffset[49]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[49], matrix.QualityM2bGndOffset[49]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[54]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[50], matrix.QualityM1aGndFineDac[50]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[50], matrix.QualityM2aGndFineDac[50]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[50], matrix.QualityM1bGndFineDac[50]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[50], matrix.QualityM2bGndFineDac[50]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[50], matrix.QualityM1bGndOffset[50]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[50], matrix.QualityM2bGndOffset[50]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[55]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[51], matrix.QualityM1aGndFineDac[51]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[51], matrix.QualityM2aGndFineDac[51]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[51], matrix.QualityM1bGndFineDac[51]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[51], matrix.QualityM2bGndFineDac[51]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[51], matrix.QualityM1bGndOffset[51]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[51], matrix.QualityM2bGndOffset[51]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[56]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[52], matrix.QualityM1aGndFineDac[52]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[52], matrix.QualityM2aGndFineDac[52]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[52], matrix.QualityM1bGndFineDac[52]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[52], matrix.QualityM2bGndFineDac[52]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[52], matrix.QualityM1bGndOffset[52]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[52], matrix.QualityM2bGndOffset[52]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[57]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[53], matrix.QualityM1aGndFineDac[53]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[53], matrix.QualityM2aGndFineDac[53]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[53], matrix.QualityM1bGndFineDac[53]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[53], matrix.QualityM2bGndFineDac[53]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[53], matrix.QualityM1bGndOffset[53]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[53], matrix.QualityM2bGndOffset[53]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[58]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[54], matrix.QualityM1aGndFineDac[54]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[54], matrix.QualityM2aGndFineDac[54]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[54], matrix.QualityM1bGndFineDac[54]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[54], matrix.QualityM2bGndFineDac[54]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[54], matrix.QualityM1bGndOffset[54]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[54], matrix.QualityM2bGndOffset[54]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[59]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[55], matrix.QualityM1aGndFineDac[55]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[55], matrix.QualityM2aGndFineDac[55]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[55], matrix.QualityM1bGndFineDac[55]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[55], matrix.QualityM2bGndFineDac[55]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[55], matrix.QualityM1bGndOffset[55]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[55], matrix.QualityM2bGndOffset[55]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[60]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[56], matrix.QualityM1aGndFineDac[56]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[56], matrix.QualityM2aGndFineDac[56]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[56], matrix.QualityM1bGndFineDac[56]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[56], matrix.QualityM2bGndFineDac[56]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[56], matrix.QualityM1bGndOffset[56]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[56], matrix.QualityM2bGndOffset[56]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[61]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[57], matrix.QualityM1aGndFineDac[57]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[57], matrix.QualityM2aGndFineDac[57]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[57], matrix.QualityM1bGndFineDac[57]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[57], matrix.QualityM2bGndFineDac[57]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[57], matrix.QualityM1bGndOffset[57]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[57], matrix.QualityM2bGndOffset[57]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[62]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[58], matrix.QualityM1aGndFineDac[58]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[58], matrix.QualityM2aGndFineDac[58]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[58], matrix.QualityM1bGndFineDac[58]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[58], matrix.QualityM2bGndFineDac[58]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[58], matrix.QualityM1bGndOffset[58]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[58], matrix.QualityM2bGndOffset[58]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[63]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[59], matrix.QualityM1aGndFineDac[59]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[59], matrix.QualityM2aGndFineDac[59]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[59], matrix.QualityM1bGndFineDac[59]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[59], matrix.QualityM2bGndFineDac[59]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[59], matrix.QualityM1bGndOffset[59]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[59], matrix.QualityM2bGndOffset[59]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[64]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[60], matrix.QualityM1aGndFineDac[60]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[60], matrix.QualityM2aGndFineDac[60]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[60], matrix.QualityM1bGndFineDac[60]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[60], matrix.QualityM2bGndFineDac[60]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[60], matrix.QualityM1bGndOffset[60]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[60], matrix.QualityM2bGndOffset[60]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[65]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[61], matrix.QualityM1aGndFineDac[61]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[61], matrix.QualityM2aGndFineDac[61]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[61], matrix.QualityM1bGndFineDac[61]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[61], matrix.QualityM2bGndFineDac[61]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[61], matrix.QualityM1bGndOffset[61]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[61], matrix.QualityM2bGndOffset[61]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[66]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[62], matrix.QualityM1aGndFineDac[62]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[62], matrix.QualityM2aGndFineDac[62]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[62], matrix.QualityM1bGndFineDac[62]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[62], matrix.QualityM2bGndFineDac[62]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[62], matrix.QualityM1bGndOffset[62]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[62], matrix.QualityM2bGndOffset[62]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[67]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aGndFineDac[63], matrix.QualityM1aGndFineDac[63]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aGndFineDac[63], matrix.QualityM2aGndFineDac[63]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndFineDac[63], matrix.QualityM1bGndFineDac[63]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndFineDac[63], matrix.QualityM2bGndFineDac[63]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bGndOffset[63], matrix.QualityM1bGndOffset[63]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bGndOffset[63], matrix.QualityM2bGndOffset[63]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[68]);
         printf("%s\n", line);
      strcpy(line, template[69]);
         printf("%s\n", line);
      strcpy(line, template[70]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[0], matrix.QualityM1aHvFineDac[0]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[0], matrix.QualityM2aHvFineDac[0]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[0], matrix.QualityM1bHvFineDac[0]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[0], matrix.QualityM2bHvFineDac[0]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[0], matrix.QualityM1bHvOffset[0]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[0], matrix.QualityM2bHvOffset[0]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[71]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[1], matrix.QualityM1aHvFineDac[1]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[1], matrix.QualityM2aHvFineDac[1]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[1], matrix.QualityM1bHvFineDac[1]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[1], matrix.QualityM2bHvFineDac[1]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[1], matrix.QualityM1bHvOffset[1]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[1], matrix.QualityM2bHvOffset[1]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[72]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[2], matrix.QualityM1aHvFineDac[2]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[2], matrix.QualityM2aHvFineDac[2]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[2], matrix.QualityM1bHvFineDac[2]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[2], matrix.QualityM2bHvFineDac[2]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[2], matrix.QualityM1bHvOffset[2]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[2], matrix.QualityM2bHvOffset[2]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[73]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[3], matrix.QualityM1aHvFineDac[3]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[3], matrix.QualityM2aHvFineDac[3]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[3], matrix.QualityM1bHvFineDac[3]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[3], matrix.QualityM2bHvFineDac[3]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[3], matrix.QualityM1bHvOffset[3]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[3], matrix.QualityM2bHvOffset[3]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[74]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[4], matrix.QualityM1aHvFineDac[4]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[4], matrix.QualityM2aHvFineDac[4]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[4], matrix.QualityM1bHvFineDac[4]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[4], matrix.QualityM2bHvFineDac[4]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[4], matrix.QualityM1bHvOffset[4]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[4], matrix.QualityM2bHvOffset[4]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[75]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[5], matrix.QualityM1aHvFineDac[5]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[5], matrix.QualityM2aHvFineDac[5]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[5], matrix.QualityM1bHvFineDac[5]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[5], matrix.QualityM2bHvFineDac[5]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[5], matrix.QualityM1bHvOffset[5]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[5], matrix.QualityM2bHvOffset[5]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[76]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[6], matrix.QualityM1aHvFineDac[6]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[6], matrix.QualityM2aHvFineDac[6]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[6], matrix.QualityM1bHvFineDac[6]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[6], matrix.QualityM2bHvFineDac[6]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[6], matrix.QualityM1bHvOffset[6]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[6], matrix.QualityM2bHvOffset[6]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[77]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[7], matrix.QualityM1aHvFineDac[7]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[7], matrix.QualityM2aHvFineDac[7]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[7], matrix.QualityM1bHvFineDac[7]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[7], matrix.QualityM2bHvFineDac[7]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[7], matrix.QualityM1bHvOffset[7]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[7], matrix.QualityM2bHvOffset[7]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[78]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[8], matrix.QualityM1aHvFineDac[8]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[8], matrix.QualityM2aHvFineDac[8]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[8], matrix.QualityM1bHvFineDac[8]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[8], matrix.QualityM2bHvFineDac[8]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[8], matrix.QualityM1bHvOffset[8]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[8], matrix.QualityM2bHvOffset[8]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[79]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[9], matrix.QualityM1aHvFineDac[9]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[9], matrix.QualityM2aHvFineDac[9]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[9], matrix.QualityM1bHvFineDac[9]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[9], matrix.QualityM2bHvFineDac[9]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[9], matrix.QualityM1bHvOffset[9]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[9], matrix.QualityM2bHvOffset[9]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[80]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[10], matrix.QualityM1aHvFineDac[10]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[10], matrix.QualityM2aHvFineDac[10]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[10], matrix.QualityM1bHvFineDac[10]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[10], matrix.QualityM2bHvFineDac[10]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[10], matrix.QualityM1bHvOffset[10]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[10], matrix.QualityM2bHvOffset[10]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[81]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[11], matrix.QualityM1aHvFineDac[11]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[11], matrix.QualityM2aHvFineDac[11]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[11], matrix.QualityM1bHvFineDac[11]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[11], matrix.QualityM2bHvFineDac[11]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[11], matrix.QualityM1bHvOffset[11]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[11], matrix.QualityM2bHvOffset[11]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[82]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[12], matrix.QualityM1aHvFineDac[12]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[12], matrix.QualityM2aHvFineDac[12]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[12], matrix.QualityM1bHvFineDac[12]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[12], matrix.QualityM2bHvFineDac[12]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[12], matrix.QualityM1bHvOffset[12]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[12], matrix.QualityM2bHvOffset[12]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[83]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[13], matrix.QualityM1aHvFineDac[13]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[13], matrix.QualityM2aHvFineDac[13]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[13], matrix.QualityM1bHvFineDac[13]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[13], matrix.QualityM2bHvFineDac[13]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[13], matrix.QualityM1bHvOffset[13]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[13], matrix.QualityM2bHvOffset[13]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[84]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[14], matrix.QualityM1aHvFineDac[14]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[14], matrix.QualityM2aHvFineDac[14]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[14], matrix.QualityM1bHvFineDac[14]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[14], matrix.QualityM2bHvFineDac[14]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[14], matrix.QualityM1bHvOffset[14]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[14], matrix.QualityM2bHvOffset[14]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[85]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[15], matrix.QualityM1aHvFineDac[15]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[15], matrix.QualityM2aHvFineDac[15]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[15], matrix.QualityM1bHvFineDac[15]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[15], matrix.QualityM2bHvFineDac[15]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[15], matrix.QualityM1bHvOffset[15]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[15], matrix.QualityM2bHvOffset[15]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[86]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[16], matrix.QualityM1aHvFineDac[16]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[16], matrix.QualityM2aHvFineDac[16]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[16], matrix.QualityM1bHvFineDac[16]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[16], matrix.QualityM2bHvFineDac[16]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[16], matrix.QualityM1bHvOffset[16]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[16], matrix.QualityM2bHvOffset[16]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[87]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[17], matrix.QualityM1aHvFineDac[17]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[17], matrix.QualityM2aHvFineDac[17]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[17], matrix.QualityM1bHvFineDac[17]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[17], matrix.QualityM2bHvFineDac[17]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[17], matrix.QualityM1bHvOffset[17]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[17], matrix.QualityM2bHvOffset[17]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[88]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[18], matrix.QualityM1aHvFineDac[18]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[18], matrix.QualityM2aHvFineDac[18]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[18], matrix.QualityM1bHvFineDac[18]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[18], matrix.QualityM2bHvFineDac[18]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[18], matrix.QualityM1bHvOffset[18]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[18], matrix.QualityM2bHvOffset[18]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[89]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[19], matrix.QualityM1aHvFineDac[19]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[19], matrix.QualityM2aHvFineDac[19]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[19], matrix.QualityM1bHvFineDac[19]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[19], matrix.QualityM2bHvFineDac[19]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[19], matrix.QualityM1bHvOffset[19]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[19], matrix.QualityM2bHvOffset[19]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[90]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[20], matrix.QualityM1aHvFineDac[20]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[20], matrix.QualityM2aHvFineDac[20]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[20], matrix.QualityM1bHvFineDac[20]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[20], matrix.QualityM2bHvFineDac[20]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[20], matrix.QualityM1bHvOffset[20]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[20], matrix.QualityM2bHvOffset[20]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[91]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[21], matrix.QualityM1aHvFineDac[21]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[21], matrix.QualityM2aHvFineDac[21]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[21], matrix.QualityM1bHvFineDac[21]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[21], matrix.QualityM2bHvFineDac[21]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[21], matrix.QualityM1bHvOffset[21]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[21], matrix.QualityM2bHvOffset[21]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[92]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[22], matrix.QualityM1aHvFineDac[22]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[22], matrix.QualityM2aHvFineDac[22]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[22], matrix.QualityM1bHvFineDac[22]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[22], matrix.QualityM2bHvFineDac[22]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[22], matrix.QualityM1bHvOffset[22]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[22], matrix.QualityM2bHvOffset[22]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[93]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[23], matrix.QualityM1aHvFineDac[23]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[23], matrix.QualityM2aHvFineDac[23]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[23], matrix.QualityM1bHvFineDac[23]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[23], matrix.QualityM2bHvFineDac[23]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[23], matrix.QualityM1bHvOffset[23]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[23], matrix.QualityM2bHvOffset[23]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[94]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[24], matrix.QualityM1aHvFineDac[24]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[24], matrix.QualityM2aHvFineDac[24]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[24], matrix.QualityM1bHvFineDac[24]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[24], matrix.QualityM2bHvFineDac[24]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[24], matrix.QualityM1bHvOffset[24]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[24], matrix.QualityM2bHvOffset[24]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[95]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[25], matrix.QualityM1aHvFineDac[25]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[25], matrix.QualityM2aHvFineDac[25]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[25], matrix.QualityM1bHvFineDac[25]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[25], matrix.QualityM2bHvFineDac[25]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[25], matrix.QualityM1bHvOffset[25]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[25], matrix.QualityM2bHvOffset[25]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[96]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[26], matrix.QualityM1aHvFineDac[26]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[26], matrix.QualityM2aHvFineDac[26]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[26], matrix.QualityM1bHvFineDac[26]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[26], matrix.QualityM2bHvFineDac[26]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[26], matrix.QualityM1bHvOffset[26]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[26], matrix.QualityM2bHvOffset[26]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[97]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[27], matrix.QualityM1aHvFineDac[27]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[27], matrix.QualityM2aHvFineDac[27]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[27], matrix.QualityM1bHvFineDac[27]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[27], matrix.QualityM2bHvFineDac[27]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[27], matrix.QualityM1bHvOffset[27]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[27], matrix.QualityM2bHvOffset[27]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[98]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[28], matrix.QualityM1aHvFineDac[28]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[28], matrix.QualityM2aHvFineDac[28]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[28], matrix.QualityM1bHvFineDac[28]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[28], matrix.QualityM2bHvFineDac[28]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[28], matrix.QualityM1bHvOffset[28]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[28], matrix.QualityM2bHvOffset[28]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[99]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[29], matrix.QualityM1aHvFineDac[29]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[29], matrix.QualityM2aHvFineDac[29]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[29], matrix.QualityM1bHvFineDac[29]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[29], matrix.QualityM2bHvFineDac[29]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[29], matrix.QualityM1bHvOffset[29]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[29], matrix.QualityM2bHvOffset[29]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[100]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[30], matrix.QualityM1aHvFineDac[30]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[30], matrix.QualityM2aHvFineDac[30]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[30], matrix.QualityM1bHvFineDac[30]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[30], matrix.QualityM2bHvFineDac[30]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[30], matrix.QualityM1bHvOffset[30]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[30], matrix.QualityM2bHvOffset[30]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[101]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[31], matrix.QualityM1aHvFineDac[31]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[31], matrix.QualityM2aHvFineDac[31]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[31], matrix.QualityM1bHvFineDac[31]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[31], matrix.QualityM2bHvFineDac[31]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[31], matrix.QualityM1bHvOffset[31]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[31], matrix.QualityM2bHvOffset[31]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[102]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[32], matrix.QualityM1aHvFineDac[32]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[32], matrix.QualityM2aHvFineDac[32]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[32], matrix.QualityM1bHvFineDac[32]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[32], matrix.QualityM2bHvFineDac[32]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[32], matrix.QualityM1bHvOffset[32]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[32], matrix.QualityM2bHvOffset[32]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[103]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[33], matrix.QualityM1aHvFineDac[33]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[33], matrix.QualityM2aHvFineDac[33]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[33], matrix.QualityM1bHvFineDac[33]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[33], matrix.QualityM2bHvFineDac[33]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[33], matrix.QualityM1bHvOffset[33]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[33], matrix.QualityM2bHvOffset[33]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[104]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[34], matrix.QualityM1aHvFineDac[34]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[34], matrix.QualityM2aHvFineDac[34]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[34], matrix.QualityM1bHvFineDac[34]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[34], matrix.QualityM2bHvFineDac[34]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[34], matrix.QualityM1bHvOffset[34]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[34], matrix.QualityM2bHvOffset[34]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[105]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[35], matrix.QualityM1aHvFineDac[35]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[35], matrix.QualityM2aHvFineDac[35]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[35], matrix.QualityM1bHvFineDac[35]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[35], matrix.QualityM2bHvFineDac[35]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[35], matrix.QualityM1bHvOffset[35]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[35], matrix.QualityM2bHvOffset[35]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[106]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[36], matrix.QualityM1aHvFineDac[36]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[36], matrix.QualityM2aHvFineDac[36]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[36], matrix.QualityM1bHvFineDac[36]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[36], matrix.QualityM2bHvFineDac[36]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[36], matrix.QualityM1bHvOffset[36]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[36], matrix.QualityM2bHvOffset[36]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[107]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[37], matrix.QualityM1aHvFineDac[37]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[37], matrix.QualityM2aHvFineDac[37]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[37], matrix.QualityM1bHvFineDac[37]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[37], matrix.QualityM2bHvFineDac[37]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[37], matrix.QualityM1bHvOffset[37]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[37], matrix.QualityM2bHvOffset[37]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[108]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[38], matrix.QualityM1aHvFineDac[38]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[38], matrix.QualityM2aHvFineDac[38]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[38], matrix.QualityM1bHvFineDac[38]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[38], matrix.QualityM2bHvFineDac[38]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[38], matrix.QualityM1bHvOffset[38]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[38], matrix.QualityM2bHvOffset[38]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[109]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[39], matrix.QualityM1aHvFineDac[39]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[39], matrix.QualityM2aHvFineDac[39]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[39], matrix.QualityM1bHvFineDac[39]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[39], matrix.QualityM2bHvFineDac[39]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[39], matrix.QualityM1bHvOffset[39]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[39], matrix.QualityM2bHvOffset[39]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[110]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[40], matrix.QualityM1aHvFineDac[40]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[40], matrix.QualityM2aHvFineDac[40]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[40], matrix.QualityM1bHvFineDac[40]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[40], matrix.QualityM2bHvFineDac[40]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[40], matrix.QualityM1bHvOffset[40]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[40], matrix.QualityM2bHvOffset[40]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[111]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[41], matrix.QualityM1aHvFineDac[41]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[41], matrix.QualityM2aHvFineDac[41]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[41], matrix.QualityM1bHvFineDac[41]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[41], matrix.QualityM2bHvFineDac[41]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[41], matrix.QualityM1bHvOffset[41]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[41], matrix.QualityM2bHvOffset[41]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[112]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[42], matrix.QualityM1aHvFineDac[42]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[42], matrix.QualityM2aHvFineDac[42]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[42], matrix.QualityM1bHvFineDac[42]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[42], matrix.QualityM2bHvFineDac[42]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[42], matrix.QualityM1bHvOffset[42]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[42], matrix.QualityM2bHvOffset[42]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[113]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[43], matrix.QualityM1aHvFineDac[43]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[43], matrix.QualityM2aHvFineDac[43]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[43], matrix.QualityM1bHvFineDac[43]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[43], matrix.QualityM2bHvFineDac[43]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[43], matrix.QualityM1bHvOffset[43]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[43], matrix.QualityM2bHvOffset[43]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[114]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[44], matrix.QualityM1aHvFineDac[44]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[44], matrix.QualityM2aHvFineDac[44]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[44], matrix.QualityM1bHvFineDac[44]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[44], matrix.QualityM2bHvFineDac[44]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[44], matrix.QualityM1bHvOffset[44]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[44], matrix.QualityM2bHvOffset[44]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[115]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[45], matrix.QualityM1aHvFineDac[45]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[45], matrix.QualityM2aHvFineDac[45]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[45], matrix.QualityM1bHvFineDac[45]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[45], matrix.QualityM2bHvFineDac[45]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[45], matrix.QualityM1bHvOffset[45]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[45], matrix.QualityM2bHvOffset[45]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[116]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[46], matrix.QualityM1aHvFineDac[46]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[46], matrix.QualityM2aHvFineDac[46]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[46], matrix.QualityM1bHvFineDac[46]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[46], matrix.QualityM2bHvFineDac[46]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[46], matrix.QualityM1bHvOffset[46]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[46], matrix.QualityM2bHvOffset[46]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[117]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[47], matrix.QualityM1aHvFineDac[47]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[47], matrix.QualityM2aHvFineDac[47]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[47], matrix.QualityM1bHvFineDac[47]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[47], matrix.QualityM2bHvFineDac[47]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[47], matrix.QualityM1bHvOffset[47]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[47], matrix.QualityM2bHvOffset[47]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[118]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[48], matrix.QualityM1aHvFineDac[48]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[48], matrix.QualityM2aHvFineDac[48]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[48], matrix.QualityM1bHvFineDac[48]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[48], matrix.QualityM2bHvFineDac[48]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[48], matrix.QualityM1bHvOffset[48]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[48], matrix.QualityM2bHvOffset[48]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[119]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[49], matrix.QualityM1aHvFineDac[49]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[49], matrix.QualityM2aHvFineDac[49]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[49], matrix.QualityM1bHvFineDac[49]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[49], matrix.QualityM2bHvFineDac[49]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[49], matrix.QualityM1bHvOffset[49]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[49], matrix.QualityM2bHvOffset[49]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[120]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[50], matrix.QualityM1aHvFineDac[50]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[50], matrix.QualityM2aHvFineDac[50]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[50], matrix.QualityM1bHvFineDac[50]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[50], matrix.QualityM2bHvFineDac[50]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[50], matrix.QualityM1bHvOffset[50]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[50], matrix.QualityM2bHvOffset[50]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[121]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[51], matrix.QualityM1aHvFineDac[51]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[51], matrix.QualityM2aHvFineDac[51]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[51], matrix.QualityM1bHvFineDac[51]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[51], matrix.QualityM2bHvFineDac[51]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[51], matrix.QualityM1bHvOffset[51]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[51], matrix.QualityM2bHvOffset[51]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[122]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[52], matrix.QualityM1aHvFineDac[52]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[52], matrix.QualityM2aHvFineDac[52]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[52], matrix.QualityM1bHvFineDac[52]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[52], matrix.QualityM2bHvFineDac[52]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[52], matrix.QualityM1bHvOffset[52]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[52], matrix.QualityM2bHvOffset[52]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[123]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[53], matrix.QualityM1aHvFineDac[53]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[53], matrix.QualityM2aHvFineDac[53]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[53], matrix.QualityM1bHvFineDac[53]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[53], matrix.QualityM2bHvFineDac[53]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[53], matrix.QualityM1bHvOffset[53]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[53], matrix.QualityM2bHvOffset[53]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[124]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[54], matrix.QualityM1aHvFineDac[54]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[54], matrix.QualityM2aHvFineDac[54]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[54], matrix.QualityM1bHvFineDac[54]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[54], matrix.QualityM2bHvFineDac[54]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[54], matrix.QualityM1bHvOffset[54]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[54], matrix.QualityM2bHvOffset[54]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[125]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[55], matrix.QualityM1aHvFineDac[55]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[55], matrix.QualityM2aHvFineDac[55]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[55], matrix.QualityM1bHvFineDac[55]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[55], matrix.QualityM2bHvFineDac[55]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[55], matrix.QualityM1bHvOffset[55]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[55], matrix.QualityM2bHvOffset[55]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[126]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[56], matrix.QualityM1aHvFineDac[56]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[56], matrix.QualityM2aHvFineDac[56]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[56], matrix.QualityM1bHvFineDac[56]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[56], matrix.QualityM2bHvFineDac[56]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[56], matrix.QualityM1bHvOffset[56]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[56], matrix.QualityM2bHvOffset[56]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[127]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[57], matrix.QualityM1aHvFineDac[57]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[57], matrix.QualityM2aHvFineDac[57]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[57], matrix.QualityM1bHvFineDac[57]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[57], matrix.QualityM2bHvFineDac[57]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[57], matrix.QualityM1bHvOffset[57]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[57], matrix.QualityM2bHvOffset[57]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[128]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[58], matrix.QualityM1aHvFineDac[58]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[58], matrix.QualityM2aHvFineDac[58]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[58], matrix.QualityM1bHvFineDac[58]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[58], matrix.QualityM2bHvFineDac[58]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[58], matrix.QualityM1bHvOffset[58]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[58], matrix.QualityM2bHvOffset[58]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[129]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[59], matrix.QualityM1aHvFineDac[59]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[59], matrix.QualityM2aHvFineDac[59]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[59], matrix.QualityM1bHvFineDac[59]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[59], matrix.QualityM2bHvFineDac[59]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[59], matrix.QualityM1bHvOffset[59]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[59], matrix.QualityM2bHvOffset[59]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[130]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[60], matrix.QualityM1aHvFineDac[60]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[60], matrix.QualityM2aHvFineDac[60]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[60], matrix.QualityM1bHvFineDac[60]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[60], matrix.QualityM2bHvFineDac[60]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[60], matrix.QualityM1bHvOffset[60]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[60], matrix.QualityM2bHvOffset[60]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[131]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[61], matrix.QualityM1aHvFineDac[61]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[61], matrix.QualityM2aHvFineDac[61]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[61], matrix.QualityM1bHvFineDac[61]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[61], matrix.QualityM2bHvFineDac[61]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[61], matrix.QualityM1bHvOffset[61]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[61], matrix.QualityM2bHvOffset[61]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[132]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[62], matrix.QualityM1aHvFineDac[62]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[62], matrix.QualityM2aHvFineDac[62]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[62], matrix.QualityM1bHvFineDac[62]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[62], matrix.QualityM2bHvFineDac[62]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[62], matrix.QualityM1bHvOffset[62]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[62], matrix.QualityM2bHvOffset[62]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
      strcpy(line, template[133]);
         memset(line + 4, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1aHvFineDac[63], matrix.QualityM1aHvFineDac[63]);
         memcpy(line + 4, segmentValue, strlen(segmentValue));
         memset(line + 13, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2aHvFineDac[63], matrix.QualityM2aHvFineDac[63]);
         memcpy(line + 13, segmentValue, strlen(segmentValue));
         memset(line + 22, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvFineDac[63], matrix.QualityM1bHvFineDac[63]);
         memcpy(line + 22, segmentValue, strlen(segmentValue));
         memset(line + 31, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvFineDac[63], matrix.QualityM2bHvFineDac[63]);
         memcpy(line + 31, segmentValue, strlen(segmentValue));
         memset(line + 44, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M1bHvOffset[63], matrix.QualityM1bHvOffset[63]);
         memcpy(line + 44, segmentValue, strlen(segmentValue));
         memset(line + 53, (int) ' ', 9);
         sprintf(segmentValue, " %3u %2.2x  ", matrix.M2bHvOffset[63], matrix.QualityM2bHvOffset[63]);
         memcpy(line + 53, segmentValue, strlen(segmentValue));
         printf("%s\n", line);
   }

#endif
